À propos d'ABBYY FlexiCapture 8.0 Professional

ABBYY FlexiCapture 8.0 Professional est un logiciel conçu pour intégrer automatiquement les données des documents au format papier dans des systèmes d'information et des bases de données.

Il utilise des technologies avancées de reconnaissance de caractères dactylographiés et manuscrits, de traitement d'images et d'analyse de documents. ABBYY FlexiCapture 8.0 Professional offre un système très pratique d'extraction automatique d'informations utiles à partir de toutes sortes de documents. Ces documents sont traités en une seule opération. Il peut s'agir de formulaires structurés (fixes) ou semi-structurés, ou encore de documents non structurés de format libre. ABBYY FlexiCapture 8.0 Professional permet de ne pas avoir à trier et à réimprimer les documents manuellement, opération qui nécessite beaucoup d'efforts et fait perdre du temps.

Le processus de traitement documentaire type se déroule comme suit :

  1. Les documents sont placés dans le chargeur automatique du scanner, et la numérisation commence.
  2. Les images des documents numérisés sont alors soumises au processus de reconnaissance. Le logiciel identifie automatiquement les documents, notamment ceux qui comportent plusieurs pages. Il localise les champs importants, extrait les données et charge les règles de contrôle.
  3. Si nécessaire, le processus de reconnaissance est suivi d'une vérification visuelle des données et d'un contrôle des erreurs de règles.
  4. Les données reconnues et vérifiées, ainsi que les copies électroniques des documents, sont enregistrées dans une base de données, un système d'information ou un fichier.


Comparaison entre les nouvelles fonctionnalités d'ABBYY FlexiCapture 8.0 Professional et celles de FormReader 6.5 Desktop

Types de documents traités

Documents de plusieurs pages avec une structure complexe

Le programme permet d'identifier et de traiter automatiquement les documents structurés, semi-structurés et non structurés avec un nombre variable de pages, des pages récurrentes et des documents avec des annexes.
Types de documents traités à l'aide d'ABBYY FlexiCapture 8.0
Création de modèles pour des documents de plusieurs pages
Création de modèles pour des documents avec des annexes

Documents non structurés

Les documents non structurés contenant du texte ou des images séparés par des pages vierges, ou des pages avec des codes barres ou du code de correction, sont indexés à l'aide de modèles simples, traités et exportés vers des fichiers indexés ou vers des fichiers graphiques.
Traitement de documents non structurés

Documents de plusieurs pages semi-structurés avec des tableaux complexes ou de plusieurs pages

Les documents semi-structurés de plusieurs pages contenant des tableaux qui continuent à la page suivante sont identifiés, assemblés sous forme de documents, et traités à l'aide d'une description flexible unique.
Création d'un modèle pour le traitement de documents flexibles

Formulaires fixes contenant des tableaux

Afin de simplifier le traitement des documents qui contiennent des tableaux, le programme prend désormais en charge les tableaux dans les formulaires fixes.
Création d'un tableau

éléments récurrents

Le programme prend en charge les groupes de champs récurrents dans les documents structurés et semi-structurés. Cela simplifie la configuration du traitement des documents contenant des groupes d'éléments identiques qui se répètent, ainsi que le traitement des tableaux complexes au sein de ces groupes.
Création d'un groupe de champs

Architecture du programme

Modes opérateur et administrateur

Les modes opérateurs et administrateur s'activent quand vous sélectionnez différentes commandes dans le menu Démarrer. Ils peuvent être installés sur différents ordinateurs. Toutes les fonctions du programme sont disponibles en mode administrateur. En mode opérateur, l'utilisateur ne peut modifier des modèles de document, importer des fichiers ou accéder aux lots de test.
Modes administrateur et opérateur.

Travail sur des projets

Un projet est un environnement unique qui unifie les lots de documents et les paramètres requis pour les traiter, comme les modèles de documents, les profils d'importation, etc.

Un projet peut être utilisé par différentes copies du programme : un projet peut être exporté et importé sous forme d’objet unique, un projet peut être mis à jour ou transféré d’un ordinateur vers un autre. Différentes stations peuvent fonctionner sur les mêmes projets en réseau, ce qui permet de rationaliser le traitement des documents.
Création d'un projet
Propriétés du projet

Outils conviviaux à utiliser avec les processus d'arrière-plan

Il est possible d’exécuter les opérations qui prennent beaucoup de temps, comme l’ajout d’images, la reconnaissance ou l’exportation, en mode arrière-plan de manière à réduire de manière significative le temps de traitement des documents. L’utilisateur peut toujours vérifier l’état d’un processus d’arrière-plan, modifier la priorité des tâches et consulter le journal de traitement.
Mode arrière-plan

éditeur de modèles de document

Travailler au niveau document

Un document est créé pour un document entier, sous forme d'unité de traitement. On parle d'ailleurs de « modèle de document ». Un modèle de document détermine la manière dont les documents d'un type donné sont identifiés et traités. Chaque modèle de document contient des images de page, des règles d'assemblage, des descriptions de champs et d'éléments statiques, des règles de vérification, des paramètres de vérification, des descriptions des types de données, et des paramètres d'exportation de données.
Création de modèles pour des documents de plusieurs pages

Passer d'un mode d'image à un autre

L'éditeur de modèles permet désormais d'alterner entre deux modes d'image. Vous pouvez afficher les images dans leur couleur d'origine ou en noir et blanc, indépendamment du format sous lequel elles ont été ajoutées au lot. Une image couleur simplifie la création des modèles pour les formulaires couleur. En effet, ce mode permet de voir le marquage du champ et le texte d'explication, ce qui est nécessaire pour dessiner la région du champ et pour attribuer un nom au champ. Il est important de pouvoir afficher les images en noir et blanc afin de s'assurer que les ancres et le texte statique sont visibles après la phase de conversion binaire qui intervient au cours de la reconnaissance.

éditeur de formulaires de données

L'éditeur de formulaires de données permet de créer facilement une présentation personnalisée pour des données extraites, et de les afficher sous un format agréable.
Configuration de la présentation des données dans la fenêtre de document

Présentation des champs sous forme d'arborescence

La structure du document est représentée graphiquement sous forme d'arborescence, ce qui permet de modifier, de copier, de supprimer et de déplacer rapidement des champs.
Présentation de la structure du document sous forme de contours de page

La structure du document est présentée sous forme de contours de page très pratiques. Il est ainsi facile d'afficher, de modifier et de créer des modèles pour des documents de plusieurs pages.
Séparation de l'affichage des éléments statiques et des champs

Les éléments statiques et les champs peuvent être affichés séparément. Il est ainsi plus facile de créer des modèles. L'opération peut en effet être sudvivisée en deux. Les éléments statiques sont créés séparément, tandis que les ancres, les séparateurs, le texte d'ancre et les codes barres ne perturbent pas la création des régions d'ancre.

Création de champs dans un modèle de document
éléments statiques
Groupement de champs

Les champs peuvent être combinés en groupes, ce qui permet de clarifier la structure du document et de créer des groupes de champs récurrents.

Création d'un groupe de champs
Propriétés d'un groupe de champs
Tableaux dans des modèles fixes

Vous pouvez maintenant créer un champ de tableau dans un modèle fixe, ce qui simplifie considérablement la configuration, l'extraction des données et leur exportation à partir de tableaux. Un champ de tableau est un ensemble de colonnes de même type et de lignes récurrentes.

Création d'un tableau
Propriétés de tableau
éléments récurrents dans des modèles fixes

Les éléments récurrents sont des champs ou des groupes de champs qui apparaissent un certain nombre de fois dans le formulaire et qui décrivent des objets similaires, tels que les mêmes détails de plusieurs employés, enfants, comptes, etc. La structure de ces éléments récurrents est similaire à celle d'un tableau : les champs représentent une colonne, tandis que chaque répétition correspond à une ligne. L'éditeur de modèles de document simplifie la configuration et le traitement de ces champs.

Champs avec plusieurs instances
Champs situés sur plusieurs pages d'un formulaire

Si votre formulaire contient des champs dont la région est située sur plusieurs pages (par exemple, des tableaux longs), l'éditeur de modèles de document vous permet de les afficher sous la forme d'un champ unique, ce qui simplifie considérablement la configuration et le traitement.

Champ contenant plusieurs régions
Création automatique d'un modèle fixe

L'éditeur de modèles contient de nouveaux outils qui permettent de créer automatiquement et facilement des modèles fixes, et plus particulièrement :

  • d'identifier automatiquement les champs de texte qui contiennent une région ;
  • d'identifier automatiquement les séparateurs verticaux et horizontaux au sein des tableaux ;
  • d'identifier automatiquement un champ, en cliquant simplement sur un bouton au sein de la région de champ ;
  • d'attribuer automatiquement un nom de champ correspondant au texte d'explication le plus proche ;
  • de reconnaître le texte statique à partir de l'image du modèle et de le coller dans les propriétés du champ ;
  • d'ajuster automatiquement les limites du champ.
Détection automatique des champs et des éléments statiques
Comment modifier le nom d'un champ
Amélioration de la configuration des types de données

Nous avons optimisé les paramètres relatifs aux types de données afin de simplifier la création des modèles de document et d'améliorer l'extraction et la vérification des données contenues dans les champs. Les types de données les plus utilisés (texte, date et heure, devise, nombre) sont inclus dans le jeu de types de données préconfigurés. Les formats de types de données les plus utilisés peuvent à leur tour être inclus dans le jeu de formats préconfigurés et être sélectionnés dans la liste sans qu'il faille créer des règles complexes pour la vérification du format.
Types de données du champ d'entrée de texte
Création de types de données personnalisés

Description de règles de vérification à l'aide du langage JScript®

Pour décrire une règle de vérification, iI est désormais possible d'utiliser le langage JScript® (en plus du langage VBScript). Vous pouvez ainsi configurer des règles personnalisées pour vérifier les données extraites.
Définition d'une règle à l'aide d'un script
Utilisation de scripts pour créer des règles

Champs d'index

Si l'option Champ d'index est activée dans les propriétés du champ, les valeurs de ce champ peuvent être affichées sous la forme d'une colonne supplémentaire dans la fenêtre de lot de documents. Les documents peuvent être triés en fonction de la valeur de ce champ. Vous pouvez ajouter les valeurs des champs d’index aux noms de fichiers pendant l’exportation de manière de rechercher plus facilement les informations dont vous avez besoin.
Champx d'index
Règles de dénomination des fichiers d'exportation

Statuts supplémentaires des modèles de document

Quand vous ouvrez un modèle de document dans l'éditeur de modèles, une version locale temporaire du modèle est créée automatiquement. La version modifiable n'est pas incluse dans le traitement des documents jusqu'à ce qu'elle soit publiée. Cette fonctionnalité vous permet d'organiser votre travail sur les modèles quand le projet est scindé.
Modification et publication d'un modèle

Test de modèles de document sur des lots spéciaux dans l’éditeur de modèles

Pour simplifier et accélérer la création des modèles, vous pouvez tester les modèles éditables pendant la phase de création sans avoir besoin de quitter l'éditeur de modèles de document. Vous pouvez tester un modèle lors de sa création à partir de l’image utilisée pour le créer. Pour effectuer ces tests, vous pouvez également utiliser des lots de test spéciaux qui ne sont pas utilisés au niveau du traitement réel des documents
Test de modèles de document
Lots de documents

Importation d'image

Assemblage automatique de pages sous forme de documents

Le flux entrant d'images en provenance du scanner ou du dossier actif peut être subdivisé automatiquement en documents quand vous utilisez :

  • des formats d'image de plusieurs pages (de type TIFF ou PDF) ;
  • des pages vierges, des pages avec des codes barres ou des codes de correction.
Ajout d'images de pages
Options de prétraitement d'image
Profils d'importation d'image

Les profils d'importation d'image servent à créer des jeux de paramètres préconfigurés pour diverses sources d'importation (scanners ou dossiers). Un profil d'importation est enregistré et il reçoit un nom, que l'opérateur peut ensuite sélectionner dans une liste.
Profils d'importation d'image

Importation d'un simple clic

Un simple clic permet d'importer une image conformément aux paramètres du dernier profil utilisé.
Ajout d'images de pages

Mode d'importation en arrière-plan

L'importation peut également s'effectuer en mode arrière-plan. Le programme interroge alors le dossier actif à intervalle régulier pour savoir s'il contient de nouvelles images.

Mode arrière-plan

Classification, application du modèle et reconnaissance

Reconnaissance de texte intégral pour l'exportation vers un fichier PDF indexé

Le programme prend en charge la reconnaissance de documents en texte intégral, suivie d'une exportation vers des fichiers indexés PDF/PDF\A. Cette fonction est particulièrement utile pour archiver des documents non structurés et semi-structurés.
Nouvelles langues de reconnaissance

Kirghiz (OCR, ICR)

Kazakh (OCR/ICR)

Thaï (OCR)

Langues de reconnaissance prises en charge
Nouveaux types de codes barres

Matrix 25, Industrial 25, PostNet.

Types de codes-barres pris en charge
Emplacement des caractères corrigés dans les formulaires fixes

Si un caractère entré par erreur a été effacé, il est présenté à l'opérateur pendant la vérification, ce qui lui permet de le corriger manuellement.
Possibilité de suppression des pages de séparation

Vous pouvez supprimer automatiquement les pages comportant des codes barres ou des codes de correction et les pages vierges du lot.

Options de prétraitement d'image
Possibilité de suppression des pages vierges

Vous pouvez supprimer les pages vierges pendant la reconnaissance.

Propriétés du projet

Vérification des données

Améliorations apportées à l'interface de vérification
  • Mode plein écran.
  • La barre d'état indique le pourcentage actualisé des caractères vérifiés.
Vérification des données reconnues
Nouvelles possibilités pour configurer l'interface
  • L'emplacement de la fenêtre contenant l'image de champ peut être modifié.
  • L'échelle de la fenêtre aussi. Une fonction permet en outre de sélectionner automatiquement la meilleure échelle.
  • L'utilisateur peut modifier la taille de la police de caractères.
Vérification des données reconnues
Améliorations apportées à la vérification groupée
  • Un conseil s'affiche, avec le contexte des caractères.
  • La taille et le contraste de la zone adjacente au caractère sont configurables.
Vérification de champ
Améliorations apportées à la vérification de champ
  • Les règles de format peuvent désormais être vérifiées pendant la vérification de champ. L'utilisateur voit une description de l'erreur ainsi qu'une liste de propositions de changements.
  • Un mode spécial permet désormais d'afficher un champ avec la coupe de caractères.
  • Les champs de plusieurs lignes sont pris en charge.
  • Des conseils s'affichent pour les caractères afin de faciliter leur identification (en distinguant la lettre « O » du chiffre « 0 », par exemple).
Vérification de champ
Reconnaissance de champ en temps réel

Pendant la vérification dans la fenêtre de document, toute modification au sein de la région de champ entraîne une nouvelle reconnaissance automatique de la région d'image correspondante. Cette fonctionnalité simplifie et accélère l'extraction des données pour les champs dont les régions n'ont pas été spécifiées avec précision.
Amélioration de l'interface pour la correction des erreurs de règle
  • Chaque règle de la liste d'erreurs de règle est accompagnée d'une référence au champ correspondant. Ces références permettant d'atteindre rapidement les champs susceptibles de contenir des erreurs.
  • La liste d'erreurs de règle peut être ancrée en bas, en haut, à droite ou à gauche de la fenêtre de document.
Validation par règle
Correction des erreurs d'assemblage de document en mode contour de page

Un nouveau mode contour de page est disponible pour les documents en lot. Ce mode est très pratique pour corriger les erreurs d'assemblage de document car il permet à l'utilisateur :

  • d'afficher les contours de page groupés par document ;
  • de voir les erreurs de correspondance entre les valeurs de champs clés et les descriptions d'erreurs d'assemblage ;
  • de corriger les erreurs d'assemblage en déplaçant des pages d'un document à un autre, en faisant glisser les pages d'un endroit à un autre à l'aide de la souris ;
  • de modifier l'échelle des contours de page pour voir les détails (en maintenant la touche CTRL enfoncée et en faisant tourner la molette de défilement).
Assemblage de pages sous forme de documents
Vous pouvez désormais ouvrir les fichiers PDF protégés par mot de passe
Vous pouvez désormais ajouter les fichiers DjVu
Formats graphiques pris en charge

Exportation

Exportation vers Microsoft SharePoint

Vous pouvez désormais configurer l’exportation vers Microsoft SharePoint à l’aide de l’interface du programme.

Exportation de données vers une bibliothèque de documents SharePoint
Exportation d'un simple clic

Si les paramètres d'exportation ont été configurés, vous pouvez exporter un lot de documents d'un simple clic. Cela évite à l'opérateur d'avoir à effectuer des opérations supplémentaires et accélère le processus d'acquisition de documents.

Exportation des données reconnues
Exportation des images de document avec les données

Vous pouvez exporter les images des documents en même temps que les données elles-mêmes.
Règles utiles de dénomination des fichiers obtenus

Lors de l’exportation de données dans un fichier Microsoft SharePoint, les noms de fichier sont générés automatiquement en fonction des règles définies par l’utilisateur. Vous pouvez ajouter les valeurs des champs d’index aux noms de fichier, la valeur des codes barres des pages de séparation, etc. Plus les noms de fichier sont évocateurs, plus vous trouverez facilement les informations dont vous avez besoin.

Règles de dénomination des fichiers d'exportation
Nouveaux formats de document et d'image

PDF, PDF/A indexé

Formats graphiques pris en charge
Liaison de champs lors de l'exportation vers une base de données

Lors de la configuration de l'exportation vers une base de données, une interface très conviviale permet de lier des champs. L'utilisateur peut ainsi rapidement associer des champs de document à des champs de base de données.

Exportation vers une base de données
Description d'une exportation à l'aide d'un script

L'utilisateur peut décrire toutes sortes de procédures d'exportation à l'aide des langages de script VBScript et JScript.

Description d'une exportation à l'aide d'un script
Utilisation de scripts pour décrire une exportation
Modification de la résolution des images pendant l'exportation

Il est désormais possible de modifier la résolution des images exportées en fonction des contraintes de stockage.

Configuration de l'exportation de données
Exportation d'image graphique vers un fichier

L'image du document entier, ou un champ d'image graphique isolé, peuvent être exportés vers un fichier graphique distinct.
Suppression des documents exportés du lot

Si vous n'avez pas besoin de stocker les documents exportés dans le lot, vous pouvez les supprimer juste après les avoir exportés.

Exportation des données reconnues
Autres options


Types de documents traités à l'aide d'ABBYY FlexiCapture 8.0

ABBYY FlexiCapture 8.0 Professional est une solution logicielle qui permet d'incorporer en une seule opération des données à partir de différents types de documents.

Vous pouvez traiter divers documents en une même opération. Vous pouvez également configurer le programme pour traiter des documents de types différents, par exemple des documents contenant à la fois des sections structurées et des sections semi-structurées. Le type des documents n'affecte que la configuration système, c'est-à-dire la méthode de création de modèles de document. Il n'affecte pas la nature du travail de l'opérateur.

ABBYY FlexiCapture peut être configuré pour accepter automatiquement les documents suivants en une seule opération :

Structurés – formulaires flexibles
Les formulaires structurés sont des documents contenant un ensemble de champs d'information marqués, dont le formatage, le nombre et la présentation ne changent pas d'une instance de document à l'autre. Ces documents sont appelés des formulaires fixes. Par exemple, la plupart des questionnaires et des formulaires de demande sont des formulaires fixes. Ils sont généralement distribués sous forme de formulaires vierges et remplis à la main.

Pour identifier un formulaire fixe au sein d'un flux documentaire et en extraire les données, vous devrez créer un modèle fixe unique, qui indiquera au programme l'emplacement des champs contenant des données à extraire.

Les formulaires fixes créés pour répondre aux besoins de l'acquisition automatique peuvent être traités avec une grande efficacité. Ces formulaires sont appelés des formulaires lisibles par machine. Pour plus d'informations sur les exigences de ces formulaires et sur la manière de les créer, consultez la section Création de formulaires lisibles par machine.

Le programme inclut un outil très pratique pour concevoir des formulaires lisibles par machine – ABBYY FormDesigner 8.0 (fourni avec ABBYY FlexiCapture 8.0 Professional). Pour plus d'informations sur la création de formulaires à l'aide d'ABBYY FormDesigner 8.0, consultez le guide d'utilisation et les rubriques d'aide.

Vous y trouverez une description des étapes de base de la création d'un modèle pour les documents non structurés.
Semi-structurés – formulaires et documents flexibles.
Il s'agit de documents contenant un ensemble de champs d'information dont la conception, le nombre et la présentation peuvent varier significativement dans différentes instances du document. Ces documents sont qualifiés de flexibles. Par exemple, les factures sont des documents flexibles car elles varient souvent en termes de nombre d'éléments et de format. En effet, elles sont envoyées par des entreprises différentes. Toutes les factures ont un numéro et un montant à régler, mais ils peuvent figurer à différents endroits.

Pour identifier les formulaires flexibles et extraire leurs données, ABBYY FlexiCapture 8.0 Professional utilise une présentation flexible (FlexiLayout). Vous pouvez créer une présentation flexible à l'aide d'un module spécial appelé ABBYY FlexiLayout Studio. Pour plus d'informations sur ce module, consultez le guide d'utilisation et les rubriques d'aide.

Le traitement des documents flexibles diffère de celui des formulaires fixes uniquement au niveau de la phase de création et du chargement de la présentation. Pour plus d'informations, consultez la section Création d'un modèle pour traiter des documents flexibles.
Documents non structurés avec une conception de forme libre.
ABBYY FlexiCapture 8.0 Professional peut servir à traiter des documents non structurés contenant des informations sous une forme libre, par exemple des contrats, des lettres, des commandes et des graphiques. Le programme peut identifier automatiquement les documents non structurés sous forme d'annexes de formulaires fixes ou flexibles. Il peut aussi les identifier à l'aide d'un FlexiLayout, puis les exporter sous forme de fichiers PDF indexés ou de fichiers graphiques. Vous pouvez extraire les champs d'index des documents non structurés, soit automatiquement, à l'aide d'une présentation flexible, soit à l'aide d'une entrée manuelle.

Un cas de figure type de traitement de documents non structurés est celui des archives au format papier, qui doivent être converties au format électronique et pour lesquelles il est nécessaire d'extraire deux ou trois champs pour organiser une recherche rapide reposant sur les attributs.

Pour plus d'informations, consultez la section Traitement de documents non structurés.


Brève description du traitement documentaire à l'aide d'ABBYY FlexiCapture 8.0 Professional

Cette section explique de manière générale comment traiter des documents à l'aide d'ABBYY FlexiCapture 8.0 Professional.

L'utilisation du programme dans le détail est décrite dans les sections Configuration du programme et Fonctionnement avec un projet configuré.

Présentation de la configuration du programme pour le traitement documentaire
Présentation du fonctionnement avec un programme configuré


Brève description des paramètres du programme pour le traitement documentaire

L'administrateur configure le programme pour traiter certains types de documents. Pour préparer le programme au traitement documentaire, vous devez créer :

  1. Un projet

    Un projet contient tous les paramètres de traitement d'un certain type de document : les profils d'importation d'images, les modèles de documents, et les lots de documents à traiter.

  2. Un ou plusieurs modèles de document

    La phase de création de modèle est la plus importante de la configuration d'un projet. Si vous prévoyez de traiter divers types de documents en une même opération, vous devez créer plusieurs modèles pour le même projet.

  3. Des profils d'importation d'image

    Les profils d'importation créés servent à accroître le confort de travail de l'opérateur et à rationaliser son travail. Si les profils d'importation ne sont pas configurés, chaque fois que vous ajouterez des images, vous devrez sélectionner la source d'importation et configurer les paramètres. Les profils d'importation permettent d'ajouter des images en cliquant simplement sur un bouton, et de basculer facilement d'une source d'importation à une autre.

  4. Un lot de documents

    Les documents soumis au traitement sont ajoutés à des lots. C'est l'utilisateur qui définit comment les documents doivent être affectés à des lots : vous pouvez traiter tous les documents sous la forme d'un même lot, ou créer des lots à partir de documents ajoutés à la même date ou à partir d'un lot numérisé en un même passage. Si vous ajoutez des images pour lesquelles il n'y a pas de lots, un lot sera créé automatiquement.

En savoir plus sur la configuration du programme


Création d'un projet

Pour traiter différents documents dans un même projet, il faut que ce projet comporte plusieurs modèles. Si les flux documentaires ne se coupent pas et si leurs paramètres de traitement ne diffèrent pas considérablement, vous pouvez créer des projets distincts pour eux.

Pour commencer, vous devez créer au moins un projet.

Au démarrage du programme, la boîte de dialogue Ouvrir un projet s'ouvre. Elle permet de sélectionner un projet existant ou d'en créer un nouveau en cliquant sur Créer un nouveau….

Si ABBYY FlexiCapture 8.0 Professional fonctionne déjà et si un projet a été ouvert, pour créer un nouveau projet, sélectionnez l'élément de menu Fichier > Nouveau projet…

En savoir plus sur la création d'un projet


Présentation du processus de création de modèle de document

La création d'un modèle est l'aspect le plus délicat de la configuration d'un projet. Elle détermine la qualité des données obtenues au terme du traitement.

Un modèle décrit l'emplacement des éléments d'un document, et indique les champs à utiliser lors de l'extraction des données.

Pour créer un modèle, exécutez l'Assistant Modèle :

  1. Dans le menu principal d'ABBYY FlexiCapture 8.0 Professional, sélectionnez Projet>Modèles de document…
  2. Dans la boîte de dialogue Modèles de document, cliquez sur le bouton Nouveau….
  3. Suivez les instructions de l'Assistant Modèle.

Les étapes suivantes de la création de modèle dépendent du type des documents traités.

Principales étapes à suivre pour créer un modèle pour des formulaires fixes
  1. Créez un nouveau document à l'aide de l'Assistant Modèle. L'Assistant étant actif, ouvrez l'image de page de document qui sera utilisée pour le marquage de modèle.
  2. Marquez les éléments statiques – les ancres et les identificateurs, en configurant leurs propriétés. Les éléments statiques sont destinés à l'association et à l'identification du modèle. Normalement, les éléments statiques sont détectés automatiquement et ils reçoivent des propriétés par défaut.
  3. Marquez les champs de l'image. Ces champs sont destinés à l'extraction de données.
  4. Configurez les propriétés des champs. Les propriétés des champs affectent la qualité de reconnaissance et déterminent si les valeurs des champs seront exportées et envoyées à l'opérateur pour vérification. Elles spécifient les types de données et la plage de valeurs d'un champ.
  5. Pour créer des modèles pour des documents de plusieurs pages : ajoutez les pages et répétez toutes les étapes pour chacune de ces pages.
  6. Configurez l'exportation de données.
  7. Si nécessaire, vous pouvez configurer la manière dont les données sont affichées dans la fenêtre principale, vérifiées par rapport aux règles, etc.
  8. Testez un modèle en utilisant des images de plusieurs documents.

Remarque : si vous avez créé des formulaires lisibles par machine avec ABBYY FormDesigner, à la place des trois premières étapes, vous devez simplement importer un fichier portant une extension *.xfd. Une page d'image avec un marquage prêt à l'emploi s'ouvre alors (ou des images de plusieurs pages si vous avez utilisé ABBYY FormDesigner pour créer un formulaire de plusieurs pages). Pour plus d'informations, consultez la section Importation d'un modèle pour des formulaires créés avec ABBYY FormDesigner.

Principales étapes à suivre pour créer un modèle pour des documents flexibles
  1. Créez une description flexible (un fichier portant une extension *.afl extension) avec ABBYY FlexiLayout Studio. Pour plus d'informations, consultez les rubriques d'aide d'ABBYY FlexiLayout Studio.
  2. Créez un nouveau document à l'aide de l'Assistant Modèle. L'Assistant Modèle étant actif, ouvrez une image de page de document, et joignez-y une description flexible (le fichier *.afl que vous avez créé). Au terme de la procédure de l'Assistant, le marquage de champ est présent sur l'image.
  3. Configurez les propriétés des champs. Suivez la procédure permettant de configurer les propriétés de modèle pour un formulaire fixe.
  4. Configurez l'exportation de données.
  5. Si nécessaire, vous pouvez configurer la manière dont les données sont affichées dans la fenêtre principale, vérifiées par rapport aux règles, etc.
  6. Testez un modèle en utilisant des images de plusieurs documents.

Pour des documents de types divers, contenant des pages avec des formulaires fixes et des sections semi-structurées, vous pouvez joindre une description flexible en tant que section de modèle. Commencez par créer un modèle à partir d'une section quelconque (flexible ou fixe), puis ajoutez une nouvelle section d'un type différent.

Vous pouvez traiter des documents de types différents en une même opération : pour un même projet, vous pouvez créer des modèles pour des formulaires fixes et des documents flexibles, et des modèles pour des documents de types mélangés. Le programme sélectionne automatiquement le modèle correspondant.

Pour traiter des documents comportant des annexes, créez un modèle de document et activez l'option Activer les pages annexes dans les propriétés du modèle. Consultez la section Création de modèles pour des documents avec des annexes.

En savoir plus sur la création de modèles


Création de profils d'importation

L'opérateur commence par ajouter de nouvelles images au projet. Il peut s'agir de documents au format papier à numériser, ou d'images électroniques existantes.

Il est possible d'automatiser les actions qui se répètent fréquemment ou les ajouts d'images effectués à partir de la même source de manière à n'avoir qu'à cliquer sur un bouton. Pour ce faire, créez un profil d'importation d'image. Vous pouvez également configurer le traitement des images entrantes et l'ajout périodique d'images en mode arrière-plan. Une fois les paramètres requis configurés, les images sont numérisées ou importées à partir d'une source prédéfinie (il suffit de cliquer sur un bouton), et les images reçues sont traitées (elles sont nettoyées, par exemple). Si nécessaire, vous pouvez modifier la source de l'importation d'image ou ses paramètres.

Si les sources d'importation changent souvent, vous pouvez créer plusieurs profils d'importation et passer de l'un à l'autre pour ne pas avoir à modifier constamment les paramètres de source d'importation.

Pour ajouter un profil d'importation, sélectionnez l'élément de menu Projet > Profils d'importation d'images… dans la fenêtre principale du programme. Dans la boîte de dialogue qui s'ouvre, vous pouvez créer de nouveaux profils d'importation. Vous pouvez aussi modifier, supprimer et copier des profils existants.

En savoir plus sur la création de profils d'importation


Création de lots de documents

Les documents à traiter doivent être ajoutés à des lots. C'est l'utilisateur qui définit comment les documents doivent être affectés à des lots : vous pouvez traiter tous les documents sous la forme d'un même lot, ou créer des lots à partir de documents ajoutés à la même date ou à partir d'un lot numérisé en un même passage.

Si un projet ne contient aucun lot, le programme crée automatiquement un lot quand vous tentez d'ajouter des images.

Pour créer un nouveau lot, sélectionnez Nouveau lot dans le menu contextuel, qui s'affiche avec une liste de lots quand vous cliquez à l'aide du bouton droit de la souris dans la fenêtre principale.

En savoir plus sur la création de lots de documents


Présentation du travail de l'opérateur avec un programme configuré

L'opérateur utilise un programme préconfiguré pour traiter certains types de documents. Le traitement documentaire est le même pour tous les types de documents, et il inclut les phases suivantes :

  1. Ajout d'images

    Il est très facile d'ajouter des images de page après avoir configuré des profils d'importation. Vous pouvez également ajouter des images en les numérisant ou en les chargeant à partir de fichiers.

  2. Démarrage du processus de reconnaissance

    La reconnaissance est un processus automatique : le programme identifie le modèle de document à partir de l'emplacement des éléments statiques préconfigurés dans les modèles. Il applique le modèle, puis reconnaît les données dans les champs spécifiés dans le modèle. Avant de démarrer le processus de reconnaissance, vous pouvez analyser les documents ou leurs pages, puis appliquer le modèle adapté à l'image.

  3. Vérification

    La vérification – qui consiste à contrôler les données – est la phase qui nécessite le plus de travail. Elle comprend :

    • la vérification de l'assemblage de document – qui consiste à déterminer si les pages de document ont été assemblées correctement ;
    • la vérification de groupe – qui est un contrôle visuel des groupes de caractères reconnus de manière identique ;
    • la vérification de champ – qui consiste à contrôler les caractères reconnus sans certitude dans le contexte des champs, avec une plage de valeurs connue ;
    • la validation de règle – qui consiste à contrôler les erreurs de règle.

  4. Exportation de données

    Pour effectuer l'exportation, il suffit de cliquer sur un bouton, en fonction des paramètres d'exportation configurés dans le modèle. Vous pouvez également exporter les données vers un fichier ou une base de données sans utiliser les paramètres d'exportation d'un modèle.

En savoir plus sur le travail de l'opérateur avec des projets configurés


Ajout d'images

Pour ajouter des images, sélectionnez le lot requis ou créez-en un nouveau. Le bouton d'importation permet d'ajouter des images de différentes manières, et le nom du bouton change en fonction de la méthode d'importation choisie.

Si des profils d'importation ont été configurés dans le projet, leur nom est affiché sur les boutons du menu d'importation. Pour commencer la procédure d'importation, vous devez sélectionner l'un d'eux.

Pour charger les images à partir d'un fichier, cliquez sur la flèche située à droite du bouton d'importation, puis sélectionnez Charger des images…. Sélectionnez les fichiers contenant les images, configurez les options nécessaires et effectuez l'importation.

Pour charger les images à partir d'un scanner, cliquez sur la flèche située à droite du bouton d'importation, puis sélectionnez Numériser les images….

Après avoir sélectionné Importer des images… dans le menu, vous pouvez soit sélectionner l'un des profils d'importation d'images, soit en ajouter un nouveau, soit en modifier un qui existe déjà.

En savoir plus sur l'ajout d'images


Démarrage du processus de reconnaissance, analyse et application d'un modèle

Pour effectuer la reconnaissance, cliquez sur Reconnaître.

Pour effectuer une analyse préliminaire des images, cliquez sur la flèche située à droite du bouton Reconnaître, puis sélectionnez Associer un modèle…. Si un modèle peut être appliqué, la page et le document dont elle fait partie sont nommés en conséquence. Si aucun des modèles de projet ne peut être associé à l'image, la page demeure non traitée.

Vous pouvez également appliquer un certain modèle à une page ou à un document entier. Le plus souvent, un modèle qui a été créé correctement dans le programme s'applique automatiquement aux pages, mais dans certains cas, vous pouvez avoir à appliquer le modèle manuellement. Pour appliquer un modèle, sélectionnez un document ou une page, cliquez sur la flèche située à droite du bouton Reconnaître, puis cliquez sur Associer un modèle….

En savoir plus sur la reconnaissance


Vérification

Pour démarrer le processus de vérification, cliquez sur Exécuter la vérification…. Le processus commence par la vérification groupée et passe ensuite à la vérification de champ. Si, pour un modèle, il n'y a pas de champs inclus dans la vérification groupée ou dans la vérification de champ, la phase de vérification correspondante est omise.

Pour les documents de plusieurs pages, vous devez corriger les erreurs d'assemblage de document susceptibles de se produire. Les pages sont assemblées automatiquement sous forme de documents. Les documents présentant des erreurs d'assemblage sont marqués du symbole suivant [image]. Une description de l'erreur est affichée en lettres rouges sous le nom du modèle de document. Lors de la création d'un modèle de document, vous devez configurer la règle d'assemblage de documents : la séquence et le nombre de répétitions de page. Vous pouvez également configurer la vérification de l'assemblage à partir des valeurs des champs clés : dans ce cas, les champs clés doivent avoir la même valeur sur toutes les pages d'un même document. Dans le cas contraire, le message correspondant s'affiche et les valeurs des champs clés sont mises en surbrillance en rouge. Les erreurs d'assemblage peuvent être corrigées très facilement en mode contour de page, qui permet à l'utilisateur de bien visualiser les images de page et les différents documents dont elles font partie.

Pendant la vérification groupée, les groupes de caractères reconnus de manière identique sont soumis à la vérification. Le travail de l'opérateur consiste à identifier les caractères différents qui n'ont pas été reconnus correctement. Il doit ensuite corriger les valeurs, après avoir affiché l'image du champ contenant les caractères en question. S'il n'est possible de corriger les caractères, vous pouvez les marquer comme discutables.

Lors de la vérification de champ, les champs ayant une plage de valeurs connues sont soumis à la vérification. Le travail de l'opérateur consiste à vérifier les caractères reconnus sans certitude dans le contexte du champ entier. Il y a deux modes de vérification de champ : un mode d'affichage monochamp, avec des coupes de caractères, et un mode d'affichage multichamp, qui affiche des champs de même type.

Les règles qui n'ont pas été exécutées sont signalées d'un indicateur jaune [image] (avertissement) ou rouge [image] (erreur). L'opérateur doit vérifier les champs présentant des erreurs de règle et, si possible, corriger leurs valeurs. Pour effectuer la vérification sur les erreurs de règle, cliquez sur la flèche située à droite du bouton et sélectionnez l'élément de menu Vérifier à nouveau les règles. Si les règles peuvent être exécutées une fois les valeurs des champs corrigées, les indicateurs disparaissent.

La vérification des données est également effectuée dans la fenêtre de document, qui s'ouvre quand vous double-cliquez sur le nom d'un document ou d'une page. Cette fenêtre n'affiche pas les champs distincts mais le document dans son entier. Elle affiche également les caractères reconnus sans certitude, les erreurs de règle, etc.

En savoir plus sur la vérification


Exportation

Pour exporter des documents reconnus et vérifiés, cliquez sur Exporter. L'exportation est effectuée conformément aux paramètres configurés dans le modèle de document.

Si vous avez besoin d'effectuer l'exportation vers un fichier, cliquez sur la flèche située à droite du bouton, puis sélectionnez Exporter vers le fichier…

Si vous avez besoin d'effectuer l'exportation vers une base de données, sélectionnez Exporter vers une base de données…

Si nécessaire, modifiez les paramètres d'exportation par défaut et effectuez l'exportation.

En savoir plus sur l'exportation


Installation et exécution du programme

Cette section contient des informations de base sur l'installation, la protection et l'exécution d'ABBYY FlexiCapture 8.0 Professional. Elle couvre également la configuration système requise pour l'installation.

Protection du programme
Programme de gestion de clés de protection : Gestionnaire de licences
Configuration système matérielle et logicielle requise
Installation d'ABBYY FlexiCapture 8.0 Professional
Exécution du programme


Types de protection

Pour installer et utiliser ABBYY FlexiCapture 8.0 Professional, vous devez disposer d'une clé de protection valide.

ABBYY FlexiCapture 8.0 Professional peut inclure l'un des types de clés de protection suivants :

  • Clé de protection matérielle
  • Clé de protection logicielle

Clé de protection matérielle

Il s'agit d'un dongle à brancher sur le port USB de votre ordinateur (dongle USB).

Pour qu'ABBYY FlexiCapture 8.0 Professional fonctionne avec une clé de protection matérielle, vous devez installer le pilote correspondant à partir du programme d'installation. Pour que le programme fonctionne, votre clé de protection matérielle doit être connectée en permanence.

La clé de protection matérielle stocke les paramètres de votre licence.

Une clé de protection matérielle vide peut être activée à distance, à l'aide du seul numéro de série de votre licence. Lancez l'utilitaire DongleUpdate (DongleUpdate.FlexiCapture.exe), cliquez sur le bouton Nouvelle licence et entrez votre numéro de série. Ce programme contactera le serveur d'activation via Internet, demandera les paramètres du numéro de série, et les enregistrera dans la clé de protection matérielle.

Important ! Vous devez être en mesure d'exécuter le service SmartCard standard pour utiliser la clé de protection matérielle.

Clé de protection logicielle

Il s'agit d'un fichier de licence.

Pour qu'ABBYY FlexiCapture 8.0 Professional fonctionne avec une clé de protection matérielle, il faut que le fichier de licence soit activé sur le serveur d'activation ABBYY. Vous pouvez activer votre fichier de licence à partir du programme d'installation ou du Gestionnaire de licences.

Les informations requises pour activer votre fichier de licence sont envoyées à ABBYY sous forme de code (ID de produit), qui est généré à partir des informations relatives à l'ordinateur sur lequel ABBYY FlexiCapture 8.0 Professional est installé. Aucune information personnelle n'est utilisée pour générer l'ID de produit, et ce code ne peut pas être utilisé pour identifier l'utilisateur.

Méthodes d'activation :

  • Via Internet
    L'activation via Internet s'effectue automatiquement et ne prend que quelques secondes. Cette méthode d'activation requiert une connexion Internet.
  • Par e-mail
    Si vous choisissez cette méthode d'activation, une demande d'activation par courrier électronique sera générée automatiquement. Envoyez ce courrier électronique à l'adresse indiquée. Pour obtenir une réponse rapide du robot de courrier électronique, veillez à ne pas modifier l'objet ni le corps du message électronique.

Pour l'activation via Internet, aucune autre opération n'est requise. Dans le cas de l'activation par courrier électronique, le robot d'activation doit vous envoyer un fichier activé. Enregistrez ce fichier sur votre disque dur, exécutez le Gestionnaire de licences ou l'Assistant Activation, et indiquez le chemin d'accès du fichier enregistré.

Répétition de l'activation

Vous pouvez réinstaller ABBYY FlexiCapture 8.0 Professional autant de fois que nécessaire sur l'ordinateur sur lequel il a été activé. Toutefois, si vous installez des mises à jour importantes, que vous formatez le disque dur ou que vous réinstallez le système d'exploitation, vous pourrez avoir à réactiver le produit.

Le serveur d'activation enregistre dans un journal le nombre de fois que chaque numéro de série a été activé. Au-delà d'un certain seuil, le numéro de de série est bloqué et il ne peut plus être activé.

Vous pouvez désactiver une licence activée pour l'utiliser sur un autre ordinateur. Quand vous désactivez une licence, le serveur d'activation décrémente le compteur d'activation du numéro de licence correspondant d'une unité.

Important ! Vous ne pouvez utiliser le programme activé que sur l'ordinateur sur lequel l'ID de produit a été généré. Pour déplacer le programme sur un autre ordinateur, désactivez d'abord votre licence.


Gestionnaire de licences

Le Gestionnaire de licences est un utilitaire qui sert à gérer les clés de protection et à collecter des informations sur le statut des licences ABBYY FlexiCapture.

Avertissement ! Le Gestionnaire de licences est un utilitaire administratif. Pour l'utiliser, il faut disposer de droits d'administrateur local.

Le Gestionnaire de licences est installé :

  • sur l'ordinateur sur lequel ABBYY FlexiCapture 8.0 Professional est installé (installation locale), ou ;
  • le serveur sur lequel ABBYY FlexiCapture 8.0 Professional est installé (installation réseau).

Pour lancer le Gestionnaire de licences :

  • Cliquez sur Démarrer>Programmes>ABBYY FlexiCapture 8.0>Outils, puis sélectionnez Gestionnaire de licences d'ABBYY FlexiCapture 8.0 Professional.

Gestion des licences

Ajout d'une nouvelle licence

Pour ajouter une nouvelle licence, cliquez sur le bouton Ajouter une nouvelle licence... dans la fenêtre principale du Gestionnaire de licences. Dans la boîte de dialogue qui s'ouvre, tapez un nouveau numéro de série, puis cliquez sur Ajouter. Vous pouvez aussi cliquer sur à partir du fichier... et sélectionner le fichier texte contenant les numéros de série.

La nouvelle licence (il peut y en avoir plusieurs) apparaît dans la fenêtre principale du Gestionnaire de licences.

Activation d'une licence

Après avoir ajouté une licence, vous devez l'activer. Cliquez sur le bouton Activer la licence... pour activer une licence que vous avez ajoutée. Vous pouvez activer vos licences par Internet (recommandé) ou par courrier électronique. Suivez les instructions de l'Assistant Activation.

Mise à jour d'une licence

Pour mettre à jour une licence, sélectionnez-la dans la fenêtre du Gestionnaire de licences, puis cliquez sur le bouton Mettre à jour la licence.... Une activation par Internet ou par courrier électronique est également requise. Suivez les instructions de l'Assistant Activation.

Paramètres de licence

Le Gestionnaire de licences permet aussi de vérifier les paramètres de licence. Sélectionnez la licence dont vous souhaitez voir les paramètres, puis cliquez sur Propriétés de la licence...


Types de licence et paramètres de licence

Paramètres de licence

Chaque licence possède son propre numéro de série et inclut un jeu de paramètres. Le jeu de paramètres détermine quelles fonctions du produit l'utilisateur est autorisé à employer.

Il y a deux types de licence :

  • La licence complète permet d'utiliser la station administrateur et tous les outils (FormDesigner et FlexiLayout Studio). S'il n'y a pas de licences opérateur libres, elle permet aussi d'utiliser la station opérateur.
  • La licence Opérateur permet d'utiliser la station opérateur.

Une licence indique toujours combien de stations administrateur et opérateur peuvent fonctionner simultanément. Par exemple, les paramètres 2 Complète et 5 Opérateur indiquent que l'utilisateur peut faire fonctionner simultanément deux stations administrateur (sur deux ordinateurs différents ou sur le même, utilisé par deux personnes différentes) et cinq stations opérateur.

Il est possible d'utiliser autant de copies que nécessaire sur un même ordinateur avec le même nom d'utilisateur ; une seule licence est nécessaire. Si 5 licences opérateur sont déjà utilisées, il faudra utiliser la licence complète pour démarrer une nouvelle station opérateur.

Paramètres de licence :

  • Date d'expiration indique à quel moment la licence expire
  • Limite de page indique combien de pages peuvent être reconnues au sein d'une période donnée
  • Ouverture de PDF permet d'ouvrir des documents PDF
  • PDF indexé permet d'exporter des données au format PDF avec une fonction de recherche de texte parfaitement opérationnelle
  • FlexiLayouts permet d'utiliser des FlexiLayouts
  • Nombre max. de champs définit le nombre maximal de champs autorisés dans un même modèle de document
  • FlexiLayout Studio permet d'exécuter FlexiLayout Studio
  • FormDesigner permet d'exécuter FormDesigner


Configuration système matérielle et logicielle requise

  1. Un PC équipé d'un processeur Intel® Pentium®/Celeron®/Xeon™/Athlon™/Duron™/Sempron™ ou compatible,
    • cadencé à 500 MHz ou plus (2 GHz recommandés) - pour Microsoft Windows Vista;
    • cadencé à 500 MHz ou plus (2 GHz recommandés) - pour Windows 2000/XP/2003.
  2. Un système d'exploitation
    • Microsoft ® Windows Vista™;
    • Microsoft Windows Server 2003;
    • Microsoft Windows XP Service Pack 2 ou supérieur;
    • Microsoft Windows 2000 Service Pack 3 ou supérieur;
    • Microsoft Windows Server 2000 Service Pack 3 ou supérieur.

    Pour que le programme fonctionne avec une interface localisée, il faut que le système d'exploitation prenne en charge la langue requise.

  3. Mémoire vive (RAM) :
    • 512 Mo (minimum)/1024 Mo (recommandé) - pour Windows Vista;
    • 128 Mo (minimum)/512 Mo (recommandé) - pour Windows ХР/2003.

    Pour les systèmes multiprocesseurs, 16 Mo de RAM supplémentaires sont requis pour chaque processeur supplémentaire.

  4. Espace disque disponible : 420 Mo pour une configuration minimale (station opérateur uniquement), 450 Mo pour une installation standard (stations opérateur et administrateur, outils FlexiLayout et FormDesigner) ; et 200 Mo pour le fonctionnement du programme (1 Go recommandé).
  5. Un scanner compatible TWAIN ou ISIS.
  6. Une connexion Internet pour activer le numéro de série si c'est une clé de protection logicielle qui est utilisée, ou un port USB pour la clé de protection matérielle (dongle).
  7. Une carte vidéo offrant une résolution minimale de 800 × 600.
  8. Un clavier et une souris ou un autre dispositif de pointage.


Installation d'ABBYY FlexiCapture 8.0 Professional

Fermez toutes les autres applications (notamment Microsoft Outlook et Microsoft Word) avant d'installer ABBYY FlexiCapture 8.0 Professional.

Pour installer ABBYY FlexiCapture 8.0 Professional :

  1. Insérez le CD d'ABBYY FlexiCapture 8.0 Professional dans le lecteur de CD-ROM.
  2. Dans le menu Exécution automatique, sélectionnez Installation locale, puis suivez les instructions du programme d'installation. (Si l'exécution automatique est désactivée sur votre ordinateur, double-cliquez sur le fichier setup.exe situé sur le CD-ROM.)
  3. Sélectionnez une langue d'installation (le français, l'anglais ou le russe). Le programme d'installation compare les paramètres locaux de votre système et la langue sélectionnée. Si les langues sont incompatibles, un message d'avertissement s'affiche.
  4. Ensuite, le programme d'installation vérifie la version de votre système d'exploitation et les droits d'administrateur. Si la version du système d'exploitation n'est pas prise en charge par le programme, ou si vous n'avez pas de droits d'administrateur, un message d'avertissement s'affiche et le programme d'installation s'arrête.
  5. Si tous les contrôles ont réussi, le contrat de licence utilisateur final s'affiche. Lisez-le attentivement et, si vous en acceptez les termes, sélectionnez l'option correspondante et cliquez sur Suivant.
  6. Une boîte de dialogue s'ouvre, dans laquelle vous pouvez entrer des informations sur vous. Entrez les informations requises et poursuivez l'installation.
  7. Dans la boîte de dialogue suivante, sélectionnez l'un des modes d'installation suivants :
    • Complète – le programme s'installera dans sa totalité. Vous pourrez alterner entre le mode administrateur et le mode opérateur, et utiliser FormDesigner 8.0 et FlexiLayout Studio 8.0.
    • Station Opérateur – seule la station opérateur sera installée. (La station administrateur, FormDesigner 8.0 et FlexiLayout Studio 8.0 ne seront pas installés.)
  8. Sélectionnez ensuite un dossier de destination. Par défaut, le programme est installé sous : <nom du disque>:\Program Files\ABBYY FlexiCapture 8.0 Professional. S'il n'y a pas suffisamment d'espace sur le disque dur sélectionné, une fenêtre s'affiche. Elle montre vos disques durs, l'espace disque disponible et l'espace requis pour l'installation. Sélectionnez un disque offrant suffisamment d'espace, puis poursuivez l'installation.
  9. Les fichiers de programme sont alors copiés sur votre ordinateur. Une fois l'installation terminée, le programme d'installation affiche un message indiquant que l'application a été installée avec succès.
  10. Le Gestionnaire de licences de FlexiCapture 8.0 Professional se lance automatiquement afin que vous puissiez activer votre copie de l'application. Entrez votre numéro de série et activez l'application.


Installation d'ABBYY FlexiCapture 8.0 Professional sur un réseau local

ABBYY FlexiCapture 8.0 Professional peut être installé et utilisé sur un réseau local.

Pour l'installer sur un réseau, sélectionnez Installation réseau dans le menu Exécution automatique, puis suivez les instructions du programme d'installation.

L'installation réseau vous permet de déployer ABBYY FlexiCapture 8.0 Professional sur plusieurs ordinateurs. Elle s'effectue en deux opérations. La première opération consiste à installer le Gestionnaire de licences et la clé de protection sur l'un des ordinateurs du réseau local (le serveur). Si nécessaire, la distribution entière d'ABBYY FlexiCapture 8.0 Professional peut également être copiée sur le serveur. La seconde opération consiste à installer ABBYY FlexiCapture 8.0 Professional sur les stations de travail du réseau local.

Pour plus d'informations sur l'installation du programme sur un réseau local, consultez le Guide de l'administrateur système, qui est également disponible dans le menu Exécution automatique.


Changement de mode d'installation, réparation et suppression d'ABBYY FlexiCapture 8.0 Professional

Pour changer de mode d'installation (et sélectionner une installation complète ou de type station opérateur ):

  1. Sélectionnez Démarrer > Panneau de configuration > Ajout/Suppression de programmes, puis sélectionnez ABBYY FlexiCapture 8.0 Professional dans la liste des programmes installés, et cliquez sur Modifier.

  2. Sélectionnez l'élément Modifier, puis cliquez sur Suivant.

  3. Dans la boîte de dialogue qui s'ouvre, sélectionnez le mode d'installation requis.

Pour réparer des fichiers corrompus ou supprimés :

  1. Sélectionnez Démarrer > Panneau de configuration > Ajout/Suppression de programmes, puis sélectionnez ABBYY FlexiCapture 8.0 Professional dans la liste des programmes installés, et cliquez sur Modifier.

  2. Sélectionnez l'élément Réparer, puis cliquez sur Suivant.

Pour supprimer ABBYY FlexiCapture 8.0 Professional de votre ordinateur :

  1. Sélectionnez Démarrer > Panneau de configuration > Ajout/Suppression de programmes, puis sélectionnez ABBYY FlexiCapture 8.0 Professional dans la liste des programmes installés, et cliquez sur Supprimer.

  2. Confirmez que vous souhaitez supprimer le programme.


Exécution du programme

Pour lancer ABBYY FlexiCapture 8.0 Professional

  • En mode administrateur : sélectionnez Démarrer>Programmes>ABBYY FlexiCapture 8.0 , puis Station Administrateur ABBYY FlexiCapture 8.0 Professional.
  • En mode opérateur : sélectionnez Démarrer>Programmes>ABBYY FlexiCapture 8.0 , puis Station Opérateur ABBYY FlexiCapture 8.0 Professional.

Important ! Avant d'exécuter le programme, assurez-vous que :

  • Le scanner est connecté au PC et alimenté.
    S'il n'est pas connecté, consultez son manuel d'utilisation.
    Pour que le scanner fonctionne correctement, vous devez le mettre sous tension avant le PC.
  • Une clé de protection a été installée sur votre PC. Vous ne pouvez pas exécuter le programme sans clé.

Clés de registre contrôlant le lancement de l’application

Vous pouvez utiliser les clés de registre suivantes (sous Shell\StartUp) pour contrôler le processus de lancement de l’application :

  • AdminMode : détermine si l’application fonctionne en mode opérateur ou administrateur ;
  • Project : détermine si le projet est ouvert automatiquement au lancement de l’application ;
  • Batch : détermine si le lot est ouvert automatiquement au lancement de l’application (le lot doit être spécifié) ;
  • ProhibitChangePath : empêche de modifier le lot et le projet qui s’ouvrent automatiquement en mode opérateur (définir la valeur de la clé sur True).

Ces clés ne sont pas créées dans le registre par défaut. Si nécessaire, l’administrateur peut ajouter ces clés au registre du système d’exploitation de l’utilisateur.

Il est possible d’écraser les clés de registre par les paramètres de lancement via la ligne de commande correspondants.

Paramètres de lancement via la ligne de commande

Vous pouvez utiliser les paramètres suivants pour lancer l’application à partir de la ligne de commande :

FlexiCapture.exe [/Station:(Admin,Operator)] [/Project:"chemin d'accès du projet"] [/Batch:"nom du lot"] [/ProhibitChangePath].

  • [/Station:(Admin,Operator)] : détermine si l’application fonctionne en mode opérateur ou administrateur. Si aucun mode n'est spécifié, une boîte de dialogue apparaît au lancement de l’application et invite l’utilisateur à sélectionner le mode souhaité ;
  • [/Project:"chemin d’accès du projet"] : détermine si le projet est ouvert automatiquement au lancement de l’application ;
  • [/Batch:"nom du lot"] : détermine si le lot est ouvert automatiquement au lancement de l’application ;
  • [/ProhibitChangePath] : empêche de modifier le lot et le projet qui s’ouvrent automatiquement en mode opérateur.


Utilisation de modèles créés sous des versions antérieures d'ABBYY FormReader

Vous pouvez importer des modèles créés sous ABBYY FormReader 6.5 ou 6.0 dans ABBYY FlexiCapture 8.0 Professional.

Quand vous importez un modèle créé sous une version antérieure, le marquage de page (à l'exception des champs de service) et les types de données sont importés. Les types de données sont copiés dans le dossier Personnalisé au sein des types de données du modèle de document. Pour plus d'informations, consultez la section Types de données des champs d'entrée de texte.

Important ! Les paramètres d'exportation, les règles de validation et les images contenus dans le lot ne sont pas importés.

Pour importer un modèle créé sous ABBYY FormReader 6.5 ou 6.0 :

  1. Lancez ABBYY FlexiCapture 8.0 Professional en mode administrateur.
  2. Créez un nouveau projet ou ouvrez un projet existant, dans lequel vous souhaitez importer un modèle créé sous une version précédente du programme.
  3. Dans le menu principal, sélectionnez Projet > Modèles de document…
  4. Dans la boîte de dialogue Modèles de document, cliquez sur Importer….
  5. Dans la liste déroulante Fichiers de type, sélectionnez Lots FormReader 6.5 (*.frm), puis sélectionnez le lot dont vous souhaitez importer le modèle.

Le modèle importé est alors ajouté à la liste de modèles. S'il y a plusieurs modèles dans le lot, ils sont tous importés. Si vous avez spécifié une structure pour des documents de plusieurs pages dans ABBYY FormReader 6.5, les modèles décrits par cette structure sont fusionnés dans un seul et même modèle de plusieurs pages.

Conseils.
  1. Pour obtenir des informations détaillées sur les différences entre les règles des anciennes versions et de la nouvelle, consultez la section Comparaison entre les règles de FormReader 6.5 et de FlexiCapture 8.0 Professional.
  2. Pour obtenir des conseils sur la migration des règles If-Then, des règles d'automatisation et des exportations d'automatisation de FormReader 6.5 aux scripts FlexiCapture 8.0, consultez la section Migration des règles et exportations FormReader 6.5 aux scripts FlexiCapture 8.0 Professional.


Interface d'ABBYY FlexiCapture 8.0 Professional

Cette section présente les éléments clés de l'interface d'ABBYY FlexiCapture 8.0 Professional : les principales fenêtres ainsi que les menus et barres d'outils.

Fenêtre principale du programme
Menu de la fenêtre principale
Barres d'outils de la fenêtre principale
éditeur de modèles de document
Menu de l'éditeur de modèles de document
Barres d'outils de l'éditeur de modèles de document
Fenêtre du vérificateur groupé
Menu
Barre d'outils
Fenêtre du vérificateur de champs
Menu
Barre d'outils


Fenêtre principale d'ABBYY FlexiCapture 8.0 Professional

La fenêtre principale du programme affiche la liste des lots de documents qui font partie du projet sur lequel vous travaillez.

Afficher la fenêtre principale avec la liste de lots

Double-cliquez sur un lot pour afficher son contenu. Une liste des documents formant le lot s'affiche.

Pour retourner à la liste de lots, à partir du menu, sélectionnez Projet>Liste de lots de travail (ou Liste de lots de test si vous travaillez sur des lots de test).

Afficher la fenêtre principale avec un lot de documents ouvert

Le menu est situé dans la partie supérieure de la fenêtre, avec les barres d'outils à côté.

Le reste de la fenêtre principale contient la fenêtre de lot de travail, avec la liste de documents qu'il contient.

Une barre d'état est visible dans la partie inférieure de la fenêtre. Elle donne des détails sur l'état du programme et des opérations en cours, ainsi que des astuces sur les éléments de menu et les boutons que vous sélectionnez.

Vous devez ouvrir la fenêtre de document pour vérifier les données. Pour ce faire, double-cliquez sur le nom du document ou sur l'une de ses pages. La fenêtre de document se décompose en trois parties :

  • l'image de page document ;
  • les données reconnues ;
  • les erreurs de règle (cette partie ne s'affiche que s'il y a des erreurs de règle).

Pour plus d'informations, consultez la section Vérification dans la fenêtre de document

Afficher la fenêtre de document

Menu de la fenêtre principale
Barres d'outils de la fenêtre principale


Menu de la fenêtre principale d'ABBYY FlexiCapture 8.0 Professional

Fichier
élément de menu | Description
Nouveau projet… | Crée un nouveau projet
Ouvrir un projet… | Ouvre un projet existant
Fermer le projet | Ferme le projet en cours
Enregistrer | Enregistre les modifications
Charger des images… | Charge des images à partir de fichiers
Numériser des images… | Ajoute des images à partir du scanner
Importer des images… | Importe des images à l'aide de l'un des profils d'importation configurés
Exporter | Exporte des données à l'aide des paramètres d'exportation de modèles de documents
Exporter vers |
Fichier… | Exporte des données vers un fichier
Base de données… | Exporte des données vers une base de données
Projets récents | Ouvre l'un des derniers projets ouverts
Quitter | Ferme ABBYY FlexiCapture 8.0
Editer
élément de menu | Description
Annuler | Annule l'action précédente
Rétablir | Rétablit l'action annulée
Couper | Coupe les objets en surbrillance
Copier | Copie dans le presse-papiers les objets en surbrillance
Coller | Colle le contenu du presse-papiers
Supprimer | Supprime les objets en surbrillance
Tout sélectionner | Sélectionne tout
Rechercher… | Recherche un texte spécifique
Rechercher suivant | Recherche l'occurrence suivante du texte spécifié
Aller à |
Document suivant | Passe au document suivant
Document précédent | Retourne au document précédent
Image |
Nettoyer | Supprime le bruit de l'image
Inverser | Inverse l'image
Tourner de 90° vers la droite | Fait pivoter l'image de 90° dans le sens horaire
Tourner de 90° vers la gauche | Fait pivoter l'image de 90° dans le sens antihoraire
Tourner de 180° | Fait pivoter l'image de 180°
Afficher
élément de menu | Description
Documents |
Détails | Affiche les documents et leurs pages sous forme de liste détaillée
Vignettes | Affiche les images des pages de document sous forme de vignettes
éditeur de document |
Mode Image | Affiche une image de page dans la fenêtre de document
Mode Données | Affiche les données reconnues dans la fenêtre de document
Fenêtre d'image | Permet de sélectionner l'emplacement de l'image dans la fenêtre de document
Fenêtre d'erreurs | Permet de sélectionner l'emplacement de la fenêtre d'erreurs dans la fenêtre de document
Afficher la barre d'outils en mode Données | Affiche/masque la barre d'outils dans la fenêtre de document. Cette barre d'outils permet de corriger certaines erreurs de l'application, par exemple pour ajouter un champ qui n'a pas été trouvé, ou pour supprimer un séparateur de tableau. Cette option est surtout utilisée pour travailler avec des descriptions flexibles.
Barres d'outils | Affiche/masque les barres d'outils dans la fenêtre principale
Barre d'état | Affiche/masque la barre d'état
Afficher l'image en noir et blanc | Affiche les images en couleur et en niveaux de gris des pages de document en mode noir et blanc
échelle de l'image | Définit l'échelle d'image appropriée pour les pages de document
Taille du texte de données | Permet de sélectionner une taille de police pour afficher les données reconnues
Plein écran | Passe en mode plein écran
Propriétés… | Ouvre la boîte de dialogue de propriétés d'un document ou d'une page
Importation et reconnaissance
élément de menu | Description
Importer des images… | Importe des images à l'aide de l'un des profils d'importation configurés
Analyser | Analyse les pages de document en sélectionnant un modèle approprié
Associer un modèle… | Applique le modèle sélectionné par l'utilisateur au document ou à la page en surbrillance
Reconnaître | Exécute le processus de reconnaissance
Vérification
élément de menu | Description
Exécuter la vérification… | Exécute le processus de vérification
Erreur d'assemblage suivante | Passe à l'erreur d'assemblage suivante
Erreur d'assemblage précédente | Retourne à l'erreur d'assemblage précédente
Caractère incertain suivant | Passe au caractère suivant reconnu sans certitude
Caractère incertain précédent | Retourne au caractère précédent reconnu sans certitude
Erreur de règle suivante | Passe à l'erreur de règle suivante
Erreur de règle précédente | Retourne à l'erreur de règle précédente
Projet
élément de menu | Description
Liste de lots de travail | Ferme le lot en cours et ouvre la liste de lots de document de travail
Liste de lots de test | Ferme le lot en cours et ouvre la liste de lots de documents de test. Cet élément de menu n'est disponible qu'en mode administrateur.
Modèles de document… | Ouvre une boîte de dialogue avec une liste de modèles de documents, dans laquelle vous pouvez effectuer un certain nombre d'opérations sur les modèles : créer un nouveau modèle, ou modifier, important ou supprimer un modèle existant. Cet élément de menu n'est disponible qu'en mode administrateur.
Profils d'importation d'images… | Ouvre une boîte de dialogue avec une liste de profils d'importation d'images, dans laquelle vous pouvez effectuer un certain nombre d'opérations sur les profils d'importation : créer un nouveau profil ou copier, modifier ou supprimer un profil existant. Cet élément de menu n'est disponible qu'en mode administrateur.
Passer en mode Admin… | Passe en mode administrateur. Cet élément de menu n'est disponible qu'en mode opérateur.
Protéger par un mot de passe… | Protège le projet en cours par un mot de passe. Cet élément de menu n'est disponible qu'en mode administrateur.
Ôter la protection… | Supprime la protection par mot de passe du projet. Cet élément de menu n'est disponible qu'en mode administrateur.
Exporter le projet… | Exporte le projet dans le dossier spécifié par l’utilisateur. Les images proviennent du projet en cours.
Mettre à jour le projet… | Met à jour le projet. Vous pouvez enregistrer dans un fichier les messages et les erreurs susceptibles d’apparaître pendant l’exportation (cliquez à l'aide du bouton droit de la souris et sélectionnez Exporter vers le fichier).
Propriétés du projet… | Ouvre une boîte de dialogue présentant les propriétés du projet.
Outils
élément de menu | Description
Analyser à nouveau | Analyse de nouveau les documents
Reconnaître à nouveau | Reconnaît de nouveau les documents
Actualiser l'assemblage | Actualise l'assemblage des pages dans un document
Vérifier à nouveau les règles | Vérifie de nouveau les règles
Options… | Ouvre la boîte de dialogue Options, qui permet de configurer divers paramètres, tels que le traitement des tâches en arrière-plan, les vues de fenêtres, etc.
Aide
élément de menu | Description
Rubriques d'aide… | Ouvre les rubriques d'aide d'ABBYY FlexiCapture 8.0 Professional
Support technique… | Ouvre la page Support technique des rubriques d'aide
Comment acheter des produits ABBYY… | Ouvre la page Comment acheter ABBYY FlexiCapture 8.0 Professional des rubriques d'aide
Site Web d'ABBYY… | Ouvre le site Web d'ABBYY
Envoyer des commentaires | Permet aux utilisateurs d'envoyer des commentaires et des suggestions à ABBYY.
À propos d'ABBYY FlexiCapture 8.0… | Ouvre la boîte de dialogue À propos d'ABBYY FlexiCapture 8.0 Professional avec une brève description du programme.


Barres d'outils de la fenêtre principale d'ABBYY FlexiCapture 8.0 Professional

Barre d'outils standard

Nom | Bouton | Description
Ouvrir un projet... |  | Ouvre un autre projet
Enregistrer les modifications |  | Enregistre les modifications
Couper |  | Coupe un objet sélectionné quand vous travaillez avec des données dans la fenêtre de document
Copier |  | Copie un objet sélectionné
Coller |  | Colle un objet copié précédemment dans le presse-papiers
Supprimer |  | Supprime un objet sélectionné
Annuler |  | Annule l'action précédente
Refaire |  | Rétablit une action annulée précédemment
Vue Vignettes |  | Affiche les images des pages de document sous forme de vignettes
Vue Détails |  | Affiche les documents et leurs pages sous forme de liste détaillée
élément précédent à vérifier |  | Retourne à l'élément précédent à vérifier. Le programme navigue au sein de toutes les erreurs, y compris les erreurs d'assemblage, les caractères reconnus sans certitude, les erreurs de règle, les défauts de correspondance entre champs clés, etc.
élément suivant à vérifier |  | Passe à l'élément suivant à vérifier. Le programme navigue au sein de toutes les erreurs, y compris les erreurs d'assemblage, les caractères reconnus sans certitude, les erreurs de règle, les défauts de correspondance entre champs clés, etc.
Document précédent |  | Retourne au document précédent
Document suivant |  | Passe au document suivant
Barre d'outils de traitement

La barre d'outils de traitement permet d'effectuer toutes les actions de traitement de document. Les boutons de cette barre d'outils sont multifonctions, et ils fonctionnent dans différents modes.

Le nom du premier bouton – le bouton d'ajout d'image – change en fonction du mode sélectionné. Quand vous cliquez dessus, le programme effectue une action correspondant au nom.

Pour sélectionner un mode, cliquez sur le triangle situé à droite du bouton, puis sélectionnez l'élément de menu requis.

Bouton | Mode | Description
 | Charger des images… | Charge des images à partir de fichiers et les ajoute au lot en cours
 | Numériser les images… | Ajoute des images au lot à partir du scanner
 | Importer des images… | Importe des images à l'aide de l'un des profils d'importation d'image configurés
 | Liste des profils d'importation existants | Pour commencer à importer des images, sélectionnez simplement l'un des profils d'importation configurés dans la liste
 | Reconnaître | Exécute le processus de reconnaissance
 | Analyser | Analyse les pages de document en sélectionnant un modèle approprié
 | Associer un modèle… | Applique le modèle sélectionné par l'utilisateur au document ou à la page en surbrillance
 | Exécuter la vérification… | Exécute le processus de vérification
 | Vérifier à nouveau les règles | Exécute le processus de nouvelle vérification des règles
 | Exporter | Exporte les données conformément au profil d'exportation configuré dans les modèles de documents
 | Exporter vers le fichier… | Exporte les données vers un fichier
 | Exporter vers une base de données… | Exporte des données vers une base de données


Fenêtre de l'éditeur de modèles de document

La fenêtre de d'éditeur de modèles de document permet de créer et de modifier des modèles.

Pour ouvrir l'éditeur de modèles de document, à partir de la fenêtre principale du programme :

  1. Sélectionnez l'élément de menu Projet>Modèles de document….
  2. Dans la boîte de dialogue Modèles de document qui s'ouvre, mettez en surbrillance le nom du modèle, puis cliquez sur Éditer….

La fenêtre de l'éditeur de modèles de document s'ouvre également au terme de la procédure de l'Assistant Modèle.

Afficher la fenêtre de l'éditeur de modèles de document

La fenêtre de l'éditeur de modèles de document se décompose en trois parties :

  1. L'image de page, avec le marquage des champs et des éléments statiques visible dans la partie supérieure gauche.

    Le programme comporte deux modes pour le traitement des champs et les éléments statiques :

    • le mode de marquage de champs, que vous pouvez activer en cliquant sur le bouton [image] ;
    • le mode d'éléments statiques, que vous pouvez activer en cliquant sur le bouton [image].
  2. L'éditeur qui permet de configurer la présentation des données reconnues est situé dans la partie inférieure gauche.
  3. La structure du document, avec une liste de tous les champs du modèle (onglet Champs) est située dans la partie droite. Vous pouvez également passer en mode contour de page (onglet Pages).

Menu de l'éditeur de modèles
Barres d'outils de l'éditeur de modèles


Menu de l'éditeur de modèles

Modèle
élément de menu | Description
Ajouter une page… | Ajoute une nouvelle image de page au modèle
Ajouter une section de document… | Ajoute une nouvelle section au lot
Modules de script |
Script de règle… | Ouvre le Module de script global de règle of the Éditeur de script. Pour de plus d’informations sur les modules de script, consultez la section Utilisation des scripts dans FlexiCapture 8.0.
Script d'exportation… | Ouvre le Module de script global d'exportation of the Éditeur de script. Pour de plus d’informations sur les modules de script, consultez la section Utilisation des scripts dans FlexiCapture 8.0.
Paramètres d'exportation… | Ouvre la boîte de dialogue Paramètres d'exportation, qui permet de configurer les options d'exportation de données
Propriétés du modèle de document… | Ouvre une boîte de dialogue permettant d'afficher et de modifier les propriétés du document
Enregistrer | Enregistre les modifications
Fermer | Ferme l'éditeur de modèles de document
Editer
élément de menu | Description
Annuler | Annule l'action précédente
Rétablir | Rétablit l'action annulée
Couper | Coupe les objets en surbrillance
Copier | Copie dans le presse-papiers les objets en surbrillance
Coller | Colle le contenu du presse-papiers
Supprimer | Supprime les objets en surbrillance
Supprimer la région | Supprime les régions des images des objets en surbrillance
Tout sélectionner | Sélectionne tout
Sélectionner par type… | Détecte les objets d'un certain type
Créer un champ |
Texte | Ajoute un champ d'entrée de texte à la structure du document (sans région sur l'image)
Coche | Ajoute un champ de coche à la structure du document (sans région sur l'image)
Groupe de coches | Ajoute un champ de groupe de coches à la structure du document (sans région sur l'image)
Code barre | Ajoute un champ de code barre à la structure du document (sans région sur l'image)
Image | Ajoute un champ d'image graphique à la structure du document (sans région sur l'image)
Tableau | Ajoute un champ de tableau à la structure du document (sans région sur l'image)
Groupe | Ajoute un groupe de champs à la structure du document (sans région sur l'image)
Grouper | Goupe les objets en surbrillance
Dégrouper | Dégroupe les objets en surbrillance
Copier le texte de l'image… | Récupère le texte d'une région de l'image et la stocke dans le presse-papiers. Après avoir sélectionné cette commande, mettez en surbrillance la région contenant le texte désiré.
Image... |
Nettoyer | Supprime le bruit de l'image
Inverser | Inverse l'image
Tourner de 90° vers la droite | Fait pivoter l'image de 90° dans le sens horaire
Tourner de 90° vers la gauche | Fait pivoter l'image de 90° dans le sens antihoraire
Tourner de 180° | Fait pivoter l'image de 180°
Enregistrer sous… | Enregistre l'image de la page de modèle dans le fichier indiqué
Remplacer… | Remplace l'image de la page de modèle
Afficher
élément de menu | Description
Présentation d'image |
Éléments statiques | Passe en mode éléments statiques
Régions de champs | Passe en mode Marquage de champs
Structure du document |
Afficher la structure du document | Affiche/masque la fenêtre de structure du document
Champs | Bascule la fenêtre Structure du document en mode Champs
Pages | Bascule la fenêtre Structure du document en mode Pages
Formulaire de données | Affiche/masque la fenêtre de l'éditeur de données
Barre d'outils de présentation |
Horizontal | Ancre la barre d'outils de la fenêtre de présentation d'image horizontalement
Vertical | Ancre la barre d'outils de la fenêtre de présentation d'image verticalement
Afficher l'image en noir et blanc | Affiche les images en couleur et en niveaux de gris des pages en mode noir et blanc
échelle de l'image | Sélectionne une échelle d'image appropriée
Propriétés… | Ouvre une boîte de dialogue permettant d'afficher et de modifier les propriétés de l'objet en surbrillance
Document
élément de menu | Description
Exécuter un test | Exécute le test du modèle sur l’image du document.
Terminer un test | Interrompt le test du modèle.
Mode Image | Affiche une image de page dans la fenêtre de document
Mode Données | Affiche les données reconnues dans la fenêtre de document
Afficher |
Fenêtre d'image | Permet de sélectionner l'emplacement de l'image dans la fenêtre de document
Fenêtre d'erreurs | Permet de sélectionner l'emplacement de la fenêtre d'erreurs dans la fenêtre de document
Afficher la barre d'outils en mode Données | Affiche/masque la barre d'outils dans la fenêtre de document. Cette barre d'outils permet de corriger certaines erreurs de l'application, par exemple pour ajouter un champ qui n'a pas été trouvé, ou pour supprimer un séparateur de tableau. Cette option est surtout utilisée pour travailler avec des descriptions flexibles.
Vérification |
Élément suivant à vérifier | Passe à l'élément suivant à vérifier. Le programme navigue au sein de toutes les erreurs, y compris les erreurs d'assemblage, les caractères reconnus sans certitude, les erreurs de règle, les défauts de correspondance entre champs clés, etc.
Élément précédent à vérifier | Retourne à l'élément précédent à vérifier. Le programme navigue au sein de toutes les erreurs, y compris les erreurs d'assemblage, les caractères reconnus sans certitude, les erreurs de règle, les défauts de correspondance entre champs clés, etc.
Caractère incertain suivant | Passe au caractère suivant reconnu sans certitude.
Caractère incertain précédent | Retourne au caractère précédent reconnu sans certitude.
Erreur de règle suivante | Passe à l'erreur de règle suivante.
Erreur de règle précédente | Retourne à l'erreur de règle précédente.
Outils
élément de menu | Description
Détecter automatiquement les objets… | Détecte et met en surbrillance automatiquement les champs et les éléments statiques d'un certain type (en fonction du mode)
Vérifier le modèle de document | Vérifie le modèle de document
Associer la section | Vérifie l'association d'une section de modèle
Passer au test de lot… | Permet de passer en mode de test de lots
Aide
élément de menu | Description
Rubriques d'aide… | Ouvre les rubriques d'aide d'ABBYY FlexiCapture 8.0 Professional
Envoyer un commentaire | Permet aux utilisateurs d'envoyer des commentaires et des suggestions à ABBYY.


Barres d'outils de l'éditeur de modèles

Barre d'outils standard

Nom | Bouton | Description
Enregistrer les modifications |  | Enregistre les modifications
Couper |  | Coupe un objet sélectionné quand vous travaillez avec des données dans la fenêtre de document
Copier |  | Copie un objet sélectionné
Coller |  | Colle un objet copié précédemment dans le presse-papiers
Supprimer |  | Supprime un objet sélectionné
Annuler |  | Annule l'action précédente
Refaire |  | Rétablit une action annulée précédemment
Vérifie le modèle de document |  | Vérifie le modèle de document. Le résultat de la vérification s'affiche dans la partie inférieure de la fenêtre de l'éditeur de modèles
Barre d'outils de la fenêtre de présentation d'image

La barre d'outils de la fenêtre de présentation d'image sert à créer des éléments statiques et des champs de modèle. Le jeu de boutons de la barre d'outils change en fonction du mode sélectionné.

En mode d'éléments statiques :

En mode de marquage de champs :

Cette barre d'outils peut être ancrée horizontalement ou verticalement. Son orientation peut être modifiée sous Afficher>Présentation d'image.
Nom | Bouton | Description
Généralités
Mode d'éléments statiques |  | Passe en mode d'éléments statiques
Mode de régions de champ |  | Passe en mode de régions de champ
Zoom |  | Augmente l'échelle d'image
Détection automatique des objets |  | Détecte automatiquement les objets de l'image. Sélectionnez cet outil, puis cliquez à l'intérieur de la région de l'objet.
Sélectionner des régions |  | Met en surbrillance les régions des objets qui ont été sélectionnés sur l'image. Pour mettre en surbrillance une région, sélectionnez cet outil, puis cliquez au sein de la région de l'objet.
En mode d'éléments statiques
Créer une ancre |  | Crée une ancre. Sélectionnez cet outil, puis utilisez la souris pour dessiner un rectangle autour de l'ancre.
Créer un séparateur |  | Crée un séparateur. Sélectionnez cet outil, puis utilisez la souris pour dessiner un rectangle autour du séparateur.
Créer du texte ancré |  | Crée un texte ancré. Sélectionnez cet outil, puis utilisez la souris pour dessiner un rectangle autour du texte.
Créer un code barre d'ancrage |  | Crée un code barre d'ancrage. Sélectionnez cet outil, puis utilisez la souris pour dessiner un rectangle autour du code barre.
En mode de marquage de champs
Créer un texte |  | Crée un champ d'entrée de texte. Sélectionnez cet outil, puis utilisez la souris pour dessiner un rectangle autour de la région d'entrée de texte.
Créer une coche |  | Crée un champ de coche. Sélectionnez cet outil, puis utilisez la souris pour dessiner un rectangle autour de la région de coche.
Créer un groupe de coches |  | Crée un groupe de coches. Sélectionnez cet outil, puis utilisez la souris pour dessiner un rectangle autour du groupe de coches.
Créer un code barre |  | Crée un champ de code barre. Sélectionnez cet outil, puis utilisez la souris pour dessiner un rectangle autour du code barre.
Créer une image graphique |  | Crée un champ d'image graphique. Sélectionnez cet outil, puis utilisez la souris pour dessiner un rectangle autour de l'image graphique.
Créer un tableau |  | Crée un champ de tableau. Sélectionnez cet outil, puis utilisez la souris pour dessiner un rectangle autour du tableau. Des boutons de marquage de tableau supplémentaires apparaissent alors sur la barre d'outils.
Créer un groupe |  | Crée un groupe de champs. Sélectionnez cet outil, puis utilisez la souris pour dessiner un rectangle autour du groupe de champs.
Créer une région pour un champ sans région |  | Crée une région pour un champ qui est inclus dans la structure du document mais n'a pas de région sur l'image. Sélectionnez cet outil, puis utilisez la souris pour dessiner un rectangle autour de la région de champ. Sélectionnez un nom dans la liste déroulante. (La liste affiche les noms des champs qui n'ont pas de région sur l'image.)
Créer une région non reconnaissable |  | Met en surbrillance un champ qui sera exclu du processus de reconnaissance.
Boutons de marquage de tableau Visibles uniquement si au moins un tableau a été créé dans la section de modèle concernée
Créer une colonne |  | Permet de créer une colonne de tableau et d'indiquer son type. Pour créer une colonne, sélectionnez cet outil puis cliquez à l'intérieur de la région ou vous souhaitez la créer. Sélectionnez un type de colonne dans la liste déroulante.
Dessiner un séparateur de tableau |  | Ajoute des séparateurs horizontaux et verticaux au tableau.
Supprimer le séparateur |  | Supprime un séparateur


Fenêtre du vérificateur groupé

La fenêtre du vérificateur groupé s'ouvre quand vous exécutez le processus de vérification (en sélectionnant Vérification>Exécuter la vérification… dans le menu de la fenêtre principale), à condition que le modèle contienne des champs pour lesquels l'option Inclure dans la vérification groupée soit activée. Pour plus d'informations, consultez la section Propriétés de la vérification de champ.

Cette fenêtre est conçue pour vous permettre d'effectuer un contrôle visuel sur les caractères reconnus comme identiques. Consultez la section Vérification groupée.

Menu de la fenêtre du vérificateur groupé
Barre d'outils de la fenêtre du vérificateur groupé


Menu de la fenêtre du vérificateur groupé

Vérification
élément de menu | Description
Tout confirmer | Confirme la reconnaissance correcte de tous les caractères et passe à l'écran suivant
Tout différer | Rejette tous les caractères, ce qui les rend discutables
Basculer | Rejette le caractère en surbrillance, ce qui le rend discutable
Page suivante | Passe à la page suivante si tous les caractères ne tiennent pas sur un même écran
Page précédente | Revient à la page précédente si tous les caractères ne tiennent pas sur un même écran
Fermer | Ferme la fenêtre du vérificateur
Editer
élément de menu | Description
Annuler | Annule l'action précédente
Rétablir | Rétablit une action annulée précédemment
Tout sélectionner | Met en surbrillance tous les caractères
Afficher
élément de menu | Description
Image de champ |
Afficher l'image du champ | Affiche/masque une image de champ contenant le caractère en cours
Au-dessus | Place l'image de champ dans la partie supérieure de la fenêtre du vérificateur
En dessous | Place l'image de champ dans la partie inférieure de la fenêtre du vérificateur
échelle de l'image | Permet de sélectionner une échelle appropriée pour l'image de champ
Afficher l'image du caractère | Affiche l'image du caractère
Barre d'outils | Affiche/masque la barre d'outils
Barre d'état | Affiche/masque la barre d'état
Taille de caractère | Permet de sélectionner une taille de caractère appropriée
Plein écran | Passe en mode plein écran
Préférences… | Permet de configurer la vue de la zone adjacente des caractères
Aide
élément de menu | Description
Rubriques d'aide… | Ouvre les rubriques d'aide d'ABBYY FlexiCapture 8.0 Professional
À propos d'ABBYY FlexiCapture 8.0… | Ouvre la boîte de dialogue À propos d'ABBYY FlexiCapture 8.0 Professional avec une brève description du programme


Barre d'outils de la fenêtre du vérificateur groupé

Nom | Bouton | Description
Page précédente |  | Revient à la page précédente si tous les caractères ne tiennent pas sur un même écran
Page suivante |  | Passe à la page suivante si tous les caractères ne tiennent pas sur un même écran
Confirmer l'écran |  | Confirme la reconnaissance correcte de tous les caractères et passe à l'écran suivant.
Changer l'état du caractère |  | Change l'état du caractère en rejeté ou confirmé
Annuler |  | Annule l'action précédente
Rétablir |  | Rétablit une action annulée précédemment


Fenêtre du vérificateur de champs

La fenêtre du vérificateur de champs apparaît quand le processus de vérification groupée est terminé, à condition que le modèle contienne des champs pour lesquels l'option Inclure dans la vérification du champ soit activée. Pour plus d'informations, consultez la section Propriétés de la vérification de champ.

Cette fenêtre permet d'opérer un contrôle visuel sur les caractères reconnus de manière incertaine dans le texte du champ entier. Consultez la section Vérification de champ.

Barre d'outils de la fenêtre du vérificateur
Barre d'outils de la fenêtre du vérificateur


Menu de la fenêtre du vérificateur de champs

Vérification
élément de menu | Description
Confirmer le champ | Confirme un champ
Différer | Diffère la vérification d'un champ
Caractère incertain suivant | Passe au caractère suivant reconnu sans certitude
Caractère incertain précédent | Retourne au caractère précédent reconnu sans certitude
Champ suivant | Passe au champ suivant
Champ précédent | Retourne au champ précédent
Fermer | Ferme la fenêtre du vérificateur
Editer
élément de menu | Description
Annuler | Annule l'action précédente
Rétablir | Rétablit une action annulée précédemment
Couper | Coupe les objets en surbrillance
Copier | Copie dans le presse-papiers les objets en surbrillance
Coller | Colle le contenu du presse-papiers
Supprimer | Supprime les objets en surbrillance
Tout sélectionner | Sélectionne tout
Insérer un saut de ligne | Insère un saut de ligne
Fusionner les caractères | Fusionne les caractères en surbrillance si, pendant la reconnaissance, un caractère a été subdivisé par erreur en plusieurs.
Afficher
élément de menu | Description
Données de champ |
Texte reconnu | Affiche/masque le texte reconnu
Coupe des images de caractère | Passe en mode d'affichage de champs avec coupe de caractères
Afficher les symboles spéciaux | Affiche/masque les symboles spéciaux
Image de champ |
Afficher l'image du champ | Affiche/masque une image de champ contenant le caractère en cours
Au-dessus | Place l'image de champ dans la partie supérieure de la fenêtre du vérificateur
En dessous | Place l'image de champ dans la partie inférieure de la fenêtre du vérificateur
échelle de l'image | Définit l'échelle d'image appropriée pour les pages de document
Champs environnants | Affiche/masque les champs environnants
Afficher l'image du caractère | Affiche/masque l'image du caractère
Barre d'outils | Affiche/masque les barres d'outils dans la fenêtre principale
Barre d'état | Affiche/masque la barre d'état
Taille de caractère | Permet de sélectionner une taille de caractère appropriée
Plein écran | Passe en mode plein écran
Préférences… | Enregistre la vue configurée de la fenêtre du vérificateur
Aide
élément de menu | Description
Rubriques d'aide… | Ouvre les rubriques d'aide d'ABBYY FlexiCapture 8.0 Professional
À propos d'ABBYY FlexiCapture 8.0… | Ouvre la boîte de dialogue À propos d'ABBYY FlexiCapture 8.0 Professional avec une brève description du programme


Barre d'outils de la fenêtre du vérificateur de champ

Nom | Bouton | Description
Champ précédent |  | Retourne au champ précédent
Champ suivant |  | Passe au champ suivant
Confirmer/Ignorer le champ |  | Confirme la reconnaissance correcte de tous les caractères d'un champ et passe au champ suivant. Si la valeur du champ ne tient pas dans le format du champ, le nom du bouton change et indique Ignorer le champ. Si la valeur du champ ne peut pas être corrigée, sa vérification peut être différée ou ignorée.
Différer |  | Diffère la vérification du champ si sa valeur ne peut pas être corrigée
Caractère incertain précédent |  | Retourne au caractère précédent reconnu sans certitude
Caractère incertain suivant |  | Passe au caractère suivant reconnu sans certitude
Annuler |  | Annule l'action précédente
Rétablir |  | Rétablit une action annulée précédemment


Configuration du programme

Avant d'entrer des documents en masse, vous devez configurer le programme pour traiter les documents du type requis. L'administrateur configure tous les paramètres requis.

Pour configurer le traitement des documents, créez un projet contenant :

  • des profils d'importation d'image ;
  • un ou plusieurs modèles de document ;
  • les lots de documents à traiter.

Vous pouvez inclure différents modèles dans le projet, auquel cas les différents documents seront traités dans le cadre du même projet, en fonction du modèle appliqué. Toutefois, si les flux de documents ne s'entrecoupent jamais, vous pouvez créer des projets différents pour chaque type de document.

Modes administrateur et opérateur
Création d'un projet
Modèle de document
Profils d'importation d'image
Paramètres d'exportation par défaut
Lots de documents
Champs d'index


Modes administrateur et opérateur.

Pour organiser l'acquisition de données en une opération unique à l'aide d'ABBYY FlexiCapture 8.0 Professional, vous devez configurer le système pour traiter certains types de documents. Tous les paramètres sont configurés par l'administrateur, tandis que l'entrée de documents est prise en charge par les opérateurs. Le nombre de stations de travail dépend du nombre et du volume de documents à traiter.

L'administrator configure le système et contrôle son fonctionnement. Il a pour rôle de :

  • concevoir les nouveaux formulaires vierges (cette tâche peut être prise en charge par le concepteur) ;
  • configurer les options d'importation d'image et de numérisation ;
  • préparer les modèles de document ;
  • surveiller l'entrée des données dans un système configurer et conseiller les opérateurs.

Les opérateurs prennent en charge l'entrée des documents. Ils travaillent avec un système qui a été préconfiguré par l'administrateur et qui est prêt à traiter certains types de documents terminés. Les opérateurs ont pour travail de :

  • numériser ou importer les documents ;
  • vérifier les données ;
  • exporter les données.

La reconnaissance de document est un processus automatique.

Le programme possède deux modes de fonctionnement : les modes administrateur et opérateur L'administrateur a accès à toutes les fonctions du programme, et le mode administrateur peut être protégé par mot de passe. L'opérateur ne peut pas créer ou modifier des modèles, ni créer des profils d'importation. Il n'est autorisé à travailler que sur un projet, ou un lot unique.

Au moment d'installer le programme, vous pouvez choisir ne n'installer que la station opérateur ou d'installer le programme complet. Si vous sélectionnez l'installation complète, vous aurez la possibilité d'alterner entre les modes administrateur et opérateur. Pour activer l'un de ces modes, sélectionnez Démarrer > Tous les programmes > ABBYY FlexiCapture 8.0 > Station Administrateur ABBYY FlexiCapture 8.0 Professional ou Démarrer > Tous les programmes > ABBYY FlexiCapture 8.0 > Station Opérateur ABBYY FlexiCapture 8.0 Professional. (Pour de plus d’informations, consultez la section Exécution du programme).

Vous pouvez configurer les options d'exécution de FlexiCapture pour contrôler le mode de fonctionnement du programme, le projet et le lot qui s'ouvrent automatiquement (en mode opérateur, vous pouvez empêcher leur modification à l'aide de l'indicateur ProhibitChangePath) et le mot de passe par défaut :

FlexiCapture.exe [/Station:(Admin,Operator)] [/Project:"chemin d'accès du projet"] [/Batch:"nom du lot"] [/ProhibitChangePath].

Si le mode n'a pas été spécifié, une boîte de dialogue vous demandant de sélectionner le mode requis apparaît quand vous lancez le programme.

En mode administrateur, le menu Projet fait apparaître les éléments Liste de lots de test, Modèles de document…, Profils d'importation d'images…, Protéger par un mot de passe… et Ôter la protection…, qui ne sont pas accessibles en mode opérateur. Vous ne pouvez donc travailler qu'avec des lots, des modèles de document et des profils d'importation de test en mode administrateur. L'administrateur peut aussi protéger un projet par mot de passe ou le déprotéger. Si vous essayez d'ouvrir un projet protégé par mot de passe en mode administrateur, le programme vous demande d'entrer ce mot de passe.

En mode opérateur, le menu Projet contient l'élément Passer en mode Admin…. Quand vous sélectionnez cet élément, le projet et le lot en cours s'ouvrent (à condition que vous entriez au préalable le mot de passe requis si le lot est protégé par mot de passe). Si vous n'êtes pas autorisé à modifier le projet ou le lot en cours en mode opérateur, les éléments de menu et les barres d'outils correspondants sont absents.


Création d'un projet

Pour commencer à travailler, vous devez créer un projet. Un projet comprend :

  • des profils d'importation d'image ;
  • un ou plusieurs modèles de document ;
  • les lots de documents à traiter.

Quand vous lancez le programme, la boîte de dialogue Ouvrir un projet s'ouvre. Elle vous permet de sélectionner un projet existant ou d'en créer un nouveau.

Pour créer un nouveau projet :

  1. Cliquez sur le bouton Créer un nouveau….
  2. Indiquez un dossier de stockage pour le projet et un nom pour ce projet.
  3. Cliquez sur Créer.

Si ABBYY FlexiCapture 8.0 Professional fonctionne déjà et si un projet a été ouvert, pour créer un nouveau projet, sélectionnez l'élément de menu Fichier>Nouveau projet…

Propriétés du projet
Modèles de document
Profils d'importation d'image
Lots de documents


Propriétés du projet

Vous pouvez consulter et modifier les propriétés du projet dans une boîte de dialogue distincte que vous pouvez afficher en sélectionnant Projet>Propriétés du projet… dans la fenêtre principale.

L'onglet Général affiche le nom du projet, le chemin d'accès des fichiers du projet et une description du projet.

L'onglet Prétraitement d'image affiche les options de prétraitement d'image. Vous pouvez modifier ces options, au besoin. Pour plus d'informations, consultez la section Options de prétraitement d'image.

L'onglet Reconnaissance contient l'option Supprimer les pages vierges pendant la reconnaissance. Sélectionnez cette option si vous souhaitez supprimer les pages vierges pendant la reconnaissance.

L'onglet Exporter affiche les paramètres d'exportation par défaut. Vous pouvez modifier ces paramètres, au besoin. L'option Exécuter le script après l'exportation permet d'activer le gestionnaire d'exportation. Pour plus d'informations sur le gestionnaire d'exportation, consultez les chapitres Utilisation de scripts pour décrire une exportation et Exemples de scripts décrivant une exportation.


Modèles de document

La création d'un modèle est l'aspect principal et le plus délicat de la configuration d'un projet. Elle détermine la qualité des données obtenues au terme du traitement.

Vous ne pouvez créer des modèles qu'en mode administrateur.

Un modèle décrit l'emplacement des éléments d'un document, et indique les champs à utiliser lors de l'extraction des données. Pour créer un modèle, vous devez spécifier les propriétés des champs ainsi que leur plage de valeurs. Vous devez aussi configurer les paramètres d'exportation de données.

Pour commencer à créer un modèle de document, lancez l'Assistant Modèle :

  1. Dans le menu principal d'ABBYY FlexiCapture 8.0 Professional, sélectionnez Projet > Modèles de document…
  2. Dans la boîte de dialogue Modèles de document qui s'ouvre, cliquez sur le bouton Nouveau….
  3. Suivez les instructions de l'Assistant Modèle.

Assistant Modèle
Détection automatique des champs et des éléments statiques
éléments statiques
Création de champs dans un modèle de document
Propriétés de champ
Validation par règle
Configuration de l'exportation de données
Configuration de la présentation des données dans la fenêtre de document
Propriétés de modèle de document
Importation d'un modèle pour des formulaires créés avec ABBYY FormDesigner
Création de modèles pour des documents de plusieurs pages
Création d'un modèle pour le traitement de documents flexibles
Création de modèles pour des documents avec des annexes
Traitement de documents non structurés
Modification et publication d'un modèle
Test d'un modèle


Assistant Modèle

Pour créer un nouveau modèle, sélectionnez Projet >Modèles de document… dans le menu principal. Dans la boîte de dialogue Modèles de document qui s'ouvre, cliquez sur le bouton Nouveau…. L'Assistant Modèle s'ouvre pour aider à créer un nouveau modèle.

  1. Dans la boîte de dialogue Créer un nouveau modèle de document qui s'ouvre, renseignez les paramètres de modèle principaux : nom et commentaire, langue utilisée (Langue (lieu) ) et style d'écriture (Style d'écriture ). Par défaut, la liste déroulante ne contient que les langues prises en charge par le dictionnaire. Pour sélectionner une langue non prise en charge par un dictionnaire, activez l'option Afficher toutes les langues. Il est très important de spécifier la langue correctement, car cela détermine si le document sera reconnu correctement ensuite ou non. Le style d'écriture peut varier considérablement d'un pays à l'autre. Il est donc très important d'indiquer le pays, ce qui permet au programme de sélectionner son style d'écriture type.

    Affichage d'exemples de divers styles d'écriture numérique
    - Deux russe
    - Deux américain
    - Cinq « ordinaire » - peut apparaître dans n'importe quel style
    - Cinq japonais
    - Un russe
    - Un allemand
    - Neuf « ordinaire » - peut apparaître dans n'importe quel style
    - Neuf tchèque, avec le cercle à droite
    - Neuf américain sans le « crochet » en bas

    Indiquez le type de texte :

    • ICR (manuscrit) : activez cette option si la plupart des champs des documents doivent être remplis à la main.
    • OCR (imprimé) : activez cette option si les valeurs de la plupart des champs doivent être imprimées. Sélectionnez un type d'impression dans la liste déroulante.

    Remarque : la reconnaissance du texte manuscrit n'est pas prise en charge dans toutes les langues. Pour certaines, ce type de reconnaissance n'est pas disponible. Consultez la section Langues de reconnaissance prises en charge.

    à ce stade, c'est le type de texte par défaut qui est utilisé, mais vous pourrez le modifier pour chaque champ ultérieurement.

    Cliquez sur Suivant pour passer à l'étape suivante.

  2. Pour la seconde étape, chargez l'image de votre page de document pour créer le modèle. Vous pouvez numériser l'image d'une page non complétée ou la charger à partir d'un fichier.

    Remarque : le modèle destiné aux formulaires fixes est créé à l'aide d'une image obtenue en numérisant un formulaire non rempli. Ce doit être une image de bonne qualité, sans distorsions (sans défauts, problèmes d'inclinaison, etc.). Pour créer des modèles de formulaires avec un arrière-plan en couleur, utilisez des pages numérisées sans filtre de couleur afin que l'arrière-plan ne disparaisse pas pendant la numérisation. (Par la suite, quand vous numériserez des images de page pour la reconnaissance de données, vous sélectionnerez un mode de numérisation qui fera disparaître l'arrière-plan.)

    Si votre document est composé de plusieurs pages, chargez la première page et suivez les recommandations de la section Création de modèles pour des documents de plusieurs pages pour ajouter les pages restantes.

    Si vous avez besoin d'une description flexible créée à l'aide d'ABBYY FlexiLayout Studio, activez l'option Charger FlexiLayout et entrez le chemin d'accès du fichier contenant la description flexible. Pour plus d'informations, consultez la section Création d'un modèle pour traiter des documents flexibles.

    Cliquez sur le bouton Suivant.

  3. à l'étape suivante, sélectionnez les types de champs qui doivent être détectés automatiquement dans l'image. Vous pouvez marquer des coches et des champs d'entrée de texte. Le programme détecte automatiquement les champs de texte avec une région, ainsi que les coches rectangulaires. Si les champs d'entrée de votre formulaire n'ont pas de région, et si les coches sont insérées sur fond blanc, vous devrez normalement les mettre en surbrillance manuellement.

    Remarque : le programme recherche toujours automatiquement les ancres. Si le formulaire contient des ancres, elles sont détectées et marquées sur l'image.

    Cliquez sur le bouton Terminer.

Au terme de la procédure de l'Assistant Modèle, la fenêtre de l'éditeur de modèles de document s'ouvre et vous pouvez effectuer d'autres opérations pour créer un modèle. à l'étape suivante de la création du modèle, vous devez marquer les champs et les éléments statiques de l'image de page, et configurer leurs propriétés.


Détection automatique des champs et des éléments statiques

Détection automatique lors de l'ajout d'une image :

Quand une image est ajoutée, le programme détecte toujours les ancres. Si l'image a des ancres standard (des carrés noirs, par exemple), elles sont détectées et marquées. Le programme recherche les champs de texte et les coches si l'utilisateur a activé l'option Texte ou Coches. Il est particulièrement efficace pour détecter automatiquement les champs de texte avec une région, ainsi que les coches rectangulaires. Si les champs d'entrée de votre formulaire n'ont pas de région, et si les coches sont insérées sur fond blanc, vous devrez normalement les mettre en surbrillance manuellement.

Détection automatique dans la fenêtre de l'éditeur de modèles de document :

Pour la détection automatique dans la fenêtre de l'éditeur de modèles de document, sélectionnez le mode requis (champs ou éléments statiques), suivi de l'élément de menu Outils > Détecter automatiquement les objets…. Marquez les types de champs ou d'éléments statiques à détecter automatiquement.

Si vous avez besoin de détecter automatiquement des objets de l'image, sélectionnez le mode requis (champs ou éléments statiques) et cliquez sur [image] sur la barre d'outils. Si vous cliquez sur l'élément, il sera marqué d'un rectangle. Le type d'élément sera détecté automatiquement.

Détection automatique d'une région :

Pour qu'une région de champ ou d'élément statique d'un type donné soit détectée automatiquement, procédez comme suit :

  1. Sélectionnez le mode requis (champs ou éléments statiques).
  2. Sélectionnez le type d'un champ ou d'un élément statique à l'aide d'un bouton approprié de la barre d'outils.
  3. Appuyez sur MAJ.
  4. Cliquez à l'intérieur de la région de champ ou d'élément statique.


éléments statiques

Les éléments statiques sont destinés à l'association du modèle et à son identification. Ils ne servent pas à extraire des données.

Pour travailler sur des éléments statiques dans l'éditeur de modèles de document, basculez en mode d'éléments statiques en cliquant sur le bouton [image].

Les éléments statiques peuvent être utilisés pour l'association du modèle et son identification. Leur mode d'utilisation est déterminé lors de la configuration des propriétés des éléments. Les ancres servent à associer le modèle à l'image de formulaire. Des identificateurs sont nécessaires pour déterminer à quels formulaires les pages appartiennent quand plusieurs formulaires sont traités en une même opération. Pour plus d'informations, consultez la section Création de formulaires lisibles par machine.

Les éléments statiques n'ont pas de nom. Ils n'ont que des régions sur l'image.

Quand un modèle est appliqué à une image de document, le programme recherche les éléments statiques et sélectionne un modèle de document en fonction de leur emplacement. La reconnaissance des éléments statiques (texte et code barre) n'est effectuée quand c'est nécessaire à des fins d'identification. Consultez la section Spécification de valeurs d'identificateur.

Le programme travaille avec les éléments statiques des types suivants :

élément statique | Bouton de barre d'outils
Ancre |
Séparateur |
Texte d'ancre |
Code barre d'ancrage |

Le programme recherche automatiquement les ancres quand une image est ajoutée.

Comment créer un élément statique manuellement :

  1. Sélectionnez le mode d'éléments statiques.
  2. Sélectionnez l'outil qui permet de créer un élément du type requis.
  3. Positionnez le curseur dans le coin de l'élément, cliquez et faites glisser le curseur à la diagonale jusqu'au coin opposé
    ou
    utilisez la combinaison MAJ+clic dans la région de l'élément.

Un rectangle apparaît autour de la région de l'élément statique. Sa couleur dépend du type d'élément statique. L'élément statique reçoit des propriétés par défaut.

Comment modifier les propriétés d'un élément statique :

  1. Mettez en surbrillance la région de l'élément sur l'image, cliquez avec le bouton droit de la souris et sélectionnez Propriétés… dans le menu contextuel.
  2. Modifiez les propriétés de l'élément statique dans la boîte de dialogue qui s'ouvre :

Pour plus d'informations sur les éléments statiques :

  • Ancres
  • Séparateurs
  • Texte d'ancre
  • Code barre d'ancrage


Ancres

Ancres - les éléments statiques sont mis en surbrillance automatiquement sur l'image.

Pour mettre en surbrillance les ancres manuellement :

  1. Basculez en mode d'éléments statiques.
  2. Sélectionnez [image] sur la barre d'outils.

  3. Positionnez le curseur dans le coin d'une ancre, cliquez et faites glisser le curseur à la diagonale jusqu'au coin opposé.

    ou

    Utilisez la combinaison MAJ+clic dans la région d'ancre.

Propriétés d'ancre

Pour modifier les propriétés d'une ancre :

  1. Mettez l'ancre en surbrillance.
  2. Cliquez à l'aide du bouton droit de la souris dans la région d'ancre et sélectionnez Propriétés… dans le menu contextuel.
  3. Modifiez les propriétés dans la boîte de dialogue qui s'ouvre :
    • Utiliser pour l'association des modèles – cette option doit être activée pour que le programme utilise l'ancre pour l'association du modèle (recommandé).
    • Utiliser pour l'identification des modèles – activez cette option pour utiliser l'ancre pour l'identification du modèle.
    • Type d'ancre – pour que l'association du modèle soit correcte, il est important de spécifier le type d'ancre : carré noir, croix ou coin.


Texte d'ancre

Texte d'ancre - élément statique. Il s'agit de tout texte statique de l'image – en-tête ou signature d'explication.

Pour mettre en surbrillance un texte d'ancre :

  1. Basculez en mode d'éléments statiques.
  2. Sélectionnez [image] sur la barre d'outils.
  3. Positionnez le curseur dans le coin du texte d'ancre, cliquez et faites glisser le curseur à la diagonale jusqu'au coin opposé.

    ou

    Utilisez la combinaison MAJ+clic dans la région de texte d'ancre.

Propriétés du texte d'ancre

Pour modifier les propriétés d'un texte d'ancre :

  1. Mettez le texte en surbrillance.
  2. Cliquez à l'aide du bouton droit de la souris dans la région de texte d'ancre et sélectionnez Propriétés… dans le menu contextuel.
  3. Modifiez les propriétés dans la boîte de dialogue qui s'ouvre :

    L'onglet Général contient les options suivantes :

    • Utiliser pour l'association des modèles – cette option doit être activée pour que le programme utilise le texte d'ancre pour l'association du modèle.
    • Utiliser pour l'identification des modèles – activez cette option pour utiliser le texte d'ancre pour l'identification du modèle.
    • Valeur – si vous utilisez un texte d'ancre comme identificateur, vous pouvez définir sa valeur. Pour insérer automatiquement une valeur, cliquez sur le bouton Conseil.
    • Nombre max. d'erreurs – vous permet de spécifier le nombre maximum d’erreurs autorisées dans la chaîne de texte d’ancre.

    Sur l'onglet Reconnaissance, vous devez configurer les options de reconnaissance pour que le texte statique soit reconnu avec une précision maximale :

    • ICR (manuscrit) – activez cette option si le texte statique est manuscrit.

    • OCR (imprimé) – activez cette option si le texte statique est imprimé. Sélectionnez le style d'impression dans la liste déroulante (typographique, imprimante matricielle, machine à écrire, etc.). Consultez aussi la section Types de texte pris en charge.

    • Avancé – utilisez cette option pour sélectionner plusieurs types de texte ou pour spécifier un type de texte personnalisé.

    • Type de données – sélectionnez la langue du texte. Utilisez le bouton Sélectionner… pour effectuer votre sélection.

    • Casse – sélectionnez la casse des lettres de texte statique. Si le texte contient à la fois des minuscules et des majuscules, conservez la valeur Automatique.

    • Orientation – indiquez l'orientation du texte.

    • Activez l'option Une ligne pour du texte d'une ligne.

    • Si le texte ne contient pas d'espaces, c'est-à-dire s'il est constitué d'un seul mot, activez l'option Un mot.

    • Configurez les options de traitement d'image pendant la reconnaissance :
    • Inverser – inverse l'image.
    • Supprimer la texture – supprime la texture.
    • Nettoyer – activez cette option pour supprimer les éléments parasites de l'image.
    • Vider la corbeille de la taille spécifiée uniquement – n'activez cette option que pour supprimer les éléments parasites de la taille indiquée. Indiquez également la taille des éléments parasites. Si cette option est désactivée et que seule l'option Nettoyer est activée, la taille des éléments parasites sera sélectionnée automatiquement.


Séparateurs

Les séparateurs sont des éléments statiques. Ils se présentent sous forme de lignes horizontales ou verticales sur l'image.

Pour mettre en surbrillance des séparateurs :

  1. Basculez en mode d'éléments statiques.
  2. Sélectionnez [image] sur la barre d'outils.
  3. Positionnez le curseur dans le coin d'un séparateur, cliquez et faites glisser le curseur à la diagonale jusqu'au coin opposé.

    ou

    Utilisez la combinaison MAJ+clic dans la région de code barre.

Propriétés de séparateur

Pour modifier les propriétés d'un séparateur :

  1. Mettez le séparateur en surbrillance.
  2. Cliquez à l'aide du bouton droit de la souris dans la région de séparateur et sélectionnez Propriétés… dans le menu contextuel.
  3. Modifiez les propriétés dans la boîte de dialogue qui s'ouvre :
    • Utiliser pour l'association des modèles : cette option doit être activée pour que le programme utilise le séparateur pour l'association du modèle.
    • Utiliser pour l'identification des modèles : activez cette option pour utiliser le séparateur pour l'identification du modèle.


Code barre d'ancrage

Code barre d'ancrage - élément statique.

Important ! Un code barre peut être mis en surbrillance sous forme de champ ou d'élément statique. Tout dépend de la valeur du code barre dans les documents en cours de traitement. Si le code barre est destiné à l'association ou à l'identification du modèle, il faut le créer en mode d'éléments statiques. S'il est destiné à l'acquisition de données, il faut le créer en mode de marquage de champ. Les propriétés d'un code barre varient suivant qu'il s'agit d'un champ ou d'un élément statique. Cette section décrit les propriétés d'un élément statique – un code barre d'ancrage. Consultez aussi la section champ de code barre.

Pour mettre en surbrillance un code barre d'ancrage :

  1. Basculez en mode d'éléments statiques.
  2. Sélectionnez [image] sur la barre d'outils.
  3. Positionnez le curseur dans le coin d'un code barre, cliquez et faites glisser le curseur à la diagonale jusqu'au coin opposé.

    ou

    Utilisez la combinaison MAJ+clic dans la région de code barre.

Propriétés d'un code barre d'ancrage

Pour modifier les propriétés d'un code barre d'ancrage :

  1. Mettez en surbrillance le code barre
  2. Cliquez à l'aide du bouton droit de la souris dans la région de code barre et sélectionnez Propriétés… dans le menu contextuel.
  3. Modifiez les propriétés dans la boîte de dialogue qui s'ouvre :

    L'onglet Général contient différentes options :

    • Utiliser pour l'association des modèles – cette option doit être activée pour que le programme utilise l'ancre pour l'association du modèle.
    • Utiliser pour l'identification des modèles – activez cette option pour utiliser le code barre pour l'identification du modèle.
    • Valeur – si vous utilisez un code barre d'ancrage comme identificateur, vous pouvez définir sa valeur. Pour insérer automatiquement une valeur, cliquez sur le bouton Conseil.
    • Obligatoire pour l'association des modèles –si cette option est sélectionnée, le modèle ne sera associé que si le code barre l'est aussi. Sélectionnez cette option si le lot contient un grand nombre de modèles très similaires, qui ne peuvent être distingués que par la valeur de leurs différents codes barres, voire par la valeur d'un code barre précis. Dans ce cas, si cette option est activée, la sélection du modèle se fera plus rapidement. Ne sélectionnez pas cette option si vous souhaitez que le modèle soit associé même s'il n'y a pas de code barre ou s'il est trop estompé.

    L'onglet Reconnaissance contient différentes options :

    • Type de code – permet d'indiquer le type du code barre (il est en principe déterminé automatiquement).
    • Orientation – permet d'indiquer l'orientation du code barre.

    Vous pouvez aussi configurer les options de traitement d'image de code barre :

    • Inverser – inverse l'image.
    • Supprimer la texture – supprime la texture.
    • Nettoyer – activez cette option pour supprimer les éléments parasites de l'image.
    • Vider la corbeille de la taille spécifiée uniquement – n'activez cette option que pour supprimer les éléments parasites de la taille indiquée. Indiquez également la taille des éléments parasites. Si cette option est désactivée et que seule l'option Nettoyer est activée, la taille des éléments parasites sera sélectionnée automatiquement.


Spécification de valeurs d'identificateur

Les identificateurs servent à déterminer à quel formulaire une page appartient, et à sélectionner un modèle dont le lot contienne plusieurs modèles avec le jeu original d'ancres. Si plusieurs formulaires sont traités simultanément au cours d'une même opération, le programme détermine à quel formulaire la page appartient à partir de l'emplacement des identificateurs.

Si un code barre d'ancrage ou un texte d'ancre est utilisé comme identificateur, vous pouvez indiquer la valeur de cet identificateur. Dans ce cas, quand vous appliquez un modèle, le programme compare les données reconnues dans l'image à la valeur de l'identificateur, et le modèle ne peut être associé que si ces valeurs correspondent.

Les valeurs des identificateurs peuvent être définies dans la boîte de dialogue de propriétés des éléments statiques de l'onglet Général. Les valeurs du texte des codes barres peuvent être entrées automatiquement. Le bouton Conseil a été prévu à cet effet.

Remarque : Il est possible d'identifier une page avec une certitude absolue à partir du seul emplacement des éléments. Il n'est pas indispensable de définir ces valeurs. Vous ne devez utiliser cette fonctionnalité que si c'est absolument nécessaire, car si vous affectez une valeur d'identificateur, le module de reconnaissance se lance au niveau de l'application de modèle, ce qui ralentit le processus d'association entre modèles et images.


Création de champs dans un modèle de document

Les champs sont destinés à l'extraction de données.

Pour travailler sur des champs dans l'éditeur de modèles de document, basculez en mode de marquage de champs en cliquant sur le bouton [image].

Toutes les régions de l'image destinées à l'acquisition de données doivent être marquées comme des champs. Les données contenues dans ces champs sont reconnues, et leurs valeurs peuvent être exportées.

Les champs ont des noms dont les listes sont affichées dans la fenêtre de structure du document. Normalement, les champs ont une région sur l'image, mais vous pouvez aussi créer des champs sans région (par exemple, pour stocker le résultat immédiat).

Le programme reconnaît les types de champs suivants :

Champ | Bouton de barre d'outils
Champ d'entrée de texte |
Coche |
Groupe de coches |
Code barre |
Image graphique |
Tableau |
Groupe de champs |

Pour créer un champ :

  1. Sélectionnez le mode de marquage de champs.
  2. Sélectionnez l'outil qui permet de créer le champ du type requis.
  3. Positionnez le curseur dans un coin du champ, cliquez et faites glisser le curseur à la diagonale jusqu'au coin opposé
    ou
    utilisez la combinaison MAJ+clic dans la région du champ.

Un rectangle apparaît autour de la région du champ. Sa couleur dépend du type de champ.

Le champ créé reçoit un nom par défaut correspondant au texte d'explication le plus proche de la région de champ. Ce nom apparaît dans la liste de champs de l'onglet Champs de la fenêtre de structure du document.

Le champ reçoit des propriétés par défaut.

  • Création de groupes de coches
  • Création de tableaux
  • Création d'un groupe de champs
  • Comment modifier le nom d'un champ
  • Copie, déplacement et suppression de champs
  • Champs sans région
  • Propriétés de champ


Création d'un groupe de coches

Un groupe de coches combine des coches liées de manière logique. Ces coches correspondent normalement à des réponses mutuellement exclusives à la même question. Dans ce cas, le programme ne sélectionne qu'une coche du groupe et il exporte sa valeur. Toutefois, cette condition n'est pas obligatoire. Vous pouvez autoriser le programme à marquer plusieurs coches dans un groupe (sélectionnez l'option correspondante dans les propriétés du groupe de coches).

Première manière de créer un groupe de coches :

Pour créer un groupe de coches :

  1. Après avoir sélectionné l'outil [image], créez les coches appartenant au groupe.
  2. Sélectionnez l'outil [image] et dessinez un rectangle autour de toutes les coches à inclure dans ce groupe.
  3. Les coches situées à l'intérieur du rectangle sont mises en surbrillance. Leurs noms dans la structure du document sont combinés, et placés sous le nom du groupe de coches. Les propriétés des coches appartenant au même groupe sont identiques et ne peuvent pas être modifiées individuellement.

Seconde manière de créer un groupe de coches :

Vous n'avez pas besoin de mettre en surbrillance chaque coche du groupe.

  1. Sans mettre en surbrillance chaque coche, sélectionnez l'outil [image] et dessinez un rectangle autour de toutes les coches à inclure dans ce groupe.
  2. Les coches contenues dans le rectangle sont automatiquement détectées, nommées et combinées sous forme de groupe.


Création d'un groupe de champs

Les champs peuvent être combinés en groupes, ce qui permet de clarifier la structure du document et de créer des groupes de champs récurrents. Par exemple, une ville, un numéro d'immeuble et une rue peuvent être combinés dans un même groupe Adresse personnelle. Vous pouvez créer des champs pour un groupe Adresse professionnelle en copiant simplement le groupe de champs Adresse personnelle.

Pour créer un groupe de champs :

  1. Créez les champs à inclure dans le groupe.
  2. Sélectionnez l'outil [image] et dessinez un rectangle autour de tous les champs à inclure dans ce groupe.
  3. Les champs situés à l'intérieur du rectangle sont mis en surbrillance. Leurs noms dans la structure du document sont combinés, et placés sous le nom du groupe de champs.

Si le formulaire contient des groupes de champs récurrents, après avoir créé un groupe, vous pouvez créer plusieurs instances du même groupe. Toutes les propriétés de champ ainsi que les règles définies au sein du groupe fonctionneront pour chaque instance du groupe. Consultez la section Champs avec plusieurs instances.

Vous pouvez aussi copier un groupe de champs, mais dans ce cas, un autre groupe indépendant sera créé.


Création d'un tableau

ABBYY FlexiCapture 8.0 Professional permet de créer des modèles pour des documents contenant des tableaux. Les tableaux peuvent simplifier considérablement la configuration des données, leur extraction et leur exportation. Un champ de tableau est un ensemble de colonnes de même type et de lignes récurrentes.

Les colonnes d'un tableau peuvent relever des types suivants :

  • Texte
  • Coches
  • Codes barres
  • Images graphiques

Pour créer un tableau :

  1. Sélectionnez l'outil [image] et dessinez un rectangle autour de la région de tableau. L'en-tête de tableau ne doit pas être inclus dans la région sélectionnée. Des outils de traitement de tableau supplémentaires apparaissent alors sur la barre d'outils.
    Création d'une colonne de tableau
    Création de séparateurs
    Suppression d'un séparateur
  2. Marquez les cellules de tableau en créant le nombre requis de séparateurs. Pour créer des séparateurs, sélectionnez l'outil [image] et cliquez à l'endroit où le séparateur doit être placé. Pour créer des séparateurs verticaux, placez le curseur dans le tableau, faites glisser le pointeur en pointillé à l’emplacement souhaité et cliquez une fois. Pour créer un séparateur horizontal, exécutez la même opération en maintenant la touche Alt enfoncée. Vous pouvez également détecter les séparateurs automatiquement : sélectionnez le tableau créé, puis sélectionnez les éléments Détecter automatiquement les séparateurs verticaux et Détecter automatiquement les séparateurs horizontaux dans le menu contextuel.
  3. Créez des colonnes de tableau Pour créer une colonne, sélectionnez l'outil [image] et cliquez à l'intérieur de la région de colonne. Sélectionnez un type de colonne dans la liste déroulante.


Comment modifier le nom d'un champ

Modification du nom d'un champ

Pour modifier le nom d'un champ :

  • Cliquez sur le nom du champ dans la structure du document, cliquez avec le bouton droit de la souris, sélectionnez Renommer dans le menu contextuel, puis entrez un nouveau nom.

ou

  • Cliquez dans la région de champ de l'image, puis cliquez à l'aide du bouton droit de la souris et sélectionnez Suggérer un nom dans le menu contextuel. Le champ recevra un nom correspondant au texte d'explication le plus proche de la région de champ.

ou

  • Cliquez dans la région de champ de l'image, puis cliquez à l'aide du bouton droit de la souris et sélectionnez Obtenir le nom de l'image… dans le menu contextuel. Ensuite, mettez en surbrillance avec votre curseur le texte d'explication qui peut être utilisé pour le nom du champ. Le nom du champ est remplacé par le texte sélectionné.

ou

  • Ouvrez la boîte de dialogue de propriétés de champ et modifiez le nom sur l'onglet Général.


Copie, déplacement et suppression de champs

Les champs peuvent être copiés, supprimés, déplacés et modifiés. Les noms des champs copiés portent des numéros différents. Pour mettre en surbrillance plusieurs champs, utilisez la combinaison CTRL+clic. L'action sélectionnée s'appliquera alors à tous les champs en surbrillance.

Pour supprimer un champ, mettez-le en surbrillance, puis appuyez sur la touche SUPPR ou sélectionnez Supprimer dans le menu contextuel. Pour ne supprimer que la région et conserver le champ dans la structure du document, utilisez la combinaison de touches MAJ+SUPPR ou sélectionnez Supprimer la région dans le menu contextuel du champ. Consultez la section Champs sans région.


Champs sans région

Un champ peut ne pas comporter de région sur l'image. Les noms de champ sans région sont marqués d'un astérisque rouge dans la liste. Ces champs peuvent servir à stocker les résultats intermédiaires de calculs effectués sur les valeurs des champs en cours de reconnaissance. Par exemple, vous pouvez combiner les valeurs de plusieurs champs à l'aide de la règle de fusion de valeurs de champs et enregistrer le résultat dans un champ sans région.

Les champs sans région ont toutes les propriétés du type de champ dont ils relèvent. Les valeurs de ces champs peuvent aussi être exportées.

Vous pouvez procéder de deux manières pour créer un champ sans région :

  1. Dans la fenêtre de l'éditeur de modèle, sélectionnez l'élément de menu Insérer et créez un champ du type requis. Le nom du champ apparaît dans la liste marqué d'un astérisque. Dans ce cas, le programme crée un champ dans la structure du document, mais il ne crée pas sa région sur l'image.
  2. L'autre méthode consiste à supprimer la région d'un champ ordinaire. Mettez en surbrillance le champ requis sur l'image ou dans la liste, puis sélectionnez Supprimer une région dans le menu contextuel. La région est alors supprimée, et le nom du champ est marqué d'un astérisque rouge.

Pour créer une région pour des champs qui n'ont pas de région sur l'image, sélectionnez [image] sur la barre d'outils et mettez en surbrillance la région requise à l'aide du curseur. Si la liste contient des champs marqués d'un astérisque, le programme vous demande de sélectionner le nom de l'un d'eux.


Exclusion d'une région de la reconnaissance

Il est parfois nécessaire d'exclure une région donnée de la reconnaissance, par exemple parce qu'elle contient du texte d'explication qui complique l'extraction des données du champ.

Pour exclure une région de la reconnaissance, sélectionnez l'outil [image] et mettez en surbrillance la région à exclure à l'aide de votre curseur.


Création d'un champ avec une région non rectangulaire

Il est parfois nécessaire de créer des champs avec des régions non rectangulaires, comme dans l'exemple du questionnaire suivant :

Pour créer une région de champ non rectangulaire :

  1. Sélectionnez l'outil qui permet de créer un champ du type requis.
  2. Sélectionnez une région rectangulaire, où vous pourrez ajouter ou supprimer des fragments pour créer une région de la forme requise.
  3. Sélectionnez l'outil [image] et assurez-vous que la région rectangulaire est en surbrillance.
  4. Pour ajouter un fragment à la région : appuyez sur la touche MAJ (le curseur se transforme en signe « plus ») et sélectionnez le fragment à ajouter.
  5. Pour exclure un fragment à la région : appuyez sur la touche ALT (le curseur se transforme en signe « moins ») et sélectionnez le fragment à exclure.


Champs contenant plusieurs régions

Un champ peut contenir plusieurs régions sur l'image. Ces régions peuvent être éloignées les unes des autres, et même être placées sur des pages différentes. Les valeurs de l'ensemble des régions appartenant au même champ sont combinées et exportées ensemble sous la forme d'un même champ.

Il est intéressant de pouvoir créer plusieurs régions pour des champs situés sur plusieurs pages, par exemple pour des tableaux volumineux.

Affichage d'un exemple

Pour créer un champ avec plusieurs régions, procédez comme suit :

  1. Créez un champ.
  2. Mettez-le en surbrillance, cliquez avec le bouton droit de la souris dans sa région et sélectionnez Continuer la région… dans le menu contextuel.
  3. Déplacez l'image de région à l'endroit de votre choix sur la page.


Champs avec plusieurs instances

Vos formulaires peuvent contenir des éléments récurrents. Ce sont les champs et groupes de champs qui apparaissent un certain nombre de fois dans le formulaire et qui décrivent des objets similaires, tels que les mêmes détails pour plusieurs employés, plusieurs enfants, plusieurs comptes, etc. Pour ces objets, des champs avec plusieurs instances sont créés.

Tout champ peut avoir plusieurs instances. Leurs régions peuvent être éloignées les unes des autres, et même être placées sur des pages différentes. Les instances de champ ont les mêmes propriétés. Elles sont exportées vers des fichiers ou des tables de base de données différents.

Vous pouvez créer plusieurs instances pour un groupe de champs si le formulaire contient des groupes récurrents.

Affichage d'un exemple

Pour créer un champ avec plusieurs instances, procédez comme suit :

  1. Créez un champ.
  2. Mettez-le en surbrillance, cliquez avec le bouton droit de la souris dans sa région et sélectionnez Nouvelle instance… dans le menu contextuel.
  3. Déplacez l'image de région à l'endroit de votre choix sur la page.


Propriétés de champ

Il est très important que les propriétés de chaque champ soient configurées correctement. Les propriétés des champs affectent la qualité de reconnaissance et déterminent si les valeurs des champs seront exportées et envoyées à l'opérateur pour vérification. Certaines propriétés sont très importantes pour la reconnaissance des données. C'est par exemple le cas de la méthode de marquage pour un champ d'entrée de texte : si cette propriété n'est pas configurée correctement, le maquage qui ne disparaît pas pendant la numérisation ne sera pas séparé des caractères, et le résultat de la reconnaissance risque de ne pas être satisfaisant.

Les champs de chaque type ont leur propre jeu de propriétés. Quand vous créez un champ d'un certain type sur l'image, il reçoit des propriétés par défaut.

Comment modifier les propriétés d'un champ :

  1. Mettez en surbrillance le nom du champ dans la structure du document, ou la région de champ sur l'image, cliquez à l'aide du bouton droit de la souris et sélectionnez Propriétés… dans le menu contextuel.
  2. Modifiez les propriétés du champ dans la boîte de dialogue qui s'ouvre :

Pour plus d'informations sur les propriétés de champ :

Champs d'entrée de texte
Coches
Groupes de coches
Codes barres
Images graphiques
Tableaux
Groupe de champs


Champ d'entrée de texte

Quand vous créez un champ de texte, il reçoit des propriétés par défaut. Vous pouvez modifier ces propriétés en sélectionnant Propriétés… dans le menu contextuel. La boîte de dialogue de propriétés contient trois onglets, rassemblant différents groupes de propriétés.

Propriétés de base
Types de données
Propriétés de reconnaissance
Propriétés de vérification
Validation par règle


Propriétés de base d'un champ

Les propriétés de base d'un champ peuvent être paramétrées à partir de l'onglet Général.

Sur cet onglet, le type de champ est affiché sous forme d'icône à droite du nom.

  • Nom : nom du champ. Le nom est affecté automatiquement lors de la création du champ, et il correspond au texte d'explication le plus proche du champ. Lorsque vous modifiez les propriétés du champ, vous pouvez aussi modifier le nom affecté par défaut. Consultez aussi la section Comment modifier le nom d'un champ.
  • Légende : nom du champ qui apparaît dans le formulaire de données.
  • Exporter la valeur du champ : vous devez activer cette option si vous souhaitez exporter la valeur du champ (cette option est activée par défaut). Vous pouvez avoir à désactiver cette option si, par exemple, la valeur de ce champ est utilisée pour obtenir la valeur d'un champ calculé (consultez la section Validation par règle), et si seul le résultat final doit être exporté.
  • Afficher dans le formulaire de données : cette option doit être activée si le champ doit être visible dans le formulaire (elle est activée par défaut).
  • Ne peut pas être vide : activez cette option si vous souhaitez rendre le champ obligatoire.
  • Lecture seule : activez cette option si le champ doit être accessible uniquement en lecture, c'est-à-dire si l'opérateur ne doit pas pouvoir modifier sa valeur. Vous pouvez activer cette option pour les champs dont la valeur doit être calculée automatiquement à l'aide d'une règle, par exemple pour un champ dont vous prévoyez d'enregistrer la somme ou que vous prévoyez de combiner à d'autres champs (consultez la section Validation par règle).
  • Champ d'index : activez cette option si vous prévoyez d'utiliser ce champ pour effectuer une indexation de document. Quand vous traiterez les documents, vous aurez la possibilité d'afficher la valeur de ce champ pour chaque document, et de trier et d'interroger des documents à partir de la valeur du champ.
  • Commentaire : vous pouvez entrer le commentaire de votre choix.


Types de données du champ d'entrée de texte

Il est extrêmement important que vous affectiez un type de données à un champ d'entrée de texte afin d'indiquer au programme quel type de données vous vous attendez à voir dans ce champ : il peut s'agir de nombres uniquement, de lettres d'un certain alphabet, de caractères d'un certain jeu, d'une date ou d'autres éléments de ce genre. Le mécanisme qui permet de définir les types de données est extrêmement flexible, et l'utilisateur peut sélectionner un type de données dans une liste de types disponibles, et créer des types de données adaptés à une tâche spécifique.

Quand vous spécifiez les types de données, vous pouvez confirmer la vérification du format de la valeur entrée et définir des contraintes, limitant par exemple la longueur du texte, ou définissant une valeur minimale et une valeur maximale pour le nombre, ou encore un intervalle de temps et une date.

Si, pendant le traitement documentaire, la valeur du champ reconnu ne correspond pas au type de données défini, l'opérateur voit un message d'erreur.

Le type de données du champ d'entrée peut être défini sur l'onglet Type de données de la boîte de dialogue de propriétés de champ.

Texte
  1. Si ce champ contient du texte, sélectionnez Texte dans la liste Contenu .
    Une description du type de données sélectionné apparaît dans le champ Détails . Si vous souhaitez modifier la langue, l'utilisation des dictionnaires ou spécifier un type de données plus précis, cliquez sur le bouton Éditer… à droite de la description. Dans la boîte de dialogue qui apparaît, vous pouvez :
    • Modifier la langue de reconnaissance de ce champ. Pour modifier la langue, cliquez sur le bouton « ... » situé à droite du champ Langue. Vous pouvez sélectionner une ou plusieurs langues.
    • Pour le type de texte standard (soit lorsque Général est sélectionné dans la liste Paramètres de contenu ) vous pouvez utiliser un dictionnaire intégré et/ou un dictionnaire personnalisé. Le cas échéant, la valeur du champ est contrôlée par rapport à ces dictionnaires.
      Pour utiliser un dictionnaire intégré, sélectionnez l'option Utiliser le dictionnaire intégré.
      Pour utiliser un dictionnaire personnalisé, sélectionnez l'option Utiliser un dictionnaire personnalisé et cliquez sur Éditer… pour éditer le dictionnaire. Vous pouvez créer un dictionnaire personnalisé en ajoutant des mots un à un (cliquez sur le bouton Ajouter... pour ajouter un mot) ou en chargeant une liste de mots à partir d'un fichier (cliquez sur le bouton Charger... et spécifiez le chemin d'accès du fichier souhaité portant l'extension *.txt ou *.dic).
    • Le type de texte spécial (soit lorsque Spécial est sélectionné dans la liste Paramètres de contenu ) contient des types de données prédéfinis, parmi lesquels vous pouvez sélectionner le type de données adapté au champ donné. Lors de la sélection d'un type de données, vous pouvez en lire la description dans la partie inférieure de la boîte de dialogue.
      Vous pouvez également créer votre propre type de données personnalisé si aucun des types prédéfinis ne répond à vos besoins. Pour plus d'informations, consultez la section Création de types de données personnalisés.
  2. Le programme peut traiter automatiquement les valeurs entrées quel que soit le type de données : supprimer les espaces en trop, convertir les lettres en majuscules ou en minuscules ou remplacer automatiquement les caractères ou parties de texte spécifiés. Pour activer le traitement automatique des valeurs, cliquez sur le bouton Éditer… en regard du champ Options de correction automatique . Dans la boîte de dialogue qui s'affiche, sélectionnez les options de traitement automatique requises. Pour plus d'informations, consultez la section Traitement des valeurs entrées.
  3. Vous pouvez également configurer la validation des valeurs du champ de sorte que le programme vérifie si la valeur saisie se situe dans la plage que vous avez spécifiée. Pour spécifier une plage de valeurs pour le champ, cliquez sur le bouton Éditer… situé à droite du champ Validation . Pour plus d'informations, consultez la section Contraintes de plage de valeur pour les données de type texte.
Numéro
  1. Si ce champ contient une valeur numérique, sélectionnez Numéro dans la liste Contenu .
    Une description du type de données sélectionné apparaît dans le champ Détails . Si vous souhaitez modifier la langue, un entier en fraction ou inversement ou spécifier un type de données plus précis (par exemple, un nombre à deux chiffres ou un chiffre romain), cliquez sur le bouton Éditer… à droite de la description. Dans la boîte de dialogue qui apparaît, vous pouvez :
    • Modifier la langue de reconnaissance de ce champ. Pour modifier la langue, cliquez sur le bouton « ... » situé à droite du champ Langue. Vous pouvez sélectionner une ou plusieurs langues.
    • Sélectionnez Entier, si le champ doit contenir un nombre entier. Désactivez cette option si le champ doit contenir une fraction.
    • Sélectionnez le type de données standard (Général est sélectionné dans la liste Paramètres de contenu ) pour un entier ou une fraction.
    • Le type de numéro spécial (soit lorsque Spécial est sélectionné dans la liste Paramètres de contenu ) contient des types de données prédéfinis, parmi lesquels vous pouvez sélectionner le type de données adapté au champ donné. Lors de la sélection d'un type de données, vous pouvez en lire la description dans la partie inférieure de la boîte de dialogue.
      Vous pouvez également créer votre propre type de données personnalisé si aucun des types prédéfinis ne répond à vos besoins. Pour plus d'informations, consultez la section Création de types de données personnalisés.
  2. Le programme peut traiter automatiquement les valeurs entrées quel que soit le type de données : supprimer les espaces en trop, convertir les lettres en majuscules ou en minuscules ou remplacer automatiquement les caractères ou parties de texte spécifiés. Pour activer le traitement automatique des valeurs, cliquez sur le bouton Éditer… en regard du champ Options de correction automatique . Dans la boîte de dialogue qui s'affiche, sélectionnez les options de traitement automatique requises. Pour plus d'informations, consultez la section Traitement des valeurs entrées.
  3. Vous pouvez également configurer la validation des valeurs du champ de sorte que le programme vérifie si la valeur saisie se situe dans la plage que vous avez spécifiée. Pour spécifier une plage de valeurs pour le champ, cliquez sur le bouton Éditer… situé à droite du champ Validation . Pour plus d'informations, consultez la section Contraintes de plage de valeurs pour les nombres.
Important ! N'utilisez pas de type de données numérique pour les champs contenant des numéros qui ne sont pas à proprement parler des valeurs numériques mais plutôt des codes (par exemple les numéros de cartes de crédit ou de passeport, etc.). Attribuer le type de données numérique à ces champs peut provoquer des erreurs (par exemple, suppression des zéros du début). Le cas échéant, créez un type de texte personnalisé et spécifiez un alphabet de 0 à 9 (ajoutez, au besoin, une expression normale) ou utilisez le type de données numérique en veillant à sélectionner l'option Traiter la valeur comme du texte. Dans ce dernier cas, la valeur du champ est traitée comme du texte, un dictionnaire personnalisé peut être utilisé pour vérifier la valeur et vous pouvez définir la plage de valeurs possibles comme pour le texte. Pour plus d'informations, consultez la section Contraintes de plage de valeurs pour les données de type texte.
Date
  1. Si ce champ contient une date, sélectionnez Date dans la liste Contenu .
    Une description du type de données sélectionné apparaît dans le champ Détails . Si vous souhaitez modifier la langue ou l'ordre des composants de la date, ajouter des heures ou des jours de la semaine ou spécifier un type de données plus précis (par exemple, les mois sont indiqués en chiffres romains), cliquez sur le bouton Éditer… à droite de la description. Dans la boîte de dialogue qui apparaît, vous pouvez :
    • Modifier la langue de reconnaissance de ce champ. Pour modifier la langue, cliquez sur le bouton « ... » situé à droite du champ Langue. Vous pouvez sélectionner une ou plusieurs langues.
    • Sélectionnez l'ordre souhaité dans la liste Ordre de composant de date .
    • Sélectionnez le type de données standard (Général est sélectionné dans la liste Paramètres de contenu ) pour les données rédigées dans les formats standard. Les options supplémentaires suivantes sont disponibles pour le type de données standard :
      Peut inclure le mois en lettres : utilisez cette option s'il est possible d'écrire les mois en toutes lettres en plus de les écrire sous forme de numéro ;
      Peut inclure le jour de la semaine : utilisez cette option si les dates peuvent inclure le jour de la semaine ;
      Peut inclure l'heure : utilisez cette option si les dates peuvent inclure l'heure.
    • Le type de date spécial (soit lorsque Spécial est sélectionné dans la liste Paramètres de contenu ) contient des types de données prédéfinis, parmi lesquels vous pouvez sélectionner le type de données adapté au champ donné. Lors de la sélection d'un type de données, vous pouvez en lire la description dans la partie inférieure de la boîte de dialogue.
      Vous pouvez également créer votre propre type de données personnalisé si aucun des types prédéfinis ne répond à vos besoins. Pour plus d'informations, consultez la section Création de types de données personnalisés.
  2. Le programme peut traiter automatiquement les valeurs entrées quel que soit le type de données : supprimer les espaces en trop, convertir les lettres en majuscules ou en minuscules ou remplacer automatiquement les caractères ou parties de texte spécifiés. Pour activer le traitement automatique des valeurs, cliquez sur le bouton Éditer… en regard du champ Options de correction automatique . Dans la boîte de dialogue qui s'affiche, sélectionnez les options de traitement automatique requises. Pour plus d'informations, consultez la section Traitement des valeurs entrées.
  3. Vous pouvez également configurer la validation des valeurs du champ de sorte que le programme vérifie si la valeur saisie se situe dans la plage que vous avez spécifiée. Pour spécifier une plage de valeurs pour le champ, cliquez sur le bouton Éditer… situé à droite du champ Validation . Pour plus d'informations, consultez la section Contraintes de plage de valeurs pour la date.
Important ! Si vous ne pouvez pas réduire la date dans un format standard ou que vous n'envisagez pas de traiter les données contenues dans ce champ comme des dates, sélectionnez l'option Traiter la valeur comme du texte. Dans ce cas, la valeur du champ est traitée comme du texte, un dictionnaire personnalisé peut être utilisé pour vérifier la valeur et vous pouvez définir la plage de valeurs possibles comme pour le texte. Pour plus d'informations, consultez la section Contraintes de plage de valeurs pour les données de type texte.
Somme d'argent
  1. Si ce champ contient une somme d'argent, sélectionnez Somme d'argent dans la liste Contenu .
    Une description du type de données sélectionné apparaît dans le champ Détails . Si vous souhaitez modifier la langue ou spécifier un type de données plus précis (par exemple, un code de devise), cliquez sur le bouton Éditer… à droite de la description. Dans la boîte de dialogue qui apparaît, vous pouvez :
    • Modifier la langue de reconnaissance de ce champ. Pour modifier la langue, cliquez sur le bouton « ... » situé à droite du champ Langue. Vous pouvez sélectionner une ou plusieurs langues.
    • Sélectionnez le type de données standard (par exemple, Général est sélectionné dans le Paramètres de contenu ) pour la somme d'argent si la valeur du champ est un numéro ou un numéro accompagné d'un symbole ou d'un code de devise standard.
    • Le type spécial (soit lorsque Spécial est sélectionné dans la liste Paramètres de contenu ) contient des types de données prédéfinis, parmi lesquels vous pouvez sélectionner le type de données adapté au champ donné. Lors de la sélection d'un type de données, vous pouvez en lire la description dans la partie inférieure de la boîte de dialogue.
      Vous pouvez également créer votre propre type de données personnalisé si aucun des types prédéfinis ne répond à vos besoins. Pour plus d'informations, consultez la section Création de types de données personnalisés.
  2. Le programme peut traiter automatiquement les valeurs entrées quel que soit le type de données : supprimer les espaces en trop, convertir les lettres en majuscules ou en minuscules ou remplacer automatiquement les caractères ou parties de texte spécifiés. Pour activer le traitement automatique des valeurs, cliquez sur le bouton Éditer… en regard du champ Options de correction automatique . Dans la boîte de dialogue qui s'affiche, sélectionnez les options de traitement automatique requises. Pour plus d'informations, consultez la section Traitement des valeurs entrées.
  3. Vous pouvez également configurer la validation des valeurs du champ de sorte que le programme vérifie si la valeur saisie se situe dans la plage que vous avez spécifiée. Pour spécifier une plage de valeurs pour le champ, cliquez sur le bouton Éditer… situé à droite du champ Validation . Pour plus d'informations, consultez la section Contraintes de plage de valeur pour les données de type texte.
Important ! Si vous ne pouvez pas réduire la somme d'argent dans un format standard ou que vous n'envisagez pas de traiter les données contenues dans ce champ comme des sommes d'argent, sélectionnez l'option Traiter la valeur comme du texte. Dans ce cas, la valeur du champ est traitée comme du texte, un dictionnaire personnalisé peut être utilisé pour vérifier la valeur et vous pouvez définir la plage de valeurs possibles comme pour le texte. Pour plus d'informations, consultez la section Contraintes de plage de valeurs pour les données de type texte.
Adresse
  1. Si ce champ contient une adresse, sélectionnez Adresse dans la liste Contenu .
    Une description du type de données sélectionné apparaît dans le champ Détails . Si vous souhaitez modifier la langue ou spécifier un dictionnaire personnalisé ou un type de données plus précis (par exemple, une adresse e-mail ou un code ZIP), cliquez sur le bouton Éditer… à droite de la description. Dans la boîte de dialogue qui apparaît, vous pouvez :
    • Modifier la langue de reconnaissance de ce champ. Pour modifier la langue, cliquez sur le bouton « ... » situé à droite du champ Langue. Vous pouvez sélectionner une ou plusieurs langues.
    • Sélectionnez le type de données standard (Général est sélectionné dans la liste Paramètres de contenu ) pour l'adresse. L'utilisation d'un dictionnaire personnalisé est recommandée, dans ce cas. Pour utiliser un dictionnaire personnalisé, sélectionnez l'option Utiliser un dictionnaire personnalisé et cliquez sur Éditer… pour éditer le dictionnaire. Vous pouvez créer un dictionnaire personnalisé en ajoutant des mots un à un (cliquez sur le bouton Ajouter... pour ajouter un mot) ou en chargeant une liste de mots à partir d'un fichier (cliquez sur le bouton Charger... et spécifiez le chemin d'accès du fichier souhaité portant l'extension *.txt ou *.dic).
    • Le type spécial (soit lorsque Spécial est sélectionné dans la liste Paramètres de contenu ) contient des types de données prédéfinis, parmi lesquels vous pouvez sélectionner le type de données adapté au champ donné. Lors de la sélection d'un type de données, vous pouvez en lire la description dans la partie inférieure de la boîte de dialogue.
      Vous pouvez également créer votre propre type de données personnalisé si aucun des types prédéfinis ne répond à vos besoins. Pour plus d'informations, consultez la section Création de types de données personnalisés.
  2. Le programme peut traiter automatiquement les valeurs entrées quel que soit le type de données : supprimer les espaces en trop, convertir les lettres en majuscules ou en minuscules ou remplacer automatiquement les caractères ou parties de texte spécifiés. Pour activer le traitement automatique des valeurs, cliquez sur le bouton Éditer… en regard du champ Options de correction automatique . Dans la boîte de dialogue qui s'affiche, sélectionnez les options de traitement automatique requises. Pour plus d'informations, consultez la section Traitement des valeurs entrées.
  3. Vous pouvez également configurer la validation des valeurs du champ de sorte que le programme vérifie si la valeur saisie se situe dans la plage que vous avez spécifiée. Pour spécifier une plage de valeurs pour le champ, cliquez sur le bouton Éditer… situé à droite du champ Validation . Pour plus d'informations, consultez la section Contraintes de plage de valeur pour les données de type texte.
Nom
  1. Si ce champ contient un nom, sélectionnez Nom dans la liste Contenu .
    Une description du type de données sélectionné apparaît dans le champ Détails . Si vous souhaitez modifier la langue ou spécifier un dictionnaire personnalisé ou un type de données plus précis (par exemple, un nom ou un patronyme), cliquez sur le bouton Éditer… à droite de la description. Dans la boîte de dialogue qui apparaît, vous pouvez :
    • Modifier la langue de reconnaissance de ce champ. Pour modifier la langue, cliquez sur le bouton « ... » situé à droite du champ Langue. Vous pouvez sélectionner une ou plusieurs langues.
    • Sélectionnez le type de données standard (Général est sélectionné dans la liste Paramètres de contenu ) pour le nom. L'utilisation d'un dictionnaire personnalisé est recommandée, dans ce cas. Pour utiliser un dictionnaire personnalisé, sélectionnez l'option Utiliser un dictionnaire personnalisé et cliquez sur Éditer… pour éditer le dictionnaire. Vous pouvez créer un dictionnaire personnalisé en ajoutant des mots un à un (cliquez sur le bouton Ajouter... pour ajouter un mot) ou en chargeant une liste de mots à partir d'un fichier (cliquez sur le bouton Charger... et spécifiez le chemin d'accès du fichier souhaité portant l'extension *.txt ou *.dic).
    • Le type spécial (soit lorsque Spécial est sélectionné dans la liste Paramètres de contenu ) contient des types de données prédéfinis, parmi lesquels vous pouvez sélectionner le type de données adapté au champ donné. Lors de la sélection d'un type de données, vous pouvez en lire la description dans la partie inférieure de la boîte de dialogue.
      Vous pouvez également créer votre propre type de données personnalisé si aucun des types prédéfinis ne répond à vos besoins. Pour plus d'informations, consultez la section Création de types de données personnalisés.
  2. Le programme peut traiter automatiquement les valeurs entrées quel que soit le type de données : supprimer les espaces en trop, convertir les lettres en majuscules ou en minuscules ou remplacer automatiquement les caractères ou parties de texte spécifiés. Pour activer le traitement automatique des valeurs, cliquez sur le bouton Éditer… en regard du champ Options de correction automatique . Dans la boîte de dialogue qui s'affiche, sélectionnez les options de traitement automatique requises. Pour plus d'informations, consultez la section Traitement des valeurs entrées.
  3. Vous pouvez également configurer la validation des valeurs du champ de sorte que le programme vérifie si la valeur saisie se situe dans la plage que vous avez spécifiée. Pour spécifier une plage de valeurs pour le champ, cliquez sur le bouton Éditer… situé à droite du champ Validation . Pour plus d'informations, consultez la section Contraintes de plage de valeur pour les données de type texte.
Code
  1. Si ce champ contient un code constitué de lettres et de chiffres, sélectionnez Code dans la liste Contenu .
    Une description du type de données sélectionné apparaît dans le champ Détails . Si vous souhaitez modifier la langue ou spécifier un dictionnaire personnalisé ou un type de données plus précis (par exemple, un numéro de sécurité sociale), cliquez sur le bouton Éditer… à droite de la description. Dans la boîte de dialogue qui apparaît, vous pouvez :
    • Modifier la langue de reconnaissance de ce champ. Pour modifier la langue, cliquez sur le bouton « ... » situé à droite du champ Langue. Vous pouvez sélectionner une ou plusieurs langues.
    • Sélectionnez le type de données standard (Général est sélectionné dans la liste Paramètres de contenu ) pour le code alphanumérique. L'utilisation d'un dictionnaire personnalisé est recommandée, dans ce cas. Pour utiliser un dictionnaire personnalisé, sélectionnez l'option Utiliser un dictionnaire personnalisé et cliquez sur Éditer… pour éditer le dictionnaire. Vous pouvez créer un dictionnaire personnalisé en ajoutant des mots un à un (cliquez sur le bouton Ajouter... pour ajouter un mot) ou en chargeant une liste de mots à partir d'un fichier (cliquez sur le bouton Charger... et spécifiez le chemin d'accès du fichier souhaité portant l'extension *.txt ou *.dic).
    • Le type spécial (soit lorsque Spécial est sélectionné dans la liste Paramètres de contenu ) contient des types de données prédéfinis, parmi lesquels vous pouvez sélectionner le type de données adapté au champ donné. Lors de la sélection d'un type de données, vous pouvez en lire la description dans la partie inférieure de la boîte de dialogue.
      Vous pouvez également créer votre propre type de données personnalisé si aucun des types prédéfinis ne répond à vos besoins. Pour plus d'informations, consultez la section Création de types de données personnalisés.
  2. Le programme peut traiter automatiquement les valeurs entrées quel que soit le type de données : supprimer les espaces en trop, convertir les lettres en majuscules ou en minuscules ou remplacer automatiquement les caractères ou parties de texte spécifiés. Pour activer le traitement automatique des valeurs, cliquez sur le bouton Éditer… en regard du champ Options de correction automatique . Dans la boîte de dialogue qui s'affiche, sélectionnez les options de traitement automatique requises. Pour plus d'informations, consultez la section Traitement des valeurs entrées.
  3. Vous pouvez également configurer la validation des valeurs du champ de sorte que le programme vérifie si la valeur saisie se situe dans la plage que vous avez spécifiée. Pour spécifier une plage de valeurs pour le champ, cliquez sur le bouton Éditer… situé à droite du champ Validation . Pour plus d'informations, consultez la section Contraintes de plage de valeur pour les données de type texte.


Création de types de données personnalisés

Pour créer un nouveau type de données, sélectionnez l'élément souhaité dans la liste Contenu de l'onglet Type de données dans les propriétés du champ. Vous pouvez sélectionner n'importe quel élément de la liste dont la sémantique correspond à votre type de données personnalisé : ceci n'affecte pas la nature du nouveau type de données mais permet simplement de stocker ce dernier dans la catégorie sélectionnée.

Cliquez sur le bouton Éditer… situé à droite du champ Détails .

Dans la boîte de dialogue qui s'ouvre, sélectionnez Spécial dans le champ Paramètres de contenu .

Cliquez sur le bouton Nouveau… situé à droite du champ Types de données pour la langue sélectionnée .

Suivez les instructions de l'Assistant Création de type de données.

Dans la première fenêtre de l'Assistant, sélectionnez le processus de création de vos données. Vous pouvez créer un nouveau type de données d'après un dictionnaire, une expression normale, un alphabet ou un type de données existant (par exemple, en ajoutant les caractères souhaités à son alphabet ou en développant son dictionnaire).

Pour créer un nouveau type de données reposant sur un dictionnaire, une expression normale ou un alphabet :

  1. Sélectionnez Nouveau type de données basé sur , puis la base à utiliser pour votre nouveau type de données : un dictionnaire, une expression normale ou un alphabet. Sélectionnez ensuite Langue (lieu) pour votre type de données et cliquez sur Suivant.
  2. Si vous choisissez de créer un nouveau type de données basé sur un dictionnaire, l'Assistant vous invite dans la fenêtre suivante à sélectionner le type de dictionnaire à utiliser.
    Sélectionnez Utiliser le dictionnaire intégré si vous souhaitez utiliser le dictionnaire intégré pour la langue sélectionnée dans la fenêtre précédente. Pour vérifier si le dictionnaire contient un mot particulier, cliquez sur Afficher… et saisissez le mot. Cliquer sur le bouton Afficher affiche les formes flexionnelles du mot ou un message d'avertissement indiquant que le mot recherché ne figure pas dans le dictionnaire.
    Sélectionnez Utiliser les dictionnaires personnalisés si vous souhaitez utiliser un dictionnaire personnalisé et cliquez sur Éditer… pour modifier le dictionnaire. Vous pouvez créer un dictionnaire personnalisé en ajoutant des mots un à un (cliquez sur le bouton Ajouter... pour ajouter un mot) ou en chargeant une liste de mots à partir d'un fichier (cliquez sur le bouton Charger... et spécifiez le chemin d'accès du fichier souhaité portant l'extension *.txt ou *.dic). Cliquez sur Suivant.
  3. Si vous choisissez de créer un nouveau type de données reposant sur une expression normale, l'Assistant vous invite à saisir une expression normale. Utilisez le bouton [image] situé à droite du champ de l'expression normale pour compiler votre expression normale. Pour plus d'informations, consultez la section Caractères alphabétiques dans des expressions normales. Cliquez sur Suivant.
  4. Si vous choisissez de créer un nouveau type de données reposant sur un alphabet ou si vous utilisez dans une expression normale des caractères n'appartenant pas à l'alphabet de la langue employée, l'Assistant vous invite à spécifier un alphabet pour votre type de données. Vous pouvez saisir les caractères souhaités directement au clavier ou cliquer sur Personnaliser… et sélectionner les caractères souhaités à la souris.

    Pour ajouter des signes de ponctuation et des caractères exclus (interdits), cliquez sur Paramètres avancés…. Vous pouvez saisir les caractères interdits directement au clavier ou cliquer sur le bouton situé à droite et sélectionner les caractères souhaités à la souris.

    Cliquez sur Suivant.

  5. Dans la dernière fenêtre de l'Assistant, attribuez un nom au nouveau type de données et décrivez-le brièvement. Pour éditer les propriétés d'un type de données nouvellement créé, sélectionnez l'option Éditer les propriétés. Cliquez sur Terminer.

Pour créer un nouveau type de données reposant sur un type de données existant :

  1. Dans la première fenêtre de l'Assistant Création de type de données, sélectionnez Type de données basé sur des types existants. Sélectionnez la ou les langues souhaitées et cliquez sur Suivant.
  2. Dans la fenêtre suivante, sélectionnez le ou les types de données source en fonction de celui ou de ceux que vous souhaitez utiliser pour créer votre nouveau type de données. Les types de données correspondant aux langues sélectionnées apparaissent dans la liste Types de données disponibles dans la partie gauche de la boîte de dialogue. Le dossier Texte contient les langues naturelles sélectionnées dans la première fenêtre. Le dossier Personnalisé contient les types créés par les utilisateurs. Les autres dossiers contiennent les types de données correspondant à la catégorie et au type spécial de contenu.
    Pour sélectionner un type de données source, sélectionnez-le dans le champ Types de données disponibles (maintenez la touche CTRL enfoncée pour en sélectionner plusieurs), puis cliquez sur Ajouter -> pour le transférer dans le volet droit. Cliquez sur Suivant.
  3. Dans la dernière fenêtre de l'Assistant, attribuez un nom au nouveau type de données et décrivez-le brièvement. Pour éditer les propriétés d'un type de données nouvellement créé, sélectionnez l'option Éditer les propriétés. Cliquez sur Terminer.

Le type de données nouvellement créé apparaît dans la liste des types de données prédéfinis lorsque vous sélectionnez le contenu sélectionné à la création du type de données.

Pour spécifier le type de données nouvellement créé pour votre champ :

  1. Sur l'onglet Type de données de la boîte de dialogue des propriétés du champ, sélectionnez l'élément souhaité dans la liste Contenu .
  2. Cliquez sur le bouton Éditer… situé à droite du champ Détails .
  3. Dans la liste Paramètres de contenu , sélectionnez Spécial.
  4. Dans la liste qui s'affiche, sélectionnez le type de données que vous avez créé (les types de données personnalisés sont indiqués par un symbole spécial) et cliquez sur OK.


Contraintes de plage de valeurs pour les données de type texte

Dans la boîte de dialogue Paramètres de validation, vous pouvez spécifier des contraintes de plage de valeurs pour le texte entré dans le champ.

Remarque : le programme considère comme type de texte les types de données contenant du texte, ainsi que les types de données regroupant un autre contenu pour lequel l’option Traiter la valeur comme du texte est sélectionnée.

  • Longueur maximale – indiquez la longueur maximale du texte du champ.
  • Expression normale – activez cette option si vous souhaitez vérifier les valeurs du champ à l'aide d'une expression normale.

    Le bouton [image] peut vous aider à former correctement une expression normale. Pour plus d'informations, consultez la section Caractères alphabétiques dans des expressions normales.

  • Expression normale – sélectionnez cette option si vous souhaitez spécifier une liste de valeurs autorisées pour ce champ. Pour ajouter une valeur, cliquez sur Add... et entrez la valeur dans la boîte de dialogue qui s'ouvre. Pour modifier une valeur, cliquez sur Éditer… Pour supprimer une valeur, cliquez sur Supprimer.
  • Considérer une erreur de validation comme un avertissement – sélectionnez cette option si vous souhaitez que tout écart des contraintes que vous avez spécifiées soit considéré comme un avertissement.


Contraintes de plage de valeurs pour les nombres

Pour spécifier les contraintes de plage de valeur pour des nombres :

  1. Activez l'option Utiliser des contraintes .
  2. Spécifiez les valeurs numériques minimale et maximale.
  3. Considérer une erreur de validation comme un avertissement : sélectionnez cette option si vous souhaitez que tout écart des contraintes que vous avez spécifiées soit considéré comme un avertissement

Quand le programme traitera des documents, il déterminera si la valeur entrée est comprise dans l'intervalle spécifié.


Contraintes de plage de valeurs pour la date

Dans la boîte de dialogue Paramètres de validation, vous pouvez indiquer l'intervalle pour la date entrée dans ce champ.

  1. Activez l'option La date doit être comprise dans l'intervalle suivant .
  2. Sélectionnez Fixe pour définir un intervalle de temps fixe ou Relative à la date de vérification pour définir un intervalle de temps relatif à la date de vérification du document.
  3. Entrez le début et la fin de l'intervalle.
  4. Considérer une erreur de validation comme un avertissement : sélectionnez cette option si vous souhaitez que tout écart des contraintes que vous avez spécifiées soit considéré comme un avertissement


Traitement de la valeur entrée

Quel que soit le type de données, vous pouvez traiter automatiquement la valeur entrée : supprimer les espaces, convertir les lettres en majuscules ou en minuscules, et remplacer automatiquement certains caractères ou certaines parties de texte. Pour activer le traitement automatique des valeurs de champ, cliquez sur le bouton Éditer… situé à droite du champ Options de correction automatique de l’onglet Type de données dans la boîte de dialogue de propriétés du champ.

Sélectionnez les options de traitement automatique souhaitées.

Si l’option N'appliquer la correction automatique qu'une seule fois après la reconnaissance est sélectionnée, le traitement automatique n’est exécuté qu’après reconnaissance de la valeur du champ. Dans le cas contraire, le traitement automatique est exécuté à chaque modification de la valeur du champ.
  • Pour remplacer automatiquement des caractères dans la valeur de champ reconnue, cliquez sur le bouton Éditer… situé à droite du champ Remplacer les caractères . Dans la boîte de dialogue qui s'ouvre, vous pouvez ajouter des caractères à remplacer automatiquement. Si les caractères spécifiés apparaissent dans la valeur de champ reconnue, ils seront remplacés automatiquement.
  • Pour remplacer automatiquement l'ensemble de la valeur de champ reconnue, ou différents mots de cette valeur de champ, cliquez sur le bouton Éditer… situé à droite du champ Remplacer le texte .

    Dans la boîte de dialogue qui s'ouvre, vous pouvez ajouter des mots et des expressions à remplacer automatiquement. Pour remplacer l'ensemble de la valeur de champ, activez l'option Remplacer la valeur complète du champ. Dans ce cas, le remplacement automatique n'aura lieu que si le mot ou l'expression correspond à l'ensemble de la valeur du champ. Pour remplacer des mots individuels, activez l'option Remplacer les mots trouvés.

    Si vous activez l'option Exact, le programme recherchera et remplacera le mot ou l'expression exacts saisis. Sinon, si vous activez l'option Approximatif, il recherchera et remplacer un mot ou une expression similaires. Le nombre d'erreurs autorisées dépend de la longueur du mot.

    Activez l'option Respecter la casse pour que le programme tienne compte de la casse pour remplacer les mots ou expressions.

  • Choisissez une méthode de conversion de lettres de texte dans la liste déroulante Changer l'emploi des lettres majuscules :

    Aucun – sans conversion.

    MAJUSCULES – convertit toutes les lettres en majuscules.

    minuscules – convertit toutes les lettres en minuscules.

    Première majuscule – la première lettre est en majuscule et les autres sont en minuscules.

  • Supprimer les espaces excédentaires – supprime les espaces.


Options de reconnaissance pour les champs de texte

Vous pouvez définir les propriétés de la reconnaissance dans l'onglet Reconnaissance de la boîte de dialogue de propriétés du champ (accessible à l'aide de la commande Propriétés… du menu contextuel). Quand les valeurs des champs sont déterminées correctement, la qualité de la reconnaissance s'améliore considérablement et le risque d'erreurs diminue sensiblement.

  • Ne pas reconnaître (clé du champ d'image - sera entré manuellement) : activez cette option si le champ ne peut pas être reconnu pour une raison ou pour une autre (par exemple, si le texte du champ est composé de lettres fondues) et que l'opérateur doit entrer sa valeur manuellement. Dans ce cas, vous n'avez pas besoin de configurer les autres propriétés de reconnaissance car ce champ ne sera pas reconnu, et il sera demandé à l'opérateur d'entrer la valeur du champ pendant la vérification.

  • ICR (manuscrit) : activez cette option si le texte statique de ce champ est manuscrit.

  • OCR (imprimé) : activez cette option si le texte statique de ce champ est imprimé. Sélectionnez le style d'impression dans la liste déroulante (typographique, imprimante matricielle, machine à écrire, etc.). Consultez aussi la section Types de texte pris en charge.

  • Avancé : utilisez cette option pour sélectionner plusieurs types de texte ou pour spécifier un type de texte personnalisé.

  • Type de marquage : sélectionnez le type de marquage ; pour simplifier votre choix, sélectionnez des exemples dans la liste déroulante. Si le marquage disparaît pendant la numérisation, votre type de marquage aura un espacement fixe (rectangles gris). Si le marquage ne disparaît pas pendant la numérisation et est subdivisé en cellules pour les espaces des caractères, vous devez entrer le nombre total de cellules. Quand le programme détecte automatiquement les champs comportant un tel marquage, le nombre de cellules est déterminé automatiquement.

  • Casse : sélectionnez la casse des lettres de ce champ. Si le champ peut contenir à la fois des majuscules et des minuscules, laissez l'option Automatique activée.

  • Orientation : indiquez l'orientation du texte.

  • Activez l'option Une ligne pour un champ d'une ligne.

  • Pour les champs dont la valeur est toujours composée d'un seul mot, activez l'option Un mot.

  • Configurez les options de traitement d'image pendant la reconnaissance :

  • Inverser : activez cette option si vous souhaitez inverser l'image.
  • Supprimer la texture : activez cette option si vous souhaitez supprimer la texture.
  • Nettoyer : activez cette option pour supprimer les éléments parasites de l'image.
  • Vider la corbeille de la taille spécifiée uniquement : n'activez cette option que pour supprimer les éléments parasites de la taille indiquée. Indiquez également la taille des éléments parasites. Si cette option est désactivée et que seule l'option Nettoyer est activée, la taille des éléments parasites sera sélectionnée automatiquement.


Propriétés de la vérification de champ

La vérification consiste, pour l'opérateur, à contrôler les données reconnues. Les caractères reconnus sans certitude sont marqués par le programme et soumis à l'opérateur afin qu'il les vérifie. Toutefois, vous pouvez configurer les propriétés d'un champ de telle sorte que le programme le fasse vérifier par l'opérateur même s'il ne contient pas de caractères reconnus sans certitude. Inversement, vous pouvez demander à ce que le programme ne fasse pas vérifier le champ même s'il contient des caractères reconnus sans certitude. L'opérateur verra un caractère reconnu et son image, et soit il confirmera le résultat de la reconnaissance, soit il le corrigera.

Quand vous créez un modèle, vous pouvez configurer les options de vérification sur l'onglet Vérification de la boîte de dialogue de propriétés de champ.

Choisissez une valeur dans la liste déroulante :

  • Vérifier reconnu sans certitude caractères : les caractères des champs sont soumis à l'opérateur afin qu'il les vérifie s'ils ont été reconnus sans certitude. Cette valeur est affectée à tous les champs par défaut.
  • Vérifier tous caractères : les caractères des champs sont soumis à l'opérateur afin qu'il les vérifie. Vous pouvez sélectionner la valeur tous si aucune erreur n'est autorisée dans les valeurs de ce champ.
  • Vérifier aucun caractères : les caractères de ce champ ne sont pas soumis à l'opérateur pour qu'il les vérifie.

Activez les options de votre choix :

  • Inclure dans la vérification groupée : activez cette option pour inclure les caractères du champ dans la vérification groupée. Vous pouvez inclure tous les champs dans la vérification groupée, mais il vaut mieux ne soumettre que les coches et les champs contenant des nombres. Inversement, il est préférable de vérifier les lettres dans le contexte de la valeur du champ.
  • Inclure dans la vérification du champ : activez cette option pour inclure le champ dans la vérification de champ.


Coches

Important ! Les propriétés des coches combinées sous forme de groupes sont configurées pour le groupe de coches entier. Si vous essayez de modifier les propriétés d'une coche appartenant à un groupe, une boîte de dialogue permettant de modifier les propriétés du groupe de coches s'ouvre.

Quand vous créez un champ de coche, il reçoit des propriétés par défaut. Vous pouvez modifier ces propriétés en sélectionnant Propriétés… dans le menu contextuel. La boîte de dialogue de modification de propriétés contient cinq onglets, rassemblant différents groupes de propriétés.

Propriétés de base
Propriétés de reconnaissance
Types de données
Propriétés de vérification
Validation par règle


Propriétés de base d'un champ

Les propriétés de base d'un champ peuvent être paramétrées à partir de l'onglet Général.

Sur cet onglet, le type de champ est affiché sous forme d'icône à droite du nom.

  • Nom : nom du champ. Le nom est affecté automatiquement lors de la création du champ, et il correspond au texte d'explication le plus proche du champ. Lorsque vous modifiez les propriétés du champ, vous pouvez aussi modifier le nom affecté par défaut. Consultez aussi la section Comment modifier le nom d'un champ.
  • Légende : nom du champ qui apparaît dans le formulaire de données.
  • Exporter la valeur du champ : vous devez activer cette option si vous souhaitez exporter la valeur du champ (cette option est activée par défaut). Vous pouvez avoir à désactiver cette option si, par exemple, la valeur de ce champ est utilisée pour obtenir la valeur d'un champ calculé (consultez la section Validation par règle), et si seul le résultat final doit être exporté.
  • Afficher dans le formulaire de données : cette option doit être activée si le champ doit être visible dans le formulaire (elle est activée par défaut).
  • Lecture seule : activez cette option si le champ doit être accessible uniquement en lecture, c'est-à-dire si l'opérateur ne doit pas pouvoir modifier sa valeur. Vous pouvez activer cette option pour les champs dont la valeur doit être calculée automatiquement à l'aide d'une règle, par exemple pour un champ dont vous prévoyez d'enregistrer la somme ou que vous prévoyez de combiner à d'autres champs (consultez la section Validation par règle).
  • Commentaire : vous pouvez entrer le commentaire de votre choix.


Types de données pour des coches

Le type de données des coches peut être défini sur l'onglet Type de données de la boîte de dialogue de propriétés de champ.

Il détermine les valeurs à affecter au champ de coche pour une coche sélectionnée et pour une coche non sélectionnée.

Sélectionnez les options appropriées pour les valeurs de coche :

  • Oui / Non : si la coche est sélectionnée, la valeur du champ est Oui. Si elle n'est pas sélectionnée, la valeur est Non.
  • 1 / 0 : Si la coche est sélectionnée, la valeur du champ est 1. Si elle n'est pas sélectionnée, la valeur est 0.
  • <Nom de coche> / Vide : si la coche est sélectionnée, la valeur du champ correspond au nom de la coche. Si elle n'est pas sélectionnée, le champ reçoit une valeur vide.
  • Personnalisé : en activant cette option, vous pouvez entrer vos valeurs personnalisées. Sélectionné à une coche sélectionnée et Non sélectionné à une coche non sélectionnée.


Propriétés de la reconnaissance de coche

Vous pouvez définir les propriétés de la reconnaissance dans l'onglet Reconnaissance de la boîte de dialogue de propriétés du champ (accessible à l'aide de la commande Propriétés… du menu contextuel de ce champ). Quand les valeurs des champs sont déterminées correctement, la qualité de la reconnaissance s'améliore considérablement et le risque d'erreurs diminue sensiblement.

  • Type de coche : sélectionnez le type de coche. Cette propriété est très importante pour la reconnaissance correcte des coches.

    Carré : sélectionnez ce type de coche si les coches sont placées dans des cadres carrés restreints.

    Sans cadre : sélectionnez ce type de coche si les coches sont placées sur un arrière-plan blanc sans cadre.

    Automatique : si vous sélectionnez ce type, le programme déterminera automatiquement le type de coche.
    Important ! Notez que dans ce cas, la coche du formulaire ne doit pas être sélectionnée. En effet, le programme détecte si la coche est sélectionnée ou non en comparant l'image de la coche sur un document traité à l'image du formulaire vierge utilisé pour créer le modèle.

  • Autoriser les corrections : activez cette option si vous souhaitez autoriser les corrections pour les coches. Dans ce cas, les coches retouchées seront considérées comme non sélectionnées. Si vous avez sélectionné le type Automatique, vous ne pouvez pas autoriser les corrections pour ces coches.

    • Vous pouvez configurer les options de traitement d'image de champ :

  • Inverser : activez cette option si vous souhaitez inverser l'image.
  • Supprimer la texture : activez cette option si vous souhaitez supprimer la texture.
  • Nettoyer : activez cette option pour supprimer les éléments parasites de l'image.
  • Vider la corbeille de la taille spécifiée uniquement : n'activez cette option que pour supprimer les éléments parasites de la taille indiquée. Indiquez également la taille des éléments parasites. Si cette option est désactivée et que seule l'option Nettoyer est activée, la taille des éléments parasites sera sélectionnée automatiquement.


Propriétés de la vérification de champ

La vérification consiste, pour l'opérateur, à contrôler les données reconnues. Les caractères reconnus sans certitude sont marqués par le programme et soumis à l'opérateur afin qu'il les vérifie. Toutefois, vous pouvez configurer les propriétés d'un champ de telle sorte que le programme le fasse vérifier par l'opérateur même s'il ne contient pas de caractères reconnus sans certitude. Inversement, vous pouvez demander à ce que le programme ne fasse pas vérifier le champ même s'il contient des caractères reconnus sans certitude. L'opérateur verra un caractère reconnu et son image, et soit il confirmera le résultat de la reconnaissance, soit il le corrigera.

Quand vous créez un modèle, vous pouvez configurer les options de vérification sur l'onglet Vérification de la boîte de dialogue de propriétés de champ.

Choisissez une valeur dans la liste déroulante :

  • Vérifier reconnu sans certitude caractères : les caractères des champs sont soumis à l'opérateur afin qu'il les vérifie s'ils ont été reconnus sans certitude. Cette valeur est affectée à tous les champs par défaut.
  • Vérifier tous caractères : les caractères des champs sont soumis pour être vérifiés. Vous pouvez sélectionner la valeur tous si aucune erreur n'est autorisée dans les valeurs de ce champ.
  • Vérifier aucun caractères : les caractères de ce champ ne sont pas soumis à l'opérateur pour qu'il les vérifie.

Activez les options de votre choix :

  • Inclure dans la vérification groupée : activez cette option pour inclure les caractères du champ dans la vérification groupée. Vous pouvez inclure tous les champs dans la vérification groupée, mais il vaut mieux ne soumettre que les coches et les champs contenant des nombres. Inversement, il est préférable de vérifier les lettres dans le texte de la valeur du champ.


Groupes de coches

Important ! Les propriétés de groupe s'appliquent à toutes les coches appartenant à un groupe.

La valeur d'un groupe de coches est la liste des noms des coches sélectionnées, séparés par un point-virgule (;), ou une chaîne vide si aucune coche n'a été sélectionnée.

Quand vous créez un groupe de coches, il reçoit des propriétés par défaut. Vous pouvez modifier ces propriétés en sélectionnant Propriétés… dans le menu contextuel. La boîte de dialogue de propriétés contient cinq onglets, rassemblant différents groupes de propriétés.

Propriétés de base
Propriétés de reconnaissance
Types de données
Propriétés de vérification
Validation par règle


Types de données pour les groupes de coches

Le type de données des groupes de coches peut être défini sur l'onglet Type de données de la boîte de dialogue de propriétés de champ.

Autoriser une sélection vide : activez cette option si au moins une coche du groupe doit être sélectionnée. Dans ce cas, si aucune coche du groupe n'est sélectionnée, le programme affiche un avertissement correspondant.

Autoriser les sélections multiples : activez cette option pour autoriser la sélection de plusieurs coches du groupe. Si cette option est désactivée, le programme affiche un avertissement quand plusieurs coches du groupe sont sélectionnées.

Pour modifier le nom d'une coche, sélectionnez la ligne de votre choix, puis cliquez sur Éditer…. Dans la boîte de dialogue qui s'ouvre, indiquez un nouveau nom pour le champ de coche et un nouveau nom à affecter à la coche pendant l'exportation.

Vous pouvez définir les valeurs à exporter lorsqu'aucun champ de coche n’est sélectionné et lorsque plusieurs champs de coche sont sélectionnés. Pour ce faire, sélectionnez <Aucun élément sélectionné> ou <Plusieurs éléments…> dans la liste, cliquez sur Éditer… , puis spécifiez la valeur souhaitée dans le champ Valeur exportée de la boîte de dialogue qui apparaît. Si aucune valeur d’exportation n’est spécifiée : a) une chaîne vide est exportée si aucun champ de coche n’est sélectionné, et b) les valeurs des champs de coches sélectionnés sont spécifiées (une virgule faisant office de séparateur) si plusieurs champs sont sélectionnés.

Création d'un groupe de coches


Code barre

Quand vous créez un champ de code barre, il reçoit des propriétés par défaut. Vous pouvez modifier ces propriétés en sélectionnant Propriétés… dans le menu contextuel. La boîte de dialogue de modification de propriétés contient cinq onglets, rassemblant différents groupes de propriétés.

Important ! Un code barre peut être mis en surbrillance sous forme de champ ou d'élément statique. Tout dépend de la valeur du code barre dans les documents en cours de traitement. Si le code barre est destiné à l'association ou à l'identification du modèle, vous devez le créer en mode d'éléments statiques. S'il est destiné à l'acquisition de données, il faut le créer en mode de marquage de champ. Les propriétés d'un code barre varient suivant qu'il s'agit d'un champ ou d'un élément statique. Cette section décrit les propriétés de champ. Consultez aussi la section code barre d'ancrage.

Propriétés de base
Propriétés de reconnaissance
Propriétés de vérification
Validation par règle


Propriétés de la reconnaissance de code barre

Vous pouvez définir les propriétés de la reconnaissance dans l'onglet Reconnaissance de la boîte de dialogue de propriétés du champ (accessible à l'aide de la commande Propriétés… du menu contextuel de ce champ). Quand les valeurs des champs sont déterminées correctement, la qualité de la reconnaissance s'améliore considérablement et le risque d'erreurs diminue sensiblement.

  • Ne pas reconnaître (clé du champ d'image - sera entré manuellement) : activez cette option si la valeur du code barre doit être entrée manuellement par l'opérateur. Dans pareil cas, vous n'avez pas besoin de configurer les paramètres de reconnaissance restants.
  • Type de code : indiquez le type du code barre (il est en principe déterminé automatiquement).
  • Orientation : indiquez l'orientation du code barre.

Vous pouvez aussi configurer les options de traitement d'image de code barre :

  • Inverser : activez cette option si vous souhaitez inverser l'image.
  • Supprimer la texture : activez cette option si vous souhaitez supprimer la texture.
  • Nettoyer : activez cette option pour supprimer les éléments parasites de l'image.
  • Vider la corbeille de la taille spécifiée uniquement : n'activez cette option que pour supprimer les éléments parasites de la taille indiquée. Indiquez également la taille des éléments parasites. Si cette option est désactivée et que seule l'option Nettoyer est activée, la taille des éléments parasites sera sélectionnée automatiquement.


Propriétés de la vérification de champ

La vérification consiste, pour l'opérateur, à contrôler les données reconnues. Les caractères reconnus sans certitude sont marqués par le programme et soumis à l'opérateur afin qu'il les vérifie. Toutefois, vous pouvez configurer les propriétés d'un champ de telle sorte que le programme le fasse vérifier par l'opérateur même s'il ne contient pas de caractères reconnus sans certitude. Inversement, vous pouvez demander à ce que le programme ne fasse pas vérifier le champ même s'il contient des caractères reconnus sans certitude. L'opérateur verra un caractère reconnu et son image, et soit il confirmera le résultat de la reconnaissance, soit il le corrigera.

Quand vous créez un modèle, vous pouvez configurer les options de vérification sur l'onglet Vérification de la boîte de dialogue de propriétés de champ.

Choisissez une valeur dans la liste déroulante :

  • Vérifier reconnu sans certitude caractères : les caractères des champs sont soumis à l'opérateur afin qu'il les vérifie s'ils ont été reconnus sans certitude. Cette valeur est affectée à tous les champs par défaut.
  • Vérifier tous caractères : les caractères des champs sont soumis pour être vérifiés. Vous pouvez sélectionner la valeur tous si aucune erreur n'est autorisée dans les valeurs de ce champ.
  • Vérifier aucun caractères : les caractères de ce champ ne sont pas soumis à l'opérateur pour qu'il les vérifie.

Option possible :

  • Inclure dans la vérification du champ : activez cette option pour inclure le champ dans la vérification de champ.


Images graphiques

Quand vous créez une image graphique, elle reçoit des propriétés par défaut. Vous pouvez modifier ces propriétés en sélectionnant Propriétés… dans le menu contextuel. La boîte de dialogue de modification de propriétés contient quatre onglets, rassemblant différents groupes de propriétés.

Propriétés de base
Propriétés de reconnaissance
Exportation d'images
Validation par règle


Propriétés de base d'un champ

Les propriétés de base d'un champ peuvent être paramétrées à partir de l'onglet Général.

Sur cet onglet, le type de champ est affiché sous forme d'icône à droite du nom.

  • Nom : nom du champ. Le nom est affecté automatiquement lors de la création du champ, et il correspond au texte d'explication le plus proche du champ. Lorsque vous modifiez les propriétés du champ, vous pouvez aussi modifier le nom affecté par défaut. Consultez aussi la section Comment modifier le nom d'un champ.
  • Légende : nom du champ qui apparaît dans le formulaire de données.
  • Exporter la valeur du champ : activez cette option si vous souhaitez exporter la valeur du champ (cette option est activée par défaut). Vous pouvez avoir à désactiver cette option si, par exemple, la valeur de ce champ est utilisée pour obtenir la valeur d'un champ calculé (consultez la section Validation par règle), et si seul le résultat final doit être exporté.
  • Afficher dans le formulaire de données : activez cette option si le champ doit être visible dans le formulaire (elle est activée par défaut).
  • Commentaire : vous pouvez entrer le commentaire de votre choix.


Propriétés de la reconnaissance d'image graphique

Vous pouvez définir les propriétés de la reconnaissance dans l'onglet Reconnaissance de la boîte de dialogue de propriétés du champ (accessible à l'aide de la commande Propriétés… du menu contextuel de ce champ).

  • Exclure de la reconnaissance – activez cette option si la région d'un champ d'image graphique doit être exclu des régions de reconnaissance des autres champs. (Cette option n'est disponible que pour un champ d'image graphique, et elle assure la compatibilité avec les modèles FormReader 6.5.)


Exportation d'images

Dans un modèle de document, vous pouvez sélectionner les options d'exportation de chaque image. Pour sélectionner les options d'exportation des images, cliquez avec le bouton droit de la souris sur le champ souhaité, sélectionnez Propriétés…, puis cliquez sur l'onglet Exporter. Vous pouvez sélectionner l'une quelconque des options suivantes :

  • Type de fichier : (TIFF, JPEG, BMP, JPEG2000, PCX packbits, PNG).
  • Qualité : pour les fichiers TIFF, JPEG et JPEG2000, vous pouvez sélectionner la qualité du fichier obtenu (qualité optimale à minimale).
  • Type de couleur : couleur, niveaux de gris, demi-ton (noir et blanc).

Vous pouvez également définir la résolution de l'image obtenue : sélectionnez Changer la résolution en et saisissez la résolution souhaitée ou sélectionnez-la dans la liste.


Tableaux

Quand vous créez un tableau, il reçoit des propriétés par défaut. Vous pouvez modifier ces propriétés en sélectionnant Propriétés… dans le menu contextuel. La boîte de dialogue de modification de propriétés contient trois onglets, rassemblant différents groupes de propriétés.

Propriétés de base
Colonnes
Validation par règle


Colonnes de tableau

L'onglet Colonnes affiche la liste des colonnes de ce tableau. Chaque colonne de tableau relève d'un certain type (consultez la section Création d'un tableau) et a des propriétés spécifiques à ce type de champ.

Pour modifier les propriétés de l'une de ces colonnes :

  1. Sélectionnez son nom dans la liste.
  2. Cliquez sur le bouton Propriétés….


Groupe de champs

Quand vous créez un groupe de champs, il reçoit des propriétés par défaut. Vous pouvez modifier ces propriétés en sélectionnant Propriétés… dans le menu contextuel. La boîte de dialogue de modification de propriétés contient trois onglets, rassemblant différents groupes de propriétés.

Propriétés de base
Champs
Validation par règle


Champs groupés

L'onglet Champs permet de voir la liste des champs qui forment un groupe.

Pour modifier les propriétés de l'un de ces champs :

  1. Sélectionnez son nom dans la liste.
  2. Cliquez sur le bouton Propriétés….

Création d'un groupe de champs


Vérification par règle

Validation par règle

Les règles décuplent les possibilités de contrôle automatique des résultats. Elles permettent de définir des contraintes de données, c'est-à-dire de spécifier des conditions pour les valeurs de certains champs.

Si les valeurs des documents ne remplissent pas ces conditions, les pages correspondantes sont signalées par un avertissement. Le principal objectif de la validation par règle est de vérifier l'intégrité des données du document.

Vous pouvez également traiter les valeurs entrées à l'aide de règles. Vous pouvez par exemple fusionner les valeurs de plusieurs champs ou remplacer les valeurs reconnues par les valeurs correspondantes de la base de données.

ABBYY FlexiCapture 8.0 Professional permet de configurer des règles des types suivants :

  • Somme de contrôle : vérifie la somme de plusieurs champs. La somme de valeurs de champs spécifiques est comparée à un nombre prédéfini ou à la valeur d'un autre champ.
  • Comparer les champs : compare les valeurs de plusieurs champs.
  • Vérification de base de données : vérifie les valeurs entrées en les comparant aux valeurs d'une base de données précise.
  • Fusionner les champs : fusionne les valeurs de plusieurs champs. Vous pouvez ajouter des séparateurs en fusionnant des champs.
  • Script : vous pouvez décrire les contraintes à l'aide d'un script.
  • Somme en chiffres - Somme en lettres (Russe) : compare une somme numérique à la même somme en lettres (Russe uniquement).

Vous pouvez affecter un statut d'erreur ou d'avertissement à la règle. Quand une condition n'est pas remplie, le champ est marqué d'un indicateur rouge (erreur) ou jaune (avertissement). Consultez la section Validation par règle.

Les règles peuvent être configurées sur l'onglet Règles de la boîte de dialogue de propriétés de l'objet (champ, section, document, etc.).

Dans la structure hiérarchique, les règles sont stockées au niveau de l'objet dans lequel elles ont été créées : il peut s'agir d'un champ, d'une section de modèle ou du modèle lui-même. Le plus souvent, le niveau de stockage de la règle importe peu. Toutefois, si vous créez un modèle avec une structure complexe, avec des groupes de champs ou des éléments récurrents, vous devez faire attention à l'endroit où vous stockez les règles. Par exemple, si vous avez un groupe de champs et que certains champs du groupe sont liés à une règle, quand vous créerez une nouvelle instance de ce groupe, la règle ne sera copiée et satisfaite dans le nouvel objet que si elle est stockée dans le groupe lui-même ou dans l'un de ses champs, et non à un niveau supérieur. à partir de la boîte de dialogue de propriétés de l'objet, vous pouvez afficher les règles qui opèrent sur cet objet ou qui sont stockées dans cet objet, ainsi que les objets subordonnés. Vous pouvez spécifier les règles à afficher en sélectionnant l'une des valeurs de la liste déroulante Présenter dans la liste :

  • Règles gérant l'objet : affiche les règles applicables à l'objet en cours (c'est-à-dire l'objet dont la boîte de dialogue de propriétés est actuellement ouverte).
  • Règles stockées dans l'objet : affiche les règles stockées dans l'objet en cours.
  • Règles stockées dans l'objet et ses enfants : affiche les règles stockées dans l'objet en cours et dans ses objets enfants (pour un groupe de champs, par exemple, les règles stockées dans le groupe et dans tous ses champs sont affichées).

Remarque : vous ne pouvez créer une règle qu'en mode d'affichage Règles gérant l'objet ou Règles stockées dans l'objet et ses enfants, et non en mode Règles gérant l'objet.

Chaque règle a un statut d'erreur ou d'avertissement. Si vous tentez d'exporter des documents présentant des erreurs de règle, le programme affichera un message d'erreur. Les avertissements relatifs aux règles n'empêchent pas l'exportation d'avoir lieu.

Somme de contrôle
Comparaison de champs
Contrôle d'une base de données
Fusion de champs
Somme en chiffres – Somme en lettres

Définition d'une règle à l'aide d'un script


Règle de somme de contrôle de valeurs

Cette règle sert à vérifier la somme des valeurs de plusieurs champs. La somme de valeurs de champs spécifiques est comparée à un nombre prédéfini ou à la valeur d'un autre champ. Par exemple, si votre document contient des champs avec un salaire, une prime, d'autres paiements compensatoires et un champ de total, vous pouvez configurer une règle qui vérifiera si la somme des valeurs de champ correspond à la valeur du champ de total. Si les valeurs ne correspondent pas, un message d'erreur sera affiché.

Pour créer une règle de somme de contrôle, procédez comme suit :

  1. Ouvrez la boîte de dialogue de propriétés du champ (accessible à l'aide de la commande Propriétés… du menu contextuel) ou la boîte de dialogue de propriétés du modèle (accessible à l'aide de la commande Modèle >Propriétés du modèle de document… du menu de l'éditeur de modèles de document).
  2. Accédez à l'onglet Règles.
  3. Cliquez sur le bouton Nouvelle règle….
  4. Dans la liste de types de règles, sélectionnez Somme de contrôle et cliquez sur OK.
  5. Entrez le nom de la règle et sélectionnez le type : Avertissement ou Erreur, puis cliquez sur Suivant.
  6. Ajoutez à la liste Résumer les valeurs des champs les champs dont vous souhaitez vérifier la somme. Utilisez le bouton Ajouter… pour ajouter des champs.
  7. Activez l'une des options suivantes :
    • champ : activez cette option pour comparer la somme à la valeur du champ de résultat. Sélectionnez le nom de ce champ à l'aide du bouton Sélectionner….
    • nombre : activez cette option pour comparer la somme à un nombre précis. Entrez ce nombre.
  8. Partie fractionnelle des valeurs comparées : entrez le nombre de chiffres après la virgule dans le nombre pour déterminer la précision de la comparaison.
  9. Activez l'option Au moins deux éléments non vides à additionner si vous souhaitez additionner au moins deux éléments non vides.
  10. Cliquez sur Terminer pour terminer la création de la règle. Le nom de cette règle s'affiche sur l'onglet Règles.


Règle de comparaison de valeurs entre plusieurs champs

Cette règle permet de vérifier les valeurs de plusieurs champs. Elle est utile si votre document contient plusieurs champs dont les valeurs doivent être identiques. Si ces valeurs ne correspondent pas, un message d'erreur de règle s'affiche pour le document.

Pour créer une règle de contrôle de valeurs, procédez comme suit :

  1. Ouvrez la boîte de dialogue de propriétés du champ (accessible à l'aide de la commande Propriétés… du menu contextuel) ou la boîte de dialogue de propriétés du modèle (accessible à l'aide de la commande Modèle >Propriétés du modèle de document… du menu de l'éditeur de modèles de document).
  2. Accédez à l'onglet Règles.
  3. Cliquez sur le bouton Nouvelle règle….
  4. Dans la liste de types de règles, sélectionnez Comparer les champs et cliquez sur OK.
  5. Entrez le nom de la règle et sélectionnez le type : Avertissement ou Erreur, puis cliquez sur Suivant.
  6. Ajoutez à la liste Champs à comparer les champs dont vous voulez comparer les valeurs. Utilisez le bouton Ajouter… pour ajouter des champs.
  7. Sélectionnez le type de correspondance :
    • Exacte : activez cette option pour obtenir une correspondance de valeur exacte.
    • Approximative : activez cette option pour obtenir une correspondance de valeur approximative. Dans ce cas, les champs seront comparés sans prendre en considération la casse et les caractères, et une erreur sera autorisée pour les valeurs de champ dépassant 4 caractères.
  8. Cliquez sur Terminer pour terminer la création de la règle. Le nom de cette règle s'affiche sur l'onglet Règles.


Règle de contrôle de base de données

Le contrôle des champs d'une base de données consiste à comparer la valeur reconnue pour un champ aux valeurs de la table contenue dans la base de données. Ce contrôle est considéré comme satisfaisant si les deux valeurs correspondent. Si elles ne correspondent pas, un message d'erreur de règle s'affiche.

Pour créer une règle de contrôle de base de données, procédez comme suit :

  1. Ouvrez la boîte de dialogue de propriétés du champ (accessible à l'aide de la commande Propriétés… du menu contextuel) ou la boîte de dialogue de propriétés du modèle (accessible à l'aide de la commande Modèle >Propriétés du modèle de document… du menu de l'éditeur de modèles de document).
  2. Accédez à l'onglet Règles.
  3. Cliquez sur le bouton Nouvelle règle….
  4. Dans la liste de types de règles, sélectionnez Vérification de base de données et cliquez sur OK.
  5. Entrez le nom de la règle et sélectionnez le type : Avertissement ou Erreur, puis cliquez sur Suivant.
  6. établissez une connexion avec une base de données. Vous pouvez configurer les paramètres requis dans la boîte de dialogue Propriétés de la liaison de données qui s'ouvre quand vous cliquez sur le bouton Définir….
  7. Sélectionnez un système de base de données et une table dans la liste.
  8. établissez une correspondance entre les champs du modèle de document et ceux de la table de base de données. Pour ce faire, cliquez sur le bouton Ajouter…. La boîte de dialogue Liaison de champ s'ouvre. Sélectionnez dans la liste un champ de modèle de document et le champ correspondant dans la table de base de données. Sélectionnez le type de correspondance :
    • Exacte : les valeurs de champ doivent correspondre exactement.
    • Approximative : les valeurs de champ ne doivent correspondre que partiellement. Dans ce cas, le programme recherche les mots les plus proches, pour lesquels le moins de lettres ont été ajoutées, supprimées ou remplacées pour obtenir le mot d'origine. Le nombre d'erreurs autorisées dépend de la longueur du mot d'origine. Activez l'option Copier la valeur du champ à partir de la base de données si vous souhaitez que la valeur du champ du document soit remplacée par la valeur correspondante de la base de données.
    • Ne pas comparer : aucune comparaison n'est effectuée, et la valeur du champ est remplacée par une valeur de la base de données (option Copier la valeur du champ à partir de la base de données activée).
  9. Utilisez les boutons Ajouter…, Éditer… et Supprimer pour ajouter, modifier ou supprimer des liens entre les champs.


Règle de fusion de valeurs de champs

Cette règle permet de fusionner les valeurs de plusieurs champs. Les valeurs de champs fusionnées peuvent être séparées par un point, un espace ou un autre séparateur.

Pour créer une règle de fusion de valeurs, procédez comme suit :

  1. Ouvrez la boîte de dialogue de propriétés du champ (accessible à l'aide de la commande Propriétés… du menu contextuel) ou la boîte de dialogue de propriétés du modèle (accessible à l'aide de la commande Modèle >Propriétés du modèle de document… du menu de l'éditeur de modèles de document).
  2. Accédez à l'onglet Règles.
  3. Cliquez sur le bouton Nouvelle règle….
  4. Dans la liste de types de règles, sélectionnez Fusionner les champs et cliquez sur OK.
  5. Entrez le nom de la règle et sélectionnez le type : Avertissement ou Erreur, puis cliquez sur Suivant. Une erreur s'affiche pour cette règle si, par exemple, l'un des champs inclus dans la fusion a été supprimé du modèle.
  6. Ajoutez à la liste Champs à fusionner les champs à inclure dans la fusion. Utilisez le bouton Ajouter… pour ajouter des champs. Sélectionnez Champ de résultat : ce champ sert à stocker le résultat de la fusion. Entrez le séparateur requis dans la fenêtre Séparateur .
  7. Par défaut, des séparateurs sont ajoutés entre les valeurs non vides. Si vous souhaitez que le programme ajoute systématiquement des séparateurs, même pour les valeurs de champ vides, activez l'option Placer des séparateurs pour les valeurs de champ vides.
  8. Cliquez sur Terminer pour terminer la création de la règle. Le nom de cette règle s'affiche sur l'onglet Règles.

Le résultat de la fusion peut être stocké dans n'importe quel champ vide. à cet effet, il est pratique d'utiliser des champs sans régions.

Si vous n'avez besoin d'exporter que la valeur du champ de résultat, et non les valeurs des champs inclus dans la fusion, activez l'option Exporter la valeur du champ pour ces champs.


Définition d'une règle à l'aide d'un script

ABBYY FlexiCapture 8.0 Professional permet de configurer une règle de contrôle de données à l'aide d'un script.

Pour créer une telle règle, procédez comme suit :

  1. Ouvrez la boîte de dialogue de propriétés du champ (accessible à l'aide de la commande Propriétés… du menu contextuel) ou la boîte de dialogue de propriétés du modèle (accessible à l'aide de la commande Modèle >Propriétés du modèle de document… du menu de l'éditeur de modèles de document).
  2. Accédez à l'onglet Règles.
  3. Cliquez sur le bouton Nouvelle règle….
  4. Dans la liste de types de règles, sélectionnez Script et cliquez sur OK.
  5. Entrez le nom de la règle et sélectionnez le type : Avertissement ou Erreur, puis cliquez sur Suivant.
  6. La liste Champs disponibles répertorie les objets disponibles. Vous pouvez ajouter et supprimer des champs à l'aide des boutons Ajouter… et Supprimer. Les valeurs des champs dont l'option Lecture seule est activée ne sont accessibles qu'en lecture, tandis que celles des champs dont cette option est désactivée peuvent être écrasées à l'aide d'un script.
  7. Sélectionnez le langage de script et entrez le texte du script. Pour modifier le script, cliquez sur le bouton Éditer…. Une fenêtre de modification spéciale s'ouvre. Vous pouvez contrôler le script en cliquant sur le bouton Vérifier.
  8. Cliquez sur Terminer. La règle nouvellement créée s'affiche dans la liste de l'onglet Règles.

Remarque : les procédures que vous souhaitez utiliser dans plusieurs règles doivent être rédigées sur un module général de règles accessible depuis l’éditeur de script. Depuis la liste déroulante de la barre des tâches de l’éditeur de script, sélectionnez Module de script global de règle. Vous pouvez également accéder au module général de règles depuis l’éditeur de modèles (Modèle>Modules de script>Script de règle…).

Pour plus d'informations sur la création de règles à l'aide d'un script, consultez la section Utilisation de scripts dans FlexiCapture 8.0


Somme en chiffres - somme en lettres

Important ! Vous ne pouvez définir cette règle que si vous sélectionnez le Russe comme langue de reconnaissance pour votre modèle (Modèle>Propriétés du modèle de document…).

Cette règle a pour objet de comparer une somme numérique à la somme correspondante en lettres (alphabet russe). Si les deux sommes diffèrent, un message s'affiche indiquant que la règle a renvoyé une erreur.

Pour créer une « somme en chiffres - somme en lettres », procédez comme suit :

  1. Ouvrez la boîte de dialogue de propriétés du champ (accessible à l'aide de la commande Propriétés… du menu contextuel) ou la boîte de dialogue du modèle de document (accessible à l'aide de la commande Modèle >Propriétés du modèle de document… du menu de l'éditeur de modèles de document).
  2. Accédez à l'onglet Règles.
  3. Cliquez sur le bouton Nouvelle règle….
  4. Dans la liste de types de règles, sélectionnez Somme en chiffres - Somme en lettres (Russe) et cliquez sur OK.
  5. Entrez le nom de la règle et sélectionnez le type : Avertissement ou Erreur, puis cliquez sur Suivant.
  6. Cliquez sur le bouton Sélectionner… situé à droite du champ Somme en chiffres , puis sélectionnez le champ du modèle qui contient la somme numérique.
  7. Cliquez sur le bouton Sélectionner… situé à droite du champ Somme en lettres , puis sélectionnez le champ du modèle qui contient la somme en lettres.
  8. Cliquez sur Terminer pour terminer la création de la règle. Le nom de cette règle s'affiche sur l'onglet Règles.


Configuration de l'exportation de données

Pour indiquer comment les données acquises doivent être traitées pendant le traitement des documents au format papier, l'administrateur configure les propriétés d'exportation de chaque modèle. Quatre types d'exportation sont possibles. Vous pouvez exporter les données vers un fichier, une base de données ou une bibliothèque Microsoft SharePoint, ou décrire l'exportation à l'aide d'un script.

Pour configurer l'exportation, dans la fenêtre de l'éditeur de modèles de document, sélectionnez l'élément de menu Modèle > Paramètres d'exportation… et paramétrez les options requises dans la boîte de dialogue Paramètres d'exportation.

Définissez le type d'exportation requis (fichier, base de données, SharePoint ou script) dans le champ Type d'exportation . Les paramètres suivants dépendent de la valeur sélectionnée dans ce champ.

Exportation vers un fichier
Exportation vers une base de données
Exporter vers SharePoint
Description d'une exportation à l'aide d'un script


Exportation de données vers un fichier

Pour configurer l'exportation vers un fichier, procédez comme suit :

  1. Dans la fenêtre de l'éditeur de modèles de document, sélectionnez l'élément de menu Modèle > Paramètres d'exportation….
  2. Sélectionnez la valeur Exporter vers des fichiers dans le champ Type d'exportation.

  3. Dans Destination :

    • Chemin – cliquez sur Parcourir… pour sélectionner le dossier cible où stocker les fichiers exportés.

    Important ! Si le chemin d’accès du dossier cible contient un disque réseau, vérifiez que tous les opérateurs travaillant sur le projet bénéficient d’un accès à ce disque.

    • Créer un dossier distinct pour chaque lot – activez cette option si vous souhaitez exporter les résultats d'exportation d'un lot de documents dans un dossier séparé.
    • Créer un fichier distinct pour chaque document – activez cette option si vous souhaitez exporter les résultats d'exportation d'un document dans un fichier séparé. Sinon, tous les documents seront exportés dans le même fichier.
    • Activez l'option Écraser les fichiers existants pour autoriser l'écrasement des fichiers d'exportation.
    • Spécifiez les règles à utiliser pour attribuer un nom aux fichiers d'exportation. Cliquez sur le bouton Options du nom de fichier… et sélectionnez les options souhaitées dans la boîte de dialogue qui apparaît. Pour plus d'informations, consultez la section Règles d'attribution d'un nom aux fichiers d'exportation.

  4. Sur l'onglet Format, sélectionnez le type de fichier (formats pris en charge : CSV, DBF, TXT, XLS et XML) et configurez les propriétés d'exportation supplémentaires pour le type de fichier sélectionné. Vous pouvez aussi spécifier le type de codage du texte.

Classeur Microsoft Office Excel (*.XLS) ;
  • Sélectionnez la version souhaitée de Microsoft Excel (5.0/95 ; 97-2003 ; 97-2003 (compatible avec 5.0/95)) ;
  • Sélectionnez Préserver le type de valeur à l'exportation pour exporter les données par type. Si vous désactivez cette option, toutes les données sont exportées sous le type Général ;
  • Sélectionnez Créer des fichiers distincts pour les éléments répétables si vous souhaitez exporter des champs et des tableaux qui se répètent dans des fichiers distincts. Consultez la section remarques.
  • Pour Microsoft Excel 5.0/95, sélectionnez la page de code souhaitée.
Document XML (*.xml) ;
  • Sélectionnez les autres données que vous souhaitez exporter (emplacement du champ, types de champs, erreurs, informations sur la qualité de reconnaissance) ;
  • Si vous sélectionnez Préserver le type de valeur à l'exportation, le schéma XML dans lequel les types de champs sont décrits est préservé ;
  • Sélectionnez le codage souhaité.
Fichier de valeurs séparées par une virgule (*.csv) ;
  • Sélectionnez Sépérateur de colonnes ;
  • Sélectionnez Créer des fichiers distincts pour les éléments répétables si vous souhaitez exporter des champs et des tableaux qui se répètent dans des fichiers distincts. Consultez la section remarques.
  • Sélectionnez le codage souhaité.
Fichier texte (*.txt) ;
  • Sélectionnez Sépérateur de colonnes ;
  • Sélectionnez Créer des fichiers distincts pour les éléments répétables si vous souhaitez exporter des champs et des tableaux qui se répètent dans des fichiers distincts. Consultez la section remarques.
  • Sélectionnez le codage souhaité.
Fichier DBase (*.dbf) ;
  • Sélectionnez Préserver le type de valeur à l'exportation pour exporter les données par type. Si vous désactivez cette option, tous les champs deviennent des champs Texte ;
  • Sélectionnez Créer des fichiers distincts pour les éléments répétables si vous souhaitez exporter des champs et des tableaux qui se répètent dans des fichiers distincts. Consultez la section remarques.

  5. L'onglet Images permet de configurer les paramètres de stockage d'image.

    • Activez l'option Enregistrer des images de document si vous souhaitez enregistrer les images de page de document.

    • Activez l'option dans le dossier de données si vous souhaitez que les images soient enregistrées dans le même dossier que les données exportées.

    • Activez l'option dans le dossier et indiquez le chemin d'accès du dossier si vous souhaitez enregistrer les images ailleurs.

    • Sélectionnez un format de stockage, un niveau de qualité et une couleur à utiliser pour l'image.
    • Si vous souhaitez modifier la résolution des images d'origine, activez l'option Changer la résolution en et entrez ou sélectionnez dans la liste la résolution de votre choix.
    • Si vous avez sélectionné le format PDF ou PDF/A pour stocker les images, vous pouvez créer un fichier PDF indexé en sélectionnant Créer un PDF indexé. Vous pouvez sélectionner une autre langue (ou plusieurs autres langues si votre document en utilise plusieurs) que celle spécifiée dans le modèle de document. Cliquez sur le bouton Sélectionner… situé à droite du champ Langue et ajoutez les langues souhaitées. Si vous souhaitez utiliser la langue spécifiée dans le modèle de document, sélectionnez Comme dans modèle dans le champ Langue .

Les valeurs de tous les champs de document seront exportées vers un ou plusieurs fichiers du format indiqué.

Remarques :

  1. Par défaut, les champs qui se répètent (c'est-à-dire les champs avec plusieurs instances et plusieurs tables) sont exportés dans des fichiers séparés, pour lesquels un nouveau dossier est créé. Le nom du dossier est composé du nom du fichier d'exportation. Pour désactiver l'exportation des champs qui se répètent, désactivez l'option Créer des fichiers distincts pour les éléments répétables dans l'onglet Format (cette option est disponible pour tous les formats excepté en XML). Le cas échéant, lorsque les champs qui se répètent sont exportés dans un fichier d'exportation, le programme ajoute une nouvelle ligne pour chaque instance d'élément.
  2. Les images graphiques sont exportées dans des fichiers séparés et enregistrées dans le même dossier que les champs qui se répètent. Le nom de l'image est composé du nom du champ et du numéro du document. Vous pouvez spécifier le format du fichier d'image dans l'onglet Exporter de la boîte de dialogue des propriétés du champ Image. Pour plus d'informations, consultez la section Exportation des images.


Exportation vers une base de données

Pour configurer l'exportation vers une base de données, procédez comme suit :

  1. Dans la fenêtre de l'éditeur de modèles de document, sélectionnez l'élément de menu Modèle > Paramètres d'exportation….
  2. Sélectionnez la valeur Exporter vers une base de données compatible ODBC dans le champ Type d'exportation .

  3. Sur l'onglet Connexion :

    • établissez une connexion avec une base de données. Entrez les paramètres de connexion dans la fenêtre Chaîne de connexion ou cliquez sur le bouton Configurer la connexion… et configurez les paramètres e connexion dans la boîte de dialogue Propriétés de la liaison de données.
    • Sélectionnez un système dans la liste déroulante.
    • Vous pouvez vérifier la connexion à la base de données en cliquant sur le bouton Tester la connexion.

      Conseil. Pour le fournisseur de base de données OLE, il est conseillé d'utiliser Fournisseur de base de données OLE pour pilotes ODBC . Si vous sélectionnez Fournisseur de base de données OLE DB pour SQL Server, des problèmes risquent d'apparaître avec certains types de données et avec les champs longs.

    • Associez les champs du modèle de document aux colonnes des tables de la base de données. Pour ce faire, cliquez sur Configurer le mappage des champs….
    • Dans la boîte de dialogue Mappage de champ, indiquez vers quelles tables et quelles colonnes de table de la base de données le programme doit exporter les valeurs de champ du modèle de document.
      Détails...

      La boîte de dialogue Mappage de champ contient les sections de document et les champs. à droite, vous devez les associer aux tables et champs de la base de données. Si la base de données contient déjà des tables pour l'exportation de données, dans la boîte de dialogue Mappage de champ, vous devez sélectionner une table de base de données pour chaque section de document et une colonne de table de base de données pour chaque champ de document.

      Si la base de données ne contient pas de tables pour l'exportation, vous pouvez en créer automatiquement en cliquant sur le bouton Créer automatiquement des tableaux. Dès que vous cliquez, le programme crée des tables avec la structure dont vous avez besoin pour l'exportation. Les champs de document sont associés aux colonnes de table.

      Les groupes de champs, les champs avec plusieurs instances, les tables de document et les sections sont exportés vers des tables séparées au sein de la base de données. Une clé primaire et une clé étrangère sont utilisées pour lier la table principale aux tables subordonnées. Dans la table principale, une clé primaire est ajoutée à chaque entrée. Dans la table subordonnée, chaque entrée comporte une clé étrangère qui stocke la valeur de la clé primaire de l'entrée correspondante de la table principale. Les clés primaire et étrangère sont ajoutées automatiquement si elles sont nécessaires. Vous devez simplement indiquer le champ vers lequel la clé doit être exportée.

      L'option Afficher les colonnes liées est activée par défaut. Si vous la désactivez, la liste des colonnes de table située à droite de l'arborescence n'affiche pas les colonnes pour lesquelles l'exportation a déjà été configurée.

  4. L'onglet Images permet de configurer les paramètres de stockage d'image.

    • Vous pouvez enregistrer les images dans une base de données ou dans un fichier (auquel cas vous devez indiquer le dossier cible).

    • Sélectionnez un format de stockage, un niveau de qualité et une couleur à utiliser pour l'image.

    • Si vous souhaitez modifier la résolution des images d'origine, activez l'option Changer la résolution en et entrez ou sélectionnez dans la liste la résolution de votre choix.

    • Si vous avez sélectionné le format PDF ou PDF/A pour stocker les images, vous pouvez créer un fichier PDF indexé en sélectionnant Créer un PDF indexé. Vous pouvez sélectionner une autre langue (ou plusieurs autres langues si votre document en utilise plusieurs) que celle spécifiée dans le modèle de document. Cliquez sur le bouton Sélectionner… situé à droite du champ Langue et ajoutez les langues souhaitées. Si vous souhaitez utiliser la langue spécifiée dans le modèle de document, sélectionnez Comme dans modèle dans le champ Langue

Remarques :

  1. Pour désactiver l'enregistrement des images lorsque vous exportez des données vers une base de données, dans la boîte de dialogue Mappage de champ sélectionnez la valeur NonExporté pour le nœud contenant l'image de document.
  2. Les images sont exportées dans des fichiers séparés dont le format peut être sélectionné Exporter de la boîte de dialogue de propriétés du champ Image. Consultez la section Exportation des images. Vous pouvez enregistrer le nom et le chemin d’accès du fichier d’image dans les champs correspondants de la base de données (vous pouvez effectuer ces opérations lors du mappage des champs).
  3. Si le chemin d’accès du dossier cible des images, etc. contient un disque réseau, vérifiez que tous les opérateurs travaillant sur le projet bénéficient d’un accès à ce disque.


Exportation de données vers une bibliothèque de documents SharePoint

ABBYY FlexiCapture 8.0 vous permet d'exporter des documents vers une bibliothèque de documents MicrosoftTM SharePoint. Ce processus vous permet d'obtenir une bibliothèque contenant vos images de document et des colonnes supplémentaires comprenant la valeur de certains champs pour chaque document.

Remarque :

  1. Vous devez disposer de droits d'administrateur pour configurer l'exportation de données vers SharePoint. Des droits de collaborateur sont suffisants pour exporter des données vers SharePoint.
  2. Les colonnes SharePoint dans lesquelles les données sont enregistrées doivent être de type Ligne de texte unique ou Lignes de texte multiple.

Pour configurer l'exportation vers SharePoint :

  1. Dans l'éditeur de modèles, sélectionnez Modèle > Paramètres d'exportation….
  2. Dans la liste déroulante Type d'exportation, sélectionnez Exporter vers SharePoint.

  3. Sur l'onglet Connexion SharePoint :

    • URL serveur (par ex. http://monserveur) : entrez l'adresse du serveur sur lequel figurent les bibliothèques SharePoint. Utilisez le bouton Paramètres de connexion… pour configurer les paramètres d'authentification (les paramètres d'authentification de Windows sont utilisés par défaut) et les paramètres proxy au besoin.
    • L'état de la connexion est indiqué sous l'adresse du serveur. Si le serveur est déconnecté, cliquez sur Connecter pour rétablir la connexion.
    • Une fois connecté au serveur SharePoint, sélectionnez une bibliothèque dans la liste Sélectionner une bibliothèque SharePoint .
    • Dans le champ Type de contenu , sélectionnez le type de contenu de vos documents (prise en charge à partir de SharePoint 2007). Le cas échéant, vous pourrez exporter les valeurs vers les champs correspondant au type de contenu sélectionné.
    • Renseignez à présent les champs du modèle à exporter et où. Cliquez sur le bouton Mappage des champs… et sélectionnez les options souhaitées dans la boîte de dialogue Mappage de champ. Dans cette boîte de dialogue, vous devez établir la correspondance entre les champs du modèle et les colonnes du document SharePoint. Les champs du modèle apparaissent à gauche. Pour chaque champ de modèle à exporter (à l'exception des groupes et tableaux), vous pouvez sélectionner une colonne SharePoint inutilisée.
    • Spécifiez les règles de dénomination des fichiers d'exportation. Lors de l'exportation vers SharePoint, il s'agit de fichiers d'image. Cliquez sur le bouton Options du nom de fichier… et sélectionnez les options de dénomination des fichiers souhaitées. Pour plus d'informations, consultez la section Règles d'attribution d'un nom aux fichiers d'exportation.

  4. Sélectionnez les options de stockage des images dans l'onglet Images.
    • Dans la liste déroulante Type de fichier , sélectionnez le format dans lequel vous souhaitez enregistrer les images de document.
    • Dans le champ Qualité , sélectionnez la qualité d'image souhaitée.
    • Dans le champ Type de couleur , sélectionnez le type de couleur souhaité pour vos images.
    • Si vous souhaitez modifier la résolution des images d'origine, activez l'option Changer la résolution en et entrez ou sélectionnez dans la liste la résolution de votre choix.
    • Si vous avez sélectionné le format PDF ou PDF/A pour stocker les images, vous pouvez créer un fichier PDF indexé en sélectionnant Créer un PDF indexé. Vous pouvez sélectionner une autre langue (ou plusieurs autres langues si votre document en utilise plusieurs) que celle spécifiée dans le modèle de document. Cliquez sur le bouton Sélectionner… situé à droite du champ Langue et ajoutez les langues souhaitées. Si vous souhaitez utiliser la langue spécifiée dans le modèle de document, sélectionnez Comme dans modèle dans le champ Langue .

Une fois l'exportation terminée, les documents sont enregistrés dans la bibliothèque SharePoint spécifiée. De plus, une colonne comporte les valeurs des champs spécifiés pour chaque document. Vous pouvez utiliser ces valeurs à des fins de recherche et d'indexation des documents.


Description d'une exportation à l'aide d'un script

Pour configurer une exportation à l'aide d'un script :

  1. Dans la fenêtre de l'éditeur de modèles de document, sélectionnez Modèle > Paramètres d'exportation….
  2. Sélectionnez la valeur Exportation personnalisée (script) dans le champ Type d'exportation .
  3. Sélectionnez le langage de script (JScript(r) ou VBScript).
  4. Entrez le texte de script dans la fenêtre d'éditeur qui s'ouvre quand vous cliquez sur le bouton Éditer le script….

Remarque : les procédures que vous souhaitez utiliser dans plusieurs scripts d’exportation doivent être rédigées sur un module général d’exportation accessible depuis l’éditeur de script. Depuis la liste déroulante de la barre des tâches de l’éditeur de script, sélectionnez Module de script global d'exportation. Vous pouvez également accéder au module général de règles depuis l’éditeur de modèles (Modèle>Modules de script>Script d'exportation…).

Pour plus d'informations sur la description d'une exportation à l'aide d'un script, consultez la section Utilisation de scripts dans FlexiCapture 8.0


Règles de dénomination des fichiers d'exportation

Pendant l'exportation, les noms de fichier sont générés automatiquement en fonction des règles définies par l'utilisateur. Vous pouvez spécifier les règles de dénomination des fichiers lors de la configuration de l'exportation vers un fichier ou SharePoint. Cliquez sur le bouton Options du nom de fichier… sur l'onglet Destination lors de la configuration de l'exportation vers un fichier ou sur l'onglet Connexion SharePoint lors de la configuration de l'exportation vers SharePoint. La boîte de dialogue Options de dénomination de fichier apparaît lorsque vous devez sélectionner les options de dénomination de fichier.

Vous pouvez ajouter les éléments suivants au nom d'un fichier d'exportation :

  • nom du projet (sélectionnez l'option Titre de projet)
  • nom du lot (sélectionnez l'option Titre de lot)
  • nom du modèle de document (sélectionnez l'option Nom de modèle de document)
  • identifiant de document, c'est-à-dire la valeur du code barre de la page de séparation si des séparateurs de codes barres ont été utilisés à l'ajout des images. Pour plus d'informations, consultez la section Options de traitement d'image. Pour ajouter des identifiants de document, sélectionnez l'option Identifiant de document
  • valeurs des champs d'index. Pour plus d'informations, consultez la section Champs d'index. Pour ajouter les valeurs des champs d'index, sélectionnez Valeur de champ d'index et cliquez sur Sélectionner… pour sélectionner le champ d'index souhaité.

Le Modèle de nom de fichier affiche le modèle à utiliser pour générer les noms de fichier. Pour ajouter des chaînes de texte aux noms de fichiers ultérieurs, saisissez le texte souhaité dans ce champ.

Pour générer correctement les noms de fichier, vérifiez que les options de dénomination de fichier que vous sélectionnez ne créent pas de noms de fichier vides. Dans le cas contraire, le programme affiche un message d'avertissement.


Configuration de la présentation des données dans la fenêtre de document

Une fois que les données ont été reconnues, l'utilisateur les voit dans la fenêtre de document. Par défaut, les données sont organisées de manière séquentielle et leurs signatures correspondent aux noms des champs du modèle.

Toutefois, vous pouvez modifier la présentation des données en fonction de vos besoins, ou renommer les éléments. La présentation des données peut être modifiée dans la partie inférieure droite de la fenêtre d'éditeur de modèles de document.

Vous pouvez modifier la légende d’un champ dans le formulaire de données sans modifier son nom dans la structure de document. Pour modifier une légende, ouvrez la boîte de dialogue de propriétés du champ, cliquez sur l’onglet Général et saisissez un nouveau nom dans le champ Légende . Ce nom sera utilisé comme légende du champ dans le formulaire de base de données. Cette fonctionnalité peut s’avérer utile pour personnaliser des noms de colonne, notamment dans FlexiLayouts où vous ne pouvez pas modifier le nom des champs.

La police et la taille des caractères des noms de champs et des valeurs de données reconnues peuvent être définis sur l'onglet Formulaire de données de la boîte de dialogue de propriétés du modèle (Modèle > Propriétés du modèle de document…). Vous pouvez également modifier la taille des caractères en cliquant à l'aide du bouton droit de la souris dans la fenêtre Formulaire de données et en sélectionnant la taille de votre choix (Taille du texte dans le menu contextuel).

Vous pouvez déplacer, modifier et renommer les champs, mais aussi modifier leurs propriétés. Pour retrouver la présentation d'origine des champs, sélectionnez la commande correspondante dans le menu contextuel.

Vous pouvez également ajouter du texte (d'explication, par exemple). Pour ce faire, cliquez avec le bouton droit de la souris dans la fenêtre Formulaire de données et sélectionnez Insérer une zone de libellé dans le menu contextuel. Entrez votre texte, qui remplacera le Texte de libellé.


Propriétés de modèle de document

Les propriétés de base d'un modèle, comme son nom, la langue et le style d'écriture, sont configurées à l'aide de l'Assistant Modèle. Les autres propriétés sont configurées par défaut.

Vous pouvez afficher et modifier les propriétés d'un modèle de document dans la boîte de dialogue qui s'ouvre quand vous sélectionnez l'élément de menu Modèle >Propriétés du modèle de document… dans la fenêtre de l'éditeur de modèles de document.

Cette boîte de dialogue comporte six onglets.

L'onglet Général

Sur cet onglet, vous pouvez renommer le modèle et entrer ou modifier sa description. L'option Activé inclut le modèle de section dans le traitement documentaire ou il l'exclut.

L'onglet Reconnaissance

Sur cet onglet, vous pouvez modifier les propriétés générales de la reconnaissance de modèle de document :

  • Langue (lieu) : il est important d'indiquer la langue utilisée pour que la reconnaissance soit correcte. Cette propriété détermine la langue d'entrée et d'autres paramètres locaux, comme le format de date, la devise, etc.
  • Écriture du style : le style d'écriture peut varier considérablement d'un pays à l'autre. Il est donc très important d'indiquer le pays, ce qui permet au programme de sélectionner son style d'écriture type.

  • Indiquez le type de texte :

    ICR (manuscrit) : activez cette option si la plupart des champs des documents doivent être remplis à la main.

    OCR (imprimé) : activez cette option si les valeurs de la plupart des champs doivent être imprimées. Sélectionnez un type d'impression dans la liste déroulante.

    Remarque : la reconnaissance du texte manuscrit n'est pas prise en charge dans toutes les langues. Pour certaines, ce type de reconnaissance n'est pas disponible. Consultez la section Langues de reconnaissance prises en charge.

    à ce stade, c'est le type de texte par défaut qui est utilisé, mais vous pourrez le modifier pour chaque champ ultérieurement.

  • Vous pouvez activer une ou plusieurs options du groupe Orientation de page possible afin que la page soit orientée à 180°, à 90° dans le sens horaire, ou encore à 90° dans le sens anti-horaire pendant la sélection automatique de l'orientation de la page.
  • Cliquez sur Options avancées… pour configurer la correction des distorsions d'image linéaires et non linéaires.

L'onglet Assemblage

Cet onglet permet de configurer des règles d'assemblage pour des documents de plusieurs pages.

Dans le cas de figure le plus simple, le modèle est composé d'une seule section, qui n'apparaît qu'une fois. Si un modèle comporte plusieurs sections, cet onglet répertorie leurs noms. Vous pouvez spécifier le nombre de répétitions de chaque section en modifiant les valeurs des colonnes Nombre min. et Nombre max..

  • Vérifier l'égalité des champs clés : activez cette option si vous souhaitez effectuer une vérification de l'assemblage de document à partir des champs clés. Sélectionnez ensuite un champ clé pour chaque section de la colonne Champ clé. Quand vous entrerez des documents, seuls les documents dont les valeurs correspondent pour les champs clés pour chaque section seront considérés comme assemblés correctement. Si leurs valeurs ne correspondent pas, un message d'erreur d'assemblage sera affiché.
  • Activer les pages annexes : activez cette option si vous souhaitez traiter des documents avec des annexes.
  • Il se peut que vous souhaitiez désactiver la vérification de l’ordre des sections du document (par exemple, si l’ordre des sections n’affecte pas l’assemblage de document). Le cas échéant, sélectionnez Désactiver la vérification de l'ordre des sections pour désactiver la vérification. Le programme continuera de vérifier que toutes les sections sont présentes dans le document mais leur ordre sera ignoré.

Pour plus d'informations, consultez les sections Création de modèles pour des documents de plusieurs pages, Assemblage de pages sous forme de documents et Création de modèles pour documents avec des annexes.

L'onglet Règles

Cet onglet est consacré aux actions relatives aux règles de modèle. Vous pouvez supprimer, modifier ou créer des règles.

Pour plus d'informations, consultez la section Validation par règle.

L'onglet Exporter

Cet onglet affiche les paramètres d'exportation en cours du modèle donné. Pour modifier les paramètres d'exportation, cliquez sur le bouton Modifier les paramètres d'exportation….

Pour plus d'informations, consultez la section Configuration de l'exportation de données.

L'onglet Formulaire de données

Sur cet onglet, vous pouvez modifier la police et la taille d'affichage des données reconnues.

Le groupe Paramètres du texte de données contient les paramètres de police pour l'affichage des valeurs reconnues.

Le groupe Paramètres du texte de libellé contient les paramètres d'affichage applicables au texte d'explication (noms de champs).

Pour plus d'informations, consultez la section Configurer la présentation des données dans la fenêtre de document.


Propriétés d'une section de modèle de document

Vous pouvez afficher et modifier les propriétés d'une section de modèle de document dans la boîte de dialogue qui s'ouvre quand vous sélectionnez Propriétés… dans le menu contextuel.

Cette boîte de dialogue contient trois onglets.

L'onglet Général

Sur cet onglet, vous pouvez modifier le nom d'une section de document, entrer ou modifier une description, et entrer ou modifier le nombre minimal et le nombre maximal de répétitions de section dans le document. L'option Activé inclut/exclut le modèle de section du traitement documentaire. Pour plus d'informations sur les documents de plusieurs pages et sur l'utilisation des sections, consultez la section Création de modèles pour des documents de plusieurs pages.

L'onglet FlexiLayout

Si une description flexible a été jointe à la section, cet onglet montre son Nom , sa Version et son Commentaire . Vous pouvez joindre une description flexible en cliquant sur le bouton Charger… et la détacher en cliquant sur le bouton Détacher.

Pour plus d'informations, consultez la section Création d'un modèle pour traiter des documents flexibles.

L'onglet Images
Cet onglet répertorie les paramètres d'affichage des images de page de la section. Vous avez le choix entre les paramètres suivants : taille, résolution, taille d'impression, et mode de couleur.

L'onglet Règles

Cet onglet est consacré aux actions relatives aux règles de modèle. Vous pouvez supprimer, modifier ou créer des règles.

Pour plus d'informations, consultez la section Validation par règle.


Importing a template for forms created with ABBYY FormDesigner

ABBYY FormDesigner is a convenient tool designed specifically for creating machine-readable forms. In addition to forms that meet all the requirements of automated document processing, designing forms with ABBYY FormDesigner also gives you a template that is almost completely ready for processing these forms in ABBYY FlexiCapture 8.0 Professional.

To obtain a document template for processing forms designed with ABBYY FormDesigner, proceed as follows:

In ABBYY FormDesigner:

  1. Create a form
  2. Publish it
  3. Export it to XML Form Definition format. You will get a file with the .xfd extension.

For details about creating, publishing and exporting forms see the Help Topics and user guide of ABBYY FormDesigner 8.0.

In ABBYY FlexiCapture:

  1. In the main program window, select the menu item Project > Modèles de document…;
  2. In the Modèles de document dialog box click the Importer… button
  3. In the Ouvrir le fichier pour l'importation that opens, select XML Form Definition Files (*.xfd) from the Files of type dropdown list and specify the path to the *.xfd file;
  4. The name of the new document template will appear in the templates list of the Modèles de document dialog box.

After opening an imported template for editing, you will see that the marking of fields and static elements is already present in the image. All you need to do is edit field properties and configure export.


Création de modèles pour des documents de plusieurs pages

ABBYY FlexiCapture 8.0 Professional permet de créer des modèles pour des documents de plusieurs pages. Un modèle peut contenir des sections, qui peuvent elles-mêmes contenir une ou plusieurs pages. Les modèles de documents de plusieurs pages nécessitent de spécifier l'ordre des sections, leur nombre et les règles utilisées pour assembler les pages sous forme de documents.

Au terme de la procédure de l'Assistant, un nouveau modèle simple, sans sections, est créé. Vous pouvez ajouter des pages à ce modèle. Quand vous ajoutez une page, son image est ajoutée à la région d'image dans la fenêtre de l'éditeur de modèles, tandis que les champs créés dessus sont répertoriés dans la liste de champs commune. Dans ce cas, le document est composé d'une seule section même s'il peut contenir plusieurs pages.

Ajoutez des pages à une même section si le document contient des blocs qui continuent ou se répètent sur plusieurs pages, ou des tableaux qui continuent à la page suivante. Utilisez la même méthode pour charger une description flexible de plusieurs pages (consultez la section Création d'un modèle pour le traitement de documents flexibles). Tous les champs d'une description flexible doivent faire partie d'une même section de modèle de document.

L'autre technique consiste à ajouter des sections au modèle. Dans le cas de figure le plus simple, une section contient une page. Vous pouvez choisir cette méthode si les jeux de champs des pages sont indépendants. Cette méthode est plus parlante : la structure du document montre de quelle section les champs font partie, et vous pouvez aussi configurer une structure personnalisée pour l'assemblage de document. Imaginons que votre document contienne 3 pages. Les première et troisième pages n'apparaissent qu'une fois dans le document, tandis que la deuxième page peut se répéter entre 2 et 5 fois. Dans ce cas, vous devez créer une section séparée pour chaque page, puis indiquer la structure du document, c'est-à-dire la séquence et le nombre de répétitions de section.

Imaginons un cas de figure plus complexe : un modèle composé de plusieurs sections, dont certaines contiennent plusieurs pages. Par exemple, il peut s'agir d'un modèle composé de sections fixes et d'une section flexible de plusieurs pages, ou encore d'un modèle décrivant des documents qui contiennent une feuille recto-verso qui se répète plusieurs fois. Imaginons que vous ayez besoin de créer un modèle pour un document contenant une page de titre (page A) et un certain nombre de feuilles recto-verso (séquence de page – BCBC...). Vous commencez par conséquent à créer une section A contenant une page A et une section BC contenant deux pages B et C. La structure du document est configurée comme suit : la section A se répète une fois, suivie de la section BC, qui se répète de 3 à 7 fois.

Pour un modèle composé de plusieurs sections, vous pouvez activer la vérification des champs clés en plus de celle de l'ordre et du nombre de sections récurrentes. Pour ce faire, vous devez identifier les champs clés de chaque section de document. Leurs valeurs doivent être identiques dans les différentes sections. Un champ clé peut, par exemple, être le nom de famille de la personne qui a complété le document (ce nom devant être écrit sur chaque page) ou un certain numéro d'identification.

Quand il traite un lot, le programme essaie d'assembler une séquence de pages sous forme de documents, et il vérifie les règles d'assemblage au cours de l'opération. Le programme effectue un contrôle des valeurs des champs clés. Si les champs clés ne correspondent pas sur les pages du même document, un message d'erreur s'affiche. Ce message est parfois dû au fait que les pages de document ont été mal placées pendant la numérisation, auquel cas il suffit de modifier l'ordre des pages pour respecter les règles d'assemblage de document. Consultez la section Assemblage de pages sous forme de documents.

Pour ajouter une page à une section, sélectionnez Modèle > Ajouter une page… dans le menu de l'éditeur de modèles, ou sélectionnez Ajouter une page… dans le menu contextuel de l'image. Chargez ensuite l'image d'une nouvelle page non terminée, puis sélectionnez les types d'objets qui doivent être marqués automatiquement sur la page.

Pour ajouter une nouvelle section, dans la fenêtre de l'éditeur de modèles, sélectionnez Modèle > Ajouter une section de document…. L'Assistant Création de section s'ouvre pour vous aider à configurer tous les paramètres requis. Suivez les instructions de l'Assistant pour :

  • indiquer le nom de la section ;
  • charger l'image d'une page non remplie (numérisée ou chargée à partir d'un fichier), ou un fichier de description flexible ;
  • sélectionner les types d'objets qui seront marqués automatiquement.

Une nouvelle section, avec les champs qu'elle contient, s'affiche dans la fenêtre de structure du document.

Pour afficher la structure de document générée quand vous créez un modèle, dans la fenêtre Structure de document située dans la partie droite de la fenêtre d'éditeur de modèles de document, accédez à l'onglet Pages. Cet onglet affiche la structure du document en mode contour de page. Sur cet onglet, vous pouvez modifier le nombre de sections incluses dans un document (pour ce faire, entrez une nouvelle valeur – un nombre ou un intervalle – dans le carré situé à droite du nom de la section), joindre des pages d'annexe, modifier l'ordre des pages de la section, et déplacer des pages d'une section à une autre en les faisant glisser.

Affichage de la fenêtre de structure du document

Pour spécifier la séquence et le nombre de sections récurrentes, et pour définir la règle d'assemblage, utilisez l'élément de menu Modèle > Propriétés du modèle de document… de la fenêtre de l'éditeur de modèles. Sur l'onglet Assemblage, spécifiez le nombre minimum et le nombre maximum d'inclusions pour chaque section du document (la valeur par défaut est 1). Si vous souhaitez vérifier les valeurs des champs clés, activez l'option Vérifier l'égalité des champs clés et sélectionnez un champ clé dans chaque section.

Il se peut que vous souhaitiez désactiver la vérification de l’ordre des sections du document (par exemple, si l’ordre des sections n’affecte pas l’assemblage de document). Le cas échéant, sélectionnez Désactiver la vérification de l'ordre des sections pour désactiver la vérification. Le programme continuera de vérifier que toutes les sections sont présentes dans le document mais leur ordre sera ignoré.

Affichage de l'onglet Assemblage


Création d'un modèle pour le traitement de documents flexibles

Pour les factures, les ordres de paiement et les documents apparentés, vous ne pouvez pas créer un modèle avec des emplacements de champ fixes. En effet, l'emplacement, la taille et le nombre des champs risquent de ne pas être identiques. Il n'est donc pas possible d'appliquer un modèle fixe à tous les documents. Dans les documents de ce type, le programme recherche les champs après une pré-reconnaissance de l'ensemble de la page, puis il crée une description flexible à partir des mots clés et de l'emplacement relatif des champs. Un module de programme spécial, ABBYY FlexiLayout Studio 8.0 (fourni avec ABBYY FlexiCapture 8.0 Professional), permet de concevoir des descriptions flexibles. Vous trouverez des instructions détaillées sur la conception d'une description flexible dans les rubriques d'aide d'ABBYY FlexiLayout Studio 8.0.

Une description flexible est exportée vers un fichier .afl, puis chargée dans ABBYY FlexiCapture 8.0 Professional. Vous pouvez utiliser une description flexible pour le modèle entier ou pour l'une de ses sections. Une description flexible peut couvrir plusieurs pages.

Association d'une description flexible

Vous pouvez associer une description lors de la création d'un modèle de document. Pour ce faire, à la deuxième étape de l'Assistant Modèle, ajoutez l'image de document, puis activez l'option Charger FlexiLayout et entrez le chemin d'accès du fichier .afl contenant la description flexible.

Vous pouvez joindre une description flexible à partir de la fenêtre de l'éditeur de modèles de document dans la boîte de dialogue de la section du modèle de document.

  1. Sélectionnez une section de document. (Si le document ne contient qu'une section, dans la fenêtre Structure de document, ouvrez l'onglet Pages, puis sélectionnez le nom de cette section.) Cliquez à l'aide du bouton droit de la souris et sélectionnez Propriétés… dans le menu contextuel.
  2. Accédez à l'onglet FlexiLayout.
  3. Cliquez sur Charger….
  4. Sélectionnez le fichier .afl contenant la description flexible dont vous avez besoin.

Une fois la description flexible associée, la présentation géométrique des champs s'affiche sur l'image. Vous devez maintenant configurer les propriétés de champ comme vous le feriez pour un modèle fixe. Spécifiez les propriétés de reconnaissance, de vérification et d'exportation et définissez les règles requises.


Création de modèles pour des documents avec des annexes

ABBYY FlexiCapture 8.0 Professional permet de créer des modèles pour des documents contenant des annexes. Les annexes sont des pages supplémentaires qui peuvent accompagner chaque formulaire. Aucun modèle n'est appliqué à ces pages, mais elles sont prises en compte pendant l'assemblage du document. Par exemple, imaginons qu'une demande de prêt (formulaire fixe) soit envoyée avec une déclaration de revenus de forme libre. Cette déclaration de revenus peut être traitée comme une annexe.

Pour créer un modèle pour un document avec une annexe :

Première méthode :

  1. Ouvrez l'onglet Pages de la fenêtre Structure de document (première partie de l'éditeur de modèles).
  2. Activez l'option Activer les pages d'annexe dans le document.
  3. Entrez le numéro de page ou la plage de pages de l'annexe dans la zone située à droite du nom de section.
Affichage de la fenêtre de structure du document

Autre manière de créer un modèle pour un document avec une annexe :
  1. Ouvrez la boîte de dialogue de propriétés du modèle (Modèle > Propriétés du modèle de document… dans la fenêtre de l'éditeur de modèle).
  2. Accédez à l'onglet Assemblage.
  3. Activez l'option Activer les pages annexes. La ligne Pages d'annexe apparaît dans la liste de sections.
  4. Entrez le nombre minimum et le nombre maximum de pages de l'annexe.
Affichage de la boîte de dialogue

Pour enregistrer le texte de l'annexe, lors de la configuration de l'exportation, vous devez spécifier les options d'enregistrement d'image (sur l'onglet Images de la boîte de dialogue Paramètres d'exportation). Si vous sélectionnez le format PDF indexé pour enregistrer l'image, le texte sera reconnu et enregistré dans un fichier PDF indexé.


Traitement de documents non structurés

ABBYY FlexiCapture 8.0 Professional peut servir à traiter des documents non structurés contenant des informations sous une forme libre, par exemple des contrats, des lettres, des commandes et des annexes. Les documents non structurés contenant du texte ou des images séparés par des feuilles vierges ou des pages avec des codes barres sont traités et exportés sous forme de fichiers PDF indexés ou de fichiers graphiques.

Le traitement de documents de ce type implique habituellement de convertir les documents sous une forme électronique et d'effectuer une recherche à partir des valeurs de champs clés.

Si c'est possible, la recherche des champs clés (tels qu'un numéro de contrat) au sein de ces documents est effectuée à l'aide d'une description flexible créée avec ABBYY FlexiLayout Studio. Consultez la section Création d'un modèle pour traiter des documents flexibles.

Si la recherche automatique de champs clés est impossible, l'opérateur peut entrer les valeurs manuellement. Pour ce faire, créez un modèle de document avec un champ (ou plusieurs, si nécessaire) et activez l'option Ne pas reconnaître (clé du champ d'image - sera entré manuellement) dans les propriétés de reconnaissance de ce champ. Quand il exécute le processus de vérification, l'opérateur peut ensuite entrer les valeurs des champs manuellement.

Vous devez configurer l'exportation pour activer le stockage de données : vous pouvez exporter les valeurs des champs clés vers un fichier ou une base de données, puis enregistrer les images de document sous un format plus pratique. Pour ce faire, sur l'onglet Images de la boîte de dialogue Paramètres d'exportation, activez l'option Enregistrer des images de document et configurez les paramètres d'enregistrement d'image. Vous pouvez enregistrer les images de document sous forme de fichiers graphiques ou de fichiers PDF indexés.

Soyez vigilant lorsque vous assemblez des pages sous forme de documents : avec les documents non structurés, il peut être difficile de savoir de quel document une page donnée fait partie. Pour automatiser l'assemblage des documents non structurés, nous recommandons de séparer les documents à l'aide de feuilles vierges ou de pages contenant des codes barres. Lorsque vous ajoutez des images à un lot (en les numérisant, en les ajoutant à partir d'un fichier ou en créant un profil d'importation) vous devez activer l'option Pour des images séparées par et sélectionner la valeur pages vierges ou pages avec code barre dans la liste déroulante, en fonction des pages à utiliser comme séparateurs. Les pages sont assemblées automatiquement sous forme de documents : elles sont ajoutées au document en cours jusqu'à la page de séparation suivante. Pour plus d'informations, consultez la section Ajout d'images de pages.


Modification et publication d'un modèle

Templates can be edited in the document template editor window. Here, you can modify the layout of fields and static elements, edit their properties, rules, export settings, etc.

So as not to affect the work of other project members when editing a template, the program allows you to edit a local template copy while the latest published template version is being used for recognition. This mode enables administrators to modify and test templates locally, while operators can complete verification and export of documents recognized using the old version, even if the template has been modified considerably or deleted. The template that is being edited is not accessible for editing by other users. After editing is complete, the administrator can either publish the template, in which case the new version will become accessible for document recognition, or discard all changes.

To edit a template, proceed as follows:

  1. In the main program window, select the menu item Project>Modèles de document…
  2. Select the template to be edited.
  3. Click the Éditer… button in the Modèles de document dialog box to start editing the template. A local version of the template will be copied to your PC. The template will become inaccessible for editing by other users.
  4. Make the required modifications in the document template editor window. Save the template.
  5. Test the template with several images. For template adjustments you can use test batches that work with the local version of the template.
  6. Click the Publier button in the Modèles de document dialog box to publish the template. Following publication, the new template version will be used for the recognition of documents in the work batches. The template can now be edited by other administrators. To return to the original template, click Refuser les modifications.


Test de modèles de document

Avant de commencer à entrer des documents en masse, vous devez tester les modèles. Les tests sont effectués à l'aide des documents ajoutés aux lots de test, puisque ces lots fonctionnent avec la version locale du modèle. Vous pouvez également accéder aux lots de test à partir de la fenêtre de l’éditeur de modèles en sélectionnant Outils>Passer au test de lot….

Important ! Seul l'utilisateur qui a créé un lot de test est autorisé à utiliser celui-ci. Si nécessaire, vous pouvez utiliser un lot de travail comme lot de test, auquel cas il fera office de source d'images pour le lot de test.

Vous pouvez tester un modèle directement dans l’éditeur de modèle à partir de l’image utilisée pour le créer. Pour exécuter le test, sélectionnez Document>Exécuter un test. Un formulaire de données identique à celui utilisé dans le cadre du traitement de documents s’affiche et les erreurs de formatage, les caractères incertains et les erreurs de règles apparaissent.

Vous pouvez réorganiser les fenêtres depuis le menu Document>Afficher et parcourir les éléments de vérification, les caractères incertains et les erreurs de règles depuis le menu Document>Vérification. Cliquez sur le bouton Terminer le test du document ou sélectionnez Document>Terminer un test pour interrompre le test.

Remarque : En mode test, si la bordure d’un champ est modifiée, le programme ne doit pas reconnaître le champ à nouveau étant donné que vous modifiez les bordures de champs dans la fenêtre de document.

Pour tester votre modèle sur d’autres images, sélectionnez un lot de test (pour ce faire, vous pouvez sélectionner Outils>Passer au test de lot… dans l’éditeur de modèle). Le programme vérifie que le modèle actuel ne comporte pas d’erreur avant d’afficher la boîte de dialogue de sélection du lot. Si le modèle ne comporte aucune erreur, il est enregistré et la boîte de dialogue de sélection du lot s’affiche. Lorsque vous sélectionnez un lot dans cette boîte de dialogue, la fenêtre principale du programme s’active et bascule automatiquement sur le lot nouvellement sélectionné.

Nous recommandons de tester chaque modèle avec au moins 20 images de document (si les documents sont remplis à la main, il est préférable d'utiliser des documents remplis par des personnes différentes).

Il est nécessaire d'effectuer des tests afin de déterminer si :

  1. Il y a suffisamment d'ancres et d'identificateurs marqués pour l'application d'un modèle donné à une image.
  2. Les propriétés des champs ont été configurées correctement.
  3. Les règles ont été configurées correctement.
  4. L'exportation a été configurée correctement.

Pendant le test, vous devez effectuer l'ensemble des opérations effectuées lors du traitement de documents.

Si des erreurs de règle, des valeurs de champ incorrectes, etc. sont détectées pendant le test, vous devez modifier le modèle afin de les corriger.

Ce n'est qu'après avoir éliminé tous les problèmes détectés que vous pouvez publier le modèle et commencer à entrer des documents en masse.

Utilisation d'un projet configuré


Profils d'importation d'image

L'opérateur commence par ajouter de nouvelles images. Il peut s'agir de documents au format papier à numériser, ou d'images électroniques existantes.

Si vous effectuez souvent des ajouts d'images à partir de la même source, vous pouvez automatiser l'opération de telle sorte qu'il suffise d'un clic pour les importer. Pour ce faire, vous devez créer un profil d'importation d'image. Vous pouvez également configurer le traitement des images entrantes et l'ajout périodique d'images en mode arrière-plan. Une fois les paramètres requis configurés, il suffit de cliquer sur un bouton pour que les images soient numérisées ou importées à partir d'une source prédéfinie, et les images reçues sont traitées (elles sont nettoyées, par exemple). Si nécessaire, vous pouvez modifier la source de l'importation d'image ou ses paramètres.

Si les sources d'importation changent souvent, vous pouvez créer plusieurs profils d'importation et passer de l'un à l'autre pour ne pas avoir à modifier constamment les paramètres de source d'importation.

Création d'un profil d'importation

Pour ajouter un profil d'importation, sélectionnez l'élément de menu Projet > Profils d'importation d'images… dans la fenêtre principale du programme. Dans la boîte de dialogue qui s'ouvre, vous pouvez créer de nouveaux profils d'importation. Vous pouvez aussi modifier, supprimer et copier des profils existants.

Vous pouvez créer un nouveau profil d'importation à l'aide de l'Assistant Profil, accessible à partir de la boîte de dialogue Profils d'importation d'image en cliquant sur Nouveau…. à la première étape de l'Assistant, sélectionnez une source d'importation (par exemple, un scanner ou un dossier actif).

Création d'un profil d'importation avec un scanner
  1. Sélectionnez Scanner comme source d'importation.

    Important ! Le scanner doit être connecté. Pour vérifier s'il est connecté correctement, consultez sa documentation. Veillez à installer tous les logiciels fournis avec le scanner.

  2. à la deuxième étape, vous pouvez configurer les options pour la numérisation et le traitement des images :
    • Style de la boîte de dialogue des paramètres : choisissez la méthode d'interaction entre le programme et le scanner :
      • Paramètres du scanner FlexiCapture : avec cette option, c'est la boîte de dialogue Paramètres du scanner d'ABBYY FlexiCapture qui permet de configurer les options de numérisation. Cliquez sur le bouton Paramètres… pour configurer les options de numérisation. Si vous activez l'option Afficher les paramètres du scanner avant la numérisation, la boîte de dialogue Paramètres du scanner d'ABBYY FlexiCapture apparaît quand vous sélectionnez ce profil d'importation avant de numériser.
      • Options de numérisation : avec cette option, c'est la boîte de dialogue du pilote de scanner correspondant qui permet de configurer les options de numérisation. Dans ce cas, vous ne pourrez pas modifier les options de numérisation au moment de créer un fichier d'importation, mais la boîte de dialogue de paramètres du scanner apparaîtra chaque fois que vous commencerez à numériser des images.
    • Indiquez si vous souhaitez numériser une ou plusieurs images en une même passe.
  3. Paramétrez les options définissant l'ajout d'images aux documents. Pour de plus d’informations, consultez la section Options de prétraitement d’image
  4. à la dernière étape, vous pouvez modifier le nom par défaut affecté à un profil d'importation et entrer votre commentaire.

Important ! Si l’administrateur qui a créé le profil d’importation à l’aide d’un scanner souhaite attribuer à d’autres utilisateurs de cet ordinateur des droits d’utilisation courants (membres du groupe Utilisateurs) pour leur permettre de créer ou de modifier des profils d’importation à l’aide d’un scanner, il doit leur conférer le droit de modifier le fichier %allusersprofile%\Application Data\ABBYY\FlexiCapture\Scanning\Profiles.

Création d'un profil d'importation avec un dossier actif
  1. Sélectionnez Dossier actif comme source d'importation. Spécifiez le chemin du dossier actif en cliquant sur le bouton Parcourir…

    Important ! Pour pouvoir ajouter des images à partir du dossier actif, l'utilisateur doit disposer de droits d'accès en lecture et en écriture pour ce dossier.

  2. à la seconde étape, paramétrez les options de chargement d'image :
    • Vérifier le dossier actif toutes les – activez cette option et indiquez à quel intervalle de temps le programme doit vérifier automatiquement si le dossier actif contient de nouvelles images.

      Remarque : Le programme commence à surveiller le dossier actif quand l'utilisateur commence à importer des images avec un profil pour lequel l'option Vérifier le dossier actif toutes les est activée. Le programme arrête de surveiller le dossier actif quand l'utilisateur quitte le projet ou désactive l'option Vérifier le dossier actif toutes les dans les propriétés du profil.

    • Dans Paramètres du lot, activez l'une des options pour désigner le lot à utiliser pour l'ajout de nouvelles images.
      • Ajouter des images au lot courant – activez cette option pour ajouter les images du dossier actif au dossier en cours.
      • Ajouter des images au lot spécifié – activez cette option et sélectionnez le nom du lot dans la liste déroulante pour ajouter des images à un lot précis.
      • Créer de nouveaux lots pour les images importées automatiquement – activez cette option pour créer automatiquement des lots pour les nouvelles images.
    • Dans la liste déroulante Nombre de fichiers à ajouter, sélectionnez l'une des valeurs pour indiquer le nombre de fichiers à ajouter au dossier désigné ou nouvellement créé :
      • En fonction du fichier de description – les fichiers seront ajoutés conformément à la description. Pour spécifier le nom et le type du fichier de description, cliquez sur le bouton Paramètres…. Pour plus d'informations, consultez la section Fichier de description.
      • Tous les fichiers – tous les fichiers du dossier actif seront ajoutés.
      • Plusieurs fichiers – plusieurs fichiers seront ajoutés. Pour indiquer le nombre de fichiers, cliquez sur le bouton Paramètres… et entrez le nombre ou la plage de valeurs.
      • Remarque : Si vous indiquez un certain nombre de fichiers, par exemple 5, et qu'il n'en reste que 4 dans le dossier actif, ils ne seront pas importés. Si vous indiquez une plage, par exemple 1-5, les 5 fichiers restants seront importés.
      • Un seul fichier – un seul fichier sera ajouté.
  3. à l'étape suivante, vous pouvez configurer les options pour déterminer la manière dont les images doivent être ajoutées aux documents et traitées. Pour de plus d’informations, consultez la section Options de prétraitement d’image

  4. à la quatrième étape, l'Assistant Profil vous demande de définir les options pour le nettoyage du dossier actif après l'importation : les images importées avec succès peuvent être supprimées ou déplacées dans un dossier donné. Les images dont l'importation a provoqué une erreur peuvent rester dans le dossier actif ou être elles ausi déplacées dans un dossier donné. Si vous souhaitez déplacer des images, indiquez vers quels dossiers.

  5. à la dernière étape, vous pouvez modifier le nom par défaut affecté à un profil d'importation et entrer votre commentaire.

Le nom du profil d'importation d'image créé apparaît dans le menu déroulant du bouton d'importation. Pour effectuer une importation d'image avec ce profil, il suffit de cliquer sur le bouton situé à droite du bouton d'importation et de sélectionner l'élément contenant le nom du profil.

Vous pouvez aussi modifier un profil d'imporattion existant ou en créer un nouveau à partir de la boîte de dialogue Sélectionner le profil d'importation qui s'ouvre quand vous sélectionnez l'élément Importer des images… dans le menu déroulant du bouton d'importation.

Ajout d'images de pages


Options de prétraitement d'image

Lorsque de nouvelles images sont ajoutées à un lot, le programme procède au prétraitement des images : les images sont séparées en documents, nettoyées de tout parasite, pivotées, etc.

Vous pouvez sélectionner les options de prétraitement dans l'onglet Prétraitement d'image. Vous pouvez sélectionner les options de prétraitement pour :

  1. Un projet. Le cas échéant, les options sélectionnées sont utilisées par défaut lorsque de nouvelles images sont ajoutées manuellement aux lots du projet. Sélectionnez Projet>Propriétés du projet… dans la fenêtre principale et cliquez sur l'onglet Prétraitement d'image.
  2. Un profil d'importation. Vous utilisez ces options lorsque de nouvelles images sont ajoutées à l'aide de ce profil d'importation. Lors de la création d'un nouveau profil d'importation , sélectionnez les options de prétraitement d'image au niveau du Prétraitement d'image.
  3. Images ajoutées manuellement. Lors de l' ajout d'images à partir d'un fichier, cliquez sur le bouton Paramètres de prétraitement d'image… dans la boîte de dialogue Charger les images.

Remarque : les images numérisées manuellement ne sont pas prétraitées. Les images ne sont prétraitées que si un profil d'importation est utilisé pour les ajouter.

Les utilisateurs peuvent sélectionner les options de prétraitement d'image suivantes :

  • Options définissant les principes d'ajout d'images aux documents :
    • Automatiquement lorsqu'un modèle est appliqué : sélectionnez cette option si vous souhaitez séparer les images en documents pendant la correspondance (reconnaissance).Le cas échéant, les images ne sont pas immédiatement séparées en documents au moment de l'ajout et les documents sont assemblés une fois que les pages ont été analysées et reconnus suivant la structure décrite dans le modèle approprié. Pour plus d'informations, consultez les sections Création de modèles pour les documents comportant plusieurs pages et Assemblage de pages sous forme de documents.
    • pour chaque fichier d'image (Pour chaque fichier image) ;
    • quand le programme atteint une feuille de séparation (Pour des images séparées par)

    • Pour utiliser des pages vierges comme séparateurs, sélectionnez pages vierges dans la liste déroulante.
      Pour utiliser des pages avec des codes barres comme séparateurs, sélectionnez pages avec code barre dans la liste déroulante. Vous pouvez définir le type de code barre et/ou la valeur en cliquant sur le bouton Paramètres…. Si aucun code barre ni aucune valeur n'ont été spécifiés, toute page comportant un code barre sera traitée comme une page de séparation. Sinon, seules les pages comportant des codes barres du type ou de la valeur indiqués seront utilisées. Si vous n'avez pas besoin d'ajouter des pages de séparation au lot, sélectionnez Supprimer des pages du séparateur. Si cette option n'est pas sélectionnée, les pages de séparation sont ajoutées au lot et deviennent les premières pages de chaque document.

    Remarque Vous n'avez pas besoin d'utiliser des pages de séparation pour scinder des pages en plusieurs documents. Ces séparateurs ne doivent être utilisés que quand l'apparence de la page empêche de déterminer si elle fait partie du document précédent ou suivant : par exemple, quand un document comprend un certain nombre de pages identiques et que le lot contient plusieurs documents de ce type.

  • Configurez les options de traitement d'image :
    • Nettoyer les images : supprime le bruit des images.
    • Convertir les images en couleur et en gris en noir et blanc : convertit les images en noir et blanc.
    • Faire tourner les images de : fait pivoter les images dans le sens indiqué.
  • Options de suppression de la mise en travers.Ces options sont sélectionnées par défaut et le programme supprime la mise en travers des images nouvellement ajoutées en s'appuyant sur les carrées noirs et/ou les séparateurs verticaux et horizontaux. Il n'est pas conseillé de désactiver les options de suppression de la mise en travers à mois que la suppression de la mise en travers soit effectuée de manière incorrecte (par exemple, si le programme interprète un tampon ou un graphique comme un séparateur et tente de supprimer la mise en travers de l'image à partir de ces données erronées).
    • Utiliser des séparateurs noirs pour corriger une mise en travers : si cette option est sélectionnée, la mise en travers des images est supprimée au niveau des lignes de séparations ;
    • Utiliser des carrés noirs pour corriger une mise en travers : si cette option est sélectionnée, la mise en travers des images est supprimée au niveau des carrés noirs.


Paramètres d'exportation par défaut

Le programme utilise les paramètres d'exportation par défaut quand vous effectuez une exportation vers un fichier ou une base de données sans utiliser de paramètres de modèle, mais aussi pour les modèles pour lesquels aucun paramètre d'exportation n'a été configuré.

Les paramètres d'exportation sont configurés pour chaque modèle de document, mais vous pouvez parfois avoir besoin d'exporter les données à un autre endroit, par exemple pour effectuer un test. Dans ce cas, l'opérateur peut utiliser le menu du bouton d'exportation et exporter les données vers un fichier ou une base de données avec des paramètres différents de ceux du modèle. Consultez la section Exportation des données reconnues. Le programme utilise également les paramètres par défaut la première fois que vous effectuez une exportation. Si, par la suite, vous modifiez les paramètres d'exportation, le programme enregistre les derniers paramètres utilisés.

Vous pouvez configurer les paramètres utilisés pour l'exportation vers un fichier ou une base de données en activant l'onglet Exporter de la boîte de dialogue Propriétés du projet (à partir de l'élément Projet > Propriétés du projet… du menu principal). Cet onglet affiche les paramètres d'exportation par défaut en cours. Vous pouvez les modifier en cliquant sur Modifier les paramètres d'exportation…. Configurez-les ensuite en procédant comme pour les paramètres d'exportation d'un modèle (consultez la section Configuration de l'exportation de données).


Lots de documents

Les documents soumis au traitement sont ajoutés à des lots. C'est l'utilisateur qui définit comment les documents doivent être affectés à des lots : vous pouvez traiter tous les documents sous la forme d'un même lot, ou créer des lots à partir de documents ajoutés à la même date ou à partir d'un lot numérisé en un même passage.

Pour ajouter des lots à un projet, sélectionnez Nouveau lot dans le menu contextuel, qui s'affiche avec une liste de lots quand vous cliquez à l'aide du bouton droit de la souris dans la fenêtre principale.

Si un projet ne contient aucun lot, le programme crée automatiquement un lot quand vous tentez d'ajouter des images.

Les images de page sont ajoutées par l'opérateur au cours d'un processus d'entrée unique. Pour plus d'informations, consultez la section Ajout d'images de pages.

Pour afficher les documents ajoutés au lot, ouvrez celui-ci en double-cliquant dessus. Vous pouvez retourner dans la liste de lots à partir de la fenêtre de document en sélectionnant l'élément Projet > Liste de lots de travail dans le menu principal.

Lots de travail et de test

Les lots de travail servent à traiter les documents. En mode opérateur, ce sont les seuls disponibles. L'administrateur utilise des lots de test pour configurer les modèles. La différence est qu'une version de modèle locale est utilisée pour traiter les documents à partir de lots de test, tandis qu'une version de modèle publiée est utilisée pour traiter les documents à partir de lots de test. Consultez également les sections Modes administrateur et opérateur et Modification et publication d'un modèle.

Vous pouvez ouvrir la liste des lots de documents en cliquant sur Projet dans la fenêtre principale du programme. Lots de travail : Liste de lots de travail, lots de test : Liste de lots de test.


Champs d'index

Afin de faciliter la recherche de documents et leur traitement, vous pouvez indexer ces documents à l'aide des valeurs contenues dans les champs d'un modèle. Dans la liste de documents de la fenêtre principale du programme, outre les informations de base, vous pourrez voir les valeurs du champ d'index de chaque document et vous servir de ces valeurs pour trier les documents et localiser aisément les documents requis.

Pour indexer les documents à partir des valeurs d'un champ, activez l'option Champ d'index de ce champ (onglet Général de l'éditeur de modèles de document).

Pour afficher la valeur du champ d'index dans la liste de documents :

  • Dans la fenêtre principale du programme, ouvrez un lot de documents et activez le mode de liste de documents détaillée (bouton [image] de la barre d'outils).
  • Cliquez avec le bouton droit de la souris dans la région d'en-tête de tableau (noms de colonnes) et sélectionnez Personnaliser… dans la liste déroulante.
  • Dans la boîte de dialogue Personnaliser le tableau des documents, cliquez sur le bouton Nouveau….
  • Dans la boîte de dialogue Éditer la colonne, cliquez sur le bouton Sélectionner… situé à droite d'Champ d'index . Dans la boîte de dialogue qui s'ouvre, sélectionnez l'un des champs avec l'option Champ d'index activée. Vous pouvez aussi entrer un nom de colonne et spécifier la méthode de justification.
  • UIne autre colonne contenant la valeur du champ d'index apparaît dans le tableau. Cliquez dessus pour trier les documents sur la valeur du champ d'index.


Utilisation d'un projet configuré

Avant que l'opérateur puisse commencer à traiter des documents, il faut que le projet soit configuré par l'administrateur. Le traitement documentaire peut être configuré de manière à minimiser l'intervention requise de la part de l'opérateur pour la numérisation et l'importation des images ainsi que pour la reconnaissance et l'exportation des données. Dans ce cas, le travail principal de l'opérateur consiste à vérifier et à corriger les données reconnues – vérification.

Le type du document n'influe pas sur le travail de l'opérateur.

Le traitement documentaire se décompose en quatre étapes, correspondant chacune à un bouton de la barre d'outils.

1. Ajout d'images

La flèche de droite permet de sélectionner l'une des options d'importation d'images : Charger des images…, Numériser les images…, ou l'importation d'images en sélectionnant l'un des profils d'importation configurés. Le nom du bouton change en fonction de l'action sélectionnée.

2. Reconnaissance

Exécute le processus de reconnaissance documentaire. La flèche de droite permet d'analyser les documents ou d'appliquer l'un des modèles.

3. Vérification

Exécute le processus de vérification. Vous pouvez également exécuter le processus de validation de règle à l'aide de la flèche.

4. Exportation

Lance l'exportation de données conformément aux paramètres configurés dans le modèle. Vous pouvez également cliquer sur la flèche pour exporter les données vers un fichier ou une base de données.


Ajout d'images de pages

Le traitement documentaire commence par l'ajout d'images de pages de document au projet (importation d'image). Pour commencer le travail, sélectionnez ou créez un nouveau lot de travail afin d'ajouter des images (pour créer un lot, cliquez avec le bouton droit de la souris au sein de la fenêtre de programme principale et sélectionnez Nouveau lot). Ouvrez le lot dont vous avez besoin en double-cliquant dessus, ou mettez-le simplement en surbrillance dans la liste.

Remarque : si vous tentez d'ajouter une image à un projet qui ne comporte pas de lots, un lot de documents sera créé automatiquement.

Vous pouvez procéder de différentes manières pour ajouter des images à un lot. Vous pouvez :

  1. charger des images enregistrées précédemment à partir de fichiers ;
  2. numériser des images ;
  3. importer des images à l'aide de l'un des profils d'importation configurés précédemment par l'administrateur (consultez la section Profils d'importation d'images).

Pour sélectionner une méthode pour ajouter les images, cliquez sur la flèche située à droite du bouton d'importation et sélectionnez l'un des éléments de menu.

Ajout d'images à partir d'un fichier

Pour charger les images à partir d'un fichier, sélectionnez l'élément de menu Charger des images… ou utilisez le raccourci CTRL+O. Dans la boîte de dialogue qui s'ouvre, sélectionnez les fichiers d'image requis et configurez les options d'importation d'image :

  • Créer un nouveau document – de nouveaux documents seront créés pour les images ajoutées.
  • Ajouter au document courant – les images seront ajoutées au document en cours, mis en surbrillance.
  • Vous pouvez également sélectionner les options de prétraitement d’image : Cliquez sur le bouton Paramètres de prétraitement d'image… et sélectionnez les options souhaitées dans la boîte de dialogue qui apparaît. Pour de plus d’informations, consultez la section Options de prétraitement d’image.

Numérisation d'images

Pour ajouter les images à partir d'un scanner, sélectionnez l'élément de menu Numériser les images…. Choisissez un scanner, configurez les options de numérisation et numérisez les images.

Ajout d'images à l'aide de profils d'importation

Si l'administrateur a configuré des profils d'importation, leurs noms apparaissent dans le menu du bouton d'importation. Pour commencer à importer des images, vous ne devez sélectionner qu'un élément ayant le même nom que l'un des profils d'importation.

Une fois que vous avez sélectionné Importer des images…, la boîte de dialogue Sélectionner le profil d'importation s'ouvre. Sélectionnez le profil d'importation dans la liste et cliquez sur le bouton Importer pour commencer à importer des images. Si vous êtes en mode administrateur, à partir de cette boîte de dialogue, vous pouvez aussi créer un nouveau profil d'importation ou modifier un profil existant.

Importation d'image en arrière-plan

L'importation d'image peut s'effectuer en arrière-plan si le profil d'importation approprié a été configuré. Les images du dossier actif sont importées automatiquement dans le système. Le programme contrôle le dossier à l'intervalle spécifié dans les paramètres afin de déterminer s'il contient de nouvelles images.

Le programme commence à surveiller le dossier actif quand l'utilisateur commence à importer des images à l'aide d'un profil avec l'option Vérifier le dossier actif toutes les activée. Le programme arrête de surveiller le dossier actif quand l'utilisateur quitte le projet ou désactive l'option Vérifier le dossier actif toutes les dans les propriétés du profil. Pour plus d'informations, consultez la section Profils d'importation d'images.

Remarque : pour ajouter des images à partir du dossier actif, l'utilisateur doit disposer de droits d'accès en lecture et en écriture pour ce dossier.


Configuration des options de numérisation

La qualité de la reconnaissance dépend dans une large mesure de la qualité de l'image source. Vous pouvez ajuster la qualité de l'image en configurant les options de numérisation de base : le type d'image, la résolution et la luminosité.

Quand vous numérisez des images via ABBYY FlexiCapture, vous pouvez choisir entre deux modes d'interaction entre le programme et le scanner compatible TWAIN ou ISIS :

  • L'interface d'ABBYY FlexiCapture :
    dans ce cas, les options de numérisation sont configurées à l'aide de la boîte de dialogue Paramètres du scanner d'ABBYY FlexiCapture . Vous pouvez configurer les options de numérisation au moment de créer un profil d'importation en spécifiant la source d'importation Scanner .
  • L'interface du pilote TWAIN ou ISIS du scanner :
    la boîte de dialogue du pilote de scanner correspondant permet alors de configurer les options de numérisation. Cette boîte de dialogue s'ouvre automatiquement quand vous sélectionnez Numériser les images… dans le menu déroulant du bouton d'importation.

Options de numérisation de base

  • Type d'image – la numérisation en niveaux de gris (256 niveaux de gris) est le mode optimal pour le système de reconnaissance. Quand vous numérisez en niveaux de gris, le programme sélectionne automatiquement le niveau de luminosité.

    Le type d'image noir et blanc assure une vitesse de numérisation supérieure mais peut entraîner la perte de certaines informations sur les lettres.
    Si vous avez besoin que les éléments en couleur du document (les photos, les lettres en couleur et les arrière-plans en couleur) soient restitués en couleur dans le document électronique, sélectionnez le type d'image couleur. Dans les autres cas, utilisez le type d'image niveau de gris.

  • Luminosité et le contraste – vous devez également spécifier des valeurs pour la luminosité et le contraste, afin de préserver les blocs d'ancre mais aussi de rendre les images de bloc destinées à être reconnues aussi claires et définitives que possible.
    Le plus souvent, la valeur de luminosité moyenne de 50 % est adaptée.
    Vous pouvez avoir besoin de configurer une nouvelle fois la luminosité si vous numérisez certains documents en noir et blanc.
  • Résolution – a résolution recommandée pour le traitement des formulaires remplis à la main est de 300 ppp pour la numérisation en noir et blanc et de 200 ppp pour la numérisation en niveaux de gris. La résolution des formulaires numérisés doit correspondre à celle de l'image du modèle.

Remarques :

  1. Si vous numérisez à une résolution de 400 à 600 ppp au lieu de 300 ppp, ou en niveaux de gris ou en noir et blanc plutôt qu'en couleur, l'opération risque de prendre beaucoup plus de temps. Avec certains modèles de scanners, à 600 ppp, la résolution peut prendre 4 fois plus de temps qu'à 300 ppp. Il est déconseillé de numériser à une résolution inférieure à 200 ppp.
  2. Quand vous utilisez la boîte de dialogue du pilote du scanner, les paramètres de numérisation peuvent changer en fonction du modèle de scanner. Par exemple, la luminosité peut s'appeler « Seuil » ou être symbolisée par un soleil ou un cercle noir et blanc. La signification des options est décrite dans la documentation qui accompagne votre scanner.
Conseils sur le mode de numérisation
  1. Numérisation de formulaires à arrière-plan couleur à l'aide d'un scanner monochrome. Pour que l'arrière-plan disparaisse pendant la numérisation, vous devez équiper le scanner d'une lampe qui filtre la lumière : pour les formulaires roses, une lampe rouge ; pour les formulaires verts, une lampe verte.
  2. Numérisation de formulaires à arrière-plan couleur à l'aide d'un scanner couleur. Pour que l'arrière-plan disparaisse pendant la numérisation, vous devez configurer le mode de filtration pour la couleur correspondante à partir des paramètres du scanner.
  3. Numérisation de formulaires à arrière-plan couleur avec des ombres. Si vous traitez des formulaires couleur avec des ombres, du fait de la faible intensité de la couleur, l'arrière-plan peut disparaître pendant la numérisation avec une lampe blanche même si vous ne filtrez pas la couleur à l'aide du logiciel. En règle générale, la méthode à utiliser pour numériser des formulaires est définie lors de la conception de ces formulaires.
Conseils pour sélectionner la luminosité
  1. Une image numérisée doit être lisible (pour afficher une image numérisée, ouvrez-la dans la fenêtre de document).
  2. Si, dans une image numérisée, les lettres sont déchirées, trop claires ou trop fines :
    • Réduisez la luminosité, augmentez le contraste (afin de rendre l'image plus sombre) ou
    • essayez de numériser l'image sous forme de niveaux de gris (dans ce cas, la luminosité sera sélectionnée automatiquement).
  3. Si l'arrière-plan de l'image numérisée est sale, si les caractères sont déformés, maculés, fondus, trop sombres ou trop épais :
    • augmentez la luminosité (afin de rendre l'image plus claire) ou
    • essayez de numériser l'image en niveaux de gris (dans ce cas, la luminosité sera sélectionnée automatiquement).


Reconnaissance

Pour activer la reconnaissance, cliquez sur le bouton Reconnaître. Le programme applique un modèle après l'avoir sélectionné à l'aide d'ancres et d'identificateurs, et il effectue la reconnaissance de données dans les régions du document qui correspondent à des régions de champ dans le modèle sélectionné.

La reconnaissance des images peut être effectuée automatiquement, dès que les images sont ajoutées au lot. Pour ce faire, vous devez activer l'option Reconnaître les images ajoutées automatiquement (dans le menu Outils de la fenêtre principale, élément Options… de l'onglet Traitement de document).

Le ratio entre les caractères reconnus de manière certaine et le nombre total de caractères est affiché dans la colonne Niveau de confiance. Au terme de la reconnaissance, l'opérateur peut lancer la vérification du document.

Si nécessaire, avant la reconnaissance, l'opérateur peut effectuer une analyse préliminaire des images et de l'association de modèle.


Analyse préliminaire des images et application du modèle

Avant de lancer la reconnaissance, vous pouvez effectuer une analyse pour déterminer quel modèle peut être appliqué à une page donnée. Pour ce faire, sélectionnez l'élément de menu Importation&Reconnaissance > Analyser ou cliquez sur la flèche située à droite du bouton Reconnaître et sélectionnez Analyser. Si un modèle peut être appliqué, la page et le document dont elle fait partie sont nommés en conséquence. Si aucun des modèles de projet ne peut être associé à l'image, la page demeure non traitée.

Vous pouvez également appliquer un certain modèle à une page ou à un document entier. Le plus souvent, un modèle qui a été créé correctement dans le programme s'applique automatiquement aux pages, mais dans certains cas, vous pouvez avoir à appliquer le modèle manuellement.

Pour appliquer un modèle de document :

  1. Mettez le document en surbrillance.
  2. Sélectionnez Associer un modèle… dans le menu contextuel du document, ou sélectionnez Importation&Reconnaissance>Associer un modèle… dans le menu principal. Vous pouvez également cliquer sur la flèche située à droite du bouton Reconnaître et sélectionner Associer un modèle….
  3. Dans la boîte de dialogue Sélectionner un modèle de document qui s'ouvre, sélectionnez l'un des modèles et cliquez sur OK.

Si le modèle sélectionné a été appliqué avec succès, le document et ses pages sont nommés d'après le modèle correspondant et ses sections.

Pour appliquer un modèle à l'une des pages :

  1. Mettez en surbrillance la page.
  2. Sélectionnez Associer un modèle… dans le menu contextuel de la page ou sélectionnez l'élément de menu Importation&Reconnaissance>Associer un modèle… dans le menu principal.
  3. Dans la boîte de dialogue Sélectionner le modèle à associer qui s'ouvre, sélectionnez l'un des modèles et cliquez sur OK.

Si le modèle a été appliqué correctement, la page sélectionnée est nommée d'après la section de modèle correspondante.


Vérification des données reconnues

La vérification – qui consiste à contrôler les données reconnues – est la phase qui nécessite le plus de travail. Pour cette raison, le processus de vérification au sein d'ABBYY FlexiCapture 8.0 Professional est organisé de manière à être aussi pratique que possible pour l'opérateur, l'objectif étant de réduire le nombre d'erreurs.

Quand le programme n'est pas absolument certain de l'exactitude de certains caractères reconnus, il les marque comme reconnus sans certitude. L'objet de cette vérification est de vérifier ces caractères, de s'assurer qu'ils ont été reconnus correctement, et de les corriger si nécessaire.

La validation par règle est effectuée automatiquement. Si les valeurs des champs respectent les conditions des règles, ces champs peuvent être marqués comme reconnus avec certitude et être exclus du processus de vérification. Quand les valeurs des champs ne respectent pas les conditions des règles, ces champs sont soumis au processus de vérification.

Si un document contient plusieurs pages, vous devez d'abord vérifier l'assemblage des pages sous forme de documents.

Exécutez ensuite le processus de vérification en cliquant sur le bouton Exécuter la vérification… ou en sélectionnant l'élément de menu Vérification>Exécuter la vérification…. La vérification s'effectue en deux phases. Il y a d'abord la vérification groupée, puis la vérification de champ. Si, pour un modèle, il n'y a pas de champs inclus dans la vérification groupée ou dans la vérification de champ (consultez la section Propriétés de la vérification de champ), la phase de vérification correspondante est omise.

La vérification groupée et la vérification de champ sont suivies d'une autre vérification, effectuée dans la fenêtre de document. Les caractères qui n'ont pas été confirmés au cours des phases précédentes restent en surbrillance rouge.

Vous pouvez naviguer au sein des erreurs en cliquant sur les boutons [image] et [image] de la barre d'outils de la fenêtre principale. Le programme navigue au sein de toutes les erreurs, y compris les erreurs d'assemblage, les caractères reconnus sans certitude, les erreurs de règle, etc.

Assemblage de pages sous forme de documents
Vérification groupée
Vérification de champ
Vérification dans la fenêtre de document
Validation par règle


Assemblage de pages sous forme de documents

Les pages sont assemblées automatiquement sous forme de documents. à cet effet, pour créer un modèle destiné au traitement multipage, vous devez décrire le principe d'assemblage. Vous pouvez aussi configurer la vérification des champs clés.

Le travail de l'opérateur consiste à identifier et à corriger les erreurs d'assemblage de documents éventuelles.

Les erreurs d'assemblage peuvent être corrigées très facilement en mode contour de page, qui permet à l'utilisateur de bien visualiser les images de page et les documents dont elles font partie. Vous pouvez activer ce mode en cliquant sur le bouton [image].

Remarque : Vous pouvez modifier l'échelle des contours de page pour voir les détails en maintenant la touche CTRL enfoncée et en faisant tourner la molette de défilement.

Remarque : L’ordre des sections n’est pas vérifié si, à la création du modèle de document, l’option Désactiver la vérification de l'ordre des sections a été sélectionnée dans l’onglet Assemblage. Le programme continue de vérifier que toutes les sections sont présentes dans le document mais l’ordre des sections est ignoré.

Lors de la création d'un modèle de document, vous devez configurer la règle d'assemblage de document : la séquence et le nombre de sections de document récurrentes. Vous pouvez également configurer la vérification de l'assemblage à partir des valeurs des champs clés : dans ce cas, les champs clés doivent avoir la même valeur sur toutes les pages d'un même document.

Les documents présentant des erreurs d'assemblage sont marqués de ce symbole [image]. Une description de l'erreur est fournie en caractères rouges sous le nom du modèle de document.

Comment corriger les erreurs d'assemblage

  1. Séquence de pages incorrecte dans un document

    Il peut y avoir trop peu ou trop de pages, et certaines pages de document risquent de ne pas être organisées dans le bon ordre. Pour lire un conseil, placez votre curseur sur la page marquée d'une croix rouge :

    Pour corriger ces erreurs, vous pouvez utiliser la souris pour déplacer la page au sein d'un même document ou d'un document à un autre.

    Vous pouvez fusionner des pages provenant de documents différents dans un même document de la manière suivante :

    • Mettez en surbrillance les documents à fusionner (utilisez la combinaison CTRL+clic pour sélectionner plusieurs documents).
    • Cliquez à l'aide du bouton droit de la souris et sélectionnez Fusionner dans le menu contextuel.

    Pour scinder des pages au sein d'un document et placer chacune d'elles dans un document distinct :

    • Mettez en surbrillance le document dans lequel vous souhaitez scinder des pages.
    • Sélectionnez Scinder dans le menu contextuel.

  2. Si le modèle nécessite que vous vérifiiez les champs clés afin de déterminer si l'assemblage des pages est correct, les valeurs des champs clés s'affichent sous l'image de chaque page :

    • en surbrillance grise – s'il y a une correspondance ;
    • en surbrillance rouge – s'il n'y a pas de correspondance.

    Les champs clés ne peuvent pas correspondre s'ils n'ont pas été reconnus ou remplis correctement. Vérifiez les valeurs des champs clés. Si elles ne correspondent pas, les pages en question ne font probablement pas partie du même document. Si la séquence de pages est incorrecte, identifiez les pages qui ont des champs clés identiques et assemblez-les sous forme de documents comme décrit à l'étape 1.


Vérification groupée

La vérification groupée consiste à grouper les images de caractères reconnues comme ayant des valeurs identiques, puis à les afficher sur l'écran du vérificateur, ce qui permet à l'opérateur d'identifier et de corriger les caractères qui divergent du groupe.

Affichage de la fenêtre de vérification groupée

Pendant la vérification groupée, l'opérateur peut afficher le contexte du caractère en cours de vérification en sélectionnant l'élément Afficher l'image des caractères dans le menu contextuel du caractère en surbrillance ou en appuyant sur F2.

Vous pouvez aussi activer un mode dans lequel le champ contenant le caractère s'affiche quand vous pointez le curseur sur le caractère en cours de vérification. Pour ce faire, sélectionnez l'élément de menu Afficher>Image du champ>Afficher l'image du champ dans la fenêtre du vérificateur, ou utilisez le raccourci CTRL+I.

Vous pouvez corriger les caractères mal reconnus de la manière suivante : sélectionnez le caractère qui ne correspond pas au caractère du groupe, puis entrez la valeur correcte. Cette valeur, en surbrillance verte, apparaît dans l'angle supérieur gauche de l'image du caractère.

Si vous avez toujours des doutes sur la signification du caractère même après l'avoir affiché dans son contexte, cliquez dessus : il est alors mis en surbrillance, et un point d'interrogation apparaît dessus.

Vous pouvez aussi activer ou désactiver le statut des caractères à l'aide du bouton Basculer de la barre d'outils.

Vous pouvez confirmer les caractères reconnus correctement en sélectionnant Confirmer dans le menu contextuel. Pour confirmer tous les caractères simultanément, cliquez sur le bouton Tout confirmer de la barre d'outils.

Remarque : lors de la création d'un modèle, vous pouvez modifier les options de vérification dans la configuration des propriétés. Les caractères contenus dans des champs pour lesquels l'option Inclure dans la vérification groupée est activée dans l'onglet Vérification dans la boîte de dialogue de propriétés sont soumis au processus de vérification groupée. Consultez la section Propriétés de la vérification de champ. Pour la vérification groupée, nous recommandons de soumettre les coches et les champs qui ne peuvent recevoir que des nombres. Il est plus facile de vérifier les lettres dans le contexte d'un champ.


Vérification de champ

La vérification de champ est un mode de vérification destiné à permettre de corriger efficacement les erreurs des champs « bien reconnus », c'est-à-dire des champs dont la plage de valeurs est connue ou peut être identifiée aisément. Il peut s'agir d'un champ de nom de pays ou de ville, par exemple : nous savons quelles valeurs ce champ peut contenir.

Pour déterminer comment corriger un champ, il suffit d'afficher ce champ et de connaître sa plage de valeurs. Il est possible de corriger les erreurs d'entrée et les erreurs de format de champ.

Affichage de la fenêtre de vérification de champ

Pour corriger des caractères mal reconnus, vous pouvez utiliser les modes standard des éditeurs de texte : Insertion et remplacement de caractères – vous pouvez alterner entre ces deux modes en appuyant sur la touche INSER du clavier.

Vous pouvez afficher le résulter de chaque champ tour à tour, corriger si nécessaire, puis confirmer en cliquant sur le bouton Confirmer le champ.

Vous devez corriger les valeurs des champs. Si ce n'est pas possible, vous pouvez ignorer le champ ou différer la vérification en cliquant sur le bouton Pause afin de le corriger ultérieurement.

Remarque : les champs pour lesquels l'option Inclure dans la vérification du champ est activée dans l'onglet Vérification dans la boîte de dialogue de propriétés sont soumis au processus de vérification de champ. Consultez la section Propriétés de la vérification de champ. Pour la vérification de champ, nous recommandons de soumettre des champs d'une ligne avec une plage de valeurs bien connue.


Vérification dans la fenêtre de document

La fenêtre de document permet aussi de vérifier la précision de la reconnaissance et de corriger les caractères mal reconnus. Elle s'ouvre quand vous double-cliquez sur le nom de la page. Elle est composée de la région de données, de l'image de page et de la région d'erreurs de règle (s'il y a effectivement des erreurs). Vous pouvez configurer la présentation de cette fenêtre en cliquant sur le bouton Présentation. Dans la fenêtre de document, l'opérateur ne voit pas que les groupes de caractères ou les différents champs, mais le document dans son entier.

Afficher la fenêtre de document

Dans la région de données, les caractères reconnus sans certitude et les caractères discutables sont marqués en couleur, et les champs dont le type est incorrect, ainsi que les règles non respectées, sont en surbrillance.

Pour confirmer un champ dont les caractères ont été reconnus sans certitude, placez le curseur sur le champ et appuyez sur ENTRéE.

Les champs qui permettent d'afficher et de modifier les données reconnues peuvent être organisés non seulement de manière séquentielle mais aussi dans n'importe quel autre ordre plus pratique. Vous pouvez aussi modifier leur organisation dans l'éditeur de modèles de document (consultez la section Configurer la présentation des données dans la fenêtre de document).

Pour atteindre l'erreur suivante au sein de la fenêtre de document, cliquez sur les boutons [image] et [image] sur la barre d'outils de la fenêtre principale. Le programme navigue au sein de toutes les erreurs, y compris les erreurs d'assemblage, les caractères reconnus sans certitude, les erreurs de règle, les défauts de correspondance entre champs clés, etc.


Vérification par règle

Validation par règle

Les règles non satisfaites sont signalées d'un indicateur jaune [image] (avertissement) ou rouge [image] (erreur).

Les erreurs de règle sont affichées dans une fenêtre distincte de l'éditeur de document, et les documents dont les règles ne sont pas satisfaites sont signalées par un indicateur rouge.

Quand des règles ne sont pas satisfaites, l'opérateur doit vérifier la qualité des données reconnues. S'il s'agit d'une erreur de reconnaissance, l'opérateur doit la corriger. S'il s'agit d'une erreur de remplissage qui ne peut pas être corrigée, l'opérateur ne doit pas exporter le document. Les documents présentant des erreurs peuvent être vérifiés ultérieurement, en les comparant aux documents au format papier ou aux autres sources disponibles.

Pour vérifier de nouveau si les données présentent des règles d'erreur, cliquez sur le bouton Exécuter la vérification… et sélectionnez l'élément de menu Vérifier à nouveau les règles. Si les règles sont respectées une fois que vous avez corrigé les valeurs des champs, les indicateurs disparaissent.


Exportation des données reconnues

Après avoir vérifié les données reconnues, l'opérateur peut exporter le lot en cliquant sur le bouton Exporter. L'exportation est effectuée conformément aux paramètres du modèle.

Vous pouvez également exporter les données vers un fichier ou une base de données sans utiliser les paramètres d'exportation configurés dans le modèle.

Remarque : pour exporter les données vers un fichier ou une base de données, vous pouvez utiliser les paramètres par défaut ou les modifier si vous le souhaitez. Les paramètres d'exportation sont configurés dans la boîte de dialogue de propriétés du projet (Projet>Propriétés du projet… dans le menu principal), dans l'onglet Exporter. Consultez la section Paramètres d'exportation par défaut.

Exportation vers un fichier

  1. Pour exporter les données vers un fichier, cliquez sur la flèche située à droite du bouton d'exportation et sélectionnez l'élément de menu Exporter vers le fichier….
  2. Sélectionnez l'emplacement de stockage et le préfixe du nom de fichier. Le nom complet commencera par le préfixe, suivi du nom du modèle de document, du nom de lot et du numéro de document, si vous enregistrez chaque document sous forme de fichier distinct (voir l'étape 3).
  3. Activez les options :
    • Créer un fichier pour chaque document – pour stocker les données de chaque document dans un même fichier ;
    • Écraser les fichiers existants – pour écraser le fichier d'exportation ;
    • Enregistrer des images de document – pour enregistrer les images de document.
  4. Pour modifier les autres paramètres d'exportation, cliquez sur le bouton Paramètres…. Pour plus d'informations sur la configuration de l'exportation, consultez la section Configuration de l'exportation de données.
  5. Pour enregistrer les paramètres d'exportation modifiés, dans la boîte de dialogue Paramètres d'exportation de fichier, cliquez sur le bouton Enregistrer dans le modèle de document et sélectionnez le modèle de document auquel vous souhaitez appliquer les paramètres en cours.

Exportation vers une base de données

  1. Pour exporter les données vers une base de données, cliquez sur la flèche située à droite du bouton d'exportation et sélectionnez l'élément de menu Exporter vers une base de données….
  2. établissez une connexion avec une base de données. Pour plus d'informations, consultez la section Exportation vers une base de données.
  3. Cliquez sur l'onglet Images et configurez les paramètres de stockage d'image.

Remarques :

  1. Les documents dont les données ont été exportées avec succès peuvent être supprimés automatiquement du lot. C'est le cas quand l'option Supprimer les documents traités après l'exportation est activée dans la boîte de dialogue Options, dans l'onglet Traitement de document.
  2. Si vous tentez d'exporter des documents présentant des erreurs de règle, le programme affichera un message d'erreur. Les avertissements relatifs aux règles n'empêchent pas l'exportation d'avoir lieu.


Mode arrière-plan

Il est possible d'importer, reconnaître et exporter les documents en mode arrière-plan chaque fois qu'aucun contrôle opérateur n'est requis.

Pour transférer une tâche en mode arrière-plan, cliquez sur le bouton Mode Arrière-plan dans la boîte de dialogue Ajout d'images… (ou dans la boîte de dialogue Reconnaissance… ou Exportation…...).

Vous pouvez effectuer les tâches suivantes en mode arrière-plan :

  • Chargement d'images depuis un dossier actif à l'aide du profil d'importation correspondant.
  • Reconnaissance de document, si l'option Reconnaître les images ajoutées automatiquement est sélectionnée (Outils > Options…, onglet Traitement de document).

L'icône [image] apparaît sur la barre des tâches lors du passage en mode arrière-plan. Cliquer sur cette icône ouvre la boîte de dialogue Tâches en arrière-plan qui affiche la liste des tâches.

  • Les tâches sont exécutées dans l'ordre dans lequel elles se présentent ou en fonction des priorités définies par l'utilisateur (bouton Définir la priorité…).
  • L'exécution des tâches est consignée dans un fichier journal que l'utilisateur peut personnaliser (Outils > Options…, onglet Progression de la tâche). Cliquez sur le bouton Afficher le journal pour afficher le journal.
  • Vous pouvez interrompre une tâche en cliquant sur le bouton Terminer la tâche.

Le programme peut également vous informer sur la progression des tâches en arrière-plan par le biais d'info-bulles visibles dans le coin inférieur droit de l'écran. Le message apparaît au lancement et à la fin d'une tâche ou en cas d'erreur. Pour plus d'informations, consultez la section Autres options.


Annexe

Désignation de formulaires lisibles à la machine
Raccourcis clavier
Utilisation de scripts dans FlexiCapture 8.0
Comparaison entre les règles de FormReader 6.5 et de FlexiCapture 8.0 Professional
Langues de reconnaissance prises en charge
Polices à utiliser pour un rendu correct des caractères
Types de texte pris en charge
Types de codes-barres pris en charge
Formats graphiques pris en charge
Formats de fichiers d'exportation
Caractères alphabétiques dans des expressions normales
Brevets
Technologies fournies par d'autres sociétés


Création d'un formulaire lisible par machine

Les questionnaires, formulaires de sécurité sociale, bulletins de vote, formulaires de garantie sont des types de formulaires différents destinés à la collecte d'informations de type différent.

En quoi les formulaires différent-ils des autres types de documents ?

  1. Un formulaire comporte toujours un nombre défini de champs.
  2. Chaque champ contient uniquement un type particulier d'informations. Par exemple, le champ "Nom" contient uniquement des noms (lorsqu'il sont remplis correctement) et un champ "Date" contient uniquement des dates.

Les formulaires sont utilisés lorsque des informations provenant d'un grand nombre de personnes interrogées doivent être regroupées. La collecte manuelle des informations est un processus long et fastidieux dans lequel les typos et les erreurs sont quasiment inévitables ; c'est pourquoi les formulaires lisibles par machine sont destinés à automatiser ce processus.

Le traitement automatisé de formulaires se décompose en deux étapes :

  1. Configuration de l'application de traitement de formulaires (en créant un modèle et en spécifiant les champs à reconnaître).
  2. Acquisition d'images du formulaire (numérisation).
  3. Traitement des images du formulaire (reconnaissance des images et validation des données extraites).
  4. Exportation des données extraites vers un système externe d'informations.
Tous les formulaires utilisés pour regrouper des informations ne sont pas adaptés au traitement automatique. Pour être lisible par machine, un formulaire doit remplir certaines conditions qui sont abordées dans ce chapitre.

Formulaires lisibles par machine
Eléments de formulaires lisibles par machine
Méthodes de remplissage des formulaires
Types de formulaires lisibles par machine
Sélection du type de formulaire approprié
Conditions générales requises pour les formulaires lisibles par machine


Formulaires lisibles par machine

Pour pouvoir lire les informations contenues sur les formulaires, une application de lecture de formulaire doit effectuer les opérations suivantes :

  1. Déterminer l'emplacement des éléments du formulaire.
  2. Séparer le contenu des champs des bordures de champ, du marquage de texte, de l'arrière-plan, du texte explicatif, etc.

Les formulaires lisibles par machine permettent au programme d'effectuer ces tâches.

Afin que la première tâche soit effectuée correctement, les formulaires doivent correspondre au motif ou au modèle de formulaire, c'est-à-dire que l'emplacement de tous les éléments du formulaire doit être identique sur tous les formulaires de type identique.

Afin que la première tâche soit effectuée correctement, les formulaires doivent être conçus en prévision de leur traitement automatisé, c'est-à-dire que le programme doit être capable de distinguer facilement les données à capturer des éléments de formulaire non-reconnaissables, tels que les bordures de champ, le marquage de texte, les arrière-plans ou le texte explicatif.


Eléments de formulaires lisibles par machine

Les éléments suivants peuvent être présents sur un formulaire :

Texte
Champ d'entrée
Champ de coche
Groupe de coches
Ancre
Séparateur de ligne
Identificateur de formulaire
Image
Tableau
Groupe d'éléments


Création d'un formulaire lisible par machine : texte

Texte

Le texte est un élément de formulaire lisible par machine qui contient du texte descriptif : titre du formulaire, noms des champs, explications, etc.


Création d'un formulaire lisible par machine : champ d'entrée

Champ d'entrée

Un champ d'entrée est un élément de formulaire lisible par machine dont le texte a été saisi par la personne qui a complété le formulaire. Pour faciliter la saisie de texte, les champs d'entrée doivent contenir du marquage de texte particulier. Les champs d'entrée sont généralement accompagnés de texte décrivant ou expliquant la nature des données à saisir.

Afficher un champ d'entrée

Les types de marquage de texte possibles sont répertoriés dans le tableau ci-dessous :

Texte sur une ligne | Le texte est saisi sur une ligne.
Lettres encadrées | Les lettres sont saisies dans des cadres contigus.
Lettres dans des cadres séparés | Les lettres sont saisies dans des cadres séparés.
Lettres séparées type peigne | Les lettres sont saisies dans un peigne.
Texte encadré | Le texte est saisi dans une cadre.
Texte encadré avec lettres séparées type peigne | Le texte est saisi dans un cadre type peigne.


Création d'un formulaire lisible par machine : champ de coche

Champ de coche

Un champ de coche est un élément de formulaire lisible par machine (généralement un carré appelé "case à cocher") dans lequel une marque doit être insérée par la personne qui complète le formulaire.

Un champ de coche est généralement accompagné par un texte qui éclaircit la signification de cette case à cocher.

Le tableau suivant affiche des formes possibles de champs de coche :

Carré
Cercle
Souligné

D'autres formes sont également possibles, telles que les polygones, les ovales, etc.


Création d'un formulaire lisible par machine : groupe de coches

Groupe de coches

Un groupe de coches est un élément de formulaire lisible par machine qui regroupe des champs de coche parmi lesquels un seul doit être sélectionné. Les groupes de coches sont généralement accompagnés de texte explicatif décrivant la nature du choix à effectuer.

Afficher un groupe de coches


Ancre

Une ancre (marque de référence) est un élément de formulaire lisible par machine utilisé pour faciliter l'association d'images de formulaire aux modèles et déterminer l'orientation des formulaires au cours du traitement automatisé.

Avant que le programme ne commence la reconnaissance du contenu du formulaire, il doit associer le formulaire à son modèle. Tous les formulaires lisibles par machine du même type doivent être conformes à un modèle, c'est-à-dire que l'emplacement de tous les éléments de formulaire doit être exactement identique sur tous les formulaires. Le programme tentera d'associer le formulaire à son modèle, en se basant sur le numéro et l'emplacement des ancres sur le formulaire. Si le programme parvient à associer les ancres du formulaire aux ancres du modèle, il saura exactement où chercher les champs contenant les données à reconnaître.

Les ancres standard sont répertoriées dans le tableau ci-dessous.

Carré noir
Angle
Croix
Marque de temporisation
Pour optimiser les résultats de la reconnaissance, il est recommandé que le formulaire comporte des ancres standard, mais dans certains cas des séparateurs de ligne, du texte explicatif ou des codes barre peuvent également être utilisés comme ancres. Cependant, les ancres standard sont plus fiables et doivent constituer votre premier choix.


Création d'un formulaire lisible par machine : séparateur de ligne

Séparateur de ligne

Un séparateur de ligne est un élément de formulaire lisible par machine en forme de ligne noire horizontale ou verticale.

Les séparateurs de ligne sont utilisés pour fractionner les formulaires en divers segments logiques.


Identificateur de formulaire

Un identificateur de formulaire est un élément de formulaire lisible par machine qui est utilisé pour sélectionner le modèle approprié lorsque plusieurs modèles possèdent des ancres disposés de la même manière.

Il est recommandé d'utiliser des codes barre en tant qu'identificateurs de formulaire.

Un code barre est une suite de lignes verticales en noir et blanc de largeurs différentes, utilisé pour le codage d'informations.

Afficher un code barre
Certains autres éléments du formulaire peuvent également être utilisés en tant qu'identificateurs de formulaire.


Création d'un formulaire lisible par machine : image

Image

Une image est un élément de formulaire lisible par machine qui doit être reconnu et exporté en tant que fichier image.

Par exemple, la partie du formulaire réservée au timbre ou à une signature constitue une image.


Tableau

Un tableau contient des colonnes avec des éléments de même type.

Les colonnes d'un tableau peuvent contenir des éléments des types suivants :

  • texte
  • champ d'entrée
  • date
  • nombre
  • coche

Un tableau peut contenir une ligne avec des en-têtes de colonnes.


Groupe d'éléments

Groupe d'éléments – élément d'un formulaire lisible par machine qui permet de combiner plusieurs éléments liés de manière logique en un groupe.


Méthodes de remplissage de formulaires

Un formulaire peut être rempli via l'une des méthodes suivantes :

  • à la main ;
  • via une imprimante matricielle ;
  • via une machine à écrire ;
  • dans une imprimerie, ou via une imprimante à jet d'encre ou laser avec une résolution supérieure à 300 ppp ;
  • via la combinaison de plusieurs de ces méthodes.


Types de formulaires lisibles par machine

Les formulaires lisibles par machine sont conçus en prévision de leur traitement automatisé, ce qui signifie que le programme doit être capable de différencier facilement les données à capturer des éléments de formulaires non-reconnaissables, tels que les bordures de champ, le marquage de texte, les arrière-plans ou le texte explicatif.

Ceci peut s'effectuer des deux manières suivantes :

  1. Le formulaire doit être conçu de telle sorte que les bordures de champ, l'arrière-plan et le marquage de texte disparaissent après la numérisation ou
  2. Le formulaire doit être conçu de telle sorte que les bordures de champ, l'arrière-plan et le marquage de texte ressortent clairement après la numérisation.

Si vous optez pour la première approche, seuls les ancres, le texte explicatif et les données saisies subsisteront après la numérisation. Ainsi, le programme n'aura pas besoin de séparer les données des éléments de formulaire, ce qui rend la reconnaissance plus simple et plus fiable.

Dans le premier cas, les types de formulaires suivants sont utilisés : formulaires dropout en couleur, formulaires en noir et blanc avec un arrière-plan raster, formulaires en noir et blanc avec des bordures raster et formulaires linéaires en noir et blanc.

Si vous optez pour la seconde approche, les ancres, le texte explicatif, les données saisies, ainsi que le marquage de texte et les bordures de champ subsisteront dans le formulaire après la numérisation. Le programme recherchera les informations autour des bordures de champ et du marquage de texte. L'absence de ces éléments de formulaire aura un effet néfaste sur la qualité de la reconnaissance.

Dans le deuxième cas, les formulaires linéaires en noir et blanc sont utilisés.


Formulaires dropout

Les formulaires dropout ont une arrière-plan en couleur claire avec des rectangles blancs servant de cellules de caractères, des champs de coche, etc. Une cellule de caractère est un petit rectangle dans lequel un seul caractère doit être saisi (ex. : une lettre ou un chiffre).

Par exemple, les formulaires drop-out gris. Leur fond est gris.

Les formulaires drop-out en couleur incluent les formulaires sur lesquels seules les bordures d’éléments sont colorées.

La couleur de l'arrière-plan est très importante car elle doit disparaître au cours de la numérisation. L'arrière-plan est généralement rouge-orange ou vert clair. Pour obtenir la liste des couleurs recommandées, reportez-vous à la rubrique Couleurs recommandées pour les formulaires dropout.

Afficher un formulaire dropout

Idéalement, tous les éléments de formulaire, sauf les ancres, doivent disparaître au cours de la numérisation, et seul doit subsister le contenu des champs devant être reconnu dans l'image de formulaire.

Les informations explicatives peuvent être soit conservées (lors d'une impression en noir), soit filtrées avec l'arrière-plan. Pour faire disparaître les informations explicatives au cours de la numérisation, celles-ci doivent être imprimées de la même couleur que l'arrière-plan du formulaire mais avec un niveau de saturation plus élevé.

Lorsque vous décidez de procéder à l'impression des informations explicatives en noir ou sur un arrière-plan en couleur, les éléments suivants doivent être pris en considération :

  • La taille du fichier image sera plus grande si les informations explicatives seront conservées.
  • L'espace entre les informations explicatives et les autres éléments du formulaire imprimé en noir et blanc doit être d'au moins 1,5-2 mm. L'espace entre le texte explicatif et le champ de coche correspondant doit représenter au moins les 2/3 de la taille de champ de coche. Si le texte explicatif est imprimé sur un arrière-plan en couleur, les espaces entre le texte et les autres éléments de formulaire ne sont pas essentiels.

Les formulaires contenant des informations explicatives en noir sont plus lisibles. Il est recommandé d'imprimer des textes explicatifs en noir, notamment si le formulaire ne contient pas d'ancres.

Conseil
Lors de la création d'un modèle pour un formulaire comprenant des informations explicatives imprimées, assurez-vous de numériser le formulaire en couleur ou en niveau de gris pour que les informations explicatives ou les éléments du formulaire soient clairement visibles.

Les formulaires dropout doivent être numérisés en utilisant une lampe ou un filtre de couleur. La couleur de la lampe est sélectionnée selon la couleur de l'arrière-plan.

Les formulaires avec des arrière-plans rouge ou vert doivent être numérisés soit :

  • avec un scanner utilisant un logiciel de filtrage couleur ;
  • avec un scanner noir et blanc utilisant une lampe rouge et verte (filtrage de couleur matériel) ;
  • avec un scanner en noir et blanc avec une lampe blanche et un filtre vert ou rouge (la qualité du filtrage sera moins bonne dans ce cas-là, car il se peut que l'arrière-plan ne disparaisse pas complètement ou que le contenu des champs ait été accidentellement supprimé ) ;
  • avec un scanner noir et blanc utilisant une lampe blanche sans filtres.
    Lors de la numérisation avec une lampe blanche, certains arrière-plans plus clairs peuvent être supprimés sans filtrage : un niveau peu élevé de saturation de l'arrière-plan garantira la disparition de l'arrière-plan au cours de la numérisation. Dans ce cas, la couleur et la saturation de l'arrière-plan doivent être sélectionnées par approximation pour chaque scanner.

Remarque : de nombreux scanners en couleur possèdent également un logiciel de filtrage, utilisé pour filtrer et supprimer les couleurs bleues. Cependant, il n'est pas recommandé d'utiliser des teintes de bleu dans vos formulaires, car il est probable que les formulaires seront complétés non seulement à l'encre noire, mais aussi à l'encre bleue. Dans ce cas, le contenu de champ saisi à l'encre bleue disparaîtra.

Choix de la couleur appropriée

Les couleurs rouge-orangées sont préférables au vert, car elles représentent le plus grand contraste possible par rapport au bleu, ce qui permet d'améliorer la qualité de la numérisation et de la reconnaissance si les formulaires sont complétés à l'encre bleue.

Pour en savoir davantage sur les couleurs recommandées pour le traitement de formulaires (c'est-à-dire celles qui sont le moins susceptibles de disparaître lors de la numérisation avec pratiquement tout les scanners), reportez-vous à la rubrique Couleurs recommandées pour les formulaires dropout. Vous pouvez également obtenir une liste des couleurs “dropout” pour une type particulier de scanner (au format Pantone ou autre) auprès du fabricant/revendeur de votre scanner.


Formulaires en noir et blanc avec un arrière-plan raster

Formulaires en noir et blanc avec des arrière-plans raster

Sur ce type de formulaire, les champs sont de simples espaces vierges (généralement des rectangles) sur un arrière-plan raster. L'arrière-plan est constitué de points individuels. La taille recommandée des points ne doit pas dépasser 0,1 mm, tous les points étant distant d'environ 1 mm les uns des autres. La taille des points et la distance qui les sépare sont primordiales, étant donné que l'arrière-plan raster est supprimé lors du nettoyage et non pas au cours de la numérisation : le programme considère les points comme des parasites et les supprime. Par conséquent, il est déconseillé de coller les points sur les images numérisées.


Formulaires en noir et blanc avec des bordures raster

Ces formulaires n'ont généralement pas d'arrière-plan. Toutes les bordures de champ (bordures de cellules de caractères, champs de coche et autres éléments de formulaire) sont composées de lignes raster, c'est-à-dire de suites de petits points noirs. La taille des points raster est généralement de 0,39 à 0,5 pt. La taille recommandée est de 0,39 pt, avec une espace entre chaque point représentant cinq fois la largeur des points. La taille des points et la distance qui les sépare sont primordiales, étant donné que l'arrière-plan raster est supprimé lors du nettoyage et non pas au cours de la numérisation : le programme considère les points comme des parasites et les supprime. Par conséquent, il est déconseillé de coller les points sur les images numérisées.


Formulaires linéaires en noir et blanc

Ces formulaires n'ont généralement pas d'arrière-plan. Toutes les bordures de champ (cellules de caractères et autres éléments de formulaire) sont composées de lignes noires solides. Les bordures de champ ne disparaissent pas lors de la numérisation ou du nettoyage.

Remarque : les formulaires de ce type doivent être complétés avec minutie. Si les formulaires ne sont pas correctement remplis, il se peut que les lettres empiètent sur les bordures de champ, réduisant ainsi la qualité de la reconnaissance. Ceci est dû au fait que chaque fois que le contenu du champ empiète sur les bordures de champ, il est extrêmement difficile pour l'application de différencier les bordures du texte. Idéalement, aucune partie du texte ne doit empiéter sur les bordures de champ.


Sélection du type de formulaire approprié

Outre les conditions requises en terme de conception et de traitement pour chaque type de formulaire, d'autres critères doivent également être pris en considération lors de la sélection du type de formulaire : les coûts et les méthodes d'impression, le nombre de copies requises, la taille de l'image en sortie, les modes de numérisation, la précision du degré de reconnaissance requis, la vitesse de traitement de formulaire, l'aspect général des formulaires, la netteté des formulaires etc. Le tableau ci-dessous présente les avantages et les inconvénients de chaque type de formulaire.

Critère | Formulaire dropout |  | Formulaire raster en noir et blanc |  | Formulaire linéaire en noir et blanc
 | Inconvénient | Avantage | Inconvénient | Avantage | Inconvénient | Avantage
Complexité de la conception |  | Conception facile grâce aux outils de conception graphique. | Les éditeurs de texte offrent des outils de création pour ce type de formulaire. La taille des points raster est essentielle. |  |  | Conception facile grâce aux outils de création graphique.
Impression | Difficile d'obtenir des formulaires de qualité lors d'impression en grande quantité. |  |  | Facile à imprimer chez soi. |  | Facile à imprimer chez soi.
Coût de l'impression | Si vous avez recours à des services professionnels d'impression, le coût de l'impression est supérieur à celui de formulaires en noir et blanc. |  |  | Si vous avez recours à des services d'impression professionnels, le coût de l'impression est moins élevé que pour les formulaires dropout. |  | Si vous avez recours à des services d'impression professionnels, le coût de l'impression est moins élevé que pour les formulaires dropout.
Taille de l'image |  | La taille des fichiers image est inférieure. | La taille des fichiers image est supérieure. |  | La taille des fichiers image est supérieure. |
Mode de numérisation | Seuls des modes de numérisation particuliers (filtrage des couleurs) doivent être utilisés. |  | Etendue limitée des paramètres de luminosité et de contraste. |  | Etendue limitée des paramètres de luminosité et de contraste. |
Vitesse de traitement |  | Vitesse de traitement plus rapide. | Durée moyenne de traitement plus longue, car les images doivent être nettoyées. |  | Des erreurs sont susceptibles de se produire si les caractères sont collés ou empiètent sur les bordures de champ. |
Qualité de la reconnaissance |  | Qualité de la reconnaissance très élevée. |  | Qualité de la reconnaissance élevée. | La qualité de la reconnaissance dépend largement de l'état de "propreté" du formulaire rempli. | Qualité de la reconnaissance élevée si le formulaire a été rempli correctement.
Emplacement des informations explicatives |  | Des informations explicatives peuvent être ajoutées n'importe où, y compris à l'intérieur des champs (du moment que le formulaire est imprimé avec la même couleur que l'arrière-plan du formulaire). | Les informations explicatives et autres éléments de formulaire doivent être disposés avec précaution. |  | Les informations explicatives et autres éléments de formulaire doivent être disposés avec précaution. |
Aspect et lisibilité du formulaire | Des paramètres de contraste peu élevé et des informations explicatives peuvent avoir un effet négatif sur la lisibilité du formulaire. | Satisfaisant au niveau esthétique. | Aspect moins attrayant. Lisibilité réduite. |  | Aspect moins attrayant. | Lisibilité satisfaisante.
Aspect final |  | Peu sensible à l'empiètement de texte sur les bordures de champ. | Des caractères de petite taille doivent être écrits avec précaution et doivent être suffisamment grands pour ne pas être considérés comme des "parasites" et être par conséquent supprimés. | Peu sensible à l'empiètement de texte sur les bordures de champ. | Très sensible à l'empiètement de texte sur les bordures de champ. |


Conditions générales requises pour les formulaires lisibles par machine

Examinons à présent les conditions qu'un formulaire doit remplir pour pouvoir être lisible par machine.

Conditions d'arrière-plan de formulaire
Conditions d'ancre
Conditions de champ de coche
Conditions de marquage de texte
Conditions de positionnement d'éléments
Conditions de qualité d'impression
Conditions de remplissage de formulaire


Conditions d'arrière-plan de formulaire

  1. Utilisez les formulaires dropout avec des bordures de champ raster si possible.
  2. Lors de la création d'un formulaire dropout, utilisez une couleur qui disparaît au cours de la numération. Reportez-vous à la liste des couleurs recommandées dans la rubrique Couleurs recommandées pour les formulaires dropout.
  3. Assurez-vous que les informations explicatives sont suffisamment éloignées du contenu du champ. Dans le cas de formulaires dropout, il est recommandé que toutes les informations soient imprimées de la même couleur que l'arrière-plan du formulaire (sauf si le texte explicatif est utilisé comme ancre au lieu de ou conjointement aux carrés noirs). Si vous imprimez des informations dont la couleur est la même que celle de l'arrière-plan, vous pouvez les placer n'importe où sur le formulaire, y compris dans les champs de formulaire.
  4. N'utilisez pas de couleurs bleues pour les formulaires qui sont remplis manuellement. L'arrière-plan bleu risque de se confondre avec l'encre bleue susceptible d'être utilisée pour remplir les formulaires, ce qui aura un effet négatif sur la qualité de la reconnaissance.


Conditions de marque de référence

Conditions d'ancre

  1. Il est préférable d'utiliser des ancres standard pour créer des formulaires lisibles par machine (ex. : carrés noirs, coins, croix). Le nombre d'ancres recommandé est de cinq : quatre ancres pour chaque angle du formulaire (ils doivent former un rectangle si des lignes imaginaires sont tracées entre chaque paire d'angles) et un carré sur l'un des côtés du rectangle imaginaire.
  2. Si, pour une raison quelconque, aucune ancre n'est utilisée, nous vous recommandons d'utiliser la combinaison d'éléments suivante comme ancre :
    a) au moins deux séparateurs de ligne verticaux et deux séparateurs de ligne horizontaux
    b) au moins quatre éléments texte et un élément identificateur de formulaire
    c) d'autres combinaisons sont également possibles
  3. La distance entre le bord de l'ancre et l'élément de formulaire le plus proche doit être d'au moins 3 mm.
  4. La distance entre une ancre et le bord de la page doit être d'au moins 8 mm.
  5. Les ancres doivent être imprimées de couleur sombre (en noir de préférence), afin de ne pas disparaître au cours de la numérisation.

Outres les conditions requises répertoriées ci-dessus, chaque type d'ancre doit remplir ses propres conditions :

Conditions pour les carrés noirs

Les carrés noirs sur un même type de formulaire doivent tous être de la même taille, et d'une taille comprise entre 4 x 4 mm et 8 x 8 mm. La taille recommandée est de 5 x 5 mm. Les rectangles ne sont pas autorisés.

Conditions pour les croix et les angles

  1. Le taille d'un carré imaginaire qui peut être tracé autour d'une ancre de ce type doit être comprise entre 4 x 4 et 8 x 8 mm. La taille recommandée est de 5 x 5 mm.

  2. La tailles d'ancres d'un type doit être partout identique au sein d'un formulaire.

  3. Tous les côtés d'une ancre doivent être de taille égale.

  4. L'épaisseur de la ligne utilisée pour tracer les ancres doit être identique et comprise entre 0,3 et 1 mm. La valeur recommandée est de 0,5 mm.

Condition pour le texte (si utilisé comme ancres)

La taille de la police doit être d'au moins 7 pt (pour les en-têtes, d'au moins 14 pt).

Condition pour les séparateurs de ligne (si utilisés comme ancres)

L'épaisseur des lignes doit être d'au moins 1 pt. La valeur recommandée est de 1 à 1,5 pt.

Condition pour les codes barre (si utilisés comme ancres)

  1. La largeur des codes barre (distance entre la première et la dernière barre) doit être d'au moins 47 à 50 mm.
  2. La hauteur doit être d'au moins 12 à 15 mm (chiffres non inclus).
  3. L'orientation du code barre (sens des barres) doit être identique à l'orientation de la page (il est recommandé de numériser les pages dans la direction des barres).
  4. Le format de code barre EAN 13 est recommandé.
  5. La distance recommandée entre un code barre et tout autre élément doit être d'au moins 10 mm.


Conditions de champ de coche

  1. Les tailles de champ recommandées sont 3,5 x 3,5 mm, 4 x 4 mm, 4,5 x 4,5 mm ou 5 x 5 mm (si vous utilisez des champs de coches circulaires, vous devez les ajuster dans des carrés de la taille recommandée).
  2. La largeur de ligne recommandée pour les bordures de champ de coche est de 0,4 mm (quelle que soit la taille du champ).


Conditions de marquage de texte

Taille des points raster :

  1. Si les bordures de champ sont des points raster, l'épaisseur de la ligne raster (c'est-à-dire la taille raster) doit être de 0,39 pt.

  2. La distance optimale entre les points raster est de cinq fois leur taille.

    Attention : il est fort probable que les points soient collés dans les angles des cellules de caractères.

Conseil
Si votre logiciel ne vous permet pas de spécifier la distance entre chaque point raster, vous devez sélectionner un style de ligne qui comporte des points suffisamment séparés les uns des autres. Ceci pour empêcher qu'ils ne soient collés les uns aux autres sur l'image numérisée, et pour qu'ils disparaissent de l'image après son nettoyage, étant donné que les gros points ne sont pas interprétés par le système OCR comme des parasites et ne peuvent pas être supprimés de l'image au cours du nettoyage.

Taille des cellules de caractères :

  1. La taille des cellules de caractères recommandée est de 4 x 5 mm ; l'utilisation de tailles plus petites requiert un degré de précision plus élevé de la part de la personne remplissant le formulaire, ce qui est difficile à obtenir. Il est également déconseillé de séparer les caractères par des espaces trop importants car ceci encourage l'utilisation de lettres anormalement grandes. Idéalement, la taille des cellules de caractères doit refléter la taille moyenne des lettres.
  2. La distance entre les lignes de champ doit être d'au moins 2,5 à 3 mm et la distance entre deux cellules de caractères adjacentes sur la même ligne doit être d'au moins 1 à 1,2 mm.

Afficher les cellules de caractères

Epaisseur des lignes :

  1. Si les bordures sont des lignes noires ("texte encadré", "lettres dans des cadres séparés" ou "lettres dans des cadres"), l'épaisseur de la ligne doit être de 1 pt.
Afficher les bordures de lignes noires

Peignes :

  1. La distance recommandées entre les entailles dans un seul champ de formulaire doit est de 5 mm.
  2. Dans le cas d'une entaille de peigne simple, la distance entre les deux lignes à entaille doit être d'au moins 7,5 à 8 mm.
  3. La hauteur de l'entaille doit être d'environ 0,9 à 1,2 mm.
  4. L'épaisseur des entailles et du cadre doit être de 1 pt.
  5. Si un cadre avec des entailles de peigne est utilisé, la distance minimum entre les cadres doit être de 2,5 à 3 mm.
Afficher un peigne


Conditions de positionnement d'éléments

  1. Assurez-vous de définir des marges suffisantes pour votre formulaire. Si ce n'est pas le cas, il est possible que les éléments de formulaire qui se trouvent trop près des bords du formulaire disparaissent lors de la numérisation, entraînant ainsi une perte de données.
  2. L'espace entre les éléments de formulaires voisins doit être d'au moins 2 mm.
  3. L'espace entre un champ de coche et le texte explicatif doit représenter au moins les 2/3 de la taille du champ de coche.
  4. Assurez-vous que le texte explicatif n'empiète pas sur les bordures de champ d'entrée.
  5. Si les informations explicatives sont imprimées en encre noire, assurez-vous qu'un espace d'au moins 1,5 à 2 mm sépare les informations explicatives des autres éléments. La distance n'est pas cruciale pour les informations explicatives imprimées dans la même encre que l'arrière-plan.


Conditions de qualité d'impression

Lors de l'impression de formulaires vierges, assurez-vous de respecter les conditions suivantes :

  1. Les formulaires doivent être imprimés soit de façon professionnelle, soit sur imprimante. Il est recommandé de recourir à des services professionnels pour les formulaires en couleur. Si ce n'est pas possible, testez les couleurs du formulaire sur un scanner avant de lancer l'impression.
  2. Toutes les copies du formulaire doivent être imprimées avec la même source de document, de même que l'emplacement des champs sur chaque formulaire doit être identique.
  3. La taille de la marge minimum (c'est-à-dire la distance entre le bord de la page et l'élément de formulaire le plus proche) doit être d'au moins 8 mm (des marges de 12 mm sont recommandées).
  4. La déviation linéaire des éléments de formulaire autorisée est de 0,15 % seulement (soit 0,5 mm pour une page de format A4).
  5. Si vous imprimez des formulaires via une imprimante, ne les imprimez pas à une résolution inférieure à 600 ppp.

Utilisez toujours la même imprimante pour imprimer des formulaires provenant du même lot. Si ce n'est pas possible, assurez-vous au moins que les imprimantes utilisées sont du même modèle.


Conditions de remplissage de formulaire

Stylos et encre

Il est préférable que les formulaires soient propres, remplis en majuscules, avec un crayon à bille ou à gel noir (le bleu foncé et le violet sont également tolérés). Les crayons à pointe souple de type crayon-feutre ne sont pas recommandés, car les caractères risquent d'être trop épais, entraînant ainsi des problèmes de reconnaissance. La qualité de la reconnaissance est également réduite si les formulaires sont remplis à l'aide d'un crayon à papier ou avec une encre claire.

Taille et style des lettres

Pour améliorer les résultats de la reconnaissance, les formulaires doivent être remplis avec des lettres majuscules. Les lettres saisies doivent occuper toute la surface des cellules de caractères, mais ne doivent pas empiéter sur les bordures de cellule.

Si les cellules de caractères sont signalées visuellement dans le formulaire (c'est-à-dire si les types de marquage de texte suivants sont utilisés : lettres dans des cadres, lettres dans des cadres séparés), les risques que la personne qui remplit le formulaire ne colle les lettres sont réduits.

Les types de marquage de texte suivants posent des problèmes à la reconnaissance : texte encadré avec lettres séparées type peigne, lettres séparées type peigne. Seule la largeur de la cellule de caractère est prédéfinie et l'absence de bordure rend le collage des lettres possible. Dans le cas d'un peigne sans cadre, les lettres saisies peuvent être trop petites ou trop grandes.

Si le texte encadré ou le texte sur une ligne est utilisé, il n'existe aucune restriction évidente quant à la largeur des cellules de caractères. Les lettres peuvent être jointes, ce qui aura un effet néfaste sur la qualité de la reconnaissance. Dans le cas d'un texte sur une ligne, il n'y a pas de restriction quant à la hauteur des caractères. Ainsi, ce type de marquage n'est pas recommandé pour les formulaires qui requièrent un degré élevé de précision de la reconnaissance.

Une autre condition importante pour une reconnaissance réussie est que les lettres ne doivent pas empiéter sur les bordures de champ. Ceci n'est pas essentiel pour les formulaires dropout ou raster en noir et blanc, car les bordures de champ disparaîtront au cours de la numérisation et du nettoyage. Cependant, si les lettres empiètent sur les bordures de formulaires linéaires noir et blanc, ceci peut réduire considérablement la qualité de la reconnaissance.

Echantillon

Pour favoriser un remplissage correct de votre formulaire, nous vous recommandons d'y inclure une remarque du type de celle ci-dessous :


Couleurs recommandées pour les formulaires dropout

Le tableau ci-après contient des échantillons de couleurs dropout et le numéro Pantone leur correspondant. Ces couleurs d'arrière-plan disparaissent si les formulaires sont numérisés :

  • via un scanner.
    • Afficher un tableau de la lampe blanche
  • via un scanner couleur doté du logiciel de filtrage des couleurs rouges ou via un scanner noir et blanc avec une lampe rouge ou un filtre rouge.
    • Afficher un tableau de la lampe rouge


Raccourcis clavier

Cette section contient une liste des raccourcis clavier utilisables dans les différentes fenêtres du programme. Les raccourcis clavier permettent de gagner du temps et d'utiliser le programme plus facilement et avec plus de confort.

Raccourcis clavier dans la fenêtre principale
Raccourcis clavier dans la fenêtre de l'éditeur de modèles
Raccourcis clavier dans la fenêtre de vérification groupée
Raccourcis clavier dans la fenêtre de vérification de champ


Raccourcis clavier dans la fenêtre principale du programme

Menu | Commande | Raccourcis clavier
Fichier | Nouveau projet… | CTRL+MAJ+N
 | Ouvrir un projet… | CTRL+MAJ+O
 | Enregistrer | CTRL+S
 | Nouveau lot | CTRL+N
 | Charger des images… | CTRL+O
 | Numériser des images… | CTRL+K
 | Importer des images… | CTRL+I
 | Exporter | CTRL+U
 | Exporter vers Fichier… | ALT+MAJ+S
 | Exporter vers Base de données… | ALT+MAJ+D
 | Quitter | ALT+F4
Editer | Annuler | CTRL+Z
 | Rétablir | CTRL+Y
 | Couper | CTRL+X
 | Copier | CTRL+C
 | Coller | CTRL+V
 | Supprimer | SUPPR
 | Tout sélectionner | CTRL+A
 | Rechercher… | CTRL+F
 | Rechercher suivant | F3
 | Aller а > Document suivant | CTRL+D
 | Aller а > Document précédent | CTRL+MAJ+D
 | Image > Nettoyer | CTRL+ALT+K
 | Image > Inverser | CTRL+ALT+V
 | Image > Tourner de 90° vers la droite | CTRL+W
 | Image > Tourner de 90° vers la gauche | CTRL+MAJ+W
Afficher | Afficher les Détails du document | ALT+1
 | Afficher le document sous forme de Vignettes | ALT+2
 | Afficher la fenêtre de documents en Mode Image | CTRL+1
 | Afficher la fenêtre de documents en Mode Données | CTRL+2
 | échelle de l'image de page > Zoom avant | CTRL+NUM+
 | échelle de l'image de page > Zoom avant | CTRL+NUM-
 | Plein écran | F11
 | Ouvrir la boîte de dialogue de l'objet en surbrillance | ALT+ENTRéE
Importation et reconnaissance | Importer des images… | CTRL+I
 | Analyser | CTRL+E
 | Associer un modèle… | ALT+MAJ+E
 | Reconnaître | CTRL+R
Vérification | Exécuter la vérification… | F7
 | Élément suivant à vérifier | F4
 | Élément précédent à vérifier | MAJ+F4
 | Erreur d'assemblage suivante | F5
 | Erreur d'assemblage précédente | MAJ+F5
 | Caractère incertain suivant | F8
 | Caractère incertain précédent | MAJ+F8
 | Erreur de règle suivante | F6
 | Erreur de règle précédente | MAJ+F6
Projet | Liste de lots de travail | CTRL+B
 | Liste de lots de test | CTRL+MAJ+B
 | Modèles de document… | CTRL+T
 | Profils d'importation d'images… | CTRL+MAJ+I
Service | Analyser à nouveau | CTRL+ALT+E
 | Reconnaître à nouveau | CTRL+ALT+R
 | Vérifier à nouveau les règles | CTRL+F6
Aide | Afficher l'aide | F1
Commandes générales | Ouvrir la fenêtre de document (si un document ou une page sont en surbrillance) | ENTRéE


Raccourcis clavier dans la fenêtre de l'éditeur de modèles

Menu | Commande | Raccourcis clavier
Modèle | Ajouter une page… | CTRL+P
 | Ajouter une section de document… | CTRL+ALT+S
 | Propriétés du modèle de document… | CTRL+T
 | Enregistrer | CTRL+S
 | Fermer | ALT+F4
Editer | Annuler | CTRL+Z
 | Rétablir | CTRL+Y
 | Couper | CTRL+X
 | Copier | CTRL+C
 | Coller | CTRL+V
 | Supprimer | SUPPR
 | Supprimer la région | MAJ+SUPPR
 | Tout sélectionner | CTRL+A
 | Sélectionner par type… | CTRL+MAJ+A
 | Créer un champ de Texte | ALT+MAJ+T
 | Créer un champ de Coche | ALT+MAJ+C
 | Créer un champ de Groupe de coches | ALT+MAJ+M
 | Créer un champ de Code barre | ALT+MAJ+B
 | C'éer une Image | ALT+MAJ+P
 | Créer un champ de Tableau | ALT+MAJ+L
 | Créer un champ de Groupe | ALT+MAJ+G
 | Grouper | CTRL+G
 | Dégrouper | CTRL+MAJ+G
 | Copier le texte de l'image… | CTRL+ALT+C
 | Image > Nettoyer | CTRL+ALT+K
 | Image > Inverser | CTRL+ALT+V
 | Image > Tourner de 90° vers la droite | CTRL+W
 | Image > Tourner de 90° vers la gauche | CTRL+MAJ+W
Afficher | Basculer en mode éléments statiques | CTRL+1
 | Basculer en mode Marquage de champs | CTRL+2
 | Ouvrir/fermer la fenêtre Structure du document | ALT+F1
 | Basculer la fenêtre Structure du document en mode Champs | ALT+1
 | Basculer la fenêtre Structure du document en mode Pages | ALT+2
 | Ouvrir/fermer la fenêtre Formulaire de données | ALT+F2
 | échelle de l'image de page > Zoom avant | CTRL+NUM+
 | échelle de l'image de page > Zoom avant | CTRL+NUM-
 | Ouvrir la boîte de dialogue de l'objet en surbrillance | ALT+ENTRéE
Document | Exécuter un test. | CTRL+R
Service | Détecter automatiquement les objets… | CTRL+D
 | Vérifier le modèle de document | F9
 | Associer la section | CTRL+E
Aide | Afficher l'aide | F1

Fenêtre de marquage d'image

Commande | Raccourcis clavier
Activer l'outil de sélection | éCHAP
Détection automatique d'objet | CTRL+MAJ+D
Créer une ancre | A
Créer un séparateur | S
Créer du texte ancré | X
Créer un code barre d'ancrage | D
Créer un champ de texte | T
Créer une coche | C
Créer un groupe de coches | M
Créer un code barre | B
Créer une image graphique | P
Créer un tableau | L
Créer un groupe de champs | G
Créer une région pour un champ sans région | R
Créer une région non reconnaissable | O
Créer une colonne de tableau | U
Ajouter un séparateur à un tableau | F
Supprimer un séparateur de tableau | E
Ajuster la région | CTRL+ALT+A
Suggérer un nom | CTRL+ALT+N
Obtenir le nom de l'image… | CTRL+ALT+I
Détecter le type de marquage | CTRL+ALT+D

Fenêtre Structure du document

Commande | Raccourcis clavier
Afficher l'image d'un champ détecté | ENTRéE
Renommer un champ détecté | F2
Si un champ de tableau est en surbrillance : |
Ajouter une colonne avec du texte | ALT+MAJ+T
Ajouter une colonne avec des coches | ALT+MAJ+C
Ajouter une colonne avec des codes barres | ALT+MAJ+B
Ajouter une colonne avec des images graphiques | ALT+MAJ+P
Si un groupe de coches est en surbrillance : |
Ajouter au groupe de coches | ALT+MAJ+C


Raccourcis clavier dans la fenêtre de vérification groupée

Menu | Commande | Raccourcis clavier
Vérification | Tout confirmer | ENTRéE
 | Tout différer | CTRL+ENTRéE
 | Basculer | ESPACE
 | Page suivante | PAGE SUIVANTE
 | Page précédente | PAGE PRéCéDENTE
 | Fermer | ALT+F4
Editer | Annuler | CTRL+Z
 | Rétablir | CTRL+Y
 | Tout sélectionner | CTRL+A
Afficher | Image du champ > Afficher l'image du champ | CTRL+I
 | Image du champ > Au-dessus | ALT+1
 | Image du champ > En dessous | ALT+2
 | Image du champ > échelle de l'image > Zoom avant | CTRL+NUM+
 | Image du champ > échelle de l'image > Zoom arrière | CTRL+NUM-
 | Afficher l'image du caractère | F2
 | Plein écran | F11
Aide | Afficher l'aide | F1
Menu d'icônes locales | Afficher l'image des caractères | F2
 | Confirmer | CTRL+E
 | Différer | CTRL+R
 | Réinitialiser | éCHAP


Raccourcis clavier dans la fenêtre de vérification de champ

Menu | Commande | Raccourcis clavier
Vérification | Confirmer le champ | ENTRéE
 | Différer | CTRL+ENTRéE
 | Caractère incertain suivant | F4
 | Caractère incertain précédent | MAJ+F4
 | Champ suivant | PAGE SUIVANTE
 | Champ précédent | PAGE PRéCéDENTE
 | Fermer | ALT+F4
Editer | Annuler | CTRL+Z
 | Rétablir | CTRL+Y
 | Couper | CTRL+X
 | Copier | CTRL+C
 | Coller | CTRL+V
 | Supprimer | SUPPR
 | Tout sélectionner | CTRL+A
 | Insérer un saut de ligne | MAJ+ENTRéE
 | Fusionner les caractères | CTRL+M
Afficher | Données de champ > Texte reconnu | ALT+F1
 | Données de champ > Coupe des images de caractère | ALT+F2
 | Image du champ > Afficher l'image du champ | CTRL+I
 | Image du champ > Au-dessus | ALT+1
 | Image du champ > En dessous | ALT+2
 | Image du champ > échelle de l'image > Zoom avant | CTRL+NUM+
 | Image du champ > échelle de l'image > Zoom arrière | CTRL+NUM-
 | Afficher l'image des caractères | F2
 | Plein écran | F11
Aide | Afficher l'aide | F1


Utilisation de scripts dans FlexiCapture 8.0

Cette section explique comment utiliser des scripts pour créer des règles personnalisées, pour effectuer une exportation et pour créer des gestionnaires d’exportation dans FlexiCapture 8.0.

Deux langages de script sont pris en charge – JScript® et VBScript.

Règles d'utilisation

En VBScript, le mot-clé Me est obligatoire pour faire référence aux méthodes et champs de l'objet en cours (c'est l'équivalent de « this » en C++ et en Java). L'objet en cours est une unité de document vérifiable (une unité contenant une règle) dans le cas de règles, et un document exportable dans le cas d'une exportation.

Me.CheckSucceeded = False

Dans la même situation en JScript, il est possible d'omettre « this » :

this.CheckSucceeded = false; CheckSucceeded = false;

Les erreurs telles que « Méthode ou propriété non trouvée » sont générées pendant l'exécution du script :

ChecckSucceeded = false; // erreur d'exécution

Les erreurs de syntaxe sont générées à l'enregistrement du script :

CheckSucceeded +++ false; // erreur de syntaxe

Fonctions personnalisées

L’éditeur de script permet aux utilisateurs de créer leurs propres fonctions et procédures, puis de les rappeler au moyen du code des règles ou du code d’exportation.

Vous pouvez créer des fonctions personnalisées dans l’un des modules généraux suivants : module d’exportation ou modules de règles. Vous pouvez sélectionner le module souhaité dans l’éditeur de script.

Toutes les fonctions contenues dans un module doivent être rédigées dans le même langage. Vous pouvez rédiger le code de base d’une règle ou d’une exportation dans un autre langage que celui utilisé dans le module général correspondant.

Par exemple, à partir du code d’une règle rédigée en VBScript, vous pouvez appeler une fonction du module général rédigée en JScript.

Vous ne pouvez appeler les fonctions qu’à partir de leur « propre » module. Cela signifie que vous ne pouvez appeler que les fonctions contenues dans le module général de règles à partir du code des règles et du code d’exportation. Dans le cas contraire, vous obtenez une erreur pendant l’exécution.

Les fonctions sont appelées comme suit :

[VBScript]

result = Rules.SomeFunction( param1, param2 ... )

Export.SomeFunction param1, param2 ...

[JScript]

result = Rules.SomeFunction( param1, param2 ... );

Export.SomeFunction( param1, param2 ... );

Délai d'exécution d'un script

Par défaut, le délai d'exécution est de 10 secondes pour les règles et de 1 minute pour une exportation.

Pour changer ces valeurs par défaut, modifiez les paramètres correspondants du registre.

Pour les règles :
HKEY_CURRENT_USER\Software\ABBYY\FlexiCapture\8.0\Controller\ScriptSupport\DefaultScriptTimeout

Pour une exportation :
HKEY_CURRENT_USER\Software\ABBYY\FlexiCapture\8.0\Controller\ScriptSupport\ExportScriptTimeout

Ces valeurs enregistrées dans le registre sont exprimées en millisecondes. Si un script a besoin de plus de temps pour s'exécuter que le délai prévu, il s'arrête. Pour les règles, un message d'erreur s'affiche, indiquant que le délai d'exécution de script est dépassé. Pour une exportation, un message similaire s'affiche dans la fenêtre de lot, dans la colonne Notes de traitement.

Utilisation de scripts pour créer des règles
Utilisation de scripts pour décrire une exportation
Migration à partir de règles FormReader 6.5 et exportation vers des scripts FlexiCapture 8.0 Professional


Utilisation de scripts pour créer des règles

Les règles reposant sur des scripts (ScriptRules) permettent aux utilisateurs de créer des algorithmes personnalisés complexes pour la validation et la normalisation de documents, avec les langages de script JScript® et VBScript standard.

Remarque : il se peut que certains scripts créés à l'aide de la première version d'ABBYY FlexiCapture 8.0 Professional ne fonctionnent pas avec la seconde version, car l'utilisation de valeurs de champ a été généralisée dans la seconde version, alors que des valeurs de texte étaient utilisées dans la première. Pour résoudre le problème, vous pouvez a) passer de la propriété Value à Text pour les scripts fonctionnant avec le texte d'un champ ou b) modifier l'utilisation de la propriété Value de telle sorte qu'elle soit conforme à sa description actuelle. Consultez les propriétés de l'objet Field.

Modèle d'objets

Une règle doit être considérée comme une méthode d'une unité de document validée. En d'autres termes, la référence « this » ou « Me » fait référence à l'objet [Validated Document Unit] auquel cette règle s'applique actuellement.

Une règle peut valider un document à partir des valeurs d'un ou de plusieurs champs. Si une erreur est générée, il faut définir un indicateur d'erreur et, si nécessaire, spécifier la description de l'erreur, le champ qui a le focus et les variantes de remplacement proposées. Une règle peut également marquer un certain champ comme reconnu avec certitude.

Une règle peut normaliser un document en modifiant les valeurs de ses champs afin de leur donner une apparence normale, ou en ajoutant des informations (par exemple, la date du dernier traitement).

Validated document unit

Propriétés :

Nom | Type | Accès | Description
CheckSucceeded | Booléen | Lecture/écriture | Indicateur d'erreur True – il n'y a pas d'erreur de règle, False – il y a une erreur de règle
ErrorMessage | Chaîne | Lecture/écriture | Message d'erreur
FocusedField | [Field] | Lecture/écriture | Champ qui a le focus
Field("Nom de l’alias") [Field] Lecture seule

Champ ayant pour alias « Nom de l’alias ».

Un alias est un nom spécial attribué à un champ et utilisé lors de l’accès au champ à partir du code d’une règle. Ainsi, l’attribution d’un nouveau nom à un champ n’a aucune incidence sur l’utilisation du champ dans le code de la règle.

Les alias vous permettent également d’utiliser des champs de règle portant des noms identiques (par exemple, des champs portant le même nom issus de différentes sections).

Un alias peut être identique ou différent du nom du champ.

Lorsque vous ajoutez un champ à une règle, un alias est automatiquement généré pour ce champ. Vous pouvez, cependant, modifier les alias générés par le programme.
Fields | [Collection of fields] | Lecture seule | Collection de champs participant à la règle
Document | [Document] | Lecture seule | Document contenant une unité validée

Quand le document validé est un champ, il prend en charge toutes les propriétés et méthodes appartenant à l'objet [Field]. Si l'unité validée n'est pas un champ, il n'est pas possible de faire référence à ces propriétés et méthodes, car cela provoquerait une erreur.

Field

Propriétés :

Nom | Type | Accès | Description
Value Variant Lecture/écriture Valeur type du champ.

Contient un nombre à virgule flottante pour les champs numériques.

Contient la valeur de la date (VT_DATE) pour les champs « Date/Heure ».

Contient la valeur de la date (VT_CY) pour les champs « Devise ».

Contient une valeur booléenne pour les coches. Pour affecter des valeurs à une coche, vous pouvez utiliser les valeurs booléennes true/false et les valeurs de texte « True »/« False » (sensibles à la casse).

La valeur d'un groupe de coches est la liste de noms des coches sélectionnées, séparés par un point-virgule (;). Si aucune coche n'a été sélectionnée, la chaîne est vide. Pour changer la valeur d'un groupe de coches, affectez la valeur « true » aux coches que vous avez besoin de sélectionner et « false » à celles que vous n'avez pas besoin de sélectionner. Dans le même temps, toutes ces coches doivent être incluses dans la règle.
Pour les groupes, tableaux et images graphiques – une chaîne vide.
Il n'est pas possible d'affecter des valeurs à des groupes, à des groupes de coches ou à des tableaux. Sinon, une erreur se produit.

Text Chaîne Lecture seule Valeur de type texte d'un champ. Coïncide avec les valeurs de tous les types de champs excepté les coches.
Dans le cas des coches, la valeur de cette propriété est déterminée en fonction des propriétés de champ sélectionnées dans l'onglet Type de données.
Important ! La valeur de la propriété Text ne change pas quand la règle est appliquée. En d'autres termes, le fait de changer la propriété Value dans le code de la règle ne change pas simultanément la propriété Text.
Dans l'exemple ci-dessous, les valeurs de oldText et de newText restent identiques :

Dim oldText, newText
oldText = me.Field("FieldName").Text
me.Field("FieldName").Value = newValue
newText = me.Field("FieldName").Text

Name | Chaîne | Lecture seule | Nom du champ
IsVerified Booléen Lecture/écriture

Indicateur montrant si un champ a été vérifié ou non. Un champ signalé comme vérifié est ignoré pendant la vérification et lors du comptage des caractères pour lesquels la vérification est requise.

Cette propriété est définie sur vraie si l’utilisateur a validé le champ pendant la vérification ou si une règle définie la valeur de la propriété comme étant vraie.

Dans le cas contraire, la valeur de la propriété est fausse.
IsCertain Booléen Lecture/écriture Indicateur de certitude du champ. Un champ marqué comme reconnu avec certitude est ignoré pendant la vérification et le calcul des caractères qui doivent être vérifiés.

Cette propriété est obsolète et n’a été conservée que pour garantir la rétrocompatibilité. Veuillez plutôt utiliser la propriété IsVerified.

IsMatched | Booléen | Lecture seule | Indicateur montrant si un champ correspond ou non.
Items | [Collection of fields] | Lecture seule | Dans le cas d'un champ multiple – collection de ses instances. Si un champ n'est pas multiple – 0.

Méthodes :

Nom | Paramètres | Description
Suggest( text ) | Text – chaîne | Ajoute une suggestion, avec une valeur de champ suggérée. Pour définir plusieurs variantes, invoquez de manière séquentielle la méthode le nombre de fois requis. La valeur du conseil que vous ajoutez doit correspondre au type de champ (par exemple, il doit s’agir d'un nombre pour les champs numériques, une date pour les champs « Date/Heure », etc.).

Collection of fields

Propriétés :

Nom | Type | Accès | Description
Count | Entier | Lecture seule | Nombre de champs d'une collection
Item(index) | [Field] | Lecture seule | Champ d'index. Index peut avoir une valeur comprise entre 0 et Count – 1

Document

Propriétés :

Nom | Type | Accès | Description
Pages | [Collection de pages] | Lecture seule | Collection de pages du document.

Méthodes :

Nom | Paramètres | Description
Property( name ) | name – nom de la propriété | Retourne la valeur de la propriété interrogée Type de la valeur retournée – variant

Propriétés de document pouvant être définies à l'aide de la méthode Property (les propriétés de document que cette méthode récupère sont en lecture seule) :

Valeur | Type | Description
"TemplateName" | Chaîne | Nom du modèle
"TotalSymbolsCount" | Entier | Nombre de caractères
"UncertainSymbolsCount" | Entier | Nombre de caractères reconnus sans certitude
"RecognizedSymbolsCount" | Entier | Nombre de caractères reconnus
"Comment" | Chaîne | Commentaire
"Created" | Date | Date de création
"CreatedBy" | Chaîne | Auteur
"Recognized" | Date | Date de reconnaissance
"RecognizedBy" | Chaîne | Auteur de la reconnaissance
"Modified" | Date | Date de la dernière modification
"ModifiedBy" | Chaîne | Auteur de la modification
"ProcessingErrors" | Chaîne | Erreurs
"ProcessingWarnings" | Chaîne | Avertissements

Collection de pages

Propriétés :

Nom | Type | Accès | Description
Count | Entier | Lecture seule | Nombre de pages de la collection.
Item(index) | [Page] | Lecture seule | La page avec index. L'index implique des valeurs de 0 à nombre -1.

Page

Fournit des informations sur les pages du document en cours de validation.

Propriétés :

Nom | Type | Accès | Description
ImageSourceType | Chaîne | Lecture seule | Le type de la source de l'image. Peut prendre les valeurs Fichier ou Scanner.
ImageSource | Chaîne | Lecture seule | Source de l'image. Dans le cas d'un fichier, il s'agit du nom du fichier avec le chemin d'accès complet. Dans le cas d'un scanner, il s'agit du nom du scanner.
ImageSourcePageNumber | Entier | Lecture seule | Le nombre de pages dans la source de l'image. Les numéros de pages commencent à 0. Pour les fichiers uniquement.

Exemples de scripts permettant de créer des règles utilisateur


Exemples de scripts permettant de créer des règles personnalisées

Règle d'automatisation

Cet exemple montre comment contrôler les données d'un tableau. Cette règle vérifie si les données du tableau correspondant à la valeur du champ qui en résulte. Le tableau contient des colonnes avec des prix et des quantités pour certains produits. La règle a été écrite au niveau d'une section contenant le tableau et le champ qui en résulte.

[VBScript]

dim autoRule

set autoRule = CreateObject( "AutomationRule.CheckDoc" )

autoRule.CheckResult me.FIELD("cost"), me.FIELD("number"), _

me.FIELD("Result"), me

[JScript]

var autoRule = new ActiveXObject( "AutomationRule.CheckDoc" );

autoRule.CheckResult( Field("cost"), Field("number"),

Field("Result"), this );

Code d'un composant ActiveX

Le code fourni ici est un code de classe CheckDoc issu du projet AutomationRule, qui est utilisé dans les scripts mentionnés ci-dessus.

Option Explicit

' Vérifier si les données du tableau correspondent au résultat

' column1 - colonne de prix

' column2 - colonne de quantité

' resultField - champs qui en résulte (<Total> ou équivalent )

' docObj - nœud de document en cours de vérification

Public Sub CheckResult(ByRef column1 As Object, ByRef column2 As Object, _

ByRef resultField As Object, ByRef docObj As Object)

On Error GoTo err_h

Dim costItems As Object, numItems As Object

    Dim curCost As Double, curNum As Long, sum As Double

Dim result As Double

Dim i As Long

Set costItems = column1.Items

Set numItems = column2.Items

' Somme des données du tableau

sum = 0

For i = 0 To costItems.Count - 1

curCost = costItems.Item(i).Value

curNum = numItems.Item(i).Value

sum = sum + curNum * curCost

Next

' Précision de la comparaison – résultat arrondi au deuxième chiffre après la virgule

result = resultField.Value

If (Round(result, 2) = Round(sum, 2)) Then

docObj.CheckSucceeded = True

Else

docObj.CheckSucceeded = False

docObj.ErrorMessage = "Les données du tableau ne correspondent pas à la valeur du résultat"

resultField.Suggest sum

End If

Exit Sub

err_h:

docObj.ErrorMessage = Err.Description

docObj.CheckSucceeded = False

End Sub

Recherche dans la liste de variantes

Le code de la règle ci-dessous vérifie si la valeur du champ correspond à l'une des valeurs de la liste. S'il n'y a pas de correspondance, un indicateur d'erreur apparaît et le champ reçoit une liste de valeurs suggérées. En fonction du résultat de la vérification, le champ est marqué comme reconnu avec ou sans certitude.

[VBScript]

'Mémoriser la valeur du champ

Dim fieldValue

fieldValue = me.Field("Field6").Value

'Créer la liste des valeurs à vérifier

Dim list(5)

dim i

for i = 0 to 4

list(i) = "2" & i

next

dim success

success = false

'Vérifier si la valeur d'un champ correspond aux valeurs de la liste

for i = 0 to 4

if list(i) = fieldValue Then

success = true

exit for

end if

next

'En fonction du résultat de la vérification, définir le niveau de certitude correspondant pour le champ

me.Field("Field6").IsCertain = success

'Remplir la liste de suggestions pour le champ – une suggestion peut être toute

'valeur adaptée

if success = false then

for i = 0 to 4

me.Field("Field6").Suggest( list(i) )

next

end if

'Placer un indicateur d'erreur

me.CheckSucceeded = success

[JScript]

// Mémoriser la valeur du champ

var fieldValue = Field("Field6").Value;

// Créer la liste des valeurs à vérifier

var list = new Array(5);

for( i = 0; i < 5; i++ ) {

list[i] = "2" + i

}

var success = false;

// Faire correspondre la valeur du champ aux valeurs de la liste

for( i = 0; i < 5; i++ ) {

if( list[i] == fieldValue ) {

success = true;

break;

}

}

// En fonction du résultat de la vérification, définir le niveau de certitude correspondant pour le champ

Field("Field6").IsCertain = success;

// Remplir la liste de suggestions pour le champ – une suggestion peut être toute

// valeur adaptée

if( !success ) {

for( i = 0; i < 5; i++ ) {

Field("Field6").Suggest( list[i] );

}

}

// Placer un indicateur d'erreur

CheckSucceeded = success;

Vérification de la correspondance de champ

Le code de la règle ci-dessous vérifie si le champ vérifié correspond.

[VBScript]

if me.Field("InvoiceNumber").IsMatched then

me.CheckSucceeded = true

else

me.CheckSucceeded = false

me.ErrorMessage = "Le champ InvoiceNumber ne correspond pas"

end if

[JScript]

if( Field("InvoiceNumber ").IsMatched ) {

CheckSucceeded = true;

} else {

CheckSucceeded = false;

ErrorMessage = "Le champ InvoiceNumber ne correspond pas";

}

Vérification d'une coche

Le code de la règle ci-dessous vérifie si la coche a été sélectionnée ou non

[VBScript]

if me.Field("Page status").Value then

me.CheckSucceeded = true

else

me.CheckSucceeded = false

me.ErrorMessage = "Le status de la page n'est pas vérifié"

end if

[JScript]

if( Field("Page status").Value ) {

CheckSucceeded = true;

} else {

CheckSucceeded = false;

ErrorMessage = "Le statut de la page n'est pas vérifié";

}

Vérification d'un groupe de coches

Le code de la règle ci-dessous effectue une itération au sein de l'ensemble des coches du groupe et, si aucune n'est sélectionnée, sélectionne la première. La règle est écrite pour intervenir au niveau du groupe de coches. Toutes les coches du groupe ont été ajoutées à la liste des champs inclus dans la règle. Pour la coche par défaut (la première), l'indicateur Readonly a été désactivé. S'il n'y a pas de coches dans le groupe, un indicateur d'erreur est activé.

Ce code d'exemple effectue une itération au sein de tous les champs inclus dans la règle. Comme les noms de champs ne sont pas spécifiés dans le code, ce code ne peut pas être utilisé pour un groupe de coches.

[VBScript]

if me.Fields.Count = 0 then

me.CheckSucceeded = false

me.ErrorMessage = "Pas de coches dans le groupe"

else

dim isChosen, i

isChosen = false

for i = 0 to me.Fields.Count - 1

if me.Fields.Item( i ).Value then

isChosen = true

exit for

end if

next

if Not isChosen then

me.Fields.Item(0).Value = true

end if

me.CheckSucceeded = true

end if

[JScript]

if( Fields.Count == 0 ) {

CheckSucceeded = false;

ErrorMessage = "Pas de coches dans le groupe";

} else {

var isChosen = false;

var i;

for( i = 0; i < Fields.Count; i++ ) {

if( Fields.Item( i ).Value ) {

isChosen = true;

break;

}

}

if( !isChosen ) {

Fields.Item(0).Value = true;

}

CheckSucceeded = true;

}


Utilisation de scripts pour décrire une exportation

Modèle d'objets

Ce modèle est utilisé dans les scripts d'exportation et dans les scripts de gestionnaire d'exportation.

Un gestionnaire d'exportation est un script spécial exécuté à la fin de l'exportation (à condition que l'option Exécuter le script après l'exportation soit sélectionnée dans l'onglet Exporter de la boîte de dialogue des propriétés du projet et que le corps du script ne soit pas vide).

L'exportation doit être considérée comme une méthode d'un document exportable. Cela signifie que la référence « this » ou « Me » désigne l'objet [Exportable Document] en cours d'exportation.

Dans un gestionnaire d'exportation, le pointeur this ou Me indique un objet de type [Export results].

Il est impossible de modifier les valeurs des champs pendant l'exportation.

Exportable document

Propriétés :

Nom | Type | Accès | Description
IsAssembled | Booléen | Lecture seule | Un indicateur montre si le document a été assemblé ou non
IsVerified | Booléen | Lecture seule | Un indicateur montre si le document a été vérifié ou non
IsExported | Booléen | Lecture seule | Un indicateur montre si le document a été exporté ou non
TemplateName | Chaîne | Lecture seule | Nom du modèle de document
ProcessingErrors | Chaîne | Lecture seule | Message d'erreur de traitement
ProcessingWarnings | Chaîne | Lecture seule | Suggestions et/ou avertissements affichés pendant le traitement
TotalSymbolsCount | Entier | Lecture seule | Nombre total de caractères (outre les caractères reconnus, inclut les caractères ajoutés par l'utilisateur et par les règles)
RecognizedSymbolsCount | Entier | Lecture seule | Nombre de caractères reconnus
UncertainSymbolsCount | Entier | Lecture seule | Nombre de caractères reconnus sans certitude
Id | Chaîne | Lecture seule | Identifiant de document
BatchName | Chaîne | Lecture seule | Nom du lot
Field(FieldName) | [Document unit] | Lecture seule | Unité ayant pour nom FieldName. Peut retourner un champ ou une section. FieldName est le nom d'une unité, avec le chemin complet, commençant par la section. Par exemple : "Section 1\Group\Field 1" Important ! Si le chemin d'accès du champ comporte un composant multiple, vous devez fournir l'index de ce composant. Par exemple, pour un groupe multiple, le chemin d'accès ci-dessus se présente comme suit : "Section 1\Group[index]\Field 1" l'index suppose une valeur comprise entre 0 et Nombre-1, Nombre correspondant au nombre d'instances du composant multiple.
Children | [Collection of document units] | Lecture seule | Collection de sections de document
Pages | [Collection of pages] | Lecture seule | Collection de pages de document
IndexedItemValue | Variante | Lecture seule | La valeur du champ d'index avec le nom spécifié : IndexedItemValue(fieldName).
Action | [Result of operation] | Lecture seule | Objet spécial contenant des informations sur le résultat de l'exportation. Le programme écrit les informations dans cet objet pendant l'exportation. Cette information peut être utilisée, au besoin, par le gestionnaire exécuté à la fin de l'exportation.

Méthodes :

Nom | Paramètres | Description
SaveAs (filename, imageSaveOptions) | fileName : nom du fichier imageSaveOptions : paramètres d'enregistrement de l'image (facultatif) | Enregistre les images de toutes les pages de document d'un fichier.

Document unit

Un objet [Document unit] est une section ou un champ.

Propriétés :

Nom | Type | Accès | Description
Valeur Variant Lecture seule Valeur type de l'unité.

Retourne un nombre à virgule flottante pour les champs numériques.

Retourne la valeur de la date (VT_DATE) pour les champs « Date/Heure ».

Retourne la valeur de la date (VT_CY) pour les champs « Devise ».

Retourne une valeur booléenne pour les coches.

Valeur d'unité. Toujours du texte.
Retourne des valeurs « Yes »/« No » pour les coches. Pour des groupes de coches – retourne la liste des coches sélectionnées, ou une chaîne vide si aucune coche n'a été sélectionnée. Retourne une chaîne vide pour une image graphique.
Retourne Null si une unité n'a pas de valeur. Avant d'essayer de lire la valeur d'une unité, assurez-vous toujours qu'elle n'est pas égale à Null (consultez les exemples de scripts). Toute tentative de lire une valeur égale à Null se traduit par une erreur.
Par exemple, cette valeur est égale à Null dans les sections ainsi que dans les champs de tableau et de groupe.

La valeur peut également être nulle si le contenu des champs (texte reconnu ou saisi par l'utilisateur) ne correspond pas au type de champ.

Texte Chaîne Lecture seule

Valeur du texte de l'unité.

Retourne la valeur Oui/Non pour les coches.

Pour des groupes de coches, retourne la liste des coches sélectionnées ou une chaîne vide si aucune coche n'a été sélectionnée.

Retourne une chaîne vide pour les unités vides qui ne possède aucune valeur (par exemple, image, groupe, section).
Nom | Chaîne | Lecture seule | Nom de l'unité
IsExportable | Booléen | Lecture seule | Indique si l'unité doit être exportée
IsIndexed | Booléen | Lecture seule | Spécifie si l'unité est un champ d'index.
SuspiciousSymbols Chaîne Lecture seule

Chaîne de 1's et 0's, 1's correspondant à des caractères incertains.

Pour les coches, une chaîne contenant un seul symbole est retournée.

Pour les unités sans valeur, une chaîne vide est retournée.
Children [Collection of document units] Lecture seule Collection d'unités subordonnées. S'il n'y a pas d'unités subordonnées – 0.
Par exemple, un groupe, un groupe de coches et une ligne de tableau ont des unités subordonnées.
Items | [Collection of document units] | Lecture seule | Dans le cas d'une unité multiple – collection de ses instances. Si une unité n'est pas multiple – 0.
Regions | [Collection of regions] | Lecture seule | Collection des régions de champ.

Image graphique

Il s'agit d'une image que vous pouvez enregistrer dans un fichier sur le disque.

Méthodes :

Nom | Paramètres | Description
SaveAs (filename, imageSaveOptions) | fileName : nom du fichier imageSaveOptions : paramètres d'enregistrement de l'image (facultatif) | Enregistre l'image du champ dans un fichier.

Collection of document units

Un objet [Collection of document units] est une collection de champs ou de sections.

Propriétés :

Nom | Type | Accès | Description
Count | Entier | Lecture seule | Nombre d'unités d'une collection
Item(index) | [Unit] | Lecture seule | Instance d'unité. L'index peut avoir une valeur comprise entre 0 et Count – 1

Collection of pages

Propriétés :

Nom | Type | Accès | Description
Count | Entier | Lecture seule | Nombre de pages d'une collection
Item(index) | [Page] | Lecture seule | Page associée à un index. L'index peut avoir une valeur comprise entre 0 et Count – 1

Page

Propriétés :

Nom | Type | Accès | Description
TemplateName | Chaîne | Lecture seule | Nom de la section
ImageSourceType | Chaîne | Lecture seule | Type de la source d'image. Peut prendre la valeur File ou Scanner
ImageSource | Chaîne | Lecture seule | Source d'image Dans le cas d'un fichier, il s'agit du nom du fichier avec le chemin d'accès complet du fichier. Dans le cas d'un scanner, il s'agit du nom du scanner.
ImageSourcePageNumber | Entier | Lecture seule | Le nombre de pages dans la source de l'image. Les numéros de pages commencent à 0. Pour les fichiers uniquement.

Méthodes :

Nom | Paramètres | Description
SaveAs (filename, imageSaveOptions) | fileName – nom du fichier imageSaveOptions – options d'enregistrement de l'image (facultatives) | Enregistre une image de page

Collection of regions

Propriétés :

Nom | Type | Accès | Description
Count | Entier | Lecture seule | Nombre de régions de la collection
Item(index) | [Region] | Lecture seule | Région avec l'index index. L'index peut prendre une valeur comprise entre 0 et Count – 1

Region

Propriétés :

Nom | Type | Accès | Description
PageIndex | Entier | Lecture seule | Index de la page sur laquelle figure la région donnée.
Rects | [Collection of rectangles] | Lecture seule | Collection de rectangles constituant la région. Dans le cas d'une région rectangulaire, la collection contient un seul rectangle.
SurroundingRect | [Rectangle] | Lecture seule | Rectangle encadrant la région.
Image graphique | [Picture] | Lecture seule | Image graphique de la région donnée.

Collection of rectangles

Propriétés :

Nom | Type | Accès | Description
Count | Entier | Lecture seule | Nombre de rectangles de la collection
Item(index) | [rectangle] | Lecture seule | Rectangle avec l'index index. index peut prendre une valeur comprise entre 0 et Count – 1

Rectangle

Propriétés :

Nom | Type | Accès | Description
Left | Entier | Lecture seule | Coordonnée gauche du rectangle sur la page
Top | Entier | Lecture seule | Coordonnée supérieure du rectangle sur la page
Right | Entier | Lecture seule | Coordonnée droite du rectangle sur la page
Bottom | Entier | Lecture seule | Coordonnée inférieure du rectangle sur la page

ExportTools

Objet global utilisé pour récupérer un objet [Image save options]

Méthodes :

Nom | Paramètres | Description
NewImageSavingOptions |  | Crée un objet [Image save options]

Image save options

Options d'enregistrement d'images de page.

Propriétés :

Nom | Type | Accès | Description
Format | Chaîne | Lecture/écriture | Format d'image. Peut prendre l'une des valeurs suivantes : "tif", "jpg", "bmp", "jpg2000", "pcx", "png", "pdf", "pdf-s", "pdf-a", "pdf-a-s", "pdf-s-a". Non sensible à la casse.
ColorType | Chaîne | Lecture/écriture | Type de système de couleurs utilisé. Peut prendre l'une des valeurs suivantes : « FullColor », « GrayScale » et « BlackAndWhite" ». Non sensible à la casse.
Resolution | Entier | Lecture/écriture | Résolution de l'image en ppp
ShouldOverwrite | Booléen | Lecture/écriture | Ce drapeau indique si le fichier existant doit être écrasé au moment de l'enregistrement. Si ce drapeau est configuré sur false, l'appel de la méthode SaveAs engendre une erreur si un fichier portant le même nom existant déjà.

Results of operation

Contient des informations sur les résultats de l'exportation

Propriétés :

Nom | Type | Accès | Description
Succeeded | Booléen | Lecture/écriture | Contient la valeur true si l'exportation a réussie. Sinon, contient la valeur false.
ErrorMessage | Chaîne | Lecture/écriture | Message d'erreur concernant une erreur survenue pendant l'exportation.
Result | Chaîne | Lecture/écriture | Description formelle du résultat. Pour l'exportation vers un fichier, contient le nom du fichier avec le chemin d'accès complet du fichier. Pour l'exportation vers une base de données, contient le nom de la table principale d'exportation. Pour l'exportation vers SharePoint, contient l'URL du document exporté.

Export results

Propriétés :

Nom | Type | Accès | Description
Documents | [Collection of exported documents] | Lecture seule | Collection de documents exportés pendant une session d'exportation.
Type | Entier | Lecture seule | Type d'exportation. Prend l'une des valeurs suivantes : ET_File : exportation vers les formats de fichier ET_Database : exportation vers une base de données ET_Script : exportation personnalisée basée sur un script ET_SharePoint : exportation vers SharePoint

Collection of exported documents

Propriétés :

Nom | Type | Accès | Description
Count | Entier | Lecture seule | Nombre de documents de la collection
Item(index) | [Exported document] | Lecture seule | Document avec l'index index. index peut prendre une valeur comprise entre 0 et Count – 1

Exemples de scripts décrivant une exportation


Exemples de scripts décrivant une exportation

Récupération des valeurs de champ pendant une exportation
Cet exemple de code montre comment récupérer la valeur d'un champ pendant une exportation. Vous pouvez utiliser cette valeur pour nommer les fichiers dans lesquels les images ou les données sont exportées. S'il n'y a pas de champ de ce type dans le document, une erreur se produira.

Structure du document à exporter :

Section 1

Field1

...

Group1

Field2

...

...

FieldN

Section 2

Field1

...

FieldK

[VBScript]

Dim field1Value, field2Value

' Récupère la valeur de Field1 dans Section 1

if Not IsNull( me.Field( "Section 1\Field1" ).Value ) then

field1Value = me.Field( "Section 1\Field1" ).Value

end if

' Récupère la valeur de Field2 dans Group1, Section 1

if Not IsNull( me.FIELD( "Section 1\Group1\Field2" ).Value ) then

field2Value = me.Field( "Section 1\Group1\Field2" ).Value

end if

' Récupère la valeur de Field1 dans Section 1 si la section comporte plusieurs instances

if Not me.Field( "Section 1" ).Items Is Nothing then

dim curPage

for each curPage in me.Field( "Section 1" ).Items

if Not curPage.Children Is Nothing then

dim curField

for each curField in curPage.Children

if curField.Name = "Field1" And Not IsNull( curField.Value ) then

field1Value = curField.Value

exit for

end if

next

end if

next

end if

[JScript]

// Récupère la valeur de Field1 dans Section 1

if( Field("Section 1\\Field1").Value != null ) {

var field1Value = Field("Section 1\\Field1").Value;

}

// Récupère la valeur de Field2 dans Group1, Section 1

if( Field("Section 1\\Group1\\Field2").Value != null ) {

var field2Value = Field("Section 1\\Group1\\Field2").Value;

}

// Récupère la valeur de Field1 dans Section 1 si la section comporte plusieurs instances

if( Field( "Section 1" ).Items != null ) {

var i, j;

for( i = 0; i < Field( "Section 1" ).Items.Count; i++ ) {

var curPage = Field( "Section 1" ).Items.Item( i );

if( curPage.Children != null ) {

for( j = 0; j < curPage.Children.Count; j++ ) {

var curField = curPage.Children.Item( j );

if( curField.Name == "Field1" && curField.Value != null ) {

var field1Value = curField.Value;

break;

}

}

}

}

}

Exportation d'images de page

Le code de cet exemple montre comment exporter des images de toutes les pages de document à l'aide du format de fichier, du système de couleurs et de la résolution requis. Les images sont enregistrées page par page. Chaque page est donc stockée dans un fichier distinct.

Les fichiers de cet exemple sont nommés « page1.tif », « page2.tif », etc. Vous pouvez modifier le mécanisme de dénomination de fichiers si nécessaire. Par exemple, vous pouvez créer les noms de fichiers à partir de la valeur d'un champ.

[VBScript]

dim fso, folderName

set fso = CreateObject("Scripting.FileSystemObject")

folderName = "d:\ExportImages"

if Not fso.FolderExists( folderName ) then

fso.CreateFolder folderName

end if

dim imageOptions

set imageOptions = ExportTools.NewImageSavingOptions

imageOptions.Format = "tif"

imageOptions.ColorType = "BlackAndWhite"

imageOptions.Resolution = 600

dim i

for i = 0 to me.Pages.Count - 1

dim fileName

    ' Définir le nom et l'extension désirés pour le fichier, en fonction du format sélectionné

fileName = fso.BuildPath( folderName, "page" & (i+1) & ".tif" )

me.Pages.Item(i).SaveAs fileName, imageOptions

next

[JScript]

var fso = new ActiveXObject("Scripting.FileSystemObject");

var folderName = "d:\\ExportImages";

if( !fso.FolderExists( folderName ) ) {

fso.CreateFolder( folderName );

}

var imageOptions = ExportTools.NewImageSavingOptions();

imageOptions.Format = "tif";

imageOptions.ColorType = "BlackAndWhite";

imageOptions.Resolution = 600;

var i;

for( i = 0; i < Pages.Count; i++ ) {

    // Définir le nom et l'extension désirés pour le fichier, en fonction du format sélectionné

var fileName = fso.BuildPath( folderName, "page" + (i+1) + ".tif" );

Pages.Item(i).SaveAs( fileName, imageOptions );

}

Exportation d'un tableau

Cet exemple montre comment exporter un tableau vers un fichier *.txt.

[VBScript]

dim fso, txtFile, fileName

set fso = CreateObject("Scripting.FileSystemObject")

fileName = "d:\TestExportTable.txt"

set txtFile = fso.CreateTextFile( fileName, true )

txtFile.WriteLine "Table"

dim table, row, cell, rowNumber

set table = me.Field("Page 1\Table")

rowNumber = 1

for each row in table.Items

txtFile.WriteLine "RowNumber = " & rowNumber

for each cell in row.Children

txtFile.Write cell.Value & " "

next

txtFile.WriteBlankLines 1

rowNumber = rowNumber + 1

next

txtFile.Close

set txtFile = nothing

set fso = nothing

[JScript]

var fso, txtFile, fileName;

fso = new ActiveXObject("Scripting.FileSystemObject");

fileName = "d:\\TestExportTable1.txt";

txtFile = fso.CreateTextFile( fileName, true );

txtFile.WriteLine( "Table" );

var table, i, j;

table = Field("Page 1\\Table");

var rows = table.Items;

for( i = 0; i < rows.Count; i++ ) {

txtFile.WriteLine( "RowNumber = " + ( i+1 ) );

var cells = rows.Item(i).Children;

for( j = 0; j < cells.Count; j++ ) {

txtFile.Write( cells.Item(j).Value + " " );

}

txtFile.WriteBlankLines(1);

}

txtFile.Close();

Exportation d'un document quel que soit son niveau d'imbrication

Cet exemple présente la procédure d'exportation des champs d'un document quel que soit son niveau d'imbrication à l'aide de fonctions personnalisées à partir du module d'exportation général. Si vous avez besoin d'exporter des champs de document présentant une imbrication variable, utilisez plutôt un composant COM externe (voir l'exemple suivant)

Code d'exportation de base

[VBScript]

Export.ExportDocument me, ExportTools

[JScript]

Export.ExportDocument( this, ExportTools );

Code des fonctions du module d'exportation général

[VBScript]

' La procédure exécute l'exportation : création d'un dossier d'exportation et

' enregistrement dans ce dernier des fichiers d'images de page, du fichier texte contenant les champs du document

' et des informations relatives au document

Sub ExportDocument(ByRef docObj, ByRef exportTools)

    Dim folderName

    Dim txtFile, fileName

    Dim fso

    On Error Resume Next

set fso = CreateObject("Scripting.FileSystemObject" )

    ' création du dossier d'exportation

    folderName = CreateExportFolder(docObj.TemplateName, fso)

    if Err.Number <> 0 then

        docObj.Action.Succeeded = false

        docObj.Action.ErrorMessage = "Error during create export folder: " + Err.Description

        Err.Clear

        Exit Sub

    End if

    ' exportation d'images

    ExportImages docObj, exportTools, folderName, fso

    if Err.Number <> 0 then

        docObj.Action.Succeeded = false

        docObj.Action.ErrorMessage = "Error during export images: " + Err.Description

        Err.Clear

        Exit Sub

    End if

    ' création du fichier texte

fileName = fso.BuildPath( folderName, "doc.txt" )

    Set txtFile = fso.CreateTextFile(fileName, True)

    ' exportation des informations sur le document

    ExportDocInfo docObj, txtFile

    ' exportation des champs

    txtFile.WriteLine "Fields:"

    ExportFields docObj.Children, txtFile, ""

    txtFile.Close

    if Err.Number <> 0 then

        docObj.Action.Succeeded = false

        docObj.Action.ErrorMessage = "Error during export data: " + Err.Description

        Err.Clear

        Exit Sub

    End if

    Set txtFile = Nothing

    Set fso = Nothing

End Sub

' Fonction d'exportation d'image.

Function ExportImages( ByRef docObj, ByRef exportTools, ByVal exportFolder, ByRef fso )

    Dim pages, page, imageOptions

    Dim fileName, pageNum

    ' configuration des options d'exportation

    Set imageOptions = exportTools.NewImageSavingOptions

    imageOptions.Format = "bmp"

    imageOptions.ColorType = "FullColor"

    imageOptions.Resolution = 100

    ' ' exportation page par page

    Set pages = docObj.Pages

    pageNum = 1

    For Each page In pages

        fileName = fso.BuildPath(exportFolder, "page" & pageNum & ".bmp")

        page.SaveAs fileName, imageOptions

        pageNum = pageNum + 1

    Next

End Function

' Procédure d'exportation des informations sur le document

Sub ExportDocInfo(ByRef docObj, ByRef txtFile)

    txtFile.WriteLine "Doc info:"

    txtFile.WriteLine ("DocumentId " & docObj.Id)

    txtFile.WriteLine ("IsAssembled " & docObj.IsAssembled)

    txtFile.WriteLine ("IsVerified " & docObj.IsVerified)

    txtFile.WriteLine ("IsExported " & docObj.IsExported)

    txtFile.WriteLine ("ProcessingErrors " & docObj.ProcessingErrors)

    txtFile.WriteLine ("ProcessingWarnings " & docObj.ProcessingWarnings)

    txtFile.WriteLine ("TotalSymbolsCount " & docObj.TotalSymbolsCount)

    txtFile.WriteLine ("RecognizedSymbolsCount " & docObj.RecognizedSymbolsCount)

    txtFile.WriteLine ("UncertainSymbolsCount " & docObj.UncertainSymbolsCount)

    txtFile.WriteLine

End Sub

' Procédure d'exportation des champs à partir d'une collection de champs

Sub ExportFields(ByRef fields, ByRef txtFile, ByVal indent)

    Dim curField

    For Each curField In fields

        ExportField curField, txtFile, indent

Next

End Sub

' Vérifie que la valeur du champ est nulle

' Si la valeur du champ est invalide, toute tentative d'accès à ce champ (y compris

' pour en vérifier la nullité) peut provoquer une exception

Function IsNullFieldValue( ByRef field )

    on error resume next

    IsNullFieldValue = IsNull( field.Value )

    if Err.Number <> 0 then

        IsNullFieldValue = True

        Err.Clear

    End if

End Function

' Procédure d'exportation des champs

Sub ExportField(ByRef field, ByRef txtFile, ByVal indent)

    ' enregistrement du nom du champ

    txtFile.Write (indent & field.Name)

    ' enregistrement de la valeur des champs accessibles

    If IsNullFieldValue(field) Then

        txtFile.WriteLine

   Else

        txtFile.WriteLine ("    " & field.Text)

   End If

    If Not field.Children Is Nothing Then

        ' exportation des champs enfants

        ExportFields field.Children, txtFile, indent & "    "

    ElseIf Not field.Items Is Nothing Then

        ' Exportation des instances de champ

        ExportFields field.Items, txtFile, indent & "    "

    End If

End Sub

' La fonction crée un dossier d'exportation et retourne le chemin d'accès complet de ce dossier

Function CreateExportFolder(ByVal templateName, ByRef fso)

    Dim docFolder, folderNameme

    ' ' dossier principal

    Const exportFolder = "d:\ScriptExport"

    If fso.FolderExists(exportFolder) = False Then

        fso.CreateFolder (exportFolder)

   End If

    ' dossier du modèle de document spécifié

    docFolder = fso.BuildPath(exportFolder, templateName)

    If fso.FolderExists(docFolder) = False Then

    fso.CreateFolder( docFolder )

    End If

    ' dossier du document exporté

    Dim i

    i = 1

    folderName = fso.BuildPath( docFolder, i )

    While fso.FolderExists(folderName)

        i = i + 1

    folderName = fso.BuildPath( docFolder, i )

Wend

fso.CreateFolder( folderName )

    CreateExportFolder = folderName

End Function

[JScript]

// La fonction exécute l'exportation : création d'un dossier d'exportation et

// enregistrement dans ce dernier des fichiers d'images de page, du fichier texte contenant les champs du document

// et des informations relatives au document

function ExportDocument(docObj, exportImageTools)

{

    var folderName

    var txtFile, fileName

    var fso

fso = new ActiveXObject("Scripting.FileSystemObject");

    // création de dossiers d'exportation

    try {

        folderName = CreateExportFolder(docObj.TemplateName, fso);

    } catch( e ) {

        docObj.Action.Succeeded = false;

        docObj.Action.ErrorMessage = "Error during create export folder: " + e.description;

        return;

    }

    // exportation d'images

    try {

        ExportImages(docObj, exportImageTools, folderName, fso);

    } catch( e ) {

        docObj.Action.Succeeded = false;

        docObj.Action.ErrorMessage = "Error during export images: " + e.description;

        return;

    }

    // création du fichier texte

    fileName = fso.BuildPath(folderName, "doc.txt");

txtFile = fso.CreateTextFile( fileName, true );

    // exportation des informations sur le document

    ExportDocInfo( docObj, txtFile);

    // exportation des champs

    txtFile.WriteLine( "Fields:" );

    try {

        ExportFields( docObj.Children, txtFile, "" );

    } catch( e ) {

        docObj.Action.Succeeded = false;

        docObj.Action.ErrorMessage = "Error during export data: " + e.description;

txtFile.Close();

        return;

    }

txtFile.Close();

    txtFile= 0;

    fso= 0;

}

// Fonction d'exportation d'image.

function ExportImages( docObj, exportImageTools, exportFolder, fso )

{

    // configuration des options d'exportation

    var imageOptions = exportImageTools.NewImageSavingOptions();

    imageOptions.Format = "bmp";

    imageOptions.ColorType = "FullColor";

imageOptions.Resolution = 100;

    // exportation page par page

    var pages = docObj.Pages;

    var i

    for( i = 0; i < pages.Count; i++ ) {

        var fileName = fso.BuildPath( exportFolder, "page" + (i+1) + ".bmp" );

        pages.Item(i).SaveAs( fileName, imageOptions );

    } } }

}

// Procédure d'exportation des informations sur le document

function ExportDocInfo(docObj, txtFile)

{

    txtFile.WriteLine( "Doc info:" );

    txtFile.WriteLine("IsAssembled " + docObj.IsAssembled);

    txtFile.WriteLine("IsVerified " + docObj.IsVerified);

    txtFile.WriteLine("IsExported " + docObj.IsExported);

    txtFile.WriteLine("ProcessingErrors " + docObj.ProcessingErrors);

    txtFile.WriteLine("ProcessingWarnings " + docObj.ProcessingWarnings);

    txtFile.WriteLine("TotalSymbolsCount " + docObj.TotalSymbolsCount);

    txtFile.WriteLine("RecognizedSymbolsCount " + docObj.RecognizedSymbolsCount);

    txtFile.WriteLine("UncertainSymbolsCount " + docObj.UncertainSymbolsCount);

    txtFile.WriteLine();

}

// Procédure d'exportation des champs à partir d'une collection de champs

function ExportFields(fields, txtFile, indent)

{

    var i

    for( i = 0; i < fields.Count; i++ ) {

        ExportField( fields.Item(i), txtFile, indent );

    }

}

// Vérifie que la valeur du champ est nulle

// Si la valeur du champ est invalide, toute tentative d'accès à ce champ (y compris

// pour en vérifier la nullité) peut provoquer une exception

function IsNullFieldValue( field )

{

    try {

        return ( field.Value == null );

    } catch( e ) {

        return true;

    }

}

// Procédure d'exportation des champs

function ExportField(field, txtFile, indent)

{

    // enregistrement du nom du champ

    txtFile.Write(indent + field.Name);

    // enregistrement de la valeur des champs accessibles

    if( IsNullFieldValue( field ) ) {

                            txtFile.WriteLine();

} else {

        txtFile.WriteLine("    " + field.Text);

    }

    if( field.Children != null ) {

        // exportation des champs enfants

        ExportFields( field.Children, txtFile, indent + "    " );

    } else if( field.Items != null ) {

        // / exportation des instances de champ

        ExportFields( field.Items, txtFile, indent + "    " );

    }

}

// La fonction crée un dossier d'exportation et retourne le chemin d'accès complet de ce dossier

function CreateExportFolder(templateName, fso)

{

    var docFolder, folderName

    // dossier principal

    var exportFolder = "d:\\ScriptExport";

    if( !fso.FolderExists(exportFolder) ) {

        fso.CreateFolder (exportFolder);

    }

    // dossier du modèle de document spécifié

    docFolder = fso.BuildPath(exportFolder, templateName);

if( !fso.FolderExists( docFolder ) ) {

    fso.CreateFolder( docFolder );

    }

    // dossier du document exporté

    var i = 1;

    folderName = fso.BuildPath(docFolder, i);

while( fso.FolderExists( folderName ) ) {

        i++;

        folderName = fso.BuildPath(docFolder, i);

    }

fso.CreateFolder( folderName );

    return n folderName;

}

Utilisation d'un composant COM externe

[VBScript]

dim autoExport

set autoExport = CreateObject( "AutomationExport.Exporter" )

autoExport.Export me, ExportTools

[JScript]

var autoExport = new ActiveXObject("AutomationExport.Exporter");

autoExport.Export( this, ExportTools );

Code d'un composant ActiveX dans VisualBasic

Vous trouverez ci-dessous un code de classe Exporter tiré du projet AutomationExport, qui est utilisé dans les scripts ci-dessus.

Option Explicit

Dim mFso As New Scripting.FileSystemObject

' La procédure exécute l'exportation du document : création d'un dossier d'exportation et

' enregistrement dans ce dernier des fichiers d'images de page, du fichier texte contenant les champs du document

' et des informations relatives au document

Public Sub Export(ByRef docObj As Object, ByRef exportTools As Object)

On Error GoTo err_h

    Dim folderName As String

    Dim txtFile As TextStream, fileName As String

    Dim imageExportResult As String, errMessage As String

    ' création du dossier d'exportation

    folderName = createExportFolder(docObj.templateName)

    If folderName = "" Then

        docObj.Action.Succeeded = False

        docObj.Action.ErrorMessage = "Cannot create export folder"

        Exit Sub

    End If

    ' exportation d'images

    imageExportResult = exportImages(docObj, exportTools, folderName)

    ' création du fichier texte

    fileName = mFso.BuildPath(folderName, "doc.txt")

    Set txtFile = mFso.CreateTextFile(fileName, True)

    ' enregistrement des informations sur les problèmes d'exportation des images

    If imageExportResult <> "" Then

        txtFile.WriteLine imageExportResult

        errMessage = errMessage & imageExportResult

    End If

    ' exportation des informations sur le document

    exportDocInfo docObj, txtFile

    ' exportation des champs

    txtFile.WriteLine "Fields:"

    If Not exportFields(docObj.Children, txtFile, "") Then

       errMessage = errMessage & " Error during export data"

    End If

    txtFile.Close

    ' si des erreurs surviennent pendant l'exportation, réinitialisez le

    ' drapeau d'exportation réussie sur False

    If errMessage <> "" Then

        docObj.Action.Succeeded = False

        docObj.Action.ErrorMessage = errMessage

    End If

    Set txtFile = Nothing

    Set mFso = Nothing

Exit Sub

err_h:

    docObj.Action.Succeeded = False

    docObj.Action.ErrorMessage = Err.Description

    txtFile.Close

    Set mFso = Nothing

End Sub

' Fonction d'exportation d'image. Si une erreur survient pendant l'exportation des images,

' renvoie un message relatif à l'erreur, sinon renvoie une chaîne une vide

Private Function exportImages(ByRef docObj As Object, ByRef exportTools As Object, _

    ByVal exportFolder As String) As String

On Error GoTo err_h

    Dim pages As Object, page As Object, imageOptions As Object

    Dim fileName As String, pageNum As Long

    exportImages = ""

    ' configuration des options d'exportation

    Set imageOptions = exportTools.NewImageSavingOptions

    imageOptions.Format = "png"

    imageOptions.ColorType = "GrayScale"

    imageOptions.Resolution = 300

    ' exportation page par page

    Set pages = docObj.pages

    pageNum = 1

    For Each page In pages

        fileName = mFso.BuildPath(exportFolder, page.templateName + "_page" & pageNum & "." & imageOptions.Format)

        page.SaveAs fileName, imageOptions

        pageNum = pageNum + 1

    Next page

Exit Function

err_h:

    exportImages = Err.Description

End Function

' Procédure d'exportation des informations sur le document

Private Sub exportDocInfo(ByRef docObj As Object, ByRef txtFile As TextStream)

On Error GoTo err_h

    txtFile.WriteLine "Doc info:"

    txtFile.WriteLine ("DocumentId " & docObj.Id)

    txtFile.WriteLine ("IsAssembled " & docObj.IsAssembled)

    txtFile.WriteLine ("IsVerified " & docObj.IsVerified)

    txtFile.WriteLine ("IsExported " & docObj.IsExported)

    txtFile.WriteLine ("ProcessingErrors " & docObj.ProcessingErrors)

    txtFile.WriteLine ("ProcessingWarnings " & docObj.ProcessingWarnings)

    txtFile.WriteLine ("TotalSymbolsCount " & docObj.TotalSymbolsCount)

    txtFile.WriteLine ("RecognizedSymbolsCount " & docObj.RecognizedSymbolsCount)

    txtFile.WriteLine ("UncertainSymbolsCount " & docObj.UncertainSymbolsCount)

        txtFile.WriteLine

Exit Sub

err_h:

    txtFile.WriteLine Err.Description

End Sub

' Procédure d'exportation des champs à partir d'une collection de champs

Private Function exportFields(ByRef fields As Object, ByRef txtFile As TextStream, ByVal indent As String) As Boolean

On Error GoTo err_h

    Dim curField As Object

    exportFields = True

    For Each curField In fields

        If Not exportField(curField, txtFile, indent) Then

            exportFields = False

        End If

    Next curField

Exit Function

err_h:

    txtFile.WriteLine Err.Description

    exportFields = False

End Function

' Vérifie que la valeur du champ est nulle

' Si la valeur du champ est invalide, toute tentative d'accès à ce champ (y compris

' pour en vérifier la nullité) peut provoquer une exception

Function IsNullFieldValue(ByRef field As Object) As Boolean

On Error GoTo err_h

    IsNullFieldValue = IsNull(field.Value)

Exit Function

err_h:

    IsNullFieldValue = True

End Function

' Fonction d'exportation de champ

Private Function exportField(ByRef field As Object, ByRef txtFile As TextStream, _

    ByVal indent As String) As Boolean

On Error GoTo err_h

    Dim result As Boolean

    result = True

    ' enregistrement du nom des champs

    txtFile.Write (indent & field.Name)

    ' enregistrement de la valeur des champs accessibles

    If Not IsNullFieldValue(field) Then

        txtFile.WriteLine ("    " & field.Value)

    Else

        txtFile.WriteLine

    End If

    If Not field.Children Is Nothing Then

        ' exportation des champs enfants

        result = result And exportFields(field.Children, txtFile, indent & "    ")

    ElseIf Not field.Items Is Nothing Then

        ' exportation des instances de champ

        result = result And exportFields(field.Items, txtFile, indent & "    ")

    End If

    exportField = result

Exit Function

err_h:

    txtFile.WriteLine Err.Description

    exportField = False

End Function

' La fonction crée un dossier d'exportation et retourne le chemin d'accès complet de ce dossier

Private Function createExportFolder(ByVal templateName As String) As String

On Error GoTo err_h

    Dim docFolder As String, folderName As String

    ' dossier principal

    Const exportFolder = "d:\AutomationExport"

    If mFso.FolderExists(exportFolder) = False Then

        mFso.CreateFolder (exportFolder)

    End If

    ' dossier du modèle de document spécifié

    docFolder = mFso.BuildPath(exportFolder, templateName)

    If mFso.FolderExists(docFolder) = False Then

        mFso.CreateFolder (docFolder)

    End If

    ' dossier du document exporté

    Dim i As Long

    i = 1

        folderName = mFso.BuildPath(docFolder, i)

    While mFso.FolderExists(folderName)

        i = i + 1

        folderName = mFso.BuildPath(docFolder, i)

    Wend

    mFso.CreateFolder (folderName)

    createExportFolder = folderName

ExitFunction

err_h:

    createExportFolder = ""

End Function

Utilisation d'un composant externe rédigé en .Net( C# )

Pour utiliser un composant externe rédigé en .Net, procédez comme suit :

  1. Créez un projet de type ClassLibrary
  2. Ajoutez Controller.dll aux références du project. FlexiCaptureScriptingObjects apparaît dans la liste Références et toutes les interfaces des objets de script sont désormais disponibles dans le projet.
  3. Définisez l'interface disp et la classe implémentant cette interface, ainsi que ProgId (afin de pouvoir utiliser le composant .Net comme ActiveX à partir du code du script).
  4. Une fois le projet créé, enregistrez la bibliothèque de types générés (activez l'option correspondante dans les propriétés du projet pour exécuter cette opération automatiquement).
  5. à partir du code d'exportation, appelez la méthode du composant suivant la procédure habituelle :

[VBScript]

dim autoExport

set autoExport = CreateObject( "ExportLibrary1.Export" )

autoExport.ExportDocument me, ExportTools

[JScript]

var autoExport = new ActiveXObject("ExportLibrary1.Export");

autoExport.ExportDocument( this, ExportTools );

Voici le code de ce composant :

using System;

using System.Runtime.InteropServices;

using System.IO;

using FlexiCaptureScriptingObjects;

namespace ExportLibrary1

{

// Interface du composant d'exportation accessible à partir du script

// Lors de la création d'un nouveau composant, généré un nouveau GUID

[Guid("32B10C3B-EEA3-4194-B0A0-E358C310225A")]

[InterfaceType(ComInterfaceType.InterfaceIsIDispatch)]

public interface _cExport

{

[DispId(1)]

void ExportDocument(ref IExportDocument DocRef, ref IExportTools Tools);

}

// Classe implémentant la fonctionnalité du composant d'exportation

// Lors de la création d'un nouveau composant, généré un nouveau GUID

// et définissez votre ProgId

[Guid("3BA19BD7-C6DC-4f63-BC08-0D95254DADC3")]

[ClassInterface(ClassInterfaceType.None)]

[ProgId("ExportLibrary1.Export")]

[ComVisible(true)]

public class Export : _cExport

{

public Export()

{

}

// La fonction exécute l'exportation du document : création d'un dossier d'exportation et

// enregistrement dans ce dernier des fichiers d'images de page,

// du fichier texte contenant les champs du document et des informations relatives au document

public void ExportDocument( ref IExportDocument docRef, ref IExportTools exportTools )

{

try

{

string exportFolder = createExportFolder( docRef.TemplateName );

exportImages( docRef, exportTools, exportFolder );

// création du fichier texte

string fileName = exportFolder + "//" + "doc.txt";

StreamWriter sw = File.CreateText( fileName );

// exportation des informations sur le document

exportDocInfo( docRef, sw );

// exportation des champs

sw.WriteLine( "Fields:" );

exportFields( docRef.Children, sw, "" );

sw.Close();

}

catch( Exception e )

{

docRef.Action.Succeeded = false;

docRef.Action.ErrorMessage = e.ToString();

}

}

// La fonction crée un dossier d'exportation et retourne le chemin d'accès complet de ce dossier

private string createExportFolder( string templateName )

{

string docFolder, folderName;

// dossier principal

string exportFolder = "d:\\DotNetExport";

if( !Directory.Exists(exportFolder) )

{

Directory.CreateDirectory(exportFolder);

}

// dossier du modèle de document spécifié

docFolder = exportFolder + "\\" + templateName;

if( !Directory.Exists(docFolder) )

{

Directory.CreateDirectory( docFolder );

}

// dossier du document exporté

int i = 1;

folderName = docFolder + "\\" + i;

while( Directory.Exists(folderName) )

{

i++;

folderName = docFolder + "\\" + i;

}

Directory.CreateDirectory(folderName);

returnfolderName;

}

// Fonction d'exportation d'image.

private void exportImages( IExportDocument docRef, IExportTools exportTools, string exportFolder )

{

string baseFileName = exportFolder + "\\page_";

IExportImageSavingOptions imageOptions = exportTools.NewImageSavingOptions(); ;

imageOptions.Format = "bmp";

imageOptions.ColorType = "FullColor";

imageOptions.Resolution = 100;

int i = 1;

foreach( IExportPage curPage in docRef.Pages )

{

string fileName = baseFileName + i + ".bmp";

curPage.SaveAs( fileName, imageOptions );

i++;

}

}

// Exportation des informations sur le document

private void exportDocInfo( IExportDocument docRef, StreamWriter sw )

{

sw.WriteLine( "Doc info:" );

sw.WriteLine("DocumentId " + docRef.Id );

sw.WriteLine("IsAssembled " + docRef.IsAssembled);

sw.WriteLine("IsVerified " + docRef.IsVerified);

sw.WriteLine("IsExported " + docRef.IsExported);

sw.WriteLine("ProcessingErrors " + docRef.ProcessingErrors);

sw.WriteLine("ProcessingWarnings " + docRef.ProcessingWarnings);

sw.WriteLine("TotalSymbolsCount " + docRef.TotalSymbolsCount);

sw.WriteLine("RecognizedSymbolsCount " + docRef.RecognizedSymbolsCount);

sw.WriteLine("UncertainSymbolsCount " + docRef.UncertainSymbolsCount);

sw.WriteLine();

}

// Exportation de la collection de champs

private void exportFields( IExportFields fields, StreamWriter sw, string indent )

{

for each( IExportField curField in fields )

{

exportField( curField, sw, indent );

}

}

// Vérifie que la valeur du champ est nulle

// Si la valeur du champ est invalide, toute tentative d'accès à ce champ (y compris

// pour en vérifier la nullité) peut provoquer une exception

private b ool IsNullFieldValue( IExportField field )

{

try

{

return ( field.Value == null );

}

catch( Exception e )

{

return true;

}

}

// Exportation du champ spécifié

private void exportField( IExportField field, StreamWriter sw, string indent )

{

// enregistrement du nom des champs

sw.Write( indent + field.Name );

//enregistrement de la valeur des champs accessibles

if( IsNullFieldValue( field ) )

{

sw.WriteLine();

}

else

{

sw.WriteLine( " " + field.Text );

}

if( field.Children != null )

{

// exportation des champs enfants

exportFields( field.Children, sw, indent + " " );

}

else if( field.Items != null )

{

// exportation des instances de champ

exportFields( field.Items, sw, indent + " " );

}

}

}

}
Gestionnaire d'exportation
Cet exemple de code présente un gestionnaire de code simple qui permet d'enregistrer les informations sur les documents exportées et d'exporter les résultats dans des fichiers texte. Deux fichiers texte sont utilisés dans cet exemple : l'un contient la liste des documents exportés avec succès et l'autre la liste des documents pour lesquels des erreurs ont été retournées pendant l'exportation.

[VBScript]

dim curDoc

dim f so, fileErrorName, txtErrorFile, fileSucceedName, txtSucceedFile

set fso = CreateObject("Scripting.FileSystemObject")

' création du fichier pour les documents dont l'exportation a échoué

fileErrorName = "d:\ExportResults\ErrorsDocuments.txt"

set txtErrorFile = fso.CreateTextFile( fileErrorName, true )

' création du fichier pour les documents dont l'exportation a réussi

fileSucceedName = "d:\ExportResults\SucceedDocuments.txt"

set txtSucceedFile = fso.CreateTextFile( fileSucceedName, true )

DimdocInfo

' itération de la collection de documents exportés

for each curDoc in me.Documents

    docInfo = "DocumentId:" & curDoc.Id

    if curDoc.Action.Succeeded then

        docInfo = docInfo & ". Exported successfully.  Result:" & curDoc.Action.Result

        txtSucceedFile.WriteLine docInfo

    else

        docInfo = docInfo & ". Export error: " & curDoc.Action.ErrorMessage & "  Result:" & curDoc.Action.Result

        txtErrorFile.WriteLine docInfo

    end if

    next

txtErrorFile.Close

txtSucceedFile.Close

[JScript]

var fso = new ActiveXObject("Scripting.FileSystemObject");

// création des fichiers pour les documents dont l'exportation a échoué

var fileErrorName = "d:\\ExportResults\\ErrorsDocuments.txt";

var txtErrorFile = fso.CreateTextFile( fileErrorName, true );

// création du fichier pour les documents dont l'exportation a réussi

var fileSucceedName = "d:\\ExportResults\\SucceedDocuments.txt"

var txtSucceedFile = fso.CreateTextFile( fileSucceedName, true );

var i

// itération de la collection de documents exportés

for( i = 0; i < Documents.Count; i++ ) {

    var curDoc = Documents.Item( i );

    var docInfo = "DocumentId: " + curDoc.Id;

   if( curDoc.Action.Succeeded ) {

        docInfo = docInfo + ". Exported successfully.  Result:" + curDoc.Action.Result;

        txtSucceedFile.WriteLine( docInfo );

    } else {

        docInfo = docInfo + ". Export error: " + curDoc.Action.ErrorMessage + "  Result:" + curDoc.Action.Result;

        txtErrorFile.WriteLine( docInfo );

    }

}

txtErrorFile.Close();

txtSucceedFile.Close();


Migration des règles et exportations FormReader 6.5 aux scripts FlexiCapture 8.0 Professional

Migration des règles FormReader aux règles de script FlexiCapture

Règles If-Then

Changements dans les fonctions et méthodes :

  1. Error(field, message). Au lieu de cette fonction, utilisez une combinaison des propriétés suivantes de l'unité à vérifier : CheckSucceeded, ErrorMessage et FocusedField.

    Par exemple, ce code FormReader 6.5

    if [City].IsEmpty() then Error( [City] , "le nom de la ville doit être indiqué")

    doit être changé en

    [VBScript]

    if me.Field("City").Value = "" then

    me.CheckSucceeded = false

    me.ErrorMessage = "le nom de la ville doit être indiqué"

    me.FocusedField = me.Field("City")

    else

    me.CheckSucceeded = true

    end if

    [JScript]

    if( Field("City").Value == "" ) {

    CheckSucceeded = false;

    ErrorMessage = "le nom de la ville doit être indiqué";

    FocusedField = Field("City");

    } else {

    CheckSucceeded = true;

    }

  2. Opérations sur des chaînes La section ci-dessous répertorie les instructions permettant de réaliser dans FlexiCapture 8.0 les opérations de chaîne qui étaient disponibles avec les règles If-Then.

    [VBScript]

    .Length() – Utilisez la fonction analogue Len(string)

    .CmpNoCase(str) – Pour les comparaisons de chaînes non sensibles à la casse, utilisez la fonction LCase(string) ou UCase(string)

    .Mid(position, count) – Utilisez la fonction analogue Mid(string, pos, count)

    [JScript]

    .Length() – Utilisez la propriété length analogue de la variable de type chaîne

    .CmpNoCase(str) – Pour les comparaisons de chaînes non sensibles à la casse, utilisez la fonction LCase(string) ou UCase(string)

    .Mid(position, count) – Utilisez les méthodes analogues substr(start, [length]) de la variable de type chaîne

  3. Opérations sur des nombres réels.

    [VBScript]

    Floor(d), Ceil(d) – Il n'existe pas d'équivalents prêts à l'emploi en VBScript, mais vous pouvez créer votre propre implémentation si nécessaire

    Round(d),Round(d, i) – Utilisez la fonction analogue Round(d, [i])

    [JScript]

    Floor(d), Ceil(d) – Utilisez les méthodes floor(d) et ceil(d) de l'objet Math

    Round(d) – Utilisez les méthodes round(d) de l'objet Math

    Round(d, i) – Il n'existe pas d'équivalent prêt à l'emploi en JScript, mais vous pouvez créer votre propre implémentation si nécessaire.

  4. Opérations sur des champs de texte

    IsEmpty() – Comparez la valeur du texte du champ Field("Nom du champ").Value à celle d'une chaîne vide

    Text() – Utilisez Field("fieldName").Value

    Length() – Récupérez la valeur du texte du champ, puis déterminez la longueur de la chaîne qui en résulte comme indiqué à l'étape 2 ci-dessus.

    SetText(text) – Utilisez ("fieldName").Value = text

  5. Opérations sur des coches

    IsValid() – Vous pouvez utiliser la propriété IsCertain

    Value() –Field("fieldName").Value retourne maintenant une valeur booléenne, et non 0 ou 1 comme dans FormReader 6.5

    SetValue(newValue) – Utilisez Field("fieldName").Value = newValue

  6. Opérations sur des groupes de coches

    IsValid() – Vous pouvez utiliser la propriété IsCertain pour déterminer la certitude d'un champ dans un groupe. Pour déterminer combien de cases à cocher ont été sélectionnées, réalisez une itération au sein des coches du groupe, comme dans l'exemple « Contrôle d'un groupe de coches ». (Consultez la section Exemples de scripts permettant de créer des règles personnalisées).

    Value() – Pour récupérer le numéro de la coche sélectionnée, vous pouvez utiliser l'une des deux méthodes ci-dessous :

    1. Attribuez des numéros aux coches du groupe : 0, 1, etc. Ensuite, Field("groupName").Value contiendra le numéro de la coche sélectionnée, ou la liste de numéros (plusieurs coches sélectionnées), ou encore une chaîne vide (aucune coche sélectionnée).
    2. Pour ajouter les coches à la règle pour un groupe donné, suivez leur ordre d'apparition au sein du groupe. Ensuite, réalisez une itération au sein des coches du groupe, comme dans l'exemple « Contrôle d'un groupe de coches ».

    Text() - Utilisez Field("groupName").Value

    SetValue(newValue) – Pour changer la valeur d'un groupe de coches, vous devez définir/redéfinir les coches requises dans ce groupe. Les coches doivent être incluses dans la règle, et l'indicateur ReadOnly doit être activé pour elles.

Règles d'automatisation

Pour pouvoir utiliser dans FlexiCapture 8.0 des composants d'automatisation créés dans FormReader 6.5, vous devez effectuer les changements suivants dans ces composants.

  1. La méthode d'un composant externe qui implémente la logique de la règle doit être invoquée à partir d'une règle de script, comme indiqué dans les exemples. Il n'y a pas d'exigences particulières pour la signature de cette méthode. Notez, toutefois, que les paramètres transmis de la règle de script à la méthode du composant externe doivent correspondre à la signature sélectionnée de la méthode, qui peut se présenter comme suit :

    Public Sub Check(ByRef docObj As Object)

    2. docObj – Il s'agit d'une référence à l'unité de document à vérifier.

  2. Les méthodes de l'objet fieldsObj qui était utilisé dans FormReader 6.5 doivent être remplacées par les méthodes prises en charge par FlexiCapture 8.0. Le tableau ci-dessous répertorie les correspondances entre les anciennes et les nouvelles méthodes de l'objet fieldsObj.
Méthode fieldsObj | Exemples de code en VisualBasic qui peuvent remplacer l'ancienne méthode
GetFieldsCount As Integer Dim count as Long

count = docObj.Fields.Count()
GetFieldsNames(Names As Variant) Dim i As Long, count As Long

Dim Names() As String

count = docObj.Fields.count

ReDim Names(count - 1)

For i = 0 To count - 1

Names(i) = docObj.Fields.Item(i).Name

Next
GetFieldsTypes(FieldTypes As Variant) | Non pris en charge
GetFieldByIndex(Index As Integer, FieldValue As Variant) Dim fieldValue

fieldValue = docObj.Fields.Item(index).Value
GetFieldByName(Name As String, FieldValue As Variant) Dim fieldValue

fieldValue = docObj.Field(Name).Value
GetTableColumnsList(FieldIndex As Integer, TableColumns As Variant) Pour pouvoir travailler avec des colonnes de tableau, ajoutez les champs de colonnes à la règle. La procédure à suivre pour vérifier si la colonne a été associée correctement est la même que pour n'importe quel autre champ :

Dim isMatched isMatched = docObj.Field("ColumnName").IsMatched

SetFieldByIndex(Index As Integer, FieldValue As Variant) | docObj.Fields.Item(index).Value = newValue
SetFieldByName(Name As String, FieldValue As Variant) | docObj.Field(Name).Value = newValue
SetTableCellValue(Index As Integer, Row As Integer, Column As Integer, FieldValue As String) Pour pouvoir travailler avec des cellules de tableau, ajoutez les champs de colonnes à la règle.

Les opérations portant sur ces champs dépendent du niveau de la règle. Si la règle a été créée pour intervenir au niveau d'une colonne ou d'un tableau, elle s'applique à chaque ligne et utilise les valeurs des colonnes de la ligne en cours de vérification (elle intervient donc sur les cellules) :

Dim cell As Object
Set cell = docObj.Field("ColumnName")
Dim cellValue as String
cellValue = cell.Value

Ainsi, vous pouvez créer une règle qui utilise les données des deux premières colonnes d'un tableau pour en compléter une troisième :

Dim cellResult As Object
Set cellResult = docObj.Field("ColumnResult")
cellResult.Value = docObj.Field("Column1").Value + docObj.Field("Column2").Value

Si la règle a été créée pour intervenir au niveau d'une unité contenant un tableau (groupe, section, document), il faut effectuer une itération dans une colonne, comme décrit dans l'exemple de règle d'automatisation, pour accéder à ses cellules.

SetSuggestByIndex(Index As Integer, Suggests As String)

Dim suggests() As String

' suggestions pour le champ

' ...

Dim field As Object

Set field = docObj.Fields.Item(index)

For i = LBound(suggests) To UBound(suggests)

field.Suggest suggests(i)

Next
SetSuggestByName(FieldName As String, Suggests As String)

Dim suggests() As String

' suggestions pour le champ

' ...

Dim field As Object

Set field = docObj.Field(Name)

For i = LBound(suggests) To UBound(suggests)

field.Suggest suggests(i)

Next
SetTableCellSuggest(Index As Integer, Row As Integer, Column As Integer, Suggests As String) Pour accéder aux champs de cellule, la procédure est la même que pour la méthode SetTableCellValue.

Ensuite, vous pouvez travailler avec la cellule à laquelle vous avez accédé de la même manière que pour n'importe quel champ. Pour définir une suggestion, procédez comme suit :

cell.Suggest cellSuggest

  3. Les méthodes de l'objet errorsObj qui était utilisé dans FormReader 6.5 doivent être remplacées par les méthodes prises en charge par FlexiCapture 8.0. Le tableau ci-dessous répertorie les correspondances entre les anciennes et les nouvelles méthodes de l'objet errorsObj.
Méthode errorsObj Exemples de code en VisualBasic qui peut remplacer l'ancienne méthode
SendFieldError( ErrMsg As String, Index As Integer) docObj.ErrorMessage = ErrMsg

docObj.CheckSucceeded = false

docObj.FocusedField = docObj.Fields.Item(index)
SendTableError( ErrMsg As String, FieldIndex As Integer, ErrorCells As Variant )

docObj.ErrorMessage = ErrMsg
docObj.CheckSucceeded = false

Si la règle a été créée pour intervenir au niveau d'un tableau ou d'une colonne, le programme signale comme des erreurs toutes les cellules de la ligne vérifiée dont les champs (colonnes) ont été ajoutés à la règle. Pour déplacer le focus sur une cellule donnée, utilisez le code suivant :

docObj.FocusedField = docObj.Field("ColumnName")

Si la règle a été créée pour un niveau supérieur, le programme ne marque pas de cellules, et il ne déplace pas non plus le focus au sein de ces cellules.

Migration de l'exportation d'automatisation FormRead à l'exportation de scripts FlexiCapture

La méthode d'un composant externe qui implémente la logique de la règle doit être invoquée à partir d'une règle de script, comme indiqué dans les exemples. Il n'y a pas d'exigences particulières pour la signature de cette méthode. Notez, toutefois, que les paramètres transmis de la règle de script à la méthode du composant externe doivent correspondre à la signature sélectionnée de la méthode, qui peut se présenter comme suit :

Public Sub Check(ByRef docObj As Object, ByRef exportTools As Object)

docObj – Il s'agit d'une référence au document à exporter

exportTools – Il s'agit d'une référence à l'objet ExportTools

Les méthodes de l'objet fieldsObj qui était utilisé dans FormReader 6.5 doivent être remplacées par les méthodes prises en charge par la version actuelle de l'application. Le tableau ci-dessous répertorie les correspondances entre les méthodes de l'objet fieldsObj et les nouvelles manières de travailler avec des documents à exporter :

Méthodes de l'objet fieldsObj | Implémentations possibles dans le nouveau modèle d'objets
GetFieldsCount As
Integer 		Pour récupérer le nombre de champs du document en cours d'exportation, effectuez une iltération au sein de l'arborescence de champs, comme dans l'exemple « Utilisation d'un composant COM externe », puis effectuez le calcul.
GetFieldsNames(Names As Variant) | Pour récupérer les noms des champs du document en cours d'exportation, effectuez une itération au sein de l'arborescence de champs, comme dans l'exemple « Utilisation d'un composant COM externe », puis remplissez le tableau avec les noms des champs.
GetFieldsTypes(FieldTypes As Variant) | Non pris en charge
GetFieldByIndex(Index As Integer, FieldValue As Variant) L'indice ne peut plus être utilisé comme méthode d'accès, car le nouveau modèle d'objets a une structure hiérarchique.
Il est en revanche aisé d'effectuer une itération au sein de l'arborescence de champs, comme dans l'exemple « Utilisation d'un composant COM externe », et de remplir le tableau avec les noms des champs.
GetFieldByName(Name As String, FieldValue As Variant) Dim fieldValue
fieldValue = docObj.Field(Name).Value


Comparaison entre les règles de FormReader 6.5 et de FlexiCapture 8.0 Professional

FormReader 6.5

équivalent dans FlexiCapture 8.0 Professional

Contrôle par rapport à une base de données

Règle de contrôle de base de données

Sommes de contrôle

Règle de somme de contrôle

Blocs de fusion

Règle de champs de fusion

Règles VBScript

Règle de script

Recherche dans la liste de suggestions

Propriétés du champ, onglet Type de données. Dresse la liste des variantes de l'onglet Contraintes. Fonctionne avec tous les types, excepté Date et Numéro.Consultez la section Types de données du champ d'entrée de texte.

Mise en correspondance de blocs

Peut être mise en œuvre par l'intermédiaire d'une règle de script.

Règles Si-Alors

Règle de script

Remplacement de valeurs dans une liste

Propriétés du champ, onglet Type de données. Type Texte, champ Traitement. Consultez la section Types de données du champ d'entrée de texte.

Remplacement de caractères de la liste

Propriétés du champ, onglet Type de données. Type Texte, champ Traitement. Consultez la section Types de données du champ d'entrée de texte.

Normalisation et contrôle de dates

Propriétés du champ, onglet Type de données. Dans la liste Catégorie, sélectionnez Date ; dans la liste Formats, sélectionnez les formats requis ; dans le champ Contraintes, saisissez les contraintes requises. Consultez la section Types de données du champ d'entrée de texte.

Expressions normales

Propriétés du champ, onglet Type de données. Entrez l'expression normale requise dans le champ Contraintes. Fonctionne avec tous les types excepté Date et Numéro. Consultez la section Types de données du champ d'entrée de texte.

Contrôle d'automatisation

Avec la version précédente de l'application, pour utiliser des objets d'automatisation, il fallait enregistrer les composants sur l'ordinateur cible. Il était donc difficile de transférer des lots d'un ordinateur à un autre. Avec la nouvelle version, la logique de la plupart des règles de ce type est plus facile à implémenter par l'intermédiaire de scripts.

Si la logique d'une règle est trop complexe et nécessite d'utiliser un composant externe, ce composant doit être invoqué à partir du code d'une règle de script. Ensuite, une référence à l'objet du document vérifié doit être transmise au composant.

Normalisation des prix

Peut être mise en œuvre par l'intermédiaire d'un composant COM externe appelé règle de script.

Validation de série et de numéro de passeport

Peut être mise en œuvre par l'intermédiaire d'un composant COM externe appelé règle de script.

Somme en chiffres - somme en lettres

Somme en chiffres - somme en lettres.

Prix en chiffres - prix en lettres

Peut être mis en œuvre par l'intermédiaire d'un composant COM externe appelé règle de script.


Autres options

Vous pouvez configurer le traitement des documents et l'interface du programme pour les adapter à vos besoins. Dans la fenêtre principale, sélectionnez Outils>Options… La boîte de dialogue qui s'affiche comporte quatre onglets :

  • Progression de la tâche

    Lorsque des tâches sont exécutées en mode arrière-plan, vous pouvez surveiller leur progression dans la fenêtre de progression des tâches, en consultant le fichier journal et en lisant les astuces contextuelles. Cet onglet vous permet de sélectionner les informations à consigner dans le fichier journal et dans quelles circonstances afficher des info-bulles.

  • Couleurs

    Vous pouvez modifier la couleur des éléments d'interface (par exemple, le cadre entourant les champs sélectionnés dans l'éditeur de modèle ou le cadre et la couleur de remplissage des champs avec erreurs et avertissements). Sélectionnez l'élément souhaité, puis cliquez sur le bouton Couleur.

  • Traitement de document

    Les images peuvent être reconnues automatiquement juste dès leur ajout au lot si vous sélectionnez l'option Reconnaître les images ajoutées automatiquement.

    Sélectionner Supprimer les documents traités après l'exportation supprime du lot les documents dont les données ont été correctement exportées.

    Si une erreur de script est détectée, le débogueur de Visual Studio se lance. Sélectionnez Désactiver le débogage de script externe si vous ne souhaitez pas que le débogueur se lance. Seul un message d'erreur s'affiche.

  • Boîtes de dialogue

    Lorsque vous lancez le programme, la boîte de dialogue Ouvrir un projet apparaît par défaut. Vous pouvez y sélectionner un ou plusieurs projets existants. Vous pouvez désactiver cette boîte de dialogue en désélectionnant l'option Afficher la boîte de dialogue de démarrage dans l'onglet Boîtes de dialogue (vous pouvez également désactiver cette boîte de dialogue en désélectionnant la même option dans la boîte de dialogue elle-même).

    Lorsque vous fermez une liste de modèles, le programme affiche un avertissement indiquant les modèles de documents non publiés. Si vous ne souhaitez que ce message d'avertissement s'affiche, désactivez l'option Afficher un avertissement si un modèle non publié existe (vous pouvez également désactiver cette boîte de dialogue en désélectionnant la même option dans la boîte de dialogue elle-même).


Exemples de projets ABBYY FlexiCapture

Pour découvrir le fonctionnement d'ABBYY FlexiCapture 8.0 et mieux comprendre ses fonctionnalités, vous pouvez utiliser les exemples de projet intégrés au programme. Ces projets prêts à l'emploi contiennent des modèles de document prédéfinis et des images de document à traiter.

Vous trouverez les exemples de projets sur <nom du disque>:\Documents and Settings\All Users\Application Data\ABBYY\FlexiCapture\8.0\ Samples.

Remarque : Sous Microsoft Windows Vista, les exemples de projets sont disponibles sur <nom du disque>:\Users\Public\ABBYY\FlexiCapture\8.0\Samples.

Le dossier Samples contient les répertoires suivants :

  1. FlexiCapture : ce dossier contient les exemples de projet FlexiCapture.
  2. FlexiLayoutStudio : ce dossier contient les exemples de projet FlexiLayout Studio. Ces exemples de projets illustrent le traitement de documents semi-structurés et doivent être ouverts dans ABBYY FlexiLayout Studio 8.0. La description détaillée de certains de ces projets est disponible dans le fichier d'aide de FlexiLayout Studio (consultez les sections Didacticiel et Conseils et astuces).
  3. FormDesigner : ce dossier contient les formulaires fixes développés dans ABBYY FormDesigner. Les fichiers portant l'extension *.fdd s'ouvrent dans ABBYY FormDesigner 8.0. Ces formulaires sont utilisés dans les exemples de projets FlexiCapture suivants : demande de carte bancaire, questionnaire.
  4. Images : ce dossier contient les images de document numérisées des exemples de projet FlexiCapture.

Les exemples de projets FlexiCapture sont énumérés et brièvement décrits ci-après.

Exemple de projet avec des documents de différents types

Les dossiers de projet contiennent les exemples de projets FlexiCapture.

  1. Point d'entrée unique

    Ce projet présente le processus de traitement de documents de différents types. Aucun tri préliminaire des documents n'est requis. Vous pouvez traiter simultanément les formulaires fixes et les documents flexibles. Les modèles utilisés dans ce projet sont également utilisés dans les projets décrits ci-après.

    Le projet contient tous les types de documents : demandes de carte bancaire, factures, contrats, lettres et tarifs.

Exemples de projets avec formulaires fixes

Les dossiers de projet contiennent les formulaires créés dans les projets ABBYY FormDesigner et FlexiCapture.

  2. Demande de carte bancaire

    Cet exemple de projet illustre les fonctionnalités suivantes :

    • Détection automatique des champs des formulaires fixes (pour découvrir comment fonctionne la détection automatique, supprimez tous les champs du modèle de document et sélectionnez Outils >Détecter automatiquement les objets…)
    • Prise en charge des documents dont la structure est complexe :
      1. Documents de plusieurs pages (utilisation d'applications de trois pages)
      2. Utilisation de sections de document (dans l'exemple de projet, chaque page correspond à une section distincte)
      3. Règle d'assemblage du document
      4. Traitement des annexes
    • Prise en charge des champs complexes :
      1. Utilisation de tableaux dans les formulaires fixes (tableau de comptes ouverts)
      2. Groupes de champs qui se répètent (groupes Adresse et Comptes demandés)
    • Vérification du format des données (le format de tous les champs numériques et de tous les champs date est spécifié)
    • Personnalisation du formulaire de données.

  3. Questionnaire

    Une description détaillée de cet exemple de projet est disponible dans le manuel d'utilisation. Le projet décrit la procédure de configuration d'un modèle de document étape par étape. Plusieurs formulaires plus simples sont utilisés pour illustrer les fonctionnalités de base d'ABBYY FlexiCapture. Vous pouvez compléter le questionnaire dans cet exemple de projet, le traiter dans ABBYY FlexiCapture et transmettre les données exportées à ABBYY.

Exemples de projets avec formulaires flexibles

Les dossiers de projet contiennent les exemples de projets FlexiLayout Studio et FlexiCapture.

  4. Facture

    Cet exemple de projet illustre le traitement de documents semi-structurés, ainsi que les fonctionnalités suivantes :

    • Documents avec nombre de pages variable (de 1 à 3)
    • Tableaux sur plusieurs pages
    • Utilisation d'un dictionnaire de mots clés externe (fichier texte)
    • Une règle JScript permet de comparer la somme du champ Total avec la somme obtenue par l'ajout des totaux de toutes les lignes du tableau.

  5. Tarifs

    Cet exemple de projet illustre le traitement de documents semi-structurés, ainsi que les fonctionnalités suivantes :

    • Prise en charge de groupes qui se répètent. Cet exemple de projet illustre l'utilisation de groupes qui se répètent pour décrire les tableaux imbriqués (tableaux avec sous-titres)

  6. Lettres et contrats

    Cet exemple de projet illustre le processus d'acquisition de documents non structurés à partir de 2 ou 3 champs. Ce projet illustre les fonctionnalités suivantes :

    • Documents avec nombre de pages variable (de 1 à 4)
    • Configuration de l'exportation en PDF indexé.


Langues de reconnaissance prises en charge

ABBYY FlexiCapture 8.0 Professional prend en charge les langues de reconnaissance suivantes (avec dictionnaire) :

Langue | OCR* | ICR**
Allemand (nouvelle et ancienne orthographe) | ü | ü
Anglais | ü | ü
Arménien (Est, Ouest, Grabar) | ü |
Bashkir | ü |
Bulgare | ü | ü
Catalan | ü |
Croate | ü | ü
Danois | ü |
Espagnol | ü | ü
Estonien | ü | ü
Finnois | ü | ü
Français | ü | ü
Grec | ü | ü
Hongrois | ü | ü
Indonésien | ü | ü
Italien | ü | ü
Kazakh | ü | ü
Kirghiz | ü | ü
Letton | ü | ü
Lituanien | ü | ü
Néerlandais (Pays-Bas et Belgique) | ü | ü
Norvégien (nynorsk et bokmal) | ü |
Polonais | ü | ü
Portugais (Portugal et Brésil) | ü |
Roumain | ü | ü
Russe | ü | ü
Slovaque | ü | ü
Slovène | ü | ü
Suédois | ü |
Tatar | ü |
Tchèque | ü | ü
Thaï | ü |
Turc | ü | ü
Ukrainien | ü | ü

Pour plus d'informations sur les langues prises en charge, consultez la section « Polices requises pour un rendu correct des caractères pour les types de données pris en charge dans l'éditeur ABBYY FlexiCapture ».

Une liste complète et mise à jour des types de données pris en charge et de leurs détails est disponible à l'adresse http://www.abbyy.com.

* - OCR - Reconnaissance optique de caractères. Reconnaissance optique des textes imprimés.

** - ICR - Reconnaissance intelligente de caractères. Reconnaissance des textes manuscrits.


Polices requises pour un rendu correct des caractères pour les types de données pris en charge dans l'éditeur FormReader

Polices requises pour un rendu correct des caractères pour les langues prises en charge dans l'éditeur ABBYY FlexiCapture

Langue | Police
Avec prise en charge du dictionnaire |
Arménien (Est, Ouest, Grabar) | Arial Unicode MS(2)
Tatar | MS Core Fonts 2.82(1) (Arial, Courier New et Times New Roman)
Sans prise en charge du dictionnaire |
Abkhazien | Arial Unicode MS(2)
Adygéen | Arial Unicode MS(2), Lucida Sans Unicode(3)
Aghul | Arial Unicode MS(2), Lucida Sans Unicode(3)
Altaïque | Arial Unicode MS(2), Lucida Sans Unicode(3)
Avar | Arial Unicode MS(2), Lucida Sans Unicode(3)
Azerbaïdjanais (cyrillique), azerbaïdjanais (latin) | MS Core Fonts 2.82(1) (Arial, Courier New et Times New Roman)
Bashkir | Arial Unicode MS(2), Palatino Linotype(2)
Buriat | MS Core Fonts 2.82(1) (Arial, Courier New et Times New Roman)
Tchétchène | Arial Unicode MS(2), Lucida Sans Unicode(3)
Chukchi | Arial Unicode MS(2), Lucida Sans Unicode(3)
Tchouvache | Arial Unicode MS(2)
Dargin | Arial Unicode MS(2), Lucida Sans Unicode(3)
Dungan | MS Core Fonts 2.82(1) (Arial, Courier New et Times New Roman)
Gagauz | Arial Unicode MS(2)
Haoussa | Arial Unicode MS(2), Lucida Sans Unicode(3)
Ingouche | Arial Unicode MS(2), Lucida Sans Unicode(3)
Kabarde | Arial Unicode MS(2), Lucida Sans Unicode(3)
Kalmouk | MS Core Fonts 2.82(1) (Arial, Courier New et Times New Roman)
Karakalpak | MS Core Fonts 2.82(1) (Arial, Courier New et Times New Roman)
Kazakh | MS Core Fonts 2.82(1) (Arial, Courier New et Times New Roman)
Khakas | Arial Unicode MS(2)
Khanti | Arial Unicode MS(2)
Koriak | Arial Unicode MS(2), Lucida Sans Unicode(3)
Kirghize | MS Core Fonts 2.82(1) (Arial, Courier New et Times New Roman)
Lak | Arial Unicode MS(2), Lucida Sans Unicode(3)
Lezgin | Arial Unicode MS(2), Lucida Sans Unicode(3)
Mansi | Arial Unicode MS(2), Lucida Sans Unicode(3)
Mari | Arial Unicode MS(2)
Mongol | MS Core Fonts 2.82(1) (Arial, Courier New et Times New Roman)
Nenets | MS Core Fonts 2.82(1) (Arial, Courier New et Times New Roman)
Ossetique | Arial Unicode MS(2)
Russe (ancienne orthographe) | Arial Unicode MS(2), Palatino Linotype(2)
Tabassaran | Arial Unicode MS(2), Lucida Sans Unicode(3)
Tadjik | Arial Unicode MS(2), Palatino Linotype(2)
Turkmène | MS Core Fonts 2.82(1) (Arial, Courier New et Times New Roman)
Touvain | MS Core Fonts 2.82(1) (Arial, Courier New et Times New Roman)
Oudmourte | Arial Unicode MS(2)
Ouzbek (cyrillique) | MS Core Fonts 2.82(1) (Arial, Courier New et Times New Roman)
Yakoute | Arial Unicode MS(2)
Zoulou | Arial Unicode MS,(2), Lucida Sans Unicode(3)

(1) http://www.microsoft.com/

(2) MS Office 2000

(3) Windows NT 4.0


Types de texte pris en charge

ABBYY FlexiCapture 8.0 Professional prend en charge les types de texte suivants :

Type de texte | Description
Imprimantes typographiques, laser et jet d'encre | Textes imprimés dans une imprimerie, sur une imprimante laser ou jet d'encre.
Machine à écrire | Textes tapés à la machine.
Imprimante matricielle | Textes imprimés sur une imprimante matricielle.
Index | Jeu de caractères spécial qui n'inclut que des chiffres écrits en style code postal. Ces caractères se présentent de la manière suivante :
OCR-A | Police à espacement fixe conçue pour la reconnaissance optique de caractères. Largement utilisé par les banques, les compagnies de cartes de crédit et les sociétés apparentées. Ce texte peut se présenter de la manière suivante :
OCR-B | Police à espacement fixe conçue pour la reconnaissance optique de caractères. Ce texte peut se présenter de la manière suivante :
MICR E-138 | Jeu spécial de caractères numériques imprimés à l'aide d'une encre magnétique spéciale. On trouve des caractères MICR (Magnetic Ink Character Recognition) à divers endroits, notamment sur les chèques personnels. Ce texte peut se présenter de la manière suivante :
MICR CMC-7 | Police spéciale de code barre MICR (CMC-7). Ce texte peut se présenter de la manière suivante :


Types de codes-barres pris en charge

ABBYY FlexiCapture 8.0 Professional prend en charge les formats de codes-barres suivants :

  • EAN 13
  • EAN 8
  • Code 39
  • Check Code 39
  • Interleaved 25
  • Check Interleaved 25
  • Code 128
  • Codabar
  • UPC-A
  • UPC-E
  • Code 93
  • UCC-128
  • PDF-417
  • IATA 25
  • Matrix 25
  • Industrial 25
  • PostNet
  • Patch code


Formats graphiques pris en charge

Type | Couleur
BMP | Noir et blanc, gris, couleur
PCX | Noir et blanc, gris
PNG | Noir et blanc, gris, couleur
JPEG | Gris, couleur
JPEG -2000 | Gris, couleur
TIFF Noir et blanc – non compressé, CCITT3, CCITT4, Packbits, ZIP ;
gris – non compressé, Packbits, JPEG, ZIP ;
couleur – non compressé, JPEG, ZIP.
PDF, PDF/A
PDF, PDF/A indexé
DjVu | Noir et blanc, gris, couleur


Formats de fichiers d'exportation

Formats de fichiers vers lesquels ABBYY FlexiCapture 8.0 Professional peut exporter les données des documents

  • Classeur Microsoft Office Excel (*.XLS)
  • Fichier DBase (*.DBF)
  • Fichier de valeurs séparées par une virgule (*.CSV). ABBYY FlexiCapture prend en charges différentes pages de code (Windows, DOS)
  • Fichier de valeurs séparées par une virgule (*.CSV) au format Unicode (UTF-8, UTF-16)
  • Texte simple (*.TXT). ABBYY FlexiCapture prend en charges différentes pages de code (Windows, DOS)
  • Texte simple (*.TXT) au format Unicode (UTF-8, UTF-16)
  • Document XML (*.XML)


Caractères alphabétiques dans des expressions normales

Nom | Désignation conventionnelle | Exemple d'utilisation
Tout caractère | * | "b"*"l" – permet de rechercher des mots tels que bal, bol, etc.
Lettre | C | C"ol" – permet de rechercher des mots tels que bol, Col, dol, Vol, etc.
Lettre majuscule | A | A"ol" – permet de rechercher des mots tels que Bol, Col, Dol, Vol, etc.
Lettre majuscule | a | a"ol" – permet de rechercher des mots tels que bol, col, dol, vol, etc.
Lettre ou chiffre | X | X – permet de rechercher tout chiffre ou toute lettre autonomes.
Chiffre | N | N"e" permet de rechercher des mots tels que 5e, 4e, 6e, etc.
Chaîne | " " | "cot"
Ou | | | "pl"("o"|"a")"t" – permet de rechercher des mots tels que "plot" et "plat".
Caractère du groupe | [] | [tm]"ot" – permet de rechercher des mots tels que "tot" et "mot".
Caractère hors groupe | [^] | [^t]"ot" – permet de rechercher des mots tels que "mot", "lot", etc., mais pas "tot".
Espace (au sein du groupe) | \s | [A\s] permet de rechercher uniquement la lettre A ou un espace.
Tout nombre de répétitions (s'applique à l'expression ou à la sous-expression de gauche) | {-} | [AB74]{-} – permet de rechercher toute combinaison des caractères A, B, 7, 4, de n'importe quelle longueur.
Nombre de répétitions n | {n} | N{2}"e" permet de rechercher des mots tels que 25e, 84e, 11e, etc.
De n à m répétitions | {n-m} | N{1-3}"e" permet de rechercher des mots tels que 5e, 84e, 84e, 111e, etc.
De 0 à n répétitions | {-n} | N{-2}"e" permet de rechercher des mots tels que 84e, 111e, etc.
à partir de n répétitions et plus | {n-} | N{2-}"e" permet de rechercher des mots tels que 25e, 834e, 311e, 34576e, etc.
Sous-expression | () |
Tiret | [\-] |
Barre oblique inversée | [\\] |


Brevets

Numéros de brevets aux états-Unis 5 258 855, 5 369 508, 5 625 465, 5 768 416 et 6 094 505


Technologies tiers

JasPer License Version 2.0

Copyright (c) 2001-2006 Michael David Adams
Copyright (c) 1999-2000 Image Power, Inc.
Copyright (c) 1999-2000 Université de British Columbia

Tous droits réservés.

En savoir plus

La présente autorise gratuitement toute personne (l'« Utilisateur ») a se procurer une copie du présent logiciel et des fichiers de documentation connexes (le « Logiciel »), à utiliser le Logiciel sans restriction, y compris et sans s'y limiter à utiliser, copier, modifier, fusionner, publier, distribuer et/ou commercialiser des copies du Logiciel et autorise les personnes à qui le Logiciel est fourni à faire de même, conformément aux conditions suivantes :

  1. Les avis de copyright susmentionnés et cette autorisation (qui comprend le déni de responsabilité ci-dessous) doivent figurer sur toutes les copies partielles ou complètes du Logiciel.

  2. Le nom du détenteur du copyright ne doit pas être utilisé pour recommander ou promouvoir les produits dérivés du Logiciel sans autorisation écrite préalable.

CE DéNI DE GARANTIE CONSTITUE UN éLéMENT ESSENTIEL DE CETTE LICENCE.

L'UTILISATION DU LOGICIEL SELON LE PRéSENT CONTRAT EST SOUMISE AU RESPECT DU PRéSENT DéNI DE RESPONSABILITé. LE LOGICIEL EST FOURNI « EN L'éTAT », SANS GARANTIE D'AUCUNE SORTE, IMPLICITE OU EXPLICITE, Y COMPRIS MAIS SANS S'Y LIMITER, LES GARANTIES DE COMMERCIALISATION, D'ADéQUATION à UN USAGE PARTICULIER ET DE NON-TRANSGRESSION DES DROITS DES TIERS. EN AUCUN CAS, LES DéTENTEURS DU COPYRIGHT NE POURRONT êTRE TENUS RESPONSABLES DES RéCLAMATIONS, DES DOMMAGES SPéCIAUX, INDIRECTS OU CONSéCUTIFS, DES DOMMAGES RéSULTANT D'UNE PERTE D'UTILISATION, DE DONNéES OU DE PROFITS RéSULTANT D'UNE ACTION CONFORME AU CONTRAT, D'UNE NéGLIGENCE OU DE TOUTE AUTRE ACTION TORTUEUSE, RéSULTANT DE OU EN RAPPORT AVEC L'UTILISATION OU LES PERFORMANCES DE CE LOGICIEL. LES DéTENTEURS DU COPYRIGHT N'APPORTENT AUCUNE GARANTIE QUANT à LA NON-TRANSGRESSION DES BREVETS OU DES DROITS DE PROPRIéTéS INTELLECTUELLES D'UNE AUTRE ENTITé. TOUT DéTENTEUR DE COPYRIGHT SE DéGAGE DE TOUTE RESPONSABILITé ENVERS L'UTILISATEUR POUR TOUTE REVENDICATION D'UNE AUTRE ENTITé REPOSANT SUR LE NON-RESPECT DES DROITS DE PROPRIéTé INTELLECTUELLE OU AUTRE. CONFORMéMENT AUX DROITS ACCORDéS PAR LA PRéSENTE, CHAQUE UTILISATEUR ASSUME SEUL LA RESPONSABILITé D'ASSURER LA SéCURITé DES DROITS DE PROPRIéTé INTELLECTUELLE, AU BESOIN. LE LOGICIEL N'EST PAS TOLéRANT AUX PANNES ET N'EST PAS PRéVU POUR PRENDRE EN CHARGE DES SYSTèMES STRATéGIQUES DU TYPE DE CEUX UTILISéS DANS LE FONCTIONNEMENT DES INSTALLATIONS NUCLéAIRES, DES SYSTèMES DE NAVIGATION DES AVIONS OU DE COMMUNICATION, DES SYSTèMES DE CONTRôLE DU TRAFIC AéRIEN, DES éQUIPEMENTS DE SOUTIEN à LA VIE OU DES SYSTèMES D'ARMES, DANS LESQUEL UNE DéFAILLANCE DU LOGICIEL OU DU SYSTèME POURRAIT CONDUIRE DIRECTEMENT à LA MORT OU ENTRAîNER DES BLESSURES PERSONNELLES OU PHYSIQUES GRAVES OU DES DOMMAGES ENVIRONNEMENTAUX (« ACTIVITéS à HAUT RISQUE »). LES DéTENTEURS DU COPYRIGHT RéFUTENT SPéCIFIQUEMENT TOUTE GARANTIE IMPLICITE OU EXPLICITE D'ADéQUATION à UN USAGE PARTICULIER DANS LES ACTIVITéS à HAUT RISQUE.

MARQUES COMMERCIALES

QuickScan est une marque commerciale et Captiva une marque déposée de Captiva Software Corporation.

KODAK est une marque commerciale d'Eastman Kodak Company.


Support technique

En cas de questions sur l'utilisation d'ABBYY FlexiCapture 8.0 Professional, veuillez consulter la description détaillée de la fonctionnalité concernée dans les rubriques d'aide et dans le guide d'utilisation fournis avec ABBYY FlexiCapture 8.0 Professional. Vous pouvez également consulter la section de notre site Web www.abbyy.com consacrée au support technique, ou vous trouverez peut-être la réponse à votre question.

Pour vous offrir un conseil pertinent, notre service de support technique a besoin des informations suivantes :

  • Nom, prénom
  • Nom de l'entreprise
  • Numéro de téléphone (numéro de télécopie, adresse électronique)
  • Numéro de série de votre pack d'installation
  • Version (consultez l'entrée Aide/À propos d'ABBYY FlexiCapture 8.0…)
  • Description générale du problème, avec le texte complet du message d'erreur (si disponible)
  • Type de PC et de processeur
  • Version du système d'exploitation
  • Toute autre information jugée importante
Adresse et coordonnées des bureaux ABBYY


Comment acheter ABBYY FlexiCapture 8.0 Professional

Pour commander ABBYY FlexiCapture ou pour toute question liée à l'achat du produit, contactez l'un des partenaires agréés d'ABBYY ou l'un des bureaux régionaux d'ABBYY.


Adresse et coordonnées des bureaux ABBYY

Russie | ABBYY Russie Téléphone : +7 495 783 3700 Télécopie : +7 495 783 2663 Adresse : Boîte postale 49, 129301, Moscou, Russie, ABBYY Software LLC. Adresse du bureau : Moscou, VDNKh subway station 11 Kasatkina St., building 1 E-mail : sales@abbyy.ru Support technique : support@abbyy.ru Web : http://www.abbyy.ru DIRECTIONS
Amérique du Nord et Amérique centrale | Les clients résidant aux États-Unis, au Canada, au Mexique et en Amérique Centrale doivent contacter : ABBYY États-Unis Téléphone : +1 510 226 6717 Télécopie : +1 510 226 6069 Adresse : 47221 Fremont Boulevard, Fremont, Californie, 94538, États-Unis Adresse électronique : sales@abbyyusa.com Support technique : support@abbyyusa.com Web : http://www.abbyy.com
Europe de l'Est et Europe méditerranéenne | Les clients résidant en Albanie, en Bosnie-Herzégovine, en Bulgarie, en Croatie, en République tchèque, en Hongrie, en Israël, en Macédoine, en Moldavie, au Monténégro, en Pologne, en Roumanie, en Serbie, en Slovaquie, en Slovénie, en Turquie ou en Ukraine doivent contacter : ABBYY Ukraine Téléphone : +380 44 490 9999 Télécopie : +380 44 490 9461 Adresse : P.O. Box 23, 02002 Kiev, Ukraine Adresse électronique : forms@abbyy.ua Téléphone du support technique : Téléphone : +380 44 490 94 63 Adresse électronique : formssupport@abbyy.ua Web : http://www.abbyy.ua
Europe de l'Ouest | Les clients résidant en Autriche, au Benelux, au Danemark, en France, en Allemagne, en Grèce, en Italie, en Irlande, en Norvège, au Portugal, en Espagne, en Suède, en Suisse, au Royaume-Uni ou dans d'autres pays d'Europe de l'Ouest doivent contacter : ABBYY Europe GmbH Téléphone : +49 89 511 159 0 Fax : +49 89 511 159 59 Adresse : Elsenheimerstrasse 49, 80687 Munich, Allemagne Adresse électronique : sales_eu@abbyy.com Support technique : support_eu@abbyy.com Web : http://www.abbyy.com
Japon | Les clients résidant au Japon doivent contacter : ABBYY Japan : Téléphone :+81-42-795-1901 Télécopie : +81-42-795-1901 Adresse : 658-1 Tsuruma, Machida-shi, Tokyo 194-8510 Adresse électronique : sales@abbyyusa.com Support technique : support@abbyyusa.com Web : http://www.abbyy.com
Toutes les autres régions | Les clients ne résidant pas dans les pays mentionnés ci-dessus doivent contacter : ABBYY Russia Téléphone : +7 495 783 3700 Fax : +7 495 783 2663 Adresse : Boîte postale 49, 129301, Moscou, Russie, ABBYY Software LLC. E-mail : sales@abbyy.com Support technique : support@abbyy.ru Web : http://www.abbyy.ru; http://www.abbyy.com


Contrat de licence utilisateur final

ABBYY FlexiCapture 8.0 Professional

Important ! Veuillez lire attentivement le document suivant avant d'installer, de copier ou d'utiliser ce produit. En installant, copiant ou utilisant ce produit, vous vous engagez à accepter les termes suivants.

Ce Contrat de licence utilisateur final (« CLUF ») constitue un accord juridique entre vous, l'utilisateur final (y compris toute entité juridique pour le compte de laquelle vous vous êtes procuré ce logiciel), et ABBYY. Il régit le logiciel ABBYY identifié ci-dessus, qui accompagne ce CLUF, ainsi que tous les supports, informations imprimées et documentation électronique ou « en ligne » associés (collectivement appelés « LOGICIEL »).

En installant, copiant ou utilisant de quelque autre façon que ce soit ce LOGICIEL, vous reconnaissez avoir lu le présent CLUF et l'avoir compris, et accepté de vous soumettre à ses conditions d’utilisation.

Le LOGICIEL est protégé par les lois et traités internationaux en vigueur sur le copyright. Vous acceptez que le présent CLUF s’applique au même titre que tout autre accord écrit que vous auriez signé.

Si ce LOGICIEL est accompagné d'une copie papier du présent CLUF, en cas de différence de contenu entre le texte de ce contrat et celui de la copie papier incluse, celui de la copie papier prévaut.

Le présent CLUF prend plein effet dès acceptation par l'utilisateur final des conditions prévues aux présentes. Pour confirmer votre acceptation, cochez la case « J'accepte les termes de ce contrat de licence », puis cliquez sur le bouton Suivant dans le programme d'installation du LOGICIEL. Ce CLUF vous engage pour toute la durée du copyright du LOGICIEL.

Si vous n'acceptez pas les termes du présent CLUF, n’utilisez pas le LOGICIEL et cochez la case « Je n'accepte pas les termes de ce contrat de licence », puis cliquez sur Annuler dans le programme d'installation du logiciel. La somme dépensée pour l'acquisition du logiciel vous sera remboursée si :

(i) vous n'utilisez pas le LOGICIEL, et
(ii) vous retournez le LOGICIEL dans son emballage d'origine, accompagné de l'ensemble des supports et documents mentionnés, ainsi que d'une preuve d'achat, à l'endroit où vous l'avez acheté, dans les trente (30) jours à compter de la date d’achat, sauf indication contraire de la législation en vigueur du pays où vous avez acheté le LOGICIEL et de la politique de retour de marchandise du pays où vous avez acheté le LOGICIEL.

1. Définitions :

Le terme « LOGICIEL » désigne le logiciel ABBYY FlexiCapture 8.0 Professional, qui est un ensemble de programmes informatiques, de bases de données et de documentation (qui peut être au format papier ou électronique) protégés par les lois du copyright.

Le terme « composant LOGICIEL » désigne toute partie constitutive du LOGICIEL, notamment, mais sans que cela soit limitatif, les programmes informatiques inclus dans le LOGICIEL.

Le terme « ordinateur » désigne un appareil électronique équipé d'un ou de plusieurs processeurs, qui accepte des informations sous une forme numérique ou similaire, et les manipule afin d'atteindre un résultat donné, à partir d'une séquence d'instructions.

Le terme « copie de LOGICIEL » désigne une copie du LOGICIEL ou une copie de l'un de ses composants installés sur l'ordinateur, qui fonctionnent conformément à la documentation du LOGICIEL.

Le terme « outil de conception » désigne le module ABBYY FlexiLayout Studio ou ABBYY FormDesigner du LOGICIEL.

Le terme « licence » désigne le droit non exclusif que vous accorde ABBYY d'utiliser le LOGICIEL conformément aux termes du présent CLUF.

Le terme « activation du LOGICIEL » désigne la procédure permettant de rendre le LOGICIEL pleinement opérationnel conformément à la documentation du LOGICIEL.

Le terme « utilisation du LOGICIEL » désigne le fait d'effectuer des actions décrites dans la documentation du LOGICIEL, ainsi que d'utiliser une ou plusieurs fonctionnalités du LOGICIEL.

Le terme « maintenance » désigne les services mis à votre disposition par ABBYY ou son fournisseur, qu'il s'agisse de mises à niveau et/ou de mises à jour pour le LOGICIEL ou pour le support.

Le terme « Fournisseur » désigne une entité légale ou physique autorisée par ABBYY à fournir le LOGICIEL et/ou à assurer la maintenance.

Le terme « ABBYY » désigne :

ABBYY USA Software House Inc., sis au 47221 Fremont Boulevard, Fremont, Californie 94538, états-Unis, quand l'article 21.1 de ce CLUF s'applique ;

ABBYY Europe GmbH, Elsenheimerstr. 49, 80687 Munich, quand l'article 21.2 de ce CLUF s'applique ;

ABBYY LLC, 21 building 1 Bratislavskaya Ulitsa, 109451, Moscou, Russie, quand l'article 21.3 de ce CLUF s'applique ;

ABBYY Software House Ukraine, 31, Degtyarevskaya st., Kiev, Ukraine 03680, quand l'article 21.4 de ce CLUF s'applique ;

et ABBYY Solutions Ltd., Kastoros 2, CY 1087, Nicosia, Chypre, dans tous les autres cas.

Le terme « groupe ABBYY » désigne ABBYY et toutes ses filiales.

"Le terme « filiale d'ABBYY » désigne une entité qui, directement ou indirectement, via un ou plusieurs intermédiaires, contrôle ABBYY, est contrôlée par ABBYY ou est sous contrôle commun d'ABBYY.

"Les termes « vous » et « votre » désignent et incluent toute personne et/ou entité juridique s’étant procuré le LOGICIEL et pour le compte de qui ce LOGICIEL est utilisé.

2. Octroi de licence

2.1 Sous réserve du respect des termes de ce CLUF, ABBYY vous accorde une licence limitée et non exclusive (la « licence ») couvrant l’utilisation du LOGICIEL, y compris les images, photos, animations, composants audio et vidéo, musique, texte et applets intégrés au LOGICIEL, ainsi que la documentation imprimée l'accompagnant et toutes les copies du LOGICIEL, uniquement dans le cadre énoncé ci-dessous. Toutes les conditions énoncées ci-dessous s'appliquent au LOGICIEL dans son ensemble ainsi qu'aux éléments qui le composent.

3. Licence

3.1. ABBYY agit en tant que représentant, garant et détenteur de tous les droits, de la capacité juridique et de l'autorité d'attribution de licences et de distribution du LOGICIEL, y compris pour les images, les photos, les animations, les composants audio et vidéo, la musique, le texte et les applets inclus dans le LOGICIEL, ainsi que pour les documents imprimés qui l'accompagnent et toutes les copies du LOGICIEL.

3.2. Tous les droits relatifs au titre et à la propriété intellectuelle du LOGICIEL et du contenu externe au LOGICIEL, mais pouvant être consultés à partir de ce dernier, appartiennent aux propriétaires des contenus respectifs et peuvent être protégés par copyright ou d’autres lois et traités sur la propriété intellectuelle. Ce CLUF ne porte pas sur le transfert de propriété d’une telle propriété intellectuelle.

3.3. Vous reconnaissez savoir que le LOGICIEL est protégé contre la copie non autorisée et l'utilisation illimitée, et qu'il peut contenir des clés de protection logicielles ou matérielles (appelées « clés de licence » dans le reste de ce document) à cet effet, et vous acceptez que le LOGICIEL soit soumis à toutes ces protections.

3.4. La portée de la Licence peut varier en fonction de différents facteurs, définis lors de l'achat : l'ensemble de fonctions, le nombre de copies du Logiciel autorisées en réseau, le nombre de processeurs utilisés pendant le traitement, le nombre de pages pouvant être traitées, la date d'expiration, et d'autres facteurs encore. Toutes ces informations, ainsi que d'autres, sont codées dans la clé de licence. La clé de licence restreint l'utilisation du LOGICIEL techniquement et reflète la portée de la licence que vous avez commandée.

3.5. Le LOGICIEL contient des secrets industriels et des informations confidentielles qui sont la propriété d'ABBYY. Il est protégé par les lois du copyright, qui incluent, sans que cela soit limitatif, les lois sur les droits d'auteur aux états-Unis et les traités internationaux, ainsi que les lois en vigueur dans le pays où il est utilisé. Toute infraction aux termes et conditions d'utilisation stipulés dans ce CLUF constitue une violation des droits de la propriété intellectuelle d'ABBYY et un motif de résiliation de tous les droits d'utilisation du LOGICIEL, octroyés par ce CLUF.

3.6. Vous êtes autorisé à effectuer un transfert unique et définitif de ce CLUF et du LOGICIEL directement à un autre utilisateur final. Ce transfert doit inclure l'intégralité du LOGICIEL (y compris tous les composants, supports, matériaux imprimés et mises à niveau de ce LOGICIEL, et le présent CLUF). Ce transfert ne peut s'effectuer par voie de consignation ni par aucun autre mode de transfert indirect. Le bénéficiaire de ce transfert unique doit accepter de se conformer aux termes du présent CLUF, notamment à l'obligation de ne pas transférer à son tour ce CLUF et ce LOGICIEL. Pour effectuer ce transfert, vous devez désinstaller les composants du LOGICIEL de tous vos ordinateurs ou de votre réseau local.

3.7. Vous n'êtes pas autorisé à transférer ou à distribuer à une autre personne le LOGICIEL, ni les droits qui vous sont octroyés par le présent contrat, ni aucun autre droit lié au LOGICIEL. ABBYY est autorisé à mettre fin à ce CLUF en cas d'un tel transfert ou d'une telle distribution.

3.8. Ce CLUF ne vous octroie aucun droit relatif aux marques déposées d’ABBYY.

3.9. Droits relatifs à la propriété intellectuelle. Tous les droits non expressément octroyés sont réservés par ABBYY.

4. Utilisation du LOGICIEL

4.1 Vous pouvez utiliser le LOGICIEL conformément à la portée de votre licence.

4.2. Vous pouvez installer le LOGICIEL sans l'activer sur un nombre illimité d'ordinateurs.

4.3. Vous pouvez exécuter ou utiliser simultanément autant de copies du LOGICIEL que la portée de votre licence le permet.

4.4. Le nombre de copies de l'outil de conception pouvant être exécutées simultanément ne doit pas dépasser le nombre de copies du LOGICIEL autorisées par la portée de votre licence.

4.5. Si vous accédez au LOGICIEL par l'intermédiaire de services de terminal, vous pouvez exécuter ou utiliser simultanément autant de copies du LOGICIEL que ce qu'autorise votre Licence et que ce que stipule ce CLUF.

4.6. Vous ne pouvez utiliser le LOGICIEL pour assurer des services de reconnaissance et de conversion et/ou pour fournir le résultat de l'utilisation de ce LOGICIEL à des tiers que si le paramètre « Services BPO » de votre clé de licence est activé.

4.7. Vous acceptez d’indemniser ABBYY, de le tenir à couvert et de le défendre dans l’éventualité de toute réclamation, responsabilité, perte, action, dommage et/ou procès, y compris les frais d’avocat éventuels engendrés par ou associés à l’utilisation du LOGICIEL et/ou à la confiance portée au LOGICIEL.

5. LOGICIEL fourni sur deux supports

5.1. Il se peut que le LOGICIEL soit fourni sur plusieurs supports, notamment via des téléchargements sur Internet. Quel que soit le nombre de supports reçus, la licence ne vous autorise à utiliser que le LOGICIEL visé par ce CLUF.

6. Bases de données de l'utilisateur final

6.1. Vous pouvez créer vos propres bases de données pour les programmes figurant dans le LOGICIEL, si cette fonctionnalité est incluse dans le LOGICIEL.

7. Redistribution du LOGICIEL

7.1. Toute redistribution du LOGICIEL, sauf exception stipulée dans l’article 3.6, est strictement interdite. La redistribution inclut, sans s'y limiter, la vente, la location, la location-vente ou le prêt du LOGICIEL.

8. Limitations

8.1. Vous reconnaissez savoir que le LOGICIEL est protégé contre la copie et/ou l’utilisation non autorisée(s). Si vous n'activez pas votre copie du LOGICIEL, vous risquez de ne pas pouvoir exercer vos droits sur le LOGICIEL, comme prévu par ce CLUF. Lorsque vous activez votre copie du LOGICIEL, aucune information personnelle n'est transmise à ABBYY. L'activation est complètement anonyme. Au cours de l'activation, un paramètre unique représentant la configuration de votre ordinateur au moment de l'activation est créé. Ce paramètre ne contient aucune information personnelle, aucune information sur le logiciel ou sur les données résidant sur votre ordinateur, ni aucune information sur la marque ou le modèle de l'ordinateur utilisé. Il identifie l'ordinateur uniquement en vue de l'activation du programme. Conjointement à ce paramètre, le nom, le numéro de série, le numéro de version de votre copie du LOGICIEL seront envoyés à ABBYY. Ces informations seront utilisées uniquement pour sélectionner le contenu du message de confirmation des résultats de l'activation. Ces informations ne seront utilisées à aucune autre fin.

8.2. Les conditions d'utilisation et les limitations régissant l'utilisation du LOGICIEL sont énoncées dans ce CLUF, sauf stipulation contraire dans un accord distinct avec ABBYY.

8.3. Si la mention « Revente interdite » (« Not for Resale » ou « NFR ») figure sur le LOGICIEL, nonobstant les autres dispositions du présent CLUF, vous ne pourrez utiliser le LOGICIEL qu'à des fins de démonstration, de vérification ou de test. Vous ne pourrez pas revendre, ni transférer d'une autre manière en échange d'une contrepartie, le LOGICIEL et/ou les résultats obtenus par son utilisation.

8.4. Vous n'êtes pas autorisé à exécuter ou à permettre à d'autres personnes d'exécuter les opérations répertoriées ci-dessous :

8.4.1. Désassembler ou décompiler (extraire le code source du code objet) le LOGICIEL (applications, bases de données et autres composants du LOGICIEL), sauf dans la mesure expressément autorisée par la loi indépendamment de cette limitation. Si la loi autorise de telles activités, toute information découverte de cette façon ne doit pas être divulguée à des tiers, si une telle clause de non-divulgation est autorisée par la loi, mais doit être communiquée immédiatement à ABBYY. De telles informations sont considérées comme des informations confidentielles et appartenant à ABBYY.

8.4.2. Modifier, adapter ou traduire le LOGICIEL, y compris apporter des modifications au code objet des applications et bases de données du LOGICIEL autres que les modifications prévues par le LOGICIEL et décrites dans la documentation.

8.4.3. Louer, concéder en location-vente ou sous sous-licence, attribuer ou transférer tout droit qui vous a été accordé par le présent CLUF et tout autre droit relatif au LOGICIEL à toute autre personne, ni autoriser la copie intégrale ou partielle du LOGICIEL sur l'ordinateur d'un autre utilisateur, à l’exception des stipulations de l’article 3.6.

8.4.4. Permettre à toute personne non autorisée d'utiliser le LOGICIEL et de travailler sur le même système multi-utilisateur que vous pour utiliser le LOGICIEL.

8.4.5. Supprimer ou rendre illisibles tous copyright, marque déposée ou notes de brevet apparaissant dans le LOGICIEL tel qu’il vous a été livré.

9. Conformité aux licences

9.1. Vous vous engagez, en cas de demande d'ABBYY ou d'un représentant autorisé d'ABBYY, à certifier que vous êtes en conformité avec les termes et conditions du présent CLUF et à le documenter pleinement sous trente (30) jours.

10. Services d'assistance

10.1. ABBYY ou son fournisseur assure la maintenance prévue conformément aux termes et conditions de l'Annexe A de ce CLUF, sauf accord contraire conclu entre vous et ABBYY ou entre vous et le fournisseur d'ABBYY.

11. LOGICIEL d'évaluation

11.1. Si la mention « Essayer et acheter », « évaluation » ou « Démonstration » figure sur le LOGICIEL, cette section s'applique à la période précédant l'achat de la licence complète du LOGICIEL. Vous reconnaissez que les fonctionnalités ou fonctions du LOGICIEL sont limitées pendant une période donnée. Le LOGICIEL est concédé sous licence « en l'état », uniquement comme modèle de démonstration. Si la version de votre LOGICIEL a expiré, ses fonctionnalités seront désactivées après une période déterminée, spécifiée dans le LOGICIEL. Une fois cette période expirée, la présente licence prendra fin, sauf si elle est prorogée par ABBYY lors de l'achat d'une licence pour la version complète du LOGICIEL.

12. Termes et résiliation

12.1. Sauf accord contraire passé entre vous et ABBYY, ou entre vous et un fournisseur d'ABBYY, le présent CLUF est applicable jusqu’à sa résiliation. Vous pouvez le résilier en détruisant le LOGICIEL et la documentation qui l’accompagne, ainsi que toute copie y afférente. Sans préjudice de tous autres droits, ABBYY peut résilier le présent CLUF si vous n'en respectez pas les termes et conditions. Dans pareil cas, vous devez détruire toutes les copies du LOGICIEL et tous les composants du LOGICIEL. Une telle résiliation ne vous décharge pas de votre obligation de régler le montant du LOGICIEL et/ou de la maintenance.

12.2. Les dispositions 3.3–3.5, 3.8, 3.9, 4.7, 7, 8, 11, 13.2–13.4, 14–21, 23 et 24 subsistent après la résiliation du présent CLUF quelle qu'en soit la cause ; toutefois, ceci n'implique ni ne maintient le droit d’utiliser le LOGICIEL après la résiliation de ce CLUF.

13. Garantie limitée

13.1. Sous réserve d'une utilisation normale, ABBYY garantit que les supports sur lesquels le LOGICIEL est fourni, le cas échéant, sont exempts de défauts matériels ou malfaçons pendant la période minimale définie par la législation du pays où le LOGICIEL a été acheté et à compter de la date d'achat.

13.2. Le LOGICIEL et toute mise à jour, mise à niveau et maintenance vous sont fournis « en l'état », et ABBYY n'offre aucune garantie d'aucune sorte. ABBYY et ses fournisseurs ne garantissent pas et ne sont pas en mesure de garantir les performances ni les résultats obtenus par l’utilisation du LOGICIEL.
à l’exception de tout(e) garantie, condition, représentation ou terme dans la mesure où celui/celle-ci ne peut pas être exclu(e) ni limité(e) par la loi en vigueur dans votre juridiction, ABBYY et ses fournisseurs n’offrent aucun(e) garantie, condition, représentation ni terme (expresse ou implicite, que ce soit par droit statutaire, légal, coutumier, d’usage ni autre) d’aucune sorte, y compris et de manière non limitative, de non-transgression des droits des tiers, de commercialisation, d’intégration, de qualité satisfaisante ou d’adéquation à un objectif particulier, et ne garantissent pas que le LOGICIEL soit exempt d’erreurs, répondra à vos besoins ou que le LOGICIEL fonctionnera correctement en cas d’utilisation avec d’autres logiciels ou éléments matériels. Tous risques afférents à la qualité et aux performances du LOGICIEL vous incombent entièrement.

13.3. ABBYY n’offre aucune garantie vis-à-vis des produits logiciels tiers fournis avec le LOGICIEL.

13.4. Garantie limitée s’adressant aux utilisateurs résidant en Allemagne ou en Autriche.
Si vous vous êtes procuré votre copie du LOGICIEL en Allemagne ou en Autriche et résidez habituellement dans un de ces pays, conformément au droit allemand, ABBYY ou ses fournisseurs garantissent les fonctionnalités du LOGICIEL énoncées dans sa documentation (les « fonctionnalités convenues ») durant la période de garantie limitée à compter de la réception de la copie du LOGICIEL, dans le cadre d’une utilisation respectant la configuration matérielle recommandée. L’expression « période de garantie limitée » employée dans le présent article correspond à un (1) an pour un professionnel ou une entité juridique, et à deux (2) ans pour un particulier. Toute variation non substantielle des fonctionnalités convenues ne sera pas considérée et ne constitue pas un droit de garantie. Cette garantie limitée ne s’applique pas aux LOGICIELS fournis gratuitement, notamment aux mises à jour, versions en avant-première, versions d’essai, échantillons de produit, copies du LOGICIEL dont la revente est interdite (« Not for Resale » (« NFR »), ni au LOGICIEL modifié par vos soins dans la mesure où ces modifications sont à l’origine des défaillances. Pour déposer une réclamation au cours de la période de garantie limitée, vous devez, aux frais d'ABBYY, renvoyer le LOGICIEL accompagné de sa preuve d’achat à votre fournisseur. Si les fonctionnalités du LOGICIEL divergent de manière substantielle de celles convenues, ABBYY est autorisé (par souci de nouvelles performances, et à sa discrétion) à réparer ou à remplacer le LOGICIEL. Si ceci échoue, vous êtes en droit de demander une réduction du prix d’achat (réduction) ou l’annulation du contrat d’achat (résiliation). Pour plus d’informations relatives à la garantie, veuillez contacter le service clientèle d’ABBYY en Allemagne : ABBYY Europe GmbH, Elsenheimerstraße 49, 80687, Munich, tél. : +49 (0)89 51 11 590, fax : +49 (0)89 51 11 5959.

14. Limites de responsabilité

14.1. ABBYY ou ses fournisseurs ne sauraient en aucun cas être tenus pour responsables des dommages, de l’interruption d’une activité commerciale, de la perte d’informations commerciales ou autres, de toute réclamation ou dépense, ni de dommages conséquents, indirects, incidents d’aucune sorte, de toute perte de bénéfices consécutive ou liée à l’utilisation du LOGICIEL, de dommages causés par d’éventuelles erreurs (d’impression, par exemple) dans le LOGICIEL, même dans l’éventualité où un représentant d’ABBYY aurait été prévenu par un tiers de la possibilité de tels pertes, dommages, réclamations ou dépenses. Les limitations et exclusions précédentes s’appliquent dans la limite autorisée par la loi en vigueur dans votre juridiction. La seule et entière responsabilité d’ABBYY et de ses fournisseurs dans le cadre du présent CLUF ou associée au présent CLUF sera limitée au montant versé (le cas échéant) lors de l’achat du LOGICIEL. Rien dans ce CLUF ne limite la responsabilité d’ABBYY dans l’éventualité d’un décès ou de blessures corporelles résultant de la négligence d’ABBYY ou du délit de tromperie (fraude). ABBYY agit pour le compte de ses fournisseurs pour les seuls dénis, exclusions et limitations d'obligations, de garanties et de responsabilités prévus dans ce CLUF, mais en aucun cas à d'autres fins. Pour plus d’informations, veuillez consulter, le cas échéant, les informations spécifiques à votre juridiction dans l’article 21 de ce CLUF, ou contactez le service clientèle d'ABBYY.

14.2. Limitation de responsabilité applicable aux utilisateurs résidant en Allemagne ou en Autriche.
Si vous vous êtes procuré le LOGICIEL en Allemagne ou en Autriche et résidez habituellement dans l'un de ces pays :

14.2.1. Sous réserve des dispositions de l’article 14.2.2, la responsabilité statutaire d’ABBYY et de ses fournisseurs vis-à-vis des dommages sera limitée de la manière suivante : (i) ABBYY ne sera tenu pour responsable que des dommages raisonnablement prévisibles lors de l’entrée d’entente d’achat contractuelle en matière de dommages causés par une légère violation par négligence d’une obligation contractuelle relative au matériel mais (ii) ABBYY ne sera pas tenu responsable des dommages causés par une légère violation par négligence d’une obligation contractuelle non liée au matériel.

14.2.2. La limitation de responsabilité stipulée à l’article 14.2.1 ne sera pas applicable aux responsabilités statutaires obligatoires, en particulier, à la responsabilité entrant dans le cadre du droit allemand de la responsabilité du fait des produits (German Product Liability Act), à la responsabilité liée à la prise en charge d’une garantie spécifique ou à la responsabilité des blessures corporelles infligées de manière volontaire.

14.2.3. Vous êtes tenu de prendre toutes les mesures raisonnables afin d’éviter ou de minimiser tout dommage, notamment de réaliser des copies de sauvegarde du LOGICIEL et de vos données informatiques entrant dans le cadre des dispositions de ce CLUF.

15. Polices intégrées

15.1. Les programmes de polices sont soumis aux droits d'auteur et le propriétaire est en droit de fixer les conditions d'utilisation de tels programmes. Une des dites conditions peut éventuellement exiger la possession d'une copie sous licence du programme de police pour incorporer la police dans un fichier PDF. En aucun cas ABBYY ne pourra être tenu pour responsable des dommages résultant de l'utilisation des polices incorporées ou associés à celle-ci d'une quelconque manière.

16. Adobe® PDF Library

16.1. Le terme « logiciel Adobe » désigne Adobe PDF Library® pour les systèmes Windows 2000, XP ainsi que toute documentation, mise à niveau, version modifiée, mise à jour, copie et tout ajout y afférent. Le LOGICIEL utilise le logiciel Adobe pour convertir des fichiers PDF en fichiers d'images.

16.2. Octroi de licence et restrictions. ABBYY octroie un droit non exclusif vous autorisant à utiliser le logiciel Adobe incorporé au LOGICIEL ABBYY, en conformité avec les termes du présent CLUF. Vous pouvez effectuer une copie de sauvegarde du logiciel Adobe incorporé au LOGICIEL, dans la mesure où la copie de sauvegarde n'est pas destinée à être installée ou utilisée sur un autre ordinateur.

16.3. Droits relatifs à la propriété intellectuelle. Le logiciel Adobe incorporé au LOGICIEL est la propriété d'Adobe ou de ses fournisseurs, et sa structure, son organisation et son code constituent des secrets industriels précieux d'Adobe et de ses fournisseurs. Le logiciel Adobe est également protégé par les lois sur les droits d'auteur aux états-Unis et par les traités internationaux. Toute copie du logiciel Adobe incorporé au LOGICIEL, sauf tel qu'expressément prévu dans ce CLUF, est prohibée. Toute copie autorisée effectuée conformément aux termes de ce CLUF doit inclure le présent avertissement relatif à la propriété intellectuelle ainsi que tout autre avis de propriété apparaissant dans le LOGICIEL. Vous vous engagez à ne pas modifier, adapter, traduire, effectuer d'opération de rétrotechnique, décompiler, désassembler ni essayer de découvrir le code source du logiciel Adobe incorporé à ce LOGICIEL. Sauf tel qu'expressément spécifié auparavant, ce CLUF ne vous octroie aucun droit de propriété intellectuelle sur le Logiciel Adobe.

16.4. Licence des polices. Si le LOGICIEL ou le logiciel Adobe incorporé inclut un logiciel de polices, vous êtes autorisé à incorporer ce logiciel ou le logiciel des caractères vectorisés dans vos documents au format électronique, dans la mesure expressément autorisée par le propriétaire du copyright des polices. Certaines polices contenues dans ce produit peuvent être la propriété d'Adobe. Vous pouvez incorporer toute police dont Adobe est le propriétaire.

16.5. Garantie. ABBYY NE GARANTIT PAS ET N'EST PAS EN MESURE DE GARANTIR LES RéSULTATS DE PERFORMANCES CONSéCUTIVES à L'UTILISATION DU LOGICIEL ADOBE INCORPORé AU PRéSENT LOGICIEL.

16.6. Règles sur l'exportation. Vous vous engagez à ne pas expédier, transférer ni exporter le logiciel Adobe incorporé à votre LOGICIEL vers quelque pays que ce soit, ni à l'utiliser en infraction à la législation des états-Unis régissant les exportations (United States Export Administration Act) ou à toute autre loi, restriction ou réglementation sur l'exportation (collectivement appelés « lois sur l'exportation »). En outre, si le logiciel Adobe incorporé au LOGICIEL est identifié en tant que produit d'exportation contrôlé par les lois sur l'exportation, vous devez certifier et prouver que vous n'êtes ni citoyen ni résident d'un pays soumis à un embargo commercial, et qu'aucune loi sur l'exportation ne vous interdit la réception du logiciel Adobe incorporé au LOGICIEL. Le droit d'utiliser le logiciel Adobe incorporé au LOGICIEL vous est accordé dans la mesure où vous vous conformez aux termes de ce CLUF. Vous serez déchu de ce droit si vous enfreignez cette condition.

16.7. Marques commerciales. Adobe et Adobe PDF Library sont des appellations commerciales ou des marques déposées d'Adobe Systems Incorporated aux états-Unis et dans d'autres pays.

17. Services Microsoft XML Core

17.1. Le logiciel utilise les services Microsoft XML Core (MSXML) pour analyser et traiter les documents XML.

17.2. Logiciel identifié. Vos droits de licence concernant le LOGICIEL s'appliquent à condition que vous (a) n'incorporiez ou ne combiniez pas de logiciel identifié à MSXML, ni à un produit dérivé ; (b) ne distribuiez pas de logiciel identifié en combinaison avec MSXML ; et que vous (c) n'utilisiez pas de logiciel identifié pour le développement d'un travail dérivé de MSXML. Le terme « logiciel identifié » désigne un logiciel concédé sous licence dans le cadre de termes et conditions qui, directement ou indirectement, (i) créent ou semblent créer des obligations pour Microsoft à l'égard de MSXML ou d'un travail dérivé, ou (ii) octroient, ou semblent octroyer, à un tiers des droits ou une immunité inhérents à la propriété intellectuelle de Microsoft, ou des droits de propriété relatifs à MSXML ou à un travail dérivé. Les logiciels identifiés incluent, sans que ce soit limitatif, tout logiciel nécessitant, pour son utilisation, sa modification ou sa distribution, que d'autres logiciels incorporés, dérivés ou distribués (a) soient divulgués ou distribués sous forme de code source ; (b) soient concédés sous licence pour des travaux dérivés ; ou (c) puissent être redistribués gratuitement.

18. Bibliothèques d'exécution PixTools® Scan et pilotes ISIS®.

18.1. Le terme « logiciel Captiva » désigne les bibliothèques Scan et les pilotes ISIS de niveaux 1, 2 et 3. Le LOGICIEL utilise le logiciel Captiva pour communiquer avec le scanner par l'intermédiaire de l'interface ISIS.

18.2. Octroi de licence et restrictions. ABBYY octroie un droit non exclusif vous autorisant à utiliser le logiciel Captiva incorporé au LOGICIEL ABBYY, en conformité avec les termes du présent CLUF.

18.3. Droits relatifs à la propriété intellectuelle. Le logiciel Captiva incorporé au LOGICIEL est la propriété de Captiva ou de ses fournisseurs, et sa structure, son organisation et son code constituent des secrets industriels précieux de Captiva et de ses fournisseurs. Le logiciel Captiva est protégé par les lois sur les droits d'auteur aux états-Unis et par les traités internationaux. Vous n'êtes pas autorisé à copier le logiciel Captiva incorporé à ce LOGICIEL. Vous vous engagez à ne pas modifier, adapter, traduire, effectuer d'opération de rétrotechnique, décompiler, désassembler ni essayer de découvrir le code source du logiciel Captiva incorporé à ce LOGICIEL. Sauf tel qu'expressément spécifié auparavant, ce CLUF ne vous octroie aucun droit de propriété intellectuelle sur le Logiciel Captiva.

18.4. Garantie.
ABBYY NE GARANTIT PAS ET N'EST PAS EN MESURE DE GARANTIR LES RéSULTATS DE PERFORMANCES CONSéCUTIDS à L'UTILISATION DU LOGICIEL CAPTIVA INCORPORé AU PRéSENT LOGICIEL.
CAPTIVA OU SES FOURNISSEURS NE POURRONT EN AUCUN CAS ETRE TENUS POUR RESPONSABLES DE TOUT DOMMAGE DIRECT, INCIDENT OU SPéCIAL D'AUCUNE SORTE, DE TOUTE PERTE DE BéNéFICES, OU DE TOUTE PLAINTE éMANANT D'UN TIERS.
Certains états ou juridictions n'autorisent pas l'exclusion ni la limitation des dommages incidents, directs ou spéciaux. Il est donc possible que les limitations ci-dessus ne s'appliquent pas à vous. Vous pouvez bénéficier d'autres droits, qui peuvent varier d'un état à l'autre ou d'une juridiction à l'autre.

18.5. Appellations commerciales.
ISIS et PixTools sont des appellations commerciales ou des marques déposées de Captiva Software Corporation aux états-Unis et/ou dans d'autres pays.

19. LOGICIEL LIZARDTECH

19.1. « LOGICIEL LIZARDTECH » signifie Kit de développement du logiciel de décodage DjVu fourni par LIZARDTECH, ainsi que tout support connexe, documents imprimés et documentation « en ligne » ou électronique. Vous avez acquis le LOGICIEL comprenant le LOGICIEL LIZARDTECH proposé sous licence par ABBYY par le biais de LIZARDTECH, INC. Le LOGICIEL utilise le LOGICIEL LIZARDTECH pour convertir des fichiers DjVu en fichiers d’image.

19.2. Le LOGICIEL LIZARDTECH est protégé par les lois et traités internationaux en vigueur sur le copyright, ainsi que par d’autres lois et traités en vigueur sur la propriété intellectuelle. Le LOGICIEL LIZARDTECH est proposé sous licence. Il n’est pas vendu.

19,3. Octroi de licence. Une licence personnelle, non transférable, non exclusive et que vous ne pouvez pas concéder sous licence vous a été octroyée pour utiliser le LOGICIEL LIZARDTECH intégré au LOGICIEL (ainsi que la documentation connexe). Vous n’êtes pas autorisé à louer, vendre, concéder en location-vente ou distribuer de quelque manière que ce soit, en intégralité ou partiellement, le LOGICIEL LIZARDTECH.

19.4. LE LOGICIEL LIZARDTECH N’EST PAS GARANTI. Il est fourni « EN L’ÉTAT » sans correction des erreurs qu’il contient. TOUS RISQUES AFFÉRENTS À LA QUALITÉ, AUX PERFORMANCES, À L’EXACTITUDE ET AU MANIEMENT (Y COMPRIS UN DÉFAUT DE NÉGLIGENCE) VOUS INCOMBENT. AUCUNE GARANTIE NE VOUS EST OFFERTE CONCERNANT D’ÉVENTUELS TROUBLES PENDANT L’UTILISATION DU LOGICIEL LIZARDTECH OU CONTRE LES RISQUES DE VIOLATION. SI DES GARANTIES VOUS ONT ÉTÉ OFFERTES CONCERNANT LE LOGICIEL OU LE LOGICIEL LIZARDTECH, CES GARANTIES NE PROVIENNENT PAS DE LIZARDTECH ET N’ENGAGE PAS SA RESPONSABILITÉ. CERTAINS DOMMAGES RELÈVENT DE VOTRE SEULE RESPONSABILITÉ. CONFORMÉMENT À LA RÉGLEMENTATION EN VIGUEUR, LIZARDTECH NE POURRA ÊTRE TENU RESPONSABLE DES DOMMAGES INDIRECTS, SPÉCIAUX, CONSÉCUTIFS OU ACCIDENTELS DÉCOULANT DE OU EN RAPPORT AVEC L’UTILISATION OU LES PERFORMANCES DU LOGICIEL LIZARDTECH. CETTE LIMITATION S’APPLIQUERA MÊME SI TOUT RECOURS FAIT DÉFAUT À SA VOCATION ESSENTIELLE.

19.5. Limitations concernant les opérations de rétrotechnique, de décompilage et de désassemblage. Vous n’êtes pas autorisé à effectuer d’opération de rétrotechnique, décompiler ou désassembler le LOGICIEL LIZARDTECH hormis et uniquement si cette activité est expressément autorisée par la loi en vigueur, et dans les limites de cette dernière, nonobstant cette limitation.

19.6. Restrictions en matière d’exportation. Vous reconnaissez savoir que le LOGICIEL LIZARDTECH, ou les éléments qu’il contient, ou le processus ou service constituant le produit direct du LOGICIEL LIZARDTECH (les « composants restreints ») proviennent des États-Unis. Vous reconnaissez respecter les lois internationales et nationales en vigueur concernant ces produits, y compris la réglementation régissant les exportations aux États-Unis, et en tant qu’utilisation final, les restrictions en matière d’utilisation finale et de destination émises par les Etats-Unis et d’autres gouvernements.

20. Tests de performances

20.1. Vous vous engagez à ne pas divulguer à un tiers les résultats de tests de performances portant sur le LOGICIEL sans en avoir reçu l'autorisation écrite d'ABBYY au préalable.

21. Réglementation des exportations

21.1. Le LOGICIEL ne doit pas être exporté ni ré-exporté si une telle exportation engendre la violation des dispositions juridiques en matière d’exportation du pays dans lequel ce LOGICIEL a été acheté ou autrement obtenu. En outre, vous déclarez et garantissez ne pas être interdit de recevoir ce LOGICIEL dans le cadre des lois en vigueur.

22. Droit applicable

22.1. Si vous avez acheté le logiciel aux états-Unis, au Canada, au Mexique, en Amérique Centrale, au Japon ou à Taïwan, ce CLUF sera régi et interprété selon la loi en vigueur dans l'état de Californie (états-Unis). Quant aux litiges qui pourraient résulter de ce CLUF et/ou de ce LOGICIEL, vous acceptez de vous soumettre aux lois et aux juridictions fédérales et/ou aux cours d'état du comté d'Alameda ou de Santa Clara, dans l'état de Californie.

22.2. Si le LOGICIEL a été acheté en Autriche, en Belgique, au Danemark, en Finlande, en France, en Allemagne, en Grèce, en Irlande, en Italie, au Luxembourg, aux Pays-Bas, au Portugal, en Espagne, en Suède, au Royaume-Uni ou dans tout autre état membre de l'Union européenne non mentionné à l'article 21.3 ou 21.4 de ce CLUF, ou bien en Suisse, en Norvège, en Islande ou au Liechtenstein, ce CLUF sera régi et interprété conformément à la législation de Munich, Allemagne.

22.3. Si vous avez acheté le LOGICIEL en Russie, en Biélorussie, au Kazakhstan ou dans tout autre pays de la CEI, à l'exception de l'Ukraine et la Moldavie, ou si le LOGICIEL a été acheté en Lettonie, Lituanie ou en Estonie, les termes du présent CLUF seront régis et interprétés conformément à la législation de la Fédération de Russie.

22.4. Si le LOGICIEL a été acheté en Albanie, en Bosnie-Herzégovine, en Bulgarie, en Croatie, à Chypre, en République tchèque, en Hongrie, en Israël, en Macédoine, à Malte, en Pologne, en Roumanie, en Slovaquie, en Slovénie, en Turquie, en Serbie, au Monténégro, en Ukraine ou en Moldavie, ce CLUF est soumis à la législation de l'Ukraine.

22.5. Dans le cas où l'article 21.3. s'appliquerait et où vous seriez une entité juridique ou un entrepreneur privé, le tribunal arbitral de Moscou, la fédération de Russie, auront la juridiction sur tous les litiges relatifs à ce CLUF. Dans le cas où l'article 21.3. s'appliquerait et où vous seriez un individu, la cour fédérale Lublinski de Moscou, la fédération de Russie, auront la juridiction sur tous les litiges relatifs à ce CLUF.

22.6. Dans les cas décrits aux articles 21.1 à 21.4, ce CLUF ne sera pas régi par la législation sur les conflits de lois en vigueur dans une quelconque juridiction, ni par la convention des Nations unies sur les contrats relatifs au commerce international de biens, qui ne saurait s'appliquer à la présente licence.

22.7. Si vous avez acheté le LOGICIEL dans un pays non spécifié aux articles 21.1 à 21.4, ce CLUF est soumis à la législation des tribunaux du pays d'achat du LOGICIEL.

23. Divers

22.1. Si vous avez reçu cette copie du LOGICIEL en tant qu'amélioration de la version actuelle du LOGICIEL ou en tant que mise à jour de version majeure du LOGICIEL, en installant cette copie du LOGICIEL, vous déclarez renoncer à vos droits relatifs aux versions précédentes du LOGICIEL, y compris au droit d'utiliser ces LOGICIELS. Vous reconnaissez que tout obligation qu'ABBYY ou ses fournisseurs peuvent avoir d'assurer l'assistance technique des versions précédentes du LOGICIEL peut devenir caduque dès que cette version du LOGICIEL devient disponible.

22.2. Si vous avez acquis le LOGICIEL sur Internet, y compris les versions « Revente Interdite » (Not for Resale) et Mise à niveau, ABBYY ne vous fournit pas de documentation imprimée, ni de guide d’utilisation.

24. Utilisation gouvernementale

24.1. Si le Gouvernement des états-Unis ou une quelconque agence gouvernementale américaine est titulaire d'une licence de ce LOGICIEL, les conditions supplémentaires suivantes s'appliquent : (1) le LOGICIEL est classé « Restricted Computer Software », tel que défini dans la clause 52.227-14 « Rights in Data-General » des Federal Acquisition Regulations ; et (2) toute utilisation, reproduction ou divulgation par le Gouvernement américain est soumise aux restrictions figurant dans le sous-paragraphe (c)(1)(ii) de la clause DFARS 252.227-7013 « Rights in Technical Data and Computer Software ».

25. Dispositions d'ordre général

25.1. Si une partie de ce CLUF est considérée non avenue et non exécutoire, cela n'aura aucune incidence sur la validité de l'ensemble du CLUF, qui conservera sa force exécutoire conformément aux conditions prescrites. Ce CLUF portera pas préjudice aux droits statutaires de toute partie impliquée en tant que consommateur.

Annexe A

Contrat de maintenance

L'Annexe A fait partie intégrante du CLUF, sauf mention contraire dans un contrat séparé signé avec ABBYY.

1. Définitions

1.1. Le terme « mise à jour » désigne des améliorations apportées à la version actuelle du LOGICIELLE.

1.2. Le terme « mise à niveau » désigne la sortie de LOGICIEL suivante, destinée à remplacer la version majeure (par exemple, la version 2.x remplacer la version 1.x) qui vous est actuellement concédée sous licence dans le cadre de ce CLUF.

1.3. Le terme « erreur » désigne l'incapacité du LOGICIEL à fonctionner conformément aux spécifications répertoriées dans la documentation. Trois types d'erreurs peuvent être distingués :

1.3.1. Une erreur de priorité 1 désigne une situation problématique pour laquelle aucune solution n'est disponible pour vous, et à cause de laquelle la production de votre site est bloquée. Parmi les erreurs de ce type figurent les erreurs intitulées « Erreur de programme interne », « Dépassement de mémoire », « Violation d'accès », « Faute de protection générale », « Erreur de protection générale » et « Division par zéro ».

1.3.2. Une erreur de priorité 2 désigne un dysfonctionnement pour lequel il existe une solution.

1.3.3. Une erreur de priorité 3 est un problème mineur qui ne perturbe pas la production de votre site.

1.4. Les « services d'assistance » désignent les services mis à votre disposition par ABBYY ou ses fournisseurs pour les erreurs que vous nous signalez.

1.5. L'« assurance mise à niveau » désigne la partie de la maintenance qui vous octroie le droit de recevoir des mises à niveau.

2. Maintenance

2.1. La maintenance peut inclure la fourniture de mises à jour, d'une assurance mise à niveau ou de services d'assistance, ou une combinaison des trois. Vous pouvez acheter une prestation de maintenance pour la période de départ de douze (12) mois, commençant à la date d'envoi ou de livraison du LOGICIEL. Pour étendre la période de maintenance, vous devez faire une demande d'extension auprès d'ABBYY ou de son fournisseur. ABBYY se réserve le droit, à sa seule discrétion, de modifier de temps en temps la forme et le contenu de la maintenance. Tout code de LOGICIEL supplémentaire fourni dans le cadre de la maintenance doit être considéré comme faisant partie intégrante du LOGICIEL et est soumis aux conditions générales du présent CLUF.

3. Mises à jour et assurance mise à niveau

3.1. Les mises à niveau et mises à jour peuvent être diffusées sur CD-ROM et/ou par voie électronique (via le protocole FTP). Si des frais d'envois s'appliquent, ils sont à votre charge.

3.2. Si vous avez souscrit l'option de maintenance Livraison de mises à jour, vous pouvez prétendre à recevoir des mises à jour d'ABBYY ou de ses fournisseurs. ABBYY ou ses fournisseurs vous fourniront les mises à jour du LOGICIEL dès qu'elles seront disponibles.

3.3. Si vous avez souscrit à l'option de maintenance Assurance mise à niveau, vous pouvez prétendre à recevoir des mises à niveau d'ABBYY ou de ses fournisseurs. ABBYY ou ses fournisseurs vous fourniront les mises à niveau du LOGICIEL dès qu'elles seront disponibles.

3.4. Si vous développez une application qui contient le LOGICIEL ou une partie du LOGICIEL, ou qui est intégrée au LOGICIEL, toute nouvelle version majeure de cette application devra inclure la dernière mise à jour du LOGICIEL, qui vous sera fournie par ABBYY sous trois (3) mois maximum à compter de sa sortie (ou la dernière mise à jour si cette mise à jour est sortie plus de trois (3) mois avant cette sortie).

4. Services d'assistance

4.1. ABBYY ou son fournisseur doit assurer des services d'assistance gratuits pour résoudre les erreurs de priorité 1.

4.2. Si vous avez souscrit l'option de maintenance Services d'assistance, ABBYY ou son fournisseur vous fournira des services d'assistance pour un maximum de huit (8) demandes relatives à des erreurs de priorité 2 ou 3. Vous pouvez acheter des demandes d'assistance supplémentaires pour des erreurs de priorité 2 ou 3.

4.3. ABBYY ou son fournisseur assurera les services d'assistance liés au LOGICIEL pendant les heures de travail normales, par téléphone ou par e-mail.

4.4. ABBYY ou son fournisseur s'engage à tout mettre en œuvre commercialement, dans la limite du raisonnable, pour publier des mises à jour d'urgence pour le LOGICIEL en plus des mises à jour normales programmées, pour remédier aux erreurs de priorité 1 qui pourraient lui être signalées. Selon le processus normal, les erreurs de priorité 2 ou 3 sont réparées dans les versions suivantes. Les mises à jour d'urgence ne seront proposées pour la version actuelle du LOGICIELLE que pour résoudre les erreurs de priorité 1.

4.5. Pour signaler les erreurs, vous vous engagez à fournir à ABBYY ou à son fournisseur les données techniques requises pour localiser l'erreur et assurer sa résolution. Ces données techniques incluent une description du problème, les références de la plate-forme et du système d'exploitation sur lesquels le problème a eu lieu, une copie des informations entrées qui ont provoqué l'erreur découverte, une copie du fichier, avec le format utilisé quand l'erreur a été découverte, et le résultat affiché par la machine suite à l'erreur s'il y a lieu. Les informations mentionnées ci-dessus pourront être utilisées par ABBYY ou par son fournisseur à des fins professionnelles conformément aux lois applicables, notamment, et de façon non exclusive, pour l'assistance produit et le développement. ABBYY ou son fournisseur n'utilisera pas ces informations sous une forme qui permettrait de vous identifier personnellement.


Basic field properties

You can configure basic field properties on the Général tab.

On this tab the field type is displayed as an icon to the right of the name.

  • Nom – field name. The name is assigned automatically when the field is created and corresponds to the explanatory text closest to the field. When editing the properties, you can change the name assigned by default. See also How to change the field name.
  • Légende : nom du champ qui apparaît dans le formulaire de données.
  • Exporter la valeur du champ – this option must be enabled if you want to export the field value (enabled by default). You may need to disable this option if, for example, the value of this field is used to obtain the value of a calculated field (see Rule validation), and only the end result has to be exported.
  • Afficher dans le formulaire de données – this option must be enabled if the field should be visible in the data form (enabled by default).
  • Ne peut pas être vide – enable this option if you want to make it a required field.
  • Lecture seule – enable this option if the field should be accessible only for viewing, i.e. the operator will not be able to modify its value. You can enable this option for fields whose values have to be calculated automatically using a rule, for example, for a field where you plan to save the sum or combine other fields (see Rule validation).
  • Champ d'index – enable this option if you expect to use this field to perform document indexing. When processing documents, you will be able to display the value of this field for each document, and sort and search documents based on the field value.
  • Commentaire – you can enter any comments.

Field properties


Glossaire

A

ABBYY FlexiCapture

Solution logicielle permettant d'incorporer en une seule opération des données à partir de différents types de documents – structurés (formulaires fixes), semi-structurés (formulaires et documents flexibles) et non structurés (documents de format libre).

ABBYY FlexiLayout Studio

Programme permettant de créer une description flexible de la structure d'un document, ce qui permet ensuite de reconnaître automatiquement les documents.

ABBYY FormDesigner

ABBYY FormDesigner sert à concevoir des modèles de formulaires lisibles par machine. Une fois répliqués et remplis, ces formulaires peuvent être traités avec le système d'entrée de formulaires automatisé ABBYY FlexiCapture. La conception du modèle de formulaire est une étape importante car la qualité du modèle conçu (sa lisibilité par ordinateur) détermine l'efficacité de toutes les phases de traitement suivantes : la numérisation, la reconnaissance, la vérification et l'exportation.

ADF

Chargeur automatique de documents. Dispositif permettant de charger automatiquement les documents, ce qui permet de numériser un grand nombre de documents sans avoir à intervenir manuellement.

Administrateur

Utilisateur de ABBYY FlexiCapture qui est autorisé à configurer le programme pour l'entrée de documents : il peut créer et modifier des modèles de documents, et importer des profils. Consultez la section Modes administrateur et opérateur.

Alphabet

Ensemble de caractères utilisés dans la langue décrite.

Ancre

élément statique sous forme de carré, de rectangle, de croix ou de coin noirs, servant pour l'association du modèle. Détails...

Les ancres sont des éléments spéciaux de conception de formulaire utilisés par le système pour effectuer des associations après avoir numérisé (élimination de l'inclinaison, compensation des défauts, linéaires ou non, de la numérisation, calcul de l'emplacement des blocs). Les ancres les plus fiables sont des carrés noirs, qui sont normalement situés dans les coins d'un formulaire. Si aucune ancre spéciale n'est présente sur l'image, d'autres éléments statiques peuvent être utilisés pour associer le modèle : des séparateurs, c'est-à-dire des lignes horizontales, telles que des lignes de tableau, des cadres, etc., ou du texte statique transparent, à savoir : l'en-tête de formulaire, les signatures de champs, les informations d'explication, etc. L'option Utiliser pour l'association des modèles doit être activée pour les éléments statiques utilisés pour l'association du modèle.

Angle

Ancre en forme d'angle.

Annexe

Ensemble de pages qui ne contiennent pas de champs mais sont incluses dans l'assemblage du document. Aucune donnée n'est extraite de ces pages, mais ces pages peuvent être enregistrées sous forme d'images ou de fichiers PDF indexés. Consultez la section Créer des modèles pour des documents avec des annexes.

Association du modèle

Opération consistant à sélectionner un modèle et à associer ses champs à une image.

C

Caractère ignoré

Caractère apparaissant au sein d'un mot (par exemple, une puce), ou caractère à tiret conditionnel (tabulation, etc.) dont la présence n'empêche pas le programme d'attribuer le mot à un type de données reconnaissable. Détails...

Les caractères de ce type sont exclus des mots. En d'autres termes, les mots sont attribués à un type de données particulier sans ces caractères.

Caractère interdit

Caractère dont vous êtes certain qu'il n'interviendra pas dans les données à reconnaître. Détails...

En spécifiant des caractères de ce type, vous pouvez accroître considérablement la vitesse et la qualité de la reconnaissance. Par exemple, pour reconnaître des textes qui ne contiennent que des majuscules, faites de toutes les minuscules des caractères interdits.

Caractères reconnus incorrectement

Statut affecté automatiquement à un caractère qui, au cours du processus de reconnaissance, a été reconnu avec un degré d'incertitude considérable.

Carré noir

Ancre en forme de carré noir.

Champ

élément de document destiné à l'extraction de données. Un champ peut être simple (sans structure interne) ou composite, comme un champ de tableau, où chaque cellule peut être affichée sous forme de champ subordonné du tableau. Consultez la section Création de champs dans un modèle de document.

Champ clé

Champ qui permet de vérifier automatiquement l'assemblage des pages dans les documents. Les champs clés doivent avoir la même valeur sur toutes les pages d'un même document.

Champ contenant plusieurs instances

Champ utilisé pour décrire plusieurs objets du même type (objets récurrents). Par nature, ces objets multiples constituent un seul et même champ, et ils partagent les mêmes propriétés. Les champs contenant plusieurs instances servent à éviter de créer plusieurs champs identiques. Ils sont exportés dans des fichiers ou tables de base de données différents. Consultez la section Champs avec plusieurs instances.

Champ contenant plusieurs régions

Champ composé de plusieurs régions de l'image. Ces régions peuvent être éloignées les unes des autres, et même être placées sur des pages différentes. Les valeurs de l'ensemble des régions appartenant au même champ sont combinées et exportées ensemble sous la forme d'un même champ. Ce type de champ est en principe utilisé pour des objets placés sur plusieurs pages, comme des tableaux particulièrement longs. Consultez la section Champ contenant plusieurs régions.

Champ d'entrée manuelle

Champ de modèle contenant du texte reconnaissable (par exemple, du texte composé de lettres qui se chevauchent) qui n'a pas été entré à l'aide d'un clavier.

Champ d'image

Champ de modèle contenant une image.

Champ d'index

Champ dont la valeur est utilisée pour indexer les documents, afin de faciliter les opérations de tri et de recherche. Consultez la section Champs d'index.

Champ de coche

Champ de modèle contenant une coche.

Champ de code barre

Champ de modèle contenant un code barre destiné à être reconnu.

Champ de groupe de coches

Champ de modèle de document contenant un groupe de coches.

Champ de texte

élément de formulaire lisible par machine conçu pour entrer du texte lors du remplissage d'un formulaire.

Champ sans région

Champ détecté dans un modèle de document mais qui ne comporte pas de région dans l'image. Consultez la section Champs sans région.

Champ tableau

Champ de modèle contenant un tableau. C'est un champ composite, dans lequel chaque colonne de tableau représente un jeu de champs du même type : texte, coches, codes barres ou images.

Coche

élément de formulaire lisible par machine rempli d'une marque (biffure, croix, point, retouche, etc.) par la personne qui remplit le formulaire.

Coche corrigée

Coche qui a été sélectionnée par erreur, puis retouchée. Si l'option Autoriser les corrections est active pour le champ de coche, le programme reconnaît la coche retouchée comme non sélectionnée.

Code barre

Formulaire lisible par machine, constitué d'une alternance de barres blanches et noires d'une certaine longueur, qui encodent des informations numériques. Dans un document, un code barre peut servir à extraire des informations (champ de code barres) ou à associer et identifier un modèle (code barre d'ancre).

Code barre d'ancrage

élément statique représentant un code barre, et qui n'est pas destiné à l'extraction de données. Un code barre d'ancrage peut être utilisé pour l'association ou l'identification de modèle.

Contraste

Rapport mathématique entre les zones les plus claires et les plus sombres d'une image.

Croix

Ancre en forme de croix.

D

Dactylographié

Type de texte reconnaissable qui représente un texte dactylographié à l'aide d'une machine à écrire.

Description flexible

Description formalisée de la structure du document. Elle est destinée à faciliter la détection des champs. Elle est créée à l'aide d'ABBYY FlexiLayout Studio. Format de fichier : *.afl. Consultez la section FlexiLayout.

Dictionnaire

Liste de mots utilisés pour déterminer un type de données spécifique. Détails...

Un dictionnaire est spécifié lors de la création d'un type de données. En conséquence, le type de données associé à un champ détermine le dictionnaire utilisé pendant la reconnaissance et la vérification. Outre les types de données prédéterminés existants, associés à des dictionnaires prêts à l'emploi, le programme permet d'associer des types de données créés à partir de dictionnaires personnalisés. Vous pouvez saisir les données de dictionnaire manuellement ou les charger à partir d'un fichier.

Document

Combinaison d'une ou de plusieurs images de pages et de données extraites à partir de ces images.

Document de plusieurs pages

Document composé de plusieurs pages.

Document flexible

Document contenant un ensemble de champs d'information dont la conception, le nombre et la présentation peuvent varier significativement dans différentes instances du document. Consultez la section Types de documents traités avec ABBYY FlexiCapture 8.0.

Document non structuré

Document contenant des informations présentées sous une forme libre. Il peut s'agir d'un contrat, d'une lettre, d'une commande ou d'un graphique, par exemple. Consultez la section Traitement de documents non structurés.

Données de document

Données acquises après le traitement (reconnaissance, vérification et modification des résultats de reconnaissance) des images de pages de document.

Dossier d'images

Dossier du disque dur de l'ordinateur local ou d'un ordinateur distant qui sert à importer des images. Ce dossier est en principe utilisé pour télécharger périodiquement des images récurrentes sans que l'utilisateur intervienne. Consultez la section Profils d'importation d'images.

E

éléments statiques

éléments non reconnaissables destinés à l'association et à l'identification du modèle. Ces éléments sont : les ancres, le texte d'ancre, les séparateurs et les codes barres d'ancre.

Entrée de documents sous forme de flux unique

Conversion automatique de documents au format papier sous une forme électronique.

Entrée de données sous forme de flux unique

Extraction automatique de données à partir de documents analogiques (imprimés) et numériques (images numérisées).

Entrée de formulaire

Acquisition de données provenant des champs d'information de formulaires.

Erreur de document

Si, lors du traitement d'un document, il apparaît que les données de ce document ne correspondent pas parfaitement à la structure du document, à ses contraintes de valeur ou à ses règles de contrôle, toutes les incohérences sont enregistrées dans la liste d'erreurs et d'avertissements du document.

Exemple de texte

Fichier contenant des exemples de tous les caractères alphabétiques

Exportation

Opération consistant à transférer les données traitées vers un système d'informations externe ou un fichier.

Expression normale

Description de la structure d'un mot ou d'une valeur entrée à l'aide d'un langage spécial. Le programme permet de spécifier non seulement le jeu de caractères autorisés mais aussi la structure du contenu des champs. Vous pouvez décrire la structure à l'aide d'une expression normale au moment de définir les contraintes d'un champ de texte ou au moment de créer un type de données personnalisé. Consultez la section Caractères alphabétiques dans des expressions normales.

F

Fichier de description

Fichier auxiliaire définissant la manière dont un lot est formé quand des images sont ajoutées à partir d'un dossier actif. Pour plus d'informations, consultez la section Fichier de description.

FlexiLayout

Description de la structure d'un document flexible. Cette description est conçue avec ABBYY FlexiLayout Studio et exportée vers ABBYY FlexiCapture. Un FlexiLayout est une sorte d'instruction permettant de détecter et d'identifier les champs.

Formulaire

Document comportant une ou plusieurs pages, conçu pour être rempli par une personne à la main ou à l'aide d'une technique d'impression.

Formulaire à arrière-plan couleur

Formulaire dans lequel tous les champs d'informations sont des rectangles blancs sur arrière-plan en couleur, qui disparaît pendant la numérisation.

Formulaire à fond gris

Formulaire dans lequel tous les champs d'informations sont des rectangles blancs sur fond gris, qui disparaît pendant la numérisation.

Formulaire à lignes noires et blanches

Formulaire dans lequel les bordures des champs d'informations sont formées par des lignes ordinaires qui ne disparaissent pas pendant la numérisation.

Formulaire fixe

Document avec des champs d'information fixes dont la mise en forme, le nombre et la présentation sont définis de manière stricte et ne changent pas d'une instance de document à l'autre.

Formulaire lisible par machine

Formulaire conçu spécialement pour l'entrée automatique. Il contient des éléments de travail (ancres, codes barres, lignes, etc.) nécessaires pour le traiter correctement.

Formulaire tramé

Formulaire dans lequel les champs d'informations sont représentés sous forme de rectangles blancs sur fond gris constitué de lignes tramées ou de rectangles délimités par des lignes tramées.

G

Groupe de coches

élément de formulaire lisible par machine qui rassemble plusieurs coches situées à proximité les unes des autres. Une ou plusieurs coches peuvent être sélectionnées dans un groupe de coches.

I

ICR

Reconnaissance intelligente de caractères. Désigne les technologies ou systèmes conçus pour traiter en masse les documents remplis à l'aide de lettres et de chiffres manuscrits.

Identificateur

élément statique utilisé pour sélectionner un certain modèle parmi plusieurs modèles présentant des emplacements d'ancres identiques. L'option Utiliser pour l'association des modèles doit être activée dans les propriétés de ces éléments statiques.

Identification du modèle

Opération consistant à sélectionner le modèle requis à l'aide d'identificateurs.

Image

  1. élément de formulaire lisible par machine qui n'est pas destiné à la reconnaissance mais est prévu pour être exporté sous forme d'objet graphique (par exemple, un fichier).
  2. Image électronique d'une page numérisée à partir d'un document au format papier.

Image inversée

Image contenant du texte légèrement coloré sur fond sombre.

Importation d'image

Processus consistant à ajouter des images à un lot pour les traiter. L'importation peut être effectuée en ajoutant les images à partir de fichiers, à partir d'un scanner ou à l'aide de profils d'importation. Consultez la section Ajout d'images de pages.

Imprimante matricielle

Type de texte reconnaissable qui représente un texte imprimé à l'aide d'une imprimante matricielle.

J

Jeu de caractères autorisés

Ensemble de caractères survenant dans le type de données reconnu. Détails...

Cet ensemble, ou jeu, est déterminé par le type de données. En d'autres termes, le type de données associé à un champ détermine le jeu de caractères utilisé pendant la reconnaissance.

Vous pouvez non seulement sélectionner les caractères inclus dans ce jeu, mais aussi configurer des paramètres supplémentaires restreignant ce jeu. Par exemple, vous pouvez spécifier :

  • Les caractères dont vous savez qu'ils ne surviendront pas lorsqu'un champ spécifique sera reconnu – les caractères interdits (par exemple, vous pouvez faire de toutes les minuscules des caractères interdits pour un champ dans lequel seules des majuscules interviendront).
  • Les caractères qui peuvent apparaître au sein d'un mot sans affecter sa vérification – les caractères ignorés (par exemple, les tirets, les marques d'accentuation, etc.).

L

Langue (locale)

Propriété de champ qui détermine la langue d'écriture et le jeu de paramètres régionaux approprié (comme le style d'écriture de la date ou de l'adresse).

Lettres dans des cadres séparés

Type de marquage de texte selon lequel chaque caractère est délimité par un cadre. Les cadres sont séparés les uns des autres. Afficher...

Lettres encadrées

Type de marquage de texte selon lequel chaque caractère est délimité par un cadre. Les cadres ne sont pas séparés les uns des autres. Afficher...

Lettres sur un peigne

Type de marquage de texte selon lequel le texte est délimité par un « peigne ». Afficher...

Ligne tramée

Ligne composée de points espacés de manière égale.

Lot de documents

Combinaison de documents groupés par l'utilisateur. Un lot contient en principe la pile de documents numérisés au cours d'un même passage, ou importés à partir d'un dossier donné. Consultez la section Lots de documents.

Lots de test

Lots de documents conçus pour tester et configurer des modèles. Les copies locales des lots de documents sont utilisées pour traiter les lots de test. Consultez la section Lots de documents.

Lots de travail

Lots de documents destinés à l'entrée de données. Seuls les modèles de documents publiés sont utilisés pour traiter des lots de travail. Consultez la section Lots de documents.

Luminosité

Seuil de sensibilité lumineuse qui détermine à partir de quel moment le scanner détecte les demi-tons en niveau de gris comme du blanc.

M

Marquage de champ de texte

élément graphique délimitant un champ de texte : cadre, peigne ou ligne.

Marquage de texte

Structure d'une région de page destinée à recevoir du texte. Pour voir des informations sur la mise en forme de texte, consultez la rubrique Champ d'entrée.

Modèle de document

Un modèle de document définit les principes d'identification de ce type de document, et contient :

  • La structure du document, c'est-à-dire la description de l'ordre autorisé pour les pages formant le document de ce type. La structure du document définit la règle de l'assemblage du document.
  • Les modèles de sections de document.
  • La liste des règles qui doivent être satisfaites par les données des champs.
  • L'emplacement des champs et leurs signatures dans la fenêtre de données (dans une vue de formulaire de données).
  • Les paramètres d'exportation pour ce type de document.
  • Les paramètres de traitement pour ce type de document.

Modèle fixe

Modèle de document, ou sa section, destinés au traitement de formulaires fixes. Les champs d'un modèle fixe ont des emplacements fixes.

Modèle flexible

Modèle de document, ou sa section, destinés au traitement de formulaires flexibles. Un tel modèle est créé à l'aide d'une description flexible. Les champs d'un tel modèle n'ont pas d'emplacement fixe. Ils sont détectés à l'aide d'une description flexible. Consultez la section Création d'un modèle pour traiter des documents flexibles.

N

Nettoyage d'image

Suppression du bruit d'une image. Du bruit peut apparaître pendant la numérisation, et il est recommandé de le supprimer pour une meilleure reconnaissance des données. Pendant le nettoyage, le programme supprime également les points d'arrière-plan ou les lignes de contour des formes tramées.

Numérisation

Opération consistant à obtenir une image électronique d'un formulaire papier à l'aide d'un scanner.

O

OCR

Reconnaissance optique de caractères. Reconnaissance optique des textes imprimés.

OMR

Reconnaissance optique de marques. Cette technologie permet à ABBYY FlexiCapture de reconnaître à la fois les marques ordinaires (coches, croix, etc.) sur les formulaires avec un certain degré de précision, et de corriger les marques qui ont été faites par erreur et qui doivent être retouchées.

Opérateur

Utilisateur d'ABBYY FlexiCapture en charge d'entrer des documents, qu'il s'agisse d'ajouter des images, d'effectuer une reconnaissance et une vérification, ou encore d'exporter les données reconnues. Consultez la section Modes administrateur et opérateur.

Orientation de page

Emplacement d'une page par rapport à l'alignement standard : de haut en bas ou de gauche à droite. L'orientation d'une page peut être déterminée automatiquement pendant la reconnaissance de l'image de cette page. à cet effet, ABBYY FlexiCapture 8.0 permet de spécifier plusieurs orientations.

Orientation du texte

Sens du texte d'un champ par rapport à la page.

P

Page

Image d'une page de document au format papier, et résultat de son traitement.

ppp

Points par pouce. Nombre de points par pouce ; unité de résolution d'une image.

Présentation de page

Système montrant l'emplacement des champs d'une image.

Profil d'importation

Combinaison de paramètres utilisée pour ajouter des images à un lot : source d'importation, options de traitement d'image, options de nettoyage de dossier d'images, etc. Consultez la section Profils d'importation d'images.

Projet

Un projet est un environnement unique qui unifie les lots de documents et les paramètres requis pour les traiter, comme les modèles de documents, les profils d'importation, etc. Consultez la section Création d'un projet.

Publication de modèle

Opération consistant à accéder à une nouvelle version de modèle de document une fois qu'elle a été modifiée. Une version publiée contribue à traiter des documents à partir de lots de travail, tandis qu'une version locale non publiée ne peut contribuer qu'à traiter des modèles à partir de lots de test. Consultez la section Modification et publication d'un modèle.

R

Reconnaissance

Processus consistant à associer des éléments d'image à des caractères spécifiques.

Reconnaissance de code barre

Conversion d'une image de code barre graphique en valeurs numériques ou en texte.

Reconnaissance de texte (OCR, ICR)

Conversion d'une image graphique en texte.

Reconnaissance optique de marques (OMR)

Processus consistant à déterminer la présence d'une marque dans le champ de marque d'un formulaire.

Région de champ

Région d'image mise en surbrillance dans le modèle et destinée à l'extraction de données.

Région non reconnaissable

Région d'image exclue de la reconnaissance. Une région non reconnaissable est requise pour exclure une région contenant du texte d'explication ou une image qui complique la reconnaissance d'un champ. Consultez la section Exclusion d'une région de la reconnaissance.

Règles

Conditions imposées aux données des champs. Ces conditions sont vérifiées automatiquement par le programme. Consultez le chapitre Validation par règle

Remplacement d'image

Remplacement d'une image par une autre lors de la modification d'un modèle.

Résolution

Paramètre d'image. La résolution se mesure en points par pouce (ppp).

Rotation d'image

Rotation d'une image autour de son centre.

S

Section d'un modèle de document

Ensemble de pages (ou page unique), avec tous les champs qu'elles contiennent, correspondant à une partie de document complète d'un point de vue logique. Une section de document peut être décrite à l'aide d'un modèle fixe ou flexible. Consultez la section Création de modèles pour des documents de plusieurs pages.

Section de modèle de document

Composant d'un modèle de document. Correspond à une ou à plusieurs pages contenant un ensemble de champs complet d'un point de vue logique. Au sein d'une même section, les champs peuvent s'étendre d'une page à la suivante (dans le cas de tableaux de plusieurs pages, par exemple), tandis que les jeux de champs de différentes sections ne peuvent pas se couper.
Un modèle de section peut être flexible ou fixe.

Séparateur

élément de formulaire lisible par machine représentant une ligne verticale ou horizontale.

Style d'écriture

Manière d'écrire spécifique à un groupe donné. Par exemple, la manière des Américains d'écrire les nombres. Détails...

Cette option sert à configurer le style d'écriture des lettres manuscrites dans les formulaires. Le style d'écriture à choisir dépend de l'endroit où les formulaires sont traités (en Russie, en Allemagne, en République tchèque, aux états-Unis, etc.).

T

Tableau

Ensemble de données organisé en grille bidimensionnelle qui n'est pas forcément visible. Le programme traite les tableaux composés de colonnes avec des données de même type et des lignes qui se répètent.

Texte à châsse fixe

Type de marquage de texte selon lequel chaque lettre est placée dans un cadre de la même hauteur et de la même largeur, mais dont les bords disparaissent pendant la numérisation.

Texte d'ancre

élément statique représentant un texte présent sur un formulaire vide, et qui n'est pas destiné à l'extraction de données. Il peut s'agir de texte explicatif ou d'un en-tête. Un texte d'ancre peut être utilisé pour l'association ou l'identification du modèle.

Texte d'explication

Élément de formulaire lisible par machine qui représente un texte descriptif (nom de formulaire, noms de champs, explications de champs, etc.).

Texte dactylographié

Type de texte reconnaissable qui a été imprimé à l'aide d'un équipement typographique ou d'une imprimante laser ou à jet d'encre présentant une résolution minimale de 300 ppp.

Texte encadré

Type de marquage de texte selon lequel le texte est délimité par un cadre. Afficher...

Texte encadré par-dessus un peigne

Type de marquage de texte selon lequel le texte est délimité par un cadre dont la limite inférieure est en forme de peigne. Afficher...

Texte manuscrit

Type de texte reconnaissable représentant du texte manuscrit sous une forme distincte.

Texte simple

Type de marquage de texte selon lequel le texte est inséré dans un bloc sans délimiteurs.

Texte souligné

Type de marquage de texte selon lequel le texte est souligné. Afficher...

Type de données

Attribut de champ décrivant les contraintes connues des valeurs de champs possibles. Il est utilisé pendant la reconnaissance des champs pour réduire le nombre de variantes de reconnaissance possibles. Détails...

Parmi les caractéristiques d'un champ figure le type de données : nombre, date, texte, nom, nom donné, adresse, etc. Le type de données détermine l'ensemble de mots pouvant survenir dans le champ concerné.

Le type de données est un paramètre de reconnaissance important qui affecte la qualité de la reconnaissance. Un type de données spécifié correctement peut réduire considérablement le nombre de caractères mal reconnus.

Type de données personnalisé

Type de données défini par l'utilisateur. Consultez la section Création de types de données personnalisés.

V

Validation par règle

Contrôle automatique des données reconnues par rapport à un ensemble de règles prédéfinies. Consultez la section Validation par règle.

Vérification

Opération consistant, pour l'opérateur, à vérifier les données reconnues. Cette opération est effectuée en comparant les résultats de la reconnaissance à l'image originale d'une partie de document. Dans les produits ABBYY, la technologie de vérification a été mise en œuvre en prenant en compte les particularités psychosomatiques des humains : les habitudes qui se sont mises en place, l'utilisation des compétences et l'objectif de la perception. Consultez la section Vérification des données reconnues.

Vérification de champ

Mode de vérification au cours duquel les caractères reconnus sont soumis à une vérification dans le contexte d'un champ. Détails...

En mode vérification de champ, les caractères incertains sont vérifiés dans le contexte du champ entier.

Les champs dont l'option Inclure dans la vérification du champ est activée sont soumis à la vérification de champ. Nous recommandons de soumettre à la vérification de champ les champs dont la plage de valeurs est connue ou peut être déterminée aisément. C'est par exemple le cas des champs de pays ou de villes : nous savons quelles valeurs ces champs peuvent contenir.

Vérification groupée

Mode de vérification suivant lequel les caractères reconnus de manière identique sont soumis à la vérification en groupes. Détails...

Les champs dont l'option Inclure dans la vérification groupée est activée sont soumis à la vérification groupée.

Nous recommandons de soumettre les caractères des champs numériques ainsi que les coches à la vérification groupée.

X

XFD

XML Form Definition (définition de formulaire XML ; *.xfd) – format de fichier spécial conçu avec ABBYY FormDesigner. Un fichier au format XML Form Definition sert à créer des modèles de documents dans ABBYY FlexiCapture.


Glossaire

A C D E F G I J L M N O P R S T V X


Fichier de description

Un fichier de description est un fichier auxiliaire qui définit la manière dont un lot est formé quand des images sont ajoutées à partir d'un dossier actif. En fonction du format du fichier de description, différents jeux de fichiers sont utilisés pour former le lot.

Le programme utilise les types de fichiers de description suivants :

  1. Captiva QuickScan
    Tous les fichiers d'image répertoriés dans le fichier de description sont ajoutés au lot. Les fichiers d'image du lot sont classés dans le même ordre que dans le fichier de description.
  2. Capture Software for Kodak
    Les fichiers d'image situés dans le dossier du lot Kodak sont ajoutés au lot par ordre alphabétique croissant.
  3. Fichier vide
    Le contenu de ce fichier n'est pas pertinent. Tous les fichiers qui précèdent le fichier de description dans le dossier actif sont ajoutés au lot par ordre alphabétique croissant.
  4. Fichier XML
    Fichier XML avec une structure documentée. Un fichier XML est utilisé quand les trois autres types ne peuvent pas être utilisés mais qu'un fichier de description personnalisé peut être généré. Les fichiers d'image répertoriés dans le fichier de description sont ajoutés au lot.

    Un fichier XML doit contenir un élément racine Batch (lot) avec des éléments enfants Images.

    L'élément Images doit à son tour inclure des éléments Image, dont le nombre correspond au nombre de pages du lot en cours de création. Chaque élément Image doit contenir le chemin d'accès UNC correspondant du fichier d'image. Le chemin d'accès du dossier contenant l'image doit être le même pour tous les éléments Image.

    <Batch>

    ...

    <Images>
    <Image>\\HotFolder\Page1.tif</Image>
    <Image>\\HotFolder\Page2.tif</Image>
    <Image>\\HotFolder\Page3.tif</Image>

    </Images>

    </Batch>

    Dans ce cas, nous recommandons de configurer le programme de numérisation de telle sorte que les images numérisées soient placées dans le dossier actif lui-même, ou dans ses sous-dossiers de premier niveau. Quand vous créez un lot, le programme y ajoute toutes les images figurant dans les éléments Image du fichier de description correspondant. Les images sont ajoutées dans l'ordre dans lequel elles apparaissent dans le fichier de description.

    Les fichiers d'image du lot sont classés dans le même ordre que dans le fichier de description.